/*
 * SUITE: marathon-prescription-2018-08-29
 *
 * INTENT:
 *
 * General use in a noisy recording environment.
 *
 *
 * SIGNAL:
 *
 * voice
 *     hamlet-002-act-1-scene-1.1626
 *         http://etc.usf.edu/lit2go/94/hamlet/1626/
 *     human_rights_un_chi_nf.mp3
 *         https://librivox.org/universal-declaration-of-human-rights-by-united-nations-volume-02/
 *     human_rights_un_cze_msed.mp3
 *         https://librivox.org/universal-declaration-of-human-rights-by-united-nations-volume-02/
 *     huntingofthesnark_01_carrol_128kb
 *         https://librivox.org/the-hunting-of-the-snark-by-lewis-carroll-3/
 *     teacupclub_01_armstrong_128kb
 *         https://librivox.org/the-teacup-club-by-eliza-armstrong/
 *     warletters_01_allan_128kb.mp3
 *         https://librivox.org/war-letters-from-a-young-queenslander-by-robert-marshall-allen/
 *     TSPspeech
 *         http://www-mmsp.ece.mcgill.ca/Documents/Data/
 *
 * sounds
 *     cough
 *         https://freesound.org/ sounds: 205012 222644 252240 323532 342587 343880 343885 343986 369295 391284 401334 407839 419781 425777 87412
 *     laugh
 *         https://freesound.org/ sounds: 167578 189278 263775 319346 343934 344043 344064 367680 381275 383237 393353 401214 433921 73123
 *
 * music
 *     Danse Macabre
 *     Gymnopedie No 1
 *     Local Forecast
 *     Secret of Tiki Island
 *     Unpromised
 *         https://incompetech.com/music/royalty-free/
 *
 *
 * ./chopper voice/hamlet-002-act-1-scene-1.1626.raw voice/human_rights_un_chi_nf.raw sounds/cough.raw voice/human_rights_un_cze_msed.raw voice/huntingofthesnark_01_carrol_128kb.raw sounds/laugh.raw voice/teacupclub_01_armstrong_128kb.raw voice/warletters_01_allan_128kb.raw voice/TSPspeech.raw sounds/cough.raw music/Danse\ Macabre.raw music/Gymnopedie\ No\ 1.raw music/Local\ Forecast.raw sounds/laugh.raw music/Secret\ of\ Tiki\ Island.raw music/Unpromised.raw
 *
 *
 * NOISE:
 *
 * rnnoise_contributions
 *     https://people.xiph.org/~jm/demo/rnnoise/rnnoise_contributions.tar.gz
 *
 *
 * ./noise-chopper *.raw
 *
 *
 * COUNT: 10000000 (x87)
 *
 * NOTE: All files processed into correct raws through ffmpeg: ffmpeg -i in -f s16le -ac 1 -ar 48000 out.raw
 */

/*This file is automatically generated from a Keras model*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "rnn.h"
#include "rnn_data.h"

static const rnn_weight input_dense_weights[1008] = {
   15, 4, -1, 3, -7, 4, 1, 18,
   25, 21, 3, 8, -62, -1, -10, 7,
   -5, -5, -2, -15, 2, -9, 5, 7,
   29, 19, 31, 9, -18, -25, 27, -30,
   20, -19, 50, -20, -16, -23, -30, -24,
   -2, 16, -3, -21, 10, 7, 35, -3,
   16, 50, -9, -29, -16, -25, -32, -22,
   -16, -18, 49, -25, -45, 24, -21, -25,
   -30, 4, -6, -45, 29, 19, 43, 24,
   36, 38, -32, 16, -18, -21, 0, 46,
   36, 62, -9, -4, -28, -42, 28, -11,
   -20, -34, 12, -11, 7, 27, -66, 30,
   -75, 4, -7, -13, 12, 11, 18, -12,
   20, -43, 55, 7, 11, 23, -21, 19,
   29, -59, -2, -5, -35, 63, -83, -1,
   -21, -11, 63, 15, -6, 23, -32, 17,
   2, 37, -4, -26, 40, -56, -21, -47,
   -45, -6, -6, -18, -60, 23, -48, -50,
   -13, -41, -101, -71, 9, 79, -121, 110,
   72, -44, -125, -28, 32, 18, 45, -77,
   -30, -114, -93, -104, -74, 107, -55, -29,
   -128, 34, -13, -51, 17, -7, 121, 126,
   55, 11, -85, 126, 127, -128, 127, -19,
   40, -80, 46, 22, 61, 52, 96, 96,
   -67, -37, -24, -112, 6, 46, 10, -67,
   -62, 63, -35, 67, -23, 64, 44, 3,
   48, -128, -11, 0, -7, 121, -126, -51,
   -25, -34, -15, 27, -29, 35, -77, -47,
   45, -20, -106, -1, 19, -126, 13, -17,
   -11, -127, 56, 5, -62, 42, -127, -75,
   -71, -15, -116, -103, -24, -9, 83, -70,
   -128, -38, -31, 105, 36, 28, -7, -37,
   40, -81, -19, -32, -44, 85, -62, 13,
   -10, -32, 90, -57, 102, -77, 30, 62,
   -45, -36, -21, -1, 55, -128, 116, 90,
   8, 11, 72, 36, 9, -127, 43, -116,
   -95, 0, 48, -124, -124, -8, -59, 21,
   -4, -35, 74, 5, -96, -10, -123, 8,
   42, 29, 123, -124, -125, 40, -18, 19,
   3, -2, 63, 91, -104, 69, -10, 114,
   38, 9, 62, -40, 50, -80, -77, -8,
   122, 127, 38, -87, -96, 123, 50, 91,
   5, 6, 127, -128, -46, -3, -43, 29,
   -124, 71, 16, 70, 32, -63, 52, 88,
   22, 40, 58, 16, -120, 74, -94, 71,
   125, 126, 6, -47, -76, -96, 79, -11,
   -38, 100, 26, 98, -36, -127, 10, 62,
   3, -101, -31, -121, -98, 66, -5, 127,
   26, 68, 76, -70, -100, -25, 76, -37,
   41, 94, -94, 92, -79, 97, -51, -93,
   113, -74, -64, -111, -8, 124, 127, 125,
   -53, 40, 96, 120, 27, 87, -36, 126,
   127, -44, -42, -128, -15, 33, -81, -3,
   -109, -115, 72, -117, -125, 127, 18, 126,
   -60, 12, 99, -19, -20, 24, -53, -21,
   6, 57, -111, -69, -30, -22, -100, -23,
   21, 27, -44, -126, -122, 74, -60, 58,
   73, -24, -57, -20, 6, 18, -65, -50,
   113, 121, -26, 50, 72, 62, 94, -33,
   52, -128, -116, -36, -38, 28, 9, 85,
   -50, 92, -2, 14, -84, 9, 124, 3,
   -21, -26, 120, -77, -1, 0, -46, -47,
   79, 82, 41, -7, 111, 93, -46, -125,
   -51, 104, 123, -10, -27, -16, 47, 37,
   -19, -20, 42, 127, 49, -29, 26, -32,
   59, 40, -26, -17, 95, -72, -47, 100,
   25, 127, -103, 57, -55, 125, 86, 112,
   127, -82, 113, 19, -11, -112, 65, 127,
   -58, -75, -11, 65, -128, 50, 27, -95,
   93, 119, -125, -106, 83, 97, 93, 27,
   97, 121, 12, 8, 52, -3, -123, -84,
   21, 77, -15, -37, 115, -72, 127, -40,
   33, 120, -112, 38, 30, -60, 102, 124,
   -113, -127, 110, -36, -72, -54, -127, -128,
   -126, -76, 42, 42, 17, 55, 15, -2,
   92, 27, -48, -21, 71, 67, -99, -40,
   49, 77, -95, 36, 19, 21, -54, 103,
   -37, -113, -14, 7, -23, -3, -123, 63,
   123, -53, -28, 18, 16, -115, 115, -122,
   -97, 33, 90, 52, -28, 1, -41, -87,
   -78, -70, -22, 11, 34, 35, 50, 53,
   127, 10, 120, -31, 102, 81, -126, 66,
   -103, -40, -76, -10, -10, 9, 21, 65,
   -29, 63, -48, -88, -93, 97, 42, -17,
   -14, 20, 100, 98, 51, 72, 95, 44,
   46, -51, 50, 49, -10, -83, -75, -100,
   45, -67, 26, 127, 79, -33, -50, -127,
   -92, -12, 13, -57, -76, 62, 79, -124,
   19, 55, 34, -34, -90, -20, -46, -1,
   -7, 45, -8, 85, -84, 81, 83, -90,
   -128, 44, 127, 54, 71, -84, 66, 11,
   -45, 25, -17, -5, -24, -79, -2, -120,
   35, -20, 27, 17, 30, 71, -21, 5,
   69, 114, -26, 52, -5, 12, -12, 110,
   123, -20, -57, 11, -20, 29, 34, -92,
   14, -5, -89, -30, -27, 104, 80, 101,
   11, 58, -3, -52, 43, 52, -8, 114,
   -90, -69, 14, 32, 41, -6, 7, 12,
   26, -126, -20, 12, -35, 97, -101, -123,
   -22, 0, -80, 0, -32, -31, 12, -64,
   -2, -28, -10, 7, 94, -18, -44, -7,
   -18, 23, -31, 100, -7, -29, -69, -69,
   125, 127, 121, 25, -125, -21, 124, 127,
   63, -128, 99, -58, 40, -101, -46, 99,
   -126, -12, 127, 123, -126, 44, 98, -69,
   91, 123, 56, 40, -127, 94, 107, 127,
   63, -95, 121, 119, -60, 83, 35, 52,
   -121, -28, 127, 127, -121, 120, 1, -40,
   -106, -111, -109, 29, -3, 14, -63, 62,
   -49, 37, 69, 63, -72, -33, 14, 27,
   76, -121, -83, 125, 20, -2, -117, 74,
   85, -54, -42, 47, 3, 27, 32, 70,
   -56, -15, 95, -81, -46, -38, -61, 66,
   -36, 45, -76, 88, 52, -14, 9, 82,
   120, 14, -17, -11, -121, -126, -24, 48,
   -22, 32, 13, 17, -67, 59, -121, -52,
   3, 77, -88, -25, 124, -113, 46, 86,
   78, -97, -118, 11, 107, 12, 22, 8,
   63, 43, -14, -109, 24, 15, -21, 80,
   4, -75, -76, -18, -5, -103, -19, -95,
   -13, -34, -23, 31, -41, 51, -39, 1,
   -26, 34, -36, 36, 75, 10, 56, -22,
   16, 18, 33, -2, 11, 50, 2, -1,
   62, -19, 62, 28, -38, 92, -40, 13,
   3, 8, -24, -5, -51, 16, -37, -13,
   42, 14, 34, 50, -26, 11, -20, 126
};

static const rnn_weight input_dense_bias[24] = {
   -69, -7, -38, 74, 127, -1, 19, -5,
   -39, 4, 27, -127, 115, -126, 125, 3,
   -29, 120, 10, 94, 74, -35, -16, 3
};

static const DenseLayer input_dense = {
   input_dense_bias,
   input_dense_weights,
   42, 24, ACTIVATION_TANH
};

static const rnn_weight vad_gru_weights[1728] = {
   25, -122, 41, -91, 6, -9, 2, 72,
   -100, -46, -102, -101, 31, 54, -48, -47,
   -80, -107, -5, -31, -121, -5, -26, -38,
   -16, -11, 36, -40, -19, 89, -25, 105,
   -5, -107, -3, -9, 40, 28, 2, 15,
   -54, -105, 2, 24, -83, -86, -6, 59,
   1, -63, -2, -28, 36, -47, 21, 29,
   -28, 4, -14, 36, 25, -30, -27, 6,
   -50, 33, -4, -50, 3, -69, 58, 4,
   -19, -69, -45, 2, -41, 110, 48, -42,
   -12, -100, 15, 127, 61, 64, 65, 51,
   -74, 24, 4, -8, -61, -127, 14, -126,
   -113, -81, -81, 31, -18, -11, 110, -5,
   37, -126, -90, -44, 26, -57, -45, 127,
   -22, 36, 0, -103, 5, 24, 62, -117,
   -18, -126, 99, 127, 34, -44, 77, 62,
   -42, 12, -101, -103, 103, -59, 66, -40,
   9, 127, 10, -1, -13, 74, 106, 117,
   104, 126, 17, -127, 88, -126, 55, -127,
   -125, 44, 119, -9, -68, -122, 115, 108,
   123, -79, 19, 18, -32, -86, 13, 31,
   68, -3, 11, -16, 27, -61, -34, -69,
   -44, -93, -43, -26, -128, -86, 59, -10,
   96, -36, 10, 68, -9, 48, 66, 85,
   69, -5, 28, -13, 39, 30, 58, 24,
   49, -9, -65, -42, -40, -21, 32, 29,
   -24, 66, -14, -69, 10, -19, -8, 1,
   -47, -57, 5, -106, 14, -32, -77, 126,
   -41, -69, 16, -44, -43, 9, -125, -63,
   -37, -128, 50, -1, 113, 78, 67, -29,
   98, 40, -14, -12, 7, -19, -20, 43,
   -85, -33, 53, -38, -53, 45, -23, 9,
   69, -9, 69, -128, 42, 48, -3, 80,
   85, -116, 2, -13, 52, 33, 53, -18,
   -45, 63, -22, -25, 49, 32, 93, -102,
   -119, 125, 72, 8, 57, 6, 9, 3,
   -6, -98, 14, 25, 5, 117, 0, 12,
   13, -13, -119, -91, 45, 58, -58, -10,
   126, -54, 14, 95, 120, 123, 6, 40,
   4, -35, 125, 17, 23, 48, 57, 94,
   2, 120, 121, 51, 76, 29, -108, -42,
   -65, -5, 62, -20, 24, -15, -17, 87,
   3, -24, 25, 9, 8, 24, -43, -38,
   -6, -32, -48, 13, -9, -51, 5, 17,
   29, 39, -34, 5, 25, 86, -32, -54,
   -19, 79, 26, 127, -9, 52, -45, 19,
   -50, -58, -64, -45, -11, 42, 40, -72,
   -11, 85, 23, -55, -103, 28, -19, -46,
   91, 87, -54, -125, -38, -11, -19, 62,
   -4, 84, 18, 8, -16, 107, 40, 63,
   80, -35, -49, -27, 19, -59, -28, 4,
   67, -77, 55, 22, 1, -8, -22, 11,
   -74, 66, -38, -15, 22, 52, 123, -94,
   -53, -3, -32, -128, -60, -58, 2, 105,
   44, 6, -9, -37, -42, -70, -44, -1,
   -62, 29, 38, 14, 78, 122, -94, -46,
   45, -32, 52, -35, 14, 24, 37, -47,
   52, -59, 68, 21, -18, 29, -5, 40,
   -52, -18, 27, -49, -33, 30, 55, 106,
   61, 119, 74, -70, -24, -8, 112, 120,
   101, -79, 62, 96, 85, -60, 16, -11,
   -32, -53, -80, -15, -46, -56, 74, -42,
   -3, 49, -64, 7, 30, 42, 105, 53,
   -79, 34, -29, 20, 40, -59, -73, 42,
   -19, -118, -10, -10, 82, 62, 79, -84,
   1, 51, 37, -34, -46, 29, -36, 16,
   -38, 58, -83, -36, 40, 1, -23, 29,
   -6, 101, -118, -71, 36, 10, -41, 67,
   9, 44, -49, -95, -15, -12, -100, -18,
   30, 30, 28, 45, -20, -76, -22, 11,
   -64, 13, 14, -38, -13, 10, 73, 5,
   20, 20, 67, 10, 88, 17, 75, 28,
   -24, 53, 4, -31, -21, -22, -30, 74,
   -35, -93, 16, -16, -83, 127, -11, -17,
   7, 34, -12, 5, -107, 2, -4, -40,
   67, 65, -24, -71, -61, 25, -12, 70,
   7, 23, -36, 1, 6, 5, -8, 22,
   -57, -89, 72, -30, -90, -34, -7, -2,
   6, -83, 4, 53, 3, 41, -62, -25,
   26, 17, 58, -20, 21, 0, 69, -3,
   -4, -43, -12, -4, 6, 8, 14, 44,
   115, 59, 41, 124, 65, 19, 107, -43,
   -29, 41, 15, -32, 32, 94, 77, -52,
   -34, 94, 69, -18, -89, 36, -31, 8,
   -16, 14, -72, 34, 33, 58, -36, 41,
   67, 11, -17, 41, 13, 19, 21, 22,
   -75, 58, -33, 27, -107, 25, -67, -40,
   -6, -25, -22, -49, -23, -60, -32, -65,
   55, -24, -49, -43, -37, -4, 7, -44,
   -43, 10, -2, -17, -36, -25, 2, -56,
   -42, -67, 52, -128, 24, 5, 31, 68,
   -3, -88, -8, -10, 34, -29, 117, 56,
   49, -68, 91, 111, 5, 32, 14, -124,
   -56, -36, -93, -73, 60, 81, -3, 21,
   -40, -31, -96, -107, -45, -8, -1, 101,
   -31, 50, 37, -103, -25, 67, -4, 5,
   -5, -103, -14, 69, 91, -21, 26, 11,
   6, 50, -38, 32, 53, 43, 126, -88,
   -71, 50, 30, -52, 49, -80, 42, -16,
   90, 127, 99, 79, -102, -98, 24, -63,
   -33, 115, 126, 86, -46, -19, 99, -30,
   127, 123, 97, 39, -125, -126, 27, 20,
   39, 41, -46, -53, 27, -42, 13, -7,
   11, 55, -42, -93, -1, -23, 74, 36,
   86, -21, 45, -5, -119, -76, 8, -15,
   43, 6, -53, 10, -30, -19, 76, -3,
   -1, -83, -10, -38, 76, -17, -13, 20,
   -38, 75, 9, -18, 32, -81, 52, -63,
   -47, -58, -48, 17, -14, 37, 56, 87,
   5, 38, -65, 92, 34, 61, -51, 3,
   -13, -76, 10, -13, 89, 6, -60, -45,
   70, -37, 50, 48, 20, -62, 93, -33,
   70, 6, 28, -54, -19, 50, -23, 14,
   75, -39, 2, -85, 59, -5, 7, 69,
   -26, 12, 48, -10, -5, 42, -46, -4,
   62, -15, 4, 10, 27, -64, -27, 79,
   16, 35, -11, 60, -40, 37, -33, 5,
   127, -5, -35, 54, -113, 95, 44, -39,
   86, 45, 21, 88, 45, 24, 45, 83,
   90, 127, 105, 50, -121, 42, 62, 61,
   -123, 47, 34, 0, -36, 63, 119, -43,
   39, -67, -60, 127, 110, -1, -17, 22,
   21, 25, -64, 111, -78, -63, 105, -84,
   -87, 16, -61, -10, 2, -7, 9, 8,
   -27, -36, -32, 117, -15, -31, -127, 58,
   127, -55, 74, 69, -25, 10, -17, -82,
   -128, -69, -54, 75, 2, 34, -48, 40,
   46, -52, -107, 0, -83, 14, -94, -54,
   -54, 8, -66, -102, 79, 127, -127, -28,
   3, -39, -61, 25, -23, -24, 81, -80,
   40, 73, 68, -42, -25, -72, 27, 34,
   -10, -88, -85, -89, 127, 34, -49, -5,
   -40, 60, -13, 36, 3, -10, 24, -5,
   76, -62, -49, 65, 28, 42, -102, 80,
   -21, -28, -61, 60, 27, 80, 12, -19,
   -126, 69, 39, 11, -55, -80, -20, -13,
   -51, -80, -61, -6, -22, -15, -61, -26,
   -54, 100, -95, 109, 44, -30, 29, 10,
   -31, 44, -71, -127, -36, -94, 69, 77,
   -3, 116, -60, 56, 15, 68, -16, -21,
   20, -49, -69, -22, 22, -55, -6, 16,
   67, 1, -12, 5, 101, -85, 53, 37,
   -19, 93, -68, -60, 106, 51, 40, -3,
   -57, -8, -49, 14, 33, 2, -21, 45,
   -61, -59, -16, -18, -93, 34, 52, -51,
   -45, 59, -5, -53, -104, -121, -50, 57,
   -42, -66, -31, -39, -27, -36, 106, 125,
   48, -14, 37, -15, 71, -108, 47, 45,
   23, -5, -47, 43, 121, 123, 54, -118,
   9, 31, 48, 71, 72, -20, 6, -83,
   11, 39, 27, -124, -43, 15, -99, -42,
   60, -49, 75, 47, -95, 8, -55, 32,
   60, -65, -1, 45, -122, 18, -21, 29,
   -125, -126, -117, -127, 31, 118, -50, 115,
   91, 125, -125, -125, 33, 107, -38, -55,
   -103, -114, -32, -6, 125, 121, -86, 2,
   41, 44, 17, 35, 79, 17, 93, -58,
   19, -61, 126, -23, -124, -30, 41, -8,
   -77, -67, -19, 124, 124, -1, 62, 27,
   -38, 28, -41, 1, -31, 4, 27, 41,
   0, 4, -19, 82, -67, -125, -19, -32,
   56, -100, 66, 58, 1, 8, 39, 22,
   -116, -50, 59, -39, 85, -127, -128, -19,
   -113, -111, -119, 17, -77, -128, -126, -127,
   -4, -127, -120, -123, 126, -65, -37, -14,
   -11, 52, -7, 100, 79, -89, 13, -127,
   -99, -40, -93, -60, -27, -127, 76, -73,
   126, 42, -128, 125, 55, 85, -42, -125,
   -19, -19, -19, 30, 1, -82, 51, 14,
   -13, 16, -2, 17, -91, -11, 54, -25,
   11, 74, 25, 42, -97, -22, 23, 82,
   -128, -81, 38, 126, -34, 11, -28, 94,
   29, -93, -128, 20, -19, -66, -128, -112,
   -119, 7, -13, -125, 126, 75, -110, 27,
   -16, -38, 29, -28, 82, -39, 60, 3,
   -24, 46, 23, -21, 74, 96, -11, -83,
   7, -44, -38, -34, 31, -17, 36, 5,
   66, -78, -31, -27, 5, 41, 60, 7,
   -43, -6, -7, -76, -71, 41, 11, -30,
   0, 47, -60, 0, 6, -7, 70, 51,
   106, 21, 39, -70, -85, 127, 91, 73,
   61, 102, 46, -52, -88, 125, -44, 34,
   121, 36, 69, 5, 115, 66, 6, -55,
   -23, 61, 76, 32, -11, 117, -25, -5,
   65, 78, 19, 12, -60, -20, -66, -4,
   -128, 23, -6, -13, -3, -19, -10, 115,
   31, 24, -16, -37, 76, 71, 6, -57,
   104, -97, 60, 17, -49, -99, -29, -42,
   -103, -8, -18, -36, -36, 17, -2, -40,
   59, 18, -75, -32, 39, 70, -127, 41,
   127, -65, 93, 56, 78, 69, -38, -126,
   -116, 67, -2, 15, -79, 63, 52, 106,
   -49, -125, 73, 124, 11, -71, 89, -124,
   -4, -9, 31, 10, 118, -69, -51, 35,
   54, 95, 23, 6, -52, 48, 8, -102,
   -32, 55, 18, 19, -67, -30, -46, 24,
   3, 39, 12, 53, 3, -20, -9, 9,
   71, -29, 20, 90, -17, 21, -61, -2,
   58, 126, 95, -78, -46, 17, 58, -84,
   -29, 127, 86, 4, 93, 0, 118, 86,
   -62, 62, 65, -31, -117, -75, -39, -81,
   -41, 93, -55, -128, -66, 65, -69, 38,
   23, 6, -48, -8, -65, 4, 2, -39,
   -7, 31, 31, -113, -101, 31, -19, 30,
   48, 6, 43, -6, -25, 1, -8, -22,
   -60, -9, -82, -77, -20, -78, 67, -19,
   38, 41, 10, -67, 11, -20, 30, 50,
   -57, -74, 74, 32, 126, 39, 80, -44,
   -118, 109, 65, -63, 0, -86, -64, -49,
   -128, 62, 9, -63, -118, 41, 48, 127,
   -17, 76, 4, -41, -32, 56, -49, 21,
   -25, -86, -91, -61, 11, -46, 87, 71,
   119, 55, 110, 18, -91, 72, 29, -68,
   35, 74, 41, -12, 9, 54, 75, -60,
   -14, 42, 15, 50, 14, 11, -20, -87,
   -2, -1, 41, -25, 123, -1, -37, -54
};

static const rnn_weight vad_gru_recurrent_weights[1728] = {
   66, 64, 124, 41, -73, -78, 53, 38,
   -54, 79, 106, -53, -24, 110, 65, 98,
   3, -92, -49, 11, -34, 80, 84, 76,
   -7, -49, 47, -3, -9, 10, 21, 33,
   -56, -15, 68, 29, 9, 9, 30, -8,
   35, 13, -34, 25, 34, 71, 65, 118,
   31, -127, 80, -3, 86, -45, 75, 97,
   -87, 21, 28, -38, 56, 35, 124, -82,
   -23, 122, 39, -84, 63, -24, 21, -66,
   -39, -65, -117, -22, 62, -42, -49, 57,
   10, -56, -60, 17, -8, 30, -85, -118,
   -33, 78, -10, -61, 29, -33, -121, -84,
   -23, 49, -93, -87, -21, -20, 34, -18,
   44, 24, -69, -32, -88, -66, -50, -39,
   -86, 9, -8, -47, -15, -78, -14, 1,
   55, 70, 15, -42, -7, 6, -38, 19,
   -48, -20, -35, 44, 71, -40, 59, -40,
   -46, -33, -73, 26, -14, 96, -3, 13,
   80, 77, 72, 43, -94, 65, 98, -26,
   -27, 63, 106, 52, 56, 44, 127, 112,
   43, 89, 12, 57, -33, -56, 116, -38,
   5, -73, 82, 80, -97, 42, 105, 54,
   -20, 50, 53, -15, 11, -14, -20, 7,
   -128, -23, 12, -16, 11, 87, -13, 34,
   62, -74, 46, 55, 28, -104, 8, 66,
   -48, 25, -5, -22, 42, 49, 91, 9,
   -13, -15, -70, -52, -16, 46, 28, -13,
   -23, -3, -21, -34, -109, 5, 0, -98,
   37, -109, 127, -3, -60, -110, 22, -24,
   -80, 106, -91, -114, 44, -20, -93, -6,
   -17, -63, 32, -30, -74, 83, 53, -91,
   -64, 28, 86, -8, -9, -45, -76, 11,
   94, -57, -117, -37, 3, -8, 120, 49,
   103, -43, 58, 55, 81, -126, 46, 8,
   -128, 74, -93, -34, 98, 68, 126, -56,
   -98, 59, -78, -15, -73, 64, 126, -9,
   80, -2, 126, 61, -2, 17, 118, 11,
   -124, 124, 37, 1, 48, -31, 97, 30,
   74, 1, 85, -3, 72, 28, 102, 9,
   5, 44, 127, 16, -36, 28, -22, -10,
   7, 96, 45, 69, 81, 16, -8, -54,
   -9, -15, -66, 118, 18, 8, 47, -1,
   -115, 6, -69, -124, 51, 29, -63, 24,
   -14, -43, 97, 77, -25, 63, -49, 108,
   41, -44, -14, 81, 22, -127, -53, -57,
   -42, -127, 32, 14, 62, 21, 127, -3,
   -51, -42, -32, 22, 59, 24, -19, 127,
   -22, 29, 117, 33, -45, -50, -22, -96,
   -33, 68, 48, -6, 43, 14, 8, 94,
   -10, -4, 27, 22, 15, 23, 30, -31,
   -50, -111, -5, -127, -16, -58, -36, 100,
   -23, 73, -128, -62, 18, 40, 12, -61,
   54, -47, 35, 112, -103, -91, -115, 81,
   101, 3, 126, 42, 37, -18, -69, -41,
   40, 110, 57, 14, -82, -94, 28, -105,
   -15, 34, 89, 43, -5, -121, 126, 125,
   84, 126, -105, 69, -3, -67, 27, 3,
   -27, 61, 22, 103, -22, 37, 80, -9,
   -50, -7, 13, -12, 58, -106, 1, 28,
   22, 49, -26, 1, 32, 75, 51, -27,
   78, -125, 119, 57, 5, -89, 82, 38,
   -17, 115, -88, -62, 58, 19, 127, -91,
   10, 115, -16, -16, -36, -19, 103, 26,
   70, 106, 47, -118, -62, -18, -128, 78,
   33, 33, -7, -82, -85, -122, 124, -94,
   25, -95, -128, 69, 102, 75, -38, 60,
   -62, -39, 27, -127, -60, -48, -127, -40,
   -38, -78, -31, -29, -43, -104, -6, -31,
   -27, -65, -7, 120, -6, -22, -35, -102,
   42, -47, 90, 104, 35, -57, 75, 87,
   -80, 83, -104, -84, 47, 127, 101, -115,
   -127, 80, -127, -87, -28, 45, -11, 84,
   -50, -122, -42, 41, 23, -12, 70, 42,
   -41, 2, -23, 5, -7, 31, -126, 127,
   31, 29, 123, -13, 111, 59, 35, 22,
   28, 69, 33, 117, 42, 7, 72, 17,
   1, 49, -24, -67, 30, 31, 6, -53,
   67, -124, 57, -126, 34, 53, 36, -46,
   -81, 118, -19, -61, -27, 44, -90, 26,
   69, -59, 78, 65, -8, -53, -128, 82,
   74, -68, -29, 90, 57, 47, -82, -25,
   -2, -19, 89, 19, -44, 3, 93, -28,
   -122, 127, 120, -128, -61, -53, 0, -28,
   -98, -95, 17, -86, 120, 50, 26, 37,
   16, 36, -84, -36, -47, 35, 13, 5,
   -66, 2, -20, 28, 69, 30, 7, -51,
   67, 39, -92, 56, 60, 32, -51, -50,
   21, -72, 110, 22, 21, -128, -5, 63,
   -66, 23, -43, -125, 114, 58, 123, -69,
   -28, 127, 24, -66, 3, 29, 52, 35,
   -70, -41, -72, -10, 85, 14, -103, 43,
   -12, 5, -127, -12, 6, 33, -84, -123,
   -124, -37, 93, -86, -19, -80, -44, -48,
   47, 35, -89, 6, 62, 17, -34, 37,
   -1, -79, -32, -87, -30, 45, -15, -12,
   -28, -30, 25, 45, 13, -73, -9, 39,
   -83, 126, -49, -56, -52, 51, -94, -126,
   9, -46, 41, 92, -50, -74, -63, 33,
   29, -126, 115, 86, -8, -3, -127, 39,
   6, -127, -70, -78, 17, 52, -45, 70,
   -10, -25, 43, -66, -31, 1, -128, 24,
   -57, 4, 122, -17, 35, -30, -107, 1,
   25, 29, 0, 79, 91, -15, 3, 29,
   8, -60, -34, 21, 23, -6, -14, -17,
   47, 33, 10, -96, 91, -35, 28, -8,
   -43, 39, -126, -35, -59, 0, -6, -27,
   47, -57, 70, 37, -49, -59, -107, 92,
   23, -57, -31, -11, 44, -19, -27, 35,
   10, 0, 59, 16, -122, -25, 3, -117,
   -17, 0, 99, 17, -26, 34, 125, -118,
   22, -16, -71, 80, 29, -44, -40, -41,
   1, -12, -50, -13, -29, -62, 51, 29,
   -28, 6, -28, -4, 13, -23, -63, -33,
   -53, -86, -96, 29, -25, -52, -13, 44,
   87, -124, 34, 9, 103, -74, 38, 71,
   -106, 70, -49, -47, 13, 28, 127, -83,
   -105, 61, -39, -46, -105, 59, 79, -19,
   16, 76, 43, 95, 20, -27, -77, -128,
   -51, 46, -44, -63, -8, 88, 96, -32,
   24, -1, 37, 46, -74, 127, 117, 124,
   -3, 55, 27, -47, -87, 16, -102, -13,
   -71, -23, -47, -37, -75, -86, 38, -60,
   -2, -1, -19, 99, 0, 51, -72, -7,
   60, -87, 84, 0, -7, -56, -11, 85,
   -47, 39, -39, -50, 78, -2, 127, -49,
   -22, 77, -62, -52, -60, -48, 84, 58,
   68, 63, 59, 13, -27, -87, 80, -46,
   -75, 26, 60, -9, -12, -53, 109, 59,
   30, -23, -29, 30, -4, 79, 111, 98,
   45, -8, 89, 48, -16, -29, 37, -28,
   -65, 12, -1, 62, 65, 11, 64, -7,
   62, -7, -66, 97, -36, 33, 10, 5,
   14, -22, -43, -26, 117, -60, -29, 47,
   56, -20, -24, -45, 18, 63, 31, -79,
   27, 24, -48, 16, 69, -59, -40, 15,
   -25, 61, -120, 29, 73, 116, 35, 22,
   41, -46, -63, 34, 61, -4, -35, -110,
   33, 124, 5, 63, -70, -90, -43, -24,
   -53, -7, 11, 17, 11, -49, -11, 63,
   -19, 15, 16, 19, 61, 60, -78, -55,
   -14, -33, 1, -16, -27, -57, 4, -48,
   -50, 125, -60, 20, -40, 52, -99, 36,
   -19, -41, -8, 41, -36, 17, -128, 56,
   98, -128, 115, 31, -48, 12, -47, 36,
   -13, -22, -69, 33, 25, 95, 34, -61,
   61, -76, -101, 127, 126, -104, 14, 51,
   -77, 125, 54, 5, -60, -112, -7, -89,
   -34, 52, 19, -59, 99, -20, -18, -59,
   39, -27, 1, 16, 15, 13, 33, 16,
   21, -1, 75, -40, -12, -24, 30, -119,
   -127, 127, -55, -18, -122, 100, -21, -18,
   66, -58, 44, 48, -48, -88, -127, 127,
   73, -128, 59, 44, -62, 100, -81, 33,
   63, 64, 109, 58, 27, 44, 109, -112,
   30, 123, 56, -35, 20, -14, 104, 119,
   24, 126, 81, 98, -41, -9, 119, 55,
   -43, -15, 32, -27, -11, -47, -8, -71,
   -23, -42, -55, -43, -10, -76, 7, -47,
   42, -7, -3, -16, -12, 27, -40, -11,
   -48, 7, 119, 0, 4, -22, -3, 72,
   4, -24, -7, -6, -23, 114, 54, -27,
   -2, 83, -81, 16, 6, -18, 26, -68,
   73, 127, -102, -17, 127, -40, 38, -86,
   79, -85, 33, 127, 38, -128, 126, 125,
   127, 125, -127, 116, -125, -101, 105, -55,
   62, 7, 20, -9, -5, 5, 92, -85,
   -72, -35, 66, 11, -20, 13, 37, 100,
   38, -14, -41, 31, -36, -91, 42, -73,
   -70, 73, -8, 0, -5, 36, -9, -60,
   -7, 16, 16, 101, -54, -122, -101, 127,
   95, -128, 127, 39, -96, -31, -34, -1,
   -127, -125, -61, -58, -52, 38, -21, 116,
   45, -98, -21, -56, -4, -26, -123, -117,
   -58, -62, 3, -48, 52, -87, -125, -61,
   -62, -25, 3, -54, 64, -3, 19, -39,
   1, -68, -97, -6, -9, 17, -92, -36,
   -53, -54, -43, -101, 44, 1, -58, -61,
   -66, 125, -44, -68, -112, -6, -76, 26,
   32, 38, 45, 5, -24, -120, -7, 127,
   32, -116, 127, 61, -112, -16, -24, 31,
   -113, -127, 97, -27, 127, -42, -63, -77,
   -126, 59, -98, -57, -23, 30, -127, -73,
   -128, -59, 124, -119, 127, 70, -34, 54,
   -80, -12, 27, -40, 51, -69, 58, -98,
   -18, -26, 27, 73, 104, -65, 28, 123,
   14, 32, 6, 127, -50, -121, -49, -128,
   -127, 127, -127, -118, 80, 71, -126, -14,
   127, -91, 127, 127, -50, -88, -128, 127,
   127, -127, 109, 127, 19, 58, -126, -19,
   37, -125, 66, 115, -75, 126, 102, 127,
   101, 93, 125, -91, 3, 127, -50, -98,
   -85, 26, 77, -118, 121, -116, -82, -37,
   101, -25, 65, 27, 12, 119, 74, 76,
   -52, 41, -15, 51, 27, 127, -72, 127,
   77, 56, 47, -64, 34, -58, 95, 27,
   127, -74, 79, 99, 29, -68, 88, 126,
   -77, 37, -32, -77, 89, 70, 116, -71,
   -103, 41, -127, -47, -2, 47, 13, -3,
   60, 32, 104, -14, -65, 25, 112, -50,
   3, 18, 99, 71, 65, -124, 93, 123,
   63, 15, -96, 13, -65, -29, 66, 9,
   -70, -44, 57, 38, -46, -12, 19, 30,
   -19, -27, 28, -8, 49, -15, -24, -11,
   -58, -2, -47, 48, 76, 36, 42, -93,
   -40, -119, -6, -62, -36, 30, 74, 69,
   -56, 16, -34, -3, 50, -52, 2, -7,
   103, 17, -44, 85, 5, -29, 83, -51,
   -116, -128, 76, -100, 29, -20, -18, 94,
   -20, -4, 114, -6, -29, 77, -128, -90,
   -85, -128, -19, -87, 127, 41, -20, 127,
   124, -2, 65, -49, -36, 6, 43, 49,
   -53, -30, 36, 13, 48, 30, 70, 67,
   127, 55, -2, 49, 125, 44, 39, -11,
   50, -127, 92, 65, 51, -96, 34, 124,
   -9, 40, -127, -39, 76, 34, 59, -47,
   -87, 124, -70, -125, 89, -14, 126, 19
};

static const rnn_weight vad_gru_bias[72] = {
   -128, -127, 24, -84, 28, 81, -106, 121,
   -53, -34, -73, -128, -59, 31, -127, -123,
   -127, -125, 97, -127, 123, 126, -125, -11,
   36, -8, 32, 85, 37, 52, 24, 79,
   63, 66, 40, 22, 39, 8, 2, 15,
   75, -24, 54, -38, 17, 49, 22, 58,
   6, -59, 5, 5, 38, -26, -4, -36,
   -10, 11, -12, -19, 8, 5, 78, -53,
   -54, 42, -120, -45, 59, 33, -7, 5
};

static const GRULayer vad_gru = {
   vad_gru_bias,
   vad_gru_weights,
   vad_gru_recurrent_weights,
   24, 24, ACTIVATION_TANH
};

static const rnn_weight noise_gru_weights[12960] = {
   0, 27, 12, 8, -81, 27, -43, -13,
   21, 40, -6, 36, -10, -75, -50, -1,
   12, 20, 43, -54, -26, 12, -69, 18,
   -69, 36, -11, 8, -31, -54, -46, -21,
   -29, 5, 11, 84, 90, -4, 25, -18,
   -91, 41, 15, -6, -36, -22, -68, -3,
   25, -13, -15, 14, 22, -14, 33, 10,
   1, -4, 72, -9, -25, -46, -37, -84,
   7, -49, 9, -45, 0, -16, 1, -28,
   -36, -23, 28, 4, -62, 2, 32, -60,
   34, -17, -3, 23, -22, -16, -33, -31,
   -57, 1, -20, 66, 46, 59, -68, 31,
   51, -64, -6, 16, 36, -13, -43, -15,
   27, 4, -36, 7, 17, 11, -11, -5,
   -79, 1, 28, 9, -27, 35, -49, 23,
   -12, -7, 31, -10, 15, -40, -9, -46,
   36, -3, 17, -7, 19, -73, -6, 24,
   8, -21, 52, -4, -14, -5, -14, 15,
   17, 53, -1, 36, -9, -7, 12, -69,
   23, -16, 2, -52, 17, -57, 38, -80,
   23, -30, 39, -46, 24, 42, 107, 5,
   -125, -43, -122, 51, -7, -125, 67, -43,
   104, 35, -2, 25, -21, -71, -15, 1,
   -20, -88, -93, 26, 12, 76, -96, -8,
   10, -108, 52, -16, 44, 18, 107, 6,
   16, 19, 56, 20, 30, -57, 79, -17,
   -19, 4, -14, -85, 79, -11, 28, -26,
   -40, 10, 0, 9, -40, -46, -36, -80,
   28, 53, -16, -10, -40, -16, -46, 19,
   2, -45, 14, 45, 14, 17, 74, -21,
   42, -34, 4, -69, 111, -36, 36, -44,
   12, 63, 24, 13, 0, 36, 46, -34,
   -77, -32, -9, 38, -96, -45, 29, -41,
   41, -12, -49, 67, -19, -19, -6, 16,
   -70, 15, -31, -15, 38, -91, -3, -63,
   -44, -29, 25, 43, -43, -76, 20, -24,
   -13, -31, -16, 62, -43, -39, 39, -84,
   8, -51, 57, -44, 32, -98, 32, -26,
   29, -43, -78, 57, 25, -65, -5, -10,
   -43, 60, -32, -96, -12, 8, -2, -24,
   16, -15, -100, -28, -18, -7, -38, -41,
   -4, 16, -34, -11, -39, -74, -114, 21,
   -42, 25, 51, 100, 33, 45, -47, -5,
   -4, 12, 15, 46, 40, 55, -7, -51,
   31, -41, -34, 14, -30, -36, -43, -22,
   21, -25, 9, -2, -55, 1, -47, 23,
   99, 43, 15, 57, 33, -31, -22, 46,
   17, -36, -18, -15, 9, 72, -36, -2,
   -6, -47, -81, 16, 49, -60, -94, -23,
   19, -9, -20, -29, -11, -74, 16, -38,
   15, -48, 43, 13, 33, 9, 6, 6,
   23, -1, -26, 43, 23, -4, -9, 28,
   35, -39, 59, 45, 83, -2, -44, -28,
   -50, -50, 44, -14, -2, -76, 22, 12,
   -13, 69, -61, 52, -19, 5, 81, 32,
   -1, -103, 33, -48, 85, -78, -22, -18,
   15, -43, 20, -5, 7, -57, -40, 3,
   -76, 7, 64, 21, 33, -40, -23, -59,
   22, -3, -15, -57, -20, 52, 90, -15,
   15, 16, -5, -17, -5, -66, 31, 70,
   -1, 50, 11, 9, 45, 4, 6, -23,
   52, 68, 49, 47, 69, 27, -21, 15,
   -10, -47, 39, -5, 7, -27, -62, 43,
   36, -22, 105, 11, -73, -16, -30, -33,
   -46, -12, -72, -61, -37, 28, -10, -23,
   -17, 8, 25, -19, -8, 35, 23, 37,
   -55, -78, -53, -34, 31, -16, -22, -12,
   21, -3, -15, 31, 40, 44, -20, -20,
   -55, -24, -42, 20, 15, -23, 9, 9,
   6, 3, -21, 7, 1, -48, -8, 36,
   44, 69, -7, 5, -38, -26, -5, -47,
   39, 12, 45, -3, -46, 22, -29, 8,
   38, -18, -15, -39, 78, -51, 44, 29,
   -14, 16, -41, -21, -25, -35, 46, 27,
   -12, 70, -38, -8, -6, 31, -8, -3,
   43, 2, 50, 48, 13, 36, 10, -59,
   15, -7, 64, 5, 57, 91, 29, 25,
   22, 41, 5, -6, -32, 27, 82, -58,
   3, 16, 37, -43, 3, -59, -81, -4,
   -19, -2, -9, -33, -3, -33, -14, -51,
   -7, 17, -19, -18, 13, 22, 27, 14,
   40, -19, -37, -20, 1, -6, 26, -47,
   -47, -4, 4, -27, 52, 22, 3, 13,
   31, -12, 25, 16, -76, 28, -5, -16,
   -48, 6, -29, -1, 11, 25, 22, 38,
   -33, 9, 3, -38, -10, 3, -21, 12,
   20, -28, 2, -6, 14, -30, 2, 7,
   34, 8, 5, -40, -14, 24, -28, 10,
   23, -27, 4, -72, 17, -1, -5, 4,
   6, -20, 0, 23, 20, 13, -36, -22,
   -116, 33, 2, 11, -54, 56, 11, 32,
   -20, -1, -91, -57, -40, -127, 4, -52,
   -6, -82, -36, -80, 42, -23, 123, 2,
   -72, 6, -26, -39, -35, 18, 60, 102,
   -36, -125, -39, -26, -26, -85, -12, 28,
   -109, 56, 30, 24, 64, -102, -79, 59,
   -79, -96, 40, -33, -7, 34, 7, -2,
   23, -71, 47, -38, -9, -58, 56, 18,
   -70, -26, -72, 84, 68, -3, -30, 45,
   84, 41, -85, 10, 13, 58, 9, -66,
   74, 42, 9, -67, -49, -12, -76, 22,
   10, 70, -69, -44, 11, 11, 18, 31,
   57, -36, 32, 108, -38, 57, -3, 17,
   48, 77, -13, -27, -28, 24, 74, 17,
   19, 9, 8, 55, 28, -9, -18, -22,
   7, -12, -34, 12, -10, 46, -1, 61,
   64, -21, -49, 15, 35, 37, 35, -15,
   -36, -5, 48, 81, 11, 12, 13, -12,
   -43, -3, -36, -29, -65, 17, 34, -33,
   32, -59, 0, -51, 30, -26, -38, -28,
   30, 26, 36, 18, -28, -31, 58, 3,
   -65, -3, -9, 36, 41, -43, -32, -29,
   -10, -66, -26, 69, -24, -12, -5, -23,
   -6, -36, 31, 64, -49, -43, 17, -46,
   4, 42, 56, 41, -28, -14, 51, 3,
   9, 19, 35, -10, 16, -51, 72, 82,
   -37, -50, 73, -28, 44, 24, -58, -27,
   3, -85, 113, 1, 30, -22, 33, 21,
   58, -26, -36, 20, -12, 19, 23, -12,
   -45, -7, -32, -49, 3, -22, -18, 51,
   30, -67, -20, 7, -7, -16, -43, 53,
   -22, -7, -43, -5, 0, -3, -1, 26,
   -22, -7, 19, -30, -40, -32, -38, -38,
   31, 41, -16, 15, -34, -39, 23, -12,
   18, -74, 40, -2, 14, 25, -2, -55,
   13, 24, 18, -3, -35, -10, 29, -13,
   -26, 0, 40, -54, -39, 82, 18, 30,
   26, -11, 65, 35, -28, -7, 3, 60,
   -12, -23, 39, 16, 24, -11, 56, 63,
   -31, 17, 20, -67, -1, 55, 38, -57,
   34, 20, -41, 81, 65, 57, 30, 48,
   -26, 44, -48, -10, -22, -29, -17, 17,
   21, -16, 17, 0, 19, 9, 29, 59,
   -16, -9, -10, 44, 7, -76, 12, -39,
   29, -12, 5, -49, 46, -12, 39, 11,
   -3, -19, -41, -20, -15, 8, 54, 26,
   2, 43, -6, 7, -6, -27, -34, 46,
   35, 35, 49, -11, -76, -54, -20, -30,
   13, -12, 27, -37, -52, 3, 3, 25,
   -7, 40, -30, 0, 14, 11, -9, 20,
   29, 12, 23, -48, 2, 32, 48, -24,
   38, -47, -19, 33, 8, -26, 57, 13,
   76, -17, 5, 27, 43, -5, -32, -9,
   -13, 7, 2, -54, -72, 54, 54, -26,
   -68, 17, 2, -22, -75, 64, -32, -75,
   99, 11, 5, 24, -28, -21, -56, 2,
   -61, -21, 34, -7, -21, 8, -23, 10,
   -61, 41, 9, 5, -10, 5, -41, -38,
   -32, -4, 27, -7, 101, -38, 40, 17,
   -120, 40, -25, 1, -35, -6, -8, 26,
   -10, -21, -5, 11, -28, 34, -26, -21,
   21, 46, -5, -14, 33, -3, -22, -14,
   8, 9, 27, 4, -39, -20, -59, -35,
   -29, 5, 54, -1, -35, -51, 14, 69,
   64, 65, 9, 23, 7, -17, -27, 39,
   7, 4, 28, -22, 18, 1, 23, 49,
   21, -9, -12, 13, 23, 33, 24, -26,
   4, 23, 6, -62, 35, -23, 23, -28,
   -23, 44, -24, 42, -26, -2, 13, 1,
   14, 27, 14, -8, -9, -16, 15, 27,
   61, 7, -10, -40, -13, -36, -31, 24,
   -41, -73, 2, -19, -31, -2, 8, 9,
   18, -18, -63, -12, -32, 51, -46, -37,
   -38, -8, 59, -36, -3, 13, -9, 32,
   -8, 58, -67, -2, -42, -11, -127, 13,
   68, -22, 88, 2, -44, 12, 25, -52,
   58, 26, 12, 10, 12, -12, 51, 18,
   15, -45, 51, 20, -108, -26, -22, -29,
   39, 3, 25, -33, -36, 54, -46, 48,
   23, 7, 8, -24, -20, -93, 8, -38,
   8, 69, 4, -55, -53, -27, 25, 30,
   41, 43, -20, -3, -18, -11, -11, 55,
   77, 35, -57, 20, -3, -35, -30, 6,
   -8, 19, 36, 23, -72, -55, -21, 1,
   40, -66, 2, -12, 21, -23, -4, 36,
   -9, -34, 34, -34, -51, -55, -27, 8,
   8, 17, -31, -8, -9, 41, -10, -38,
   14, 53, 28, -18, 18, -36, -10, -16,
   19, -19, 15, -19, -31, 37, 15, -2,
   70, 10, 33, -19, -19, -20, 59, -21,
   -30, -24, -66, 22, -63, -47, -7, -4,
   52, -43, -14, -55, 103, -100, 26, -24,
   49, -22, 6, -20, -24, -41, 34, -68,
   -126, 29, -53, 6, 42, -70, -32, -25,
   -1, -28, -20, -13, 28, 9, 30, 65,
   -7, -20, -10, 72, -47, 19, -61, 20,
   -28, -5, 25, 73, 38, -30, 28, 58,
   96, -36, 21, 13, 12, -31, 15, -16,
   -41, -58, -38, 7, 66, 13, -41, -50,
   -46, -12, 49, -28, -43, -23, -40, 13,
   27, 57, 19, -49, -24, 32, 0, -30,
   -52, -49, -34, -67, 100, 27, 36, -62,
   45, -34, -16, -4, 49, -61, -71, 8,
   17, 46, 26, 54, -4, -38, 11, 33,
   -30, -58, 12, 54, 17, -46, -20, -5,
   34, -27, -47, 45, -52, 18, -12, 5,
   23, -20, 27, -10, 44, -63, -28, 11,
   5, -35, 27, 73, 61, -23, 6, 3,
   40, -42, 92, 6, 30, 51, -65, -3,
   44, 40, -27, -2, 74, 45, -43, 43,
   -41, -5, 15, -5, 12, 70, -28, 99,
   -41, -3, -33, 40, -79, -60, 43, 9,
   29, 16, -20, 33, -22, 13, 34, -51,
   -84, 12, 29, -45, -19, -43, 1, -10,
   59, 42, -23, -23, -52, 14, -15, -16,
   -64, -9, 32, -42, 17, -9, 54, 28,
   -19, -26, -22, -25, 11, -14, 63, 21,
   -5, -43, -58, 12, 33, -28, 71, 13,
   25, 86, 6, -49, 31, 4, 33, 15,
   -19, 65, -64, 80, -36, -53, -41, 55,
   -49, -7, 50, 20, 8, -1, 5, -21,
   13, 41, -7, 55, 3, 28, -29, -32,
   23, -7, 4, 49, 16, 13, 18, 33,
   -20, -24, 30, -31, 34, 42, 18, -24,
   -17, 14, -36, 44, 28, -18, 13, 17,
   17, -37, -5, -24, -38, -5, 0, -38,
   -1, 90, -45, -2, 5, 0, 4, 29,
   -17, -17, -38, 45, -41, 17, 45, 59,
   30, 14, 0, -28, -2, -22, -21, -37,
   53, -41, 78, 8, -60, -33, -33, -37,
   -4, -7, 35, 60, -59, -9, -69, -54,
   110, 47, 18, 75, -14, 71, 40, 46,
   15, -14, -48, -10, -5, -20, 69, 16,
   30, -12, -35, 17, 14, 44, 32, 34,
   2, -27, 14, 81, 18, -35, -20, 21,
   35, 30, -47, 7, 43, 11, -3, -34,
   -31, -22, 44, -24, 8, 14, -29, 4,
   3, -39, 7, -21, 15, 19, 12, 35,
   -24, 44, 17, -38, 37, -9, -2, -15,
   25, 21, -49, 4, 62, 14, -47, 40,
   37, -21, -36, 13, 2, -35, 19, 25,
   19, 12, -45, -22, -9, 4, -2, 32,
   23, -47, 57, -31, 33, 57, 57, -19,
   -10, 46, -39, 25, 43, 18, -30, 4,
   21, -94, 50, -7, -36, 4, -9, -82,
   -13, 51, 70, 12, -36, 66, -4, -6,
   2, 92, -18, 63, 0, -121, 58, -42,
   53, 4, -53, -18, 46, 30, 41, 9,
   -6, -19, 35, 79, -78, -5, 14, 19,
   -16, -25, 8, 31, 62, 33, -91, -29,
   2, -72, 11, -9, -22, -28, -74, 20,
   44, -36, 49, -12, -46, 54, -92, -101,
   -43, -48, 3, 32, -38, -46, 50, -27,
   -7, -41, -76, 4, 36, 9, -20, -40,
   -15, 7, -1, -5, 8, -1, 35, -10,
   32, 27, -52, -48, -31, -99, -60, -18,
   28, 12, 10, -39, 49, 60, 75, 15,
   48, -22, -1, -9, -20, -27, 35, 7,
   53, -32, 21, 25, -2, 66, 8, 31,
   -40, 14, 8, -25, 30, -61, 5, -36,
   -40, 18, -43, 8, 25, -38, 5, -21,
   1, 7, -2, -51, 3, -20, -8, 18,
   13, -25, 2, -63, -3, 17, -86, 1,
   2, 26, 21, -7, 16, 1, 46, -19,
   39, 23, 12, 55, -24, -8, 18, 22,
   38, -51, -45, 16, -11, 28, 51, 35,
   -13, 62, 30, 11, 3, 32, -35, -47,
   1, 11, -3, -3, 15, 18, -21, -18,
   34, 60, 47, 15, -27, -6, -32, 38,
   -66, -36, -46, 7, 2, -87, 38, 14,
   -34, 25, 9, 13, -36, -18, 12, 53,
   20, 39, 13, -10, 2, 64, -12, -16,
   -31, 6, 0, 7, 7, 28, -9, -74,
   -17, 3, 3, -14, 14, -17, 62, -55,
   -45, 39, -14, 51, 18, 28, 65, 43,
   -33, 1, -19, 25, -13, -6, -7, -2,
   -54, -10, -26, -6, -15, -33, -3, -6,
   -14, -1, -15, -14, -15, -22, -12, 14,
   -14, 28, -3, -56, 3, 32, -14, -25,
   23, 42, -40, -24, 0, 44, 44, -17,
   -95, 127, -6, -124, -40, 114, 19, 20,
   98, 3, -43, -62, 0, -30, 49, 0,
   -9, -85, 14, -4, -28, -42, 31, 77,
   -47, -10, 43, -52, 13, 41, -11, -7,
   -65, -2, 74, -9, -23, -7, 79, 52,
   3, 47, 15, 93, 5, 39, 53, -30,
   -17, -71, 82, 13, -50, 21, 46, -12,
   122, -29, 38, 36, 30, -115, 21, 27,
   -95, -41, -21, -2, 39, -9, 19, -6,
   -39, 52, 51, -27, 21, 13, -51, 5,
   -20, 44, -11, -47, -128, 23, 47, 17,
   -60, 13, -43, 33, 6, -8, 2, 21,
   -22, -16, 39, -30, -49, 8, -17, -30,
   -21, 84, -19, -21, -17, 7, 25, 90,
   -22, -24, -8, 21, -33, 8, 51, -25,
   -12, -59, -38, 41, -30, -26, 38, -21,
   86, 24, 31, 19, -50, -35, 10, -11,
   -41, -36, 27, 17, -49, 12, 37, -5,
   44, 33, -4, 47, 1, -22, 17, -29,
   4, 6, 107, 65, -6, 2, 8, -62,
   22, 71, 3, 45, -19, -3, 7, -15,
   16, -58, -28, 30, 21, 95, -8, 39,
   -7, 3, -44, 39, -79, 48, 0, -87,
   10, -17, 7, 41, 42, -96, -67, -94,
   27, -3, -35, -30, -73, -8, 9, -43,
   -11, -5, -32, 12, 1, 21, -91, -11,
   45, -28, -59, 80, 18, 59, -14, 49,
   37, 9, -2, 38, 18, -29, 46, 63,
   -1, 28, 17, 7, 53, -73, 19, 13,
   84, -23, -1, 6, -63, -25, -3, -59,
   -38, -22, -67, 24, -25, 4, -26, -4,
   49, -32, -27, -31, -52, 34, 2, -36,
   32, 20, 20, -47, 48, 37, -28, 59,
   97, 41, 0, -85, 14, -51, -10, 70,
   26, -20, -7, -35, 36, -4, 82, -7,
   -21, -13, -4, 71, 31, 22, 9, -9,
   26, 34, 4, 17, -55, -42, -13, -52,
   -64, -21, 43, 48, 36, 11, 57, 4,
   74, 33, 27, -21, 30, 22, 6, -82,
   74, -84, 59, -4, 28, 120, 65, 42,
   62, 5, 13, -15, -39, 1, -64, 15,
   91, -37, 80, -11, 18, -14, 93, 55,
   32, -49, -34, 21, -41, -37, -5, 127,
   23, -67, -9, -34, -3, -8, -2, 74,
   -39, -14, 28, -5, -30, 65, -32, 30,
   26, 55, 45, 40, 1, 38, -13, -36,
   -27, -86, 74, 101, 78, -22, 20, 22,
   -9, -74, -23, 7, 23, 115, 36, 7,
   45, 50, -52, 52, 6, 12, -5, -1,
   -14, -58, 16, -20, 47, -20, 9, -36,
   -78, -4, -27, 18, -6, 39, -48, 15,
   0, -32, -45, 43, -30, -10, -19, -18,
   -23, -5, 26, -36, -8, -15, -71, -36,
   30, -16, 33, 7, -20, -52, -31, 47,
   -26, 14, -27, 10, 23, -91, 50, -122,
   37, 43, -38, -57, 109, 70, 4, -112,
   -17, -39, 52, -40, 40, -35, -13, -63,
   48, 78, -20, -109, -31, -68, 32, 22,
   -26, -12, 42, -106, -12, -25, 3, -104,
   -29, 64, -26, -8, -34, 60, -5, 5,
   13, 6, 9, 56, 32, 38, -6, -32,
   -4, 52, -42, 123, 26, 2, 65, 20,
   7, -90, -55, -32, 11, -92, 35, 0,
   1, -86, -25, 19, -12, -69, -22, 106,
   -34, -2, -10, 71, -43, 73, 12, 7,
   -2, 62, 16, -5, 12, 42, 30, -48,
   -38, 13, 30, -32, -31, 20, -11, -23,
   0, -41, -8, -9, -7, 15, 6, -2,
   -22, -39, -18, 35, 40, -96, -5, -3,
   -40, 24, 26, 108, -47, -14, -64, 42,
   13, 41, 12, 31, 1, 61, 23, 26,
   11, -97, -21, 33, -3, 16, -2, -73,
   -93, -36, -7, -48, -9, -14, -13, 80,
   -2, -10, -72, 19, 53, -86, 44, -16,
   43, -79, -6, 10, 34, 32, 5, -56,
   -30, 10, 2, 46, 1, 25, -34, 54,
   -3, 64, -71, 7, -24, 4, -2, 2,
   81, 29, 5, -47, -18, -7, 12, 71,
   15, 55, 73, 60, 3, -13, 30, 17,
   -2, 2, 38, 85, 20, -18, 43, 20,
   -15, 8, -57, 79, 26, 26, 23, 19,
   -11, 2, 38, 23, -12, -7, -16, 9,
   -92, -48, -7, 3, 6, 4, -11, -13,
   -12, 47, -32, 24, 38, -24, 12, -26,
   40, 88, 35, 1, -54, 52, 69, -35,
   -14, 12, -47, 27, -13, 19, -23, 12,
   -2, 6, -42, -4, 28, -26, 6, 17,
   -21, -9, -32, 63, 0, -29, 56, -10,
   13, -14, 49, -3, -8, 6, -8, -5,
   24, 33, 14, 19, -52, 44, -12, -12,
   69, -43, -26, 53, 0, 2, 8, 26,
   -74, 25, 6, 89, -15, 50, 95, -23,
   -11, 103, 36, 97, 11, 21, 15, -35,
   122, -43, -74, 40, -11, -8, 28, 48,
   28, 2, -6, 59, 60, -12, -127, 15,
   102, 34, 43, 8, 27, -39, -7, -41,
   52, -45, -5, -62, 7, -51, -30, 72,
   -61, -21, 39, -27, -21, -68, -41, 14,
   66, -32, -47, 7, 0, 28, -19, -3,
   -12, -31, 24, 44, -35, -61, 45, -18,
   5, 23, -19, 8, 50, -13, 32, -24,
   -10, 28, 10, -43, -31, 61, -43, -57,
   -31, -21, -48, -88, -15, -1, 45, 35,
   -14, -62, -2, -1, -27, -13, -82, 9,
   -27, 5, -44, 26, -5, -52, -65, 2,
   -12, -9, -4, -70, -10, -26, -77, 43,
   -36, 12, 21, -97, 22, -20, -5, -85,
   -16, -17, 38, 32, 25, -91, -27, 61,
   12, 19, 53, 6, 43, 21, -28, -33,
   6, -22, -10, -12, -45, -31, 10, 20,
   -45, 30, -46, 26, -75, 53, 2, -44,
   11, -73, -19, -42, -19, -26, 24, -19,
   -26, 18, -44, -8, 36, 59, 35, -84,
   3, -45, -40, 14, 12, -61, -31, 18,
   51, 36, -4, -20, 38, 59, -29, -43,
   -5, -6, -5, -15, 10, 33, 19, 12,
   55, 77, -19, 15, 26, 10, -2, 17,
   18, -24, -39, -17, -5, -17, -87, -31,
   -41, -30, -25, -123, -1, -30, -97, -51,
   37, 23, 13, 41, 2, 19, 14, -41,
   10, 4, 22, 23, 0, -9, 52, -16,
   -21, -26, 27, 11, -24, 31, 28, -6,
   15, -19, 14, 20, -30, -44, 1, -18,
   -17, -42, 21, 18, 27, 4, 49, -30,
   18, 13, -55, 6, 10, 10, 7, 21,
   -13, -44, -1, 10, -11, 37, 12, 53,
   -6, -29, 23, -8, -20, 10, -36, -77,
   -3, -78, -17, 17, -36, -22, -65, 14,
   -30, -80, -44, -16, -62, -54, 45, 14,
   -10, -3, -51, -8, 100, 55, -21, 22,
   39, -48, -29, -12, 15, 56, 97, 37,
   27, 19, -30, 38, 32, 46, -32, 29,
   -38, -73, -1, 66, -19, 40, 53, 46,
   -28, -38, -45, 54, 10, -82, 62, 9,
   -15, -48, -34, 28, 11, -30, -39, -53,
   44, -30, -19, 44, -85, 25, 63, 12,
   45, -31, 11, 47, -37, 36, 28, 88,
   18, -15, 4, -54, 9, 24, -36, -62,
   -4, -61, -15, -47, 26, 37, -33, -31,
   -8, 4, -14, 44, 47, -2, -3, 8,
   15, -25, 5, 49, -58, 50, -50, -17,
   -31, -2, 11, 33, -22, 10, 20, -24,
   37, -27, 47, -10, 46, -19, -52, 8,
   -24, -10, 4, -9, 33, -14, -2, -18,
   -16, -19, 18, 48, 8, 10, -67, -42,
   71, 16, 46, 16, -48, 92, -42, -23,
   -6, -26, -32, -31, 15, -33, -4, 41,
   -10, -26, -17, -24, 30, -24, 6, -34,
   -39, 46, -29, 61, -27, 3, -18, 31,
   -67, -15, 19, 3, -17, -15, -28, -36,
   -28, -16, -2, -81, -24, 52, -68, 68,
   -80, 0, -12, 40, -60, -26, -29, -44,
   36, -28, 41, 10, -47, 16, -3, -30,
   60, -13, -31, 22, 6, 56, -39, -61,
   6, -2, -40, 38, 17, -12, 117, -49,
   -49, 2, -3, 72, -96, -95, -66, 27,
   -18, 45, -44, 15, -1, -1, -17, -16,
   10, -2, -23, -9, 3, -6, 33, 42,
   9, 43, 21, -35, -14, -6, 63, 16,
   15, 35, -35, 6, -10, -2, 21, -16,
   -29, 18, -16, 19, 15, -7, 26, 51,
   5, -35, 58, -33, -18, -33, -12, 5,
   -70, 53, -18, 3, -3, 38, 10, 28,
   -1, 30, 62, -27, -8, -8, 21, 30,
   33, 23, -30, -2, -13, -9, 17, 7,
   -66, -4, 20, -11, -11, 8, -7, 23,
   -9, 5, 4, 8, 12, -22, -12, 4,
   10, -12, 55, 38, -30, 5, -1, -48,
   -27, -12, 12, -10, -12, 12, -6, -41,
   33, -32, 63, -1, -22, 7, 7, -25,
   19, -62, 3, -48, 17, 27, -1, -35,
   -9, -5, -5, 28, -4, -17, -39, 0,
   21, 5, 37, -10, -3, 20, 20, 46,
   -6, -33, -34, -4, 0, 10, -14, 22,
   7, -23, -15, 35, 4, 5, 22, -31,
   -9, -21, -39, 2, 37, 27, -6, -16,
   -28, -17, -22, 41, -6, -10, 27, -1,
   -27, -9, 25, 22, -15, 25, 24, -1,
   25, 31, -23, -23, 10, -1, 42, 15,
   -11, 39, -38, 17, -25, -31, -32, 26,
   48, -10, 40, -8, 33, 10, 6, -13,
   7, -3, 6, 48, -42, -15, 17, 37,
   -6, -46, -32, -1, -76, 2, 59, -49,
   16, 8, 13, -24, 5, 21, 25, -29,
   -78, -19, 12, -7, -7, -14, 6, -36,
   10, 18, 0, 18, 13, 8, 25, 23,
   -2, -47, 0, -1, -39, 1, -9, -23,
   21, 49, -1, 62, 25, -49, -13, -11,
   -21, 11, 22, 1, 5, -7, 29, 32,
   59, 42, -17, 14, -12, 22, 4, -13,
   -29, 26, 60, -20, 44, 25, 34, -5,
   45, -32, 24, -6, -18, 6, 3, 0,
   -10, 38, 9, 43, 1, -15, 16, -5,
   -20, 25, -31, 18, 28, -21, 21, 19,
   36, -9, 32, -10, 42, -50, 3, 25,
   -5, 11, 24, -36, -30, -15, 11, 16,
   17, -46, 3, 33, 7, 1, 15, 22,
   -14, 33, 8, -24, 27, -34, 19, -9,
   -50, 0, -15, -2, 25, -31, -17, -3,
   -6, 29, -16, -48, -3, -15, 50, -44,
   -3, -28, -3, -20, -26, 71, -14, 39,
   -61, 13, 9, -4, -26, 15, 19, 31,
   12, 0, -44, 15, 74, -6, -92, -25,
   23, 2, -25, -56, -55, 2, -29, 21,
   44, 18, -35, 31, 18, -26, 28, -39,
   18, -13, 49, -15, 10, 33, 73, -64,
   13, -13, -25, 3, 35, -16, -11, 2,
   25, -5, 17, 10, 44, -3, -43, 72,
   -57, -48, 30, 33, -64, -24, -22, 0,
   6, -32, -54, -83, 9, 35, 5, 54,
   54, -29, -31, -3, -1, -41, 41, 12,
   -32, 11, -15, -4, -47, 21, 36, 2,
   36, 17, 21, 9, 26, 23, -18, 15,
   18, 8, 15, 9, -37, -13, 13, -24,
   7, 9, -33, -11, -58, 12, 6, -7,
   33, -6, 30, 50, 77, 24, 26, -11,
   32, 60, -23, -42, 43, -7, 6, 17,
   -5, -28, 7, -33, -12, -2, 6, -37,
   -23, -74, -23, -18, -1, 16, 26, -17,
   -78, -46, -7, 8, -7, -49, 35, -60,
   29, -20, -18, -58, -33, 29, -58, -59,
   13, 21, -6, -14, -20, 1, 4, -84,
   25, 27, 58, 29, 34, 22, 65, -13,
   54, 27, 58, -15, 2, -9, 13, -8,
   28, 0, -37, -75, -14, -52, 33, 27,
   -36, -5, 11, 15, -16, 24, -13, -11,
   8, -45, -48, 19, 15, -1, 0, -71,
   -14, -30, 1, -12, 11, 44, 102, -22,
   -6, -66, -7, -43, -2, -19, 5, -54,
   -6, 27, -3, 19, -34, 8, 19, 28,
   -9, -3, 5, 14, 2, -1, 19, -45,
   -7, -15, 18, 59, -72, 25, -25, 32,
   29, 2, 30, -33, 13, 16, -44, -9,
   -23, 11, 16, 44, -56, 31, -39, -37,
   6, 73, 25, -35, -29, 37, 19, -50,
   58, 18, 75, 1, 61, -23, -17, 9,
   47, 51, 21, -23, 28, -31, 32, -32,
   -6, 14, -54, 34, 36, 15, -99, -31,
   60, -15, 21, -38, 23, 52, 15, -25,
   51, 18, -41, -1, -66, 42, -19, 2,
   -14, 60, 8, 56, 42, -32, -12, -17,
   18, -45, -6, -45, -9, -14, -17, -42,
   -14, -49, 2, 20, -11, -29, -34, -6,
   -15, -74, 23, 30, -27, 31, 25, 3,
   -8, -61, 7, 65, -26, 26, -3, 1,
   1, -1, -22, 32, 41, -77, -19, -11,
   -16, -12, 22, -51, -23, -34, -92, 26,
   -22, -37, -44, 11, 8, 11, -26, 30,
   24, 14, -36, 34, 3, 56, -14, 7,
   -39, 49, -47, -42, -40, -25, 3, -12,
   48, -44, 62, -26, -50, 1, -53, 10,
   -39, -57, 4, 22, 38, -13, 56, -15,
   -8, 33, 68, -11, -12, 39, 77, 32,
   -30, -31, -24, 51, -31, -8, -13, 6,
   0, 49, 35, 1, 35, -1, -45, 15,
   -16, -45, -5, -23, 31, -39, -9, -46,
   26, -65, 19, 15, 43, 41, -20, -35,
   -7, 59, 16, -35, 8, 19, -71, 54,
   15, -17, 16, 4, 70, -56, 40, -30,
   -44, 29, -39, -3, 10, -54, -27, -56,
   32, 2, -39, -4, -7, -36, 17, -5,
   14, 17, 0, 2, 6, 20, 1, -15,
   -2, -17, -16, 45, 31, 14, -24, -29,
   -44, -14, -30, 17, 40, 15, 5, -18,
   3, 35, -11, 22, 30, -61, -55, -11,
   38, -10, -32, -17, -37, 36, -37, 24,
   19, -2, 5, 15, 21, 52, -27, 23,
   9, 29, 5, -31, 14, -1, -6, 10,
   19, -36, -26, -20, -17, -39, 6, -10,
   32, -18, 21, -14, -57, 7, 27, 17,
   19, -17, 0, 26, -15, -24, 42, 29,
   21, 10, 11, 19, 11, 20, -17, 10,
   -24, -12, 25, 27, 5, 18, 25, -23,
   37, 40, -3, -12, -2, 11, -45, -11,
   -20, -42, 13, -3, 18, -9, 0, 33,
   28, -19, 43, -3, 14, 26, -26, -7,
   -15, 18, -16, -13, -24, 21, 4, -13,
   -60, 28, 45, -33, -28, -9, 32, -66,
   -44, -34, -10, -3, 60, -24, -3, -39,
   -52, -56, -4, 32, 28, 10, -27, -35,
   24, -19, -4, -1, 21, -1, 7, -73,
   -8, 30, 67, 19, -4, -29, 21, 6,
   -33, -25, -18, -53, 23, -20, -19, -33,
   -20, -20, -58, -12, 24, 43, 22, -28,
   -47, -8, 20, 1, -16, 34, 14, -4,
   -18, -29, -2, 4, -28, -9, 7, -36,
   27, -29, -20, 44, -22, 39, 12, -44,
   -26, 37, -31, -11, -5, 14, -1, -6,
   -22, 13, -49, -5, 74, -1, -40, -36,
   -3, -43, 34, 30, 18, 7, -44, -38,
   -63, 46, -54, 43, -23, -30, 76, -37,
   49, -41, -74, 34, -5, 20, -14, 51,
   -26, 22, -2, -45, -44, -70, -50, -6,
   29, -44, 27, 54, -32, 5, 70, -24,
   -68, 44, -37, 1, -16, 6, -25, 29,
   -11, 43, -24, 68, -19, -16, 17, 67,
   3, -72, -40, -30, 11, 5, -2, 29,
   -13, 55, -21, 29, -27, 38, 30, -41,
   -26, -59, -15, -38, -41, 28, -64, 33,
   62, 0, 45, 48, -16, 13, 94, 40,
   36, 26, 48, -26, -33, 20, -4, -41,
   -19, -7, -35, -20, -24, 12, 15, -29,
   3, -2, 28, -28, 83, -43, 45, 72,
   -6, 9, 6, -30, 80, -19, 16, 35,
   11, -12, 11, -22, 44, 20, 35, 28,
   6, 5, -18, 1, -9, -6, 23, -2,
   4, 14, -1, -10, 4, 18, 25, -12,
   -32, 11, -2, -15, 12, -24, -5, 50,
   27, -2, 56, 60, 66, 21, -46, -2,
   36, -60, -23, -48, -42, -53, 17, 1,
   65, 72, -47, 84, 37, -7, 2, -31,
   47, 15, 20, 58, -60, 4, 5, 41,
   56, -12, 1, -15, 20, -33, -24, 44,
   -4, -4, 23, 63, -42, -22, -46, 0,
   4, -7, -40, 29, -24, -28, -4, -29,
   -15, -15, 20, 22, -1, -9, -22, -4,
   2, 41, 53, 3, 8, -25, 15, 5,
   -47, -48, -59, 32, 41, -16, -12, -5,
   -14, 4, -22, 3, -28, -7, -62, 18,
   8, -10, 25, -14, 24, 13, -4, 25,
   5, -29, -7, -3, -5, -10, -42, 19,
   -18, 15, -25, 0, -3, 30, -17, -18,
   -8, 10, 2, -15, 1, 22, -12, 8,
   -39, 10, 20, 6, 21, -20, -1, -29,
   -37, -23, 16, -26, 1, 90, -2, 23,
   21, -6, 5, 8, 23, 36, 18, -17,
   -57, -1, 7, 61, 25, 37, -33, -22,
   -60, 63, 33, 14, 55, -11, -67, -39,
   -10, -34, 1, -54, -48, 10, 30, 18,
   -20, 64, 75, 36, 2, 53, -38, 17,
   15, 9, 0, 6, 15, -25, 21, -68,
   36, -13, -9, -9, 50, 49, 0, -10,
   13, 3, -1, 0, -31, 33, -32, -41,
   21, 4, 15, -21, -7, 23, -6, 27,
   -25, -2, 7, -59, 13, 52, 8, -53,
   15, 28, -14, -28, 53, 35, -5, 25,
   41, -1, -21, 30, 18, -25, -48, -42,
   40, -23, 30, -8, -16, -23, 15, -23,
   2, -34, 39, 1, -20, -20, 28, 44,
   -4, -37, -33, -20, 13, 28, 35, 28,
   52, -15, -27, -4, 7, 6, -36, -29,
   -13, 9, 5, 4, -27, -26, -37, 44,
   -1, -70, 33, 20, -53, -24, -34, 35,
   -57, 6, -42, 51, -81, 51, 34, 49,
   -1, 11, 49, -25, -8, 7, -45, 65,
   46, -4, -23, 30, -57, 52, 33, -11,
   -42, -21, 4, -56, 39, -10, -6, -13,
   -68, -32, -12, 10, 6, -75, 57, 3,
   -3, 5, -24, -52, -29, -1, -42, -19,
   19, -5, -38, -21, -73, -38, -32, -33,
   12, 44, 5, -2, -54, 0, -22, 16,
   8, -2, -2, -7, 8, 11, 35, -5,
   -65, -25, 8, 1, 22, 7, 25, 11,
   -12, 15, 15, 8, -21, 2, 10, -3,
   -2, -1, -14, -19, -21, 47, -39, 18,
   -37, -31, -17, -9, -16, 3, 9, -23,
   -9, 30, -40, 2, -15, 11, -26, -27,
   -3, 36, -3, 27, -30, 14, -16, 27,
   -22, 6, -19, -20, -30, -37, 25, -13,
   -39, -26, -33, -43, -24, -15, 22, -14,
   -2, -41, 0, 27, 19, -28, -14, -16,
   -2, 26, -39, -31, 15, -17, 0, 16,
   -8, 0, 72, 10, 38, -38, -36, 36,
   -15, -58, 34, 10, 54, 21, 60, 0,
   -23, 33, 0, 45, 10, -43, -46, -5,
   6, 40, 20, -32, 13, 6, -38, 1,
   10, -67, 7, -41, 0, -18, -16, 27,
   19, -28, -42, 42, -66, -33, -17, -9,
   5, 50, -18, 76, -28, -41, 12, -34,
   53, 13, -13, -14, -18, -16, -35, -21,
   42, -2, -15, 28, -5, 18, -7, 28,
   0, 8, -25, -21, 37, -14, -3, -27,
   11, -48, -30, -21, -22, 37, -31, 31,
   -10, -8, -14, -33, 5, -11, -17, -8,
   -49, -33, -20, 32, -20, -14, -39, 29,
   -7, 14, -25, -29, 0, 37, -8, -6,
   -19, -46, -42, -22, 12, -35, 4, 7,
   10, 1, 20, -31, -37, 19, 8, -22,
   -62, 65, -4, -17, 63, -2, 10, -7,
   40, 34, -25, 11, 45, 100, 4, 19,
   -46, -26, -50, -14, -16, 48, -50, -24,
   27, -54, -18, 103, 19, 7, 23, -50,
   33, -63, -26, -51, 17, -36, 48, 30,
   -61, -5, -3, 30, -54, 48, -31, -23,
   3, 18, -26, -16, 16, 8, -5, -43,
   -6, 5, -26, -9, 65, 61, -6, -7,
   32, -47, 27, -1, -41, 25, 37, -15,
   2, -6, -30, 40, 18, 3, 16, 28,
   -22, -11, 33, -58, -34, -11, -7, -29,
   36, -18, 46, 5, 27, 35, -34, 13,
   -36, -23, -15, -30, 8, 13, -26, -7,
   35, -17, 32, -26, -33, -28, 13, -10,
   11, 10, 5, -36, 13, 4, 26, -6,
   -40, -15, -14, -2, -6, 25, 9, 12,
   27, 2, 30, 1, -14, -2, -4, 15,
   -42, -16, 0, -9, 39, -12, 12, 9,
   27, -15, 39, -109, 71, -46, 3, -41,
   -12, 8, 50, -48, -6, 52, -19, 13,
   -5, -29, 16, 65, -41, -26, -64, 30,
   -25, -34, 6, 4, -59, 14, -23, -3,
   -21, 3, -14, -26, 29, -49, 93, -14,
   -28, 1, -29, 0, -2, 7, 14, 39,
   8, -15, -42, 28, 18, 25, 31, -8,
   1, 29, 7, -3, 25, 16, 36, -13,
   -28, -27, 41, -10, -43, 35, 35, 63,
   19, 30, -45, -32, 14, -16, 15, 1,
   -1, -58, -2, 23, 7, 0, 28, -33,
   35, -7, 40, 51, 6, 12, -57, 57,
   12, 12, -29, 11, -33, -42, -19, 2,
   -16, 1, 24, -30, 6, -51, 31, -4,
   41, 30, -18, -28, 25, 32, -6, 44,
   36, 29, -35, 13, -27, 7, -38, -16,
   -23, -19, -39, 23, 16, 20, 10, 17,
   43, 1, 14, 16, -57, 23, -42, 11,
   -33, 31, 6, 4, -30, -26, 37, -59,
   -13, 27, 33, 26, 74, 21, -12, -37,
   3, -21, -35, -26, 56, 30, -4, 33,
   -2, -17, -1, -2, 31, 22, -3, 8,
   8, -62, 0, -15, 26, 27, 52, 4,
   18, -9, 2, 20, -19, -8, 0, -27,
   12, 52, -15, -26, 36, -8, 37, -11,
   35, 17, 5, -45, 49, 20, -16, -11,
   -34, 10, 13, -33, 42, -44, 15, -41,
   -14, 37, 26, -19, 5, 7, 0, 7,
   -7, 2, -3, 37, 6, -11, 47, -8,
   -29, 9, -16, 37, 35, -34, 0, -25,
   -11, 18, 15, -23, -20, -32, 3, 23,
   -14, -22, -2, -8, 55, -36, -24, 1,
   21, -32, -3, 7, -6, -13, 13, -32,
   -2, 33, 12, -40, 10, -6, 5, 55,
   18, -13, 10, 4, -39, -14, 38, 19,
   -22, 24, -20, -26, -12, 4, -8, 18,
   45, 16, -12, -70, -30, -29, -18, -40,
   29, -15, 20, -7, -22, 6, 4, 28,
   6, 27, -9, 35, -24, 0, -16, 44,
   -16, 29, -7, 67, -20, -32, -34, 37,
   -29, -44, 40, 32, 3, 25, 3, 3,
   28, 21, 0, 26, -27, 7, 32, -41,
   -40, -49, -14, -1, 25, -25, 48, 22,
   43, -4, -11, 16, -15, 7, -37, -11,
   1, -6, -25, 2, -51, -28, 19, 9,
   -3, -11, 11, -43, 23, -22, 14, 24,
   -40, 36, 11, 6, -12, -7, 20, -6,
   -10, -10, -22, -40, 0, 53, -13, 32,
   -22, -14, -54, -26, -5, -23, -4, -15,
   -10, 16, 9, 17, -21, -6, -40, -29,
   5, -22, 30, 24, 56, -6, -9, -10,
   5, -18, -22, -7, 6, 17, 24, 2,
   21, 44, -22, -16, -17, 39, -8, -4,
   16, 3, 37, 20, -7, -29, -17, -30,
   20, -40, 4, -6, 1, -62, 36, -51,
   -18, -16, -41, 9, 13, 12, 39, -17,
   -43, 15, -22, -2, -51, -7, 24, 24,
   -1, -26, 9, 39, 0, 13, 29, -52,
   -79, 12, 11, 24, -50, 46, 0, -86,
   -39, -30, -28, -35, 7, 24, 18, -7,
   -40, -27, 9, -27, -14, -4, -7, -19,
   -41, 28, -54, 3, 11, 23, -13, -32,
   -35, 61, 18, -10, -56, -25, -6, 24,
   12, -29, -9, -18, 31, 8, -19, -57,
   6, -22, 23, -48, 33, -22, 44, 3,
   52, 9, -33, -63, 26, -14, -27, 24,
   37, 20, 16, 16, 48, -11, 15, 25,
   -25, -5, 22, -58, -20, 3, -12, 23,
   30, -8, 0, 18, 2, 17, 29, 9,
   -5, -10, 5, -9, -8, -2, 22, -23,
   -12, 15, 22, -26, -11, -8, 12, -30,
   3, 20, 26, -6, 51, 7, -6, -3,
   66, 17, -13, -55, 45, -36, 18, -28,
   19, 47, -2, -57, 51, 47, 54, -3,
   -15, -7, 8, -25, -7, 1, -11, -27,
   12, 16, 15, 11, -16, -15, -13, -11,
   58, 18, 6, 35, -58, 21, -24, -6,
   111, -38, -39, -19, 4, -2, -5, -30,
   41, 34, 11, -16, 29, 44, 11, -31,
   -34, -19, -2, -4, -5, 11, -35, -10,
   -7, -52, 13, -10, 5, -16, 34, -2,
   -59, -61, -24, 8, 17, -3, -36, -10,
   -9, -65, 6, -40, -51, -31, 23, 32,
   29, -7, 12, 14, -15, -40, -48, -40,
   30, -36, -54, -1, 10, -45, -33, -17,
   -21, -3, 11, 13, 12, -8, -31, 17,
   -8, -19, -3, -36, 17, 21, 6, 28,
   23, -8, -38, 22, 6, 16, 14, -35,
   5, 0, -2, -35, -2, -41, -16, 12,
   40, -28, 25, -6, 12, -19, 19, 7,
   18, -22, 33, 57, -67, -16, 12, 11,
   14, -23, -11, -4, 16, 2, 29, 18,
   14, -47, -23, 18, 59, 6, -18, -3,
   -35, -4, -11, -27, -6, 5, 30, 50,
   -1, -112, 17, 73, -37, -21, 53, -24,
   -96, 43, -13, 28, 39, -23, -45, 27,
   0, -100, 26, -35, 0, 34, -19, -49,
   -21, -38, 1, -43, -19, 36, -66, 75,
   13, 93, -28, -12, 15, -17, 21, -17,
   -20, -12, -12, -14, -49, -43, 1, 41,
   17, 79, 30, -8, -15, 22, 18, 13,
   16, 16, -40, 8, 44, 79, -21, 10,
   -35, -21, 67, -3, 73, 13, -32, -3,
   55, -3, -13, -45, -4, 34, -17, -10,
   -10, -14, -11, -27, -31, 8, 57, 48,
   -53, 40, 11, -15, 6, 13, 43, -32,
   -2, 47, -43, 13, -14, -10, 37, 27,
   -36, -6, 26, -11, -14, 57, -18, 23,
   32, 32, -2, -66, 13, -9, 23, -18,
   -27, -3, 8, -18, 26, 64, 38, 2,
   7, 33, 19, 47, -12, -33, -37, -42,
   23, -6, 51, 109, 5, 38, 51, -65,
   -14, 16, -29, 19, -76, -25, -29, -5,
   114, -84, -25, 47, 6, 2, -15, 64,
   45, 32, 23, -8, 8, -51, 21, 13,
   -14, -4, -14, 89, -23, 8, 14, -30,
   16, 7, 43, 52, 35, 27, 13, 22,
   -17, 44, 23, 13, 51, 22, 9, -39,
   -90, -18, 49, 30, 62, -9, -50, 6,
   27, -27, 1, 16, -35, 12, 21, -62,
   -8, -4, -8, 24, 0, 11, -34, -8,
   11, -8, 7, 32, 12, -17, -23, -17,
   23, -19, -6, 17, 3, -7, 50, -15,
   29, 31, 31, 25, -27, 1, -41, -6,
   -50, 27, -24, 3, -18, 24, 46, -53,
   49, -32, -56, -18, -48, 29, -11, 32,
   -6, 21, -39, -42, 29, 48, -45, -44,
   -11, 47, -7, 105, 31, -13, 21, 48,
   3, 81, 81, 72, 125, 40, -38, -10,
   83, -11, -106, 26, 66, -17, -17, 12,
   22, -5, -14, -54, 13, 90, 47, -71,
   -18, 19, 25, -19, 12, 44, 55, 119,
   -61, 78, -90, -28, -52, -34, -26, 37,
   14, 24, 30, 58, -39, -20, 62, 38,
   34, -53, 3, -14, -23, -9, -16, -16,
   -1, -38, 114, 5, 47, -31, 43, -21,
   21, 37, -16, 43, -34, -21, 13, 0,
   -63, 28, 8, 38, -16, -12, -21, -104,
   78, -21, 24, -21, -5, 8, -63, -7,
   16, -29, 49, -10, -2, -68, -60, 47,
   -50, -38, -17, 25, -5, 13, 7, -43,
   18, 50, -31, -17, -16, 6, 16, 32,
   47, 3, -51, -72, -17, -36, -66, 15,
   -30, 4, 39, 17, 33, 16, -16, 25,
   -28, 18, -32, -35, -1, 6, -12, 57,
   -19, 14, -74, 3, -39, -34, -43, 20,
   2, 62, -5, 5, -37, -51, 42, -23,
   -5, -34, 11, 11, 6, -17, 9, 48,
   -8, -18, 16, 34, 65, -5, -12, 1,
   -1, 49, 44, -55, 37, 30, -31, 31,
   -20, 23, 49, 3, -22, -49, -22, 19,
   -7, -37, -22, 24, -6, 24, 4, 56,
   82, -29, 53, -1, 9, 12, 67, 56,
   -5, 31, 11, 7, -10, -28, -44, -7,
   -74, -16, -18, -23, 81, 1, -75, -45,
   -9, -47, 4, -37, -60, 2, -3, -2,
   -86, 4, 1, -2, 6, -8, 62, 10,
   -4, -36, 19, 37, 10, -22, -68, -7,
   11, -42, -31, -41, 35, -61, 52, -17,
   0, -51, -48, 19, -22, -15, -23, 2,
   -27, 37, -39, -74, 22, -23, 18, 3,
   -27, -21, 18, 41, 18, 55, -2, -28,
   -1, -4, 37, 64, 51, 37, 56, -20,
   8, 26, -17, 34, -16, 11, 20, -48,
   29, -9, -21, 0, 37, -9, 11, 12,
   5, 42, -6, -14, -1, 33, -27, 18,
   37, 44, 28, 24, 0, -22, -36, 11,
   18, 56, 17, -24, -16, -34, -29, -28,
   -9, -14, 19, 8, 0, 2, -1, -33,
   -59, -23, 43, -41, -1, 0, 2, -44,
   24, 5, -38, -28, 53, 2, -30, -17,
   -56, -13, 43, 21, -36, 15, -19, -4,
   33, -44, 0, 3, 23, -12, -22, -1,
   2, 16, 16, -18, -15, -40, -36, 21,
   7, -13, -14, 10, 1, -11, -22, 30,
   -35, 19, 19, 18, -24, 22, 38, 4,
   -32, 16, -22, -14, -13, -19, -6, -32,
   17, 32, -12, -40, 13, -7, -29, -31,
   2, -21, 0, -22, 19, -34, -21, 0,
   9, 11, 27, -5, 1, 19, -19, -6,
   -18, 45, 21, -3, 12, 79, 17, -27,
   23, 5, -43, -54, 73, -42, -15, -28,
   -24, 52, -27, -77, -73, -106, -32, -48,
   -20, -75, 31, -30, 47, -43, -123, 3,
   3, 8, 19, 29, -49, -11, 46, 14,
   -6, 90, 116, 7, -77, 58, -43, 69,
   34, 24, -2, 28, 40, -10, 24, -26,
   37, 8, 2, -7, 46, 58, 81, 58,
   14, -38, 19, -74, 1, 16, -26, -14,
   -18, 32, 40, 38, -19, 32, 20, 46,
   70, 5, -61, -8, -40, 14, -44, -64,
   19, 33, -27, 9, 29, 25, 69, -20,
   37, 5, 23, 32, -76, -55, -9, -94,
   13, 16, 15, 15, -35, -2, 20, 41,
   17, -24, -41, -6, 11, 24, 10, 7,
   -19, -65, -26, -8, 33, -9, 0, 96,
   45, 32, -16, 3, 21, 14, 44, 7,
   -37, 13, 13, 31, 7, -29, -14, 70,
   22, 21, 4, 54, 24, -11, -41, -31,
   34, -3, -24, -41, -6, 7, -3, -9,
   -8, 10, -16, 8, -34, -15, 10, 3,
   4, -1, 3, 9, -11, -17, 15, 15,
   -32, -40, 19, -13, -16, -16, -3, -10,
   6, 5, 3, 17, -41, 13, 22, -1,
   -22, 7, 14, 40, 4, -15, 1, 54,
   5, -30, -7, -27, 0, 7, -5, 10,
   -13, 12, -32, -25, -28, 5, 2, -55,
   50, -10, 6, -20, -18, -13, 18, -18,
   -18, 36, 6, 34, 14, -5, 25, -23,
   8, -24, -29, 26, -55, -13, 21, -41,
   10, 16, 1, 6, -15, 4, 14, -6,
   5, 3, -8, -26, -10, 5, -5, -3,
   9, -19, 25, -11, 20, -23, 5, 20,
   -5, -17, -17, 5, 16, 5, 8, 10,
   -18, -10, 19, -13, 21, 12, 8, -12,
   -8, 14, -25, 26, 0, 4, -24, -11,
   41, 49, -5, 77, 42, 29, 42, 14,
   10, -22, -39, -20, 14, -34, 26, -3,
   -3, -3, 34, -27, -21, -16, -30, 15,
   13, -38, 34, 14, 68, 70, 26, -5,
   -5, 11, 13, -41, 15, 3, -1, 44,
   -3, -50, -6, 48, -9, -29, 18, 63,
   -14, 6, 18, 16, 38, 33, -13, -70,
   27, 50, -48, -47, -32, 54, -45, -31,
   -12, 29, -32, 57, 13, -10, -6, -25,
   1, -1, 41, 46, -33, -4, -4, 17,
   29, -15, 27, 30, 48, 23, 21, -13,
   21, -32, -11, -3, 67, -3, 44, -11,
   -14, -30, 24, 10, 11, 0, -3, 27,
   43, 3, -36, -34, -8, 6, -41, 2,
   -4, -1, 11, 3, 25, 11, -23, 37,
   -25, -20, 11, 28, -41, 25, -24, -29,
   -23, 20, 14, 17, 12, 12, -31, 5,
   33, -5, -4, -12, -28, -32, 2, -12,
   55, 27, -70, -3, -12, 45, -56, -44,
   -26, -11, -30, 25, -30, -28, 9, -1,
   25, 31, 17, -44, 23, 17, -40, -16,
   -75, -35, -53, 5, -20, -65, 25, 11,
   -2, 57, -47, 22, -22, -40, -21, -27,
   -1, -64, -21, 0, 34, 82, 9, 124,
   -35, -78, 44, 14, 59, -11, -8, 52,
   0, -4, 15, -44, -1, -22, -56, -17,
   14, -6, 5, 1, 27, -103, -11, -3,
   6, 4, -63, -30, -67, 37, 5, 27,
   58, 53, -26, 32, -32, 24, -22, 2,
   -51, 17, 25, -30, 26, -68, 10, -44,
   40, -25, -24, -23, 25, -10, 33, 35,
   41, 5, 19, 16, 42, 5, -8, -23,
   2, -37, -11, -2, 20, 37, 42, 22,
   6, -15, -33, 39, -46, 40, -53, 33,
   15, 62, -37, -27, 6, -42, -5, -20,
   20, -9, 5, -41, 60, -61, 35, -9,
   13, -45, 60, 25, 1, 41, 6, -17,
   39, 7, 21, 65, -66, -22, 28, 3,
   -27, 44, 11, -51, -1, -17, 4, 19,
   -52, -87, -24, -23, -84, -45, 29, 29,
   -25, -13, -33, 10, 38, -30, 50, 40,
   13, 16, -9, 18, -31, 5, 15, -99,
   39, 9, -45, 22, 89, -24, 6, 13,
   -57, 79, -21, -62, -61, -57, 35, -57,
   60, 29, -4, -51, 22, -25, 32, 12,
   -56, -48, 40, -13, 33, 23, -89, -39,
   -31, -54, -24, -8, 29, 57, 35, -4,
   -27, -13, 93, 58, -38, 17, -43, -1,
   15, -46, -37, -7, -65, 16, -27, 12,
   11, 11, -6, 10, -54, 13, 29, -13,
   3, -41, 29, -19, 29, 10, 27, 13,
   20, -20, -7, 30, 5, 31, -27, -49,
   11, 23, -43, 26, -35, -21, 44, 9,
   -8, -16, 34, 10, -42, -48, 17, -34,
   32, 58, 28, 22, -33, 32, 48, 68,
   -5, -27, 38, -4, 28, 57, 6, -9,
   33, -27, -3, -7, 7, -53, 10, 15,
   28, -2, -40, -5, -29, -38, -28, -26,
   -3, -33, -21, -51, 92, -47, 21, 20,
   -49, -3, -13, 21, -7, -70, 8, 56,
   23, 4, 46, 36, -9, 38, -2, -37,
   55, -50, 59, 19, -46, 74, 3, -34,
   55, 24, 22, 26, -47, 15, 84, -9,
   -27, 62, -20, -44, -54, 53, -62, 9,
   12, -9, -75, -27, 74, -34, 0, -2,
   41, -18, 68, 29, -6, -32, -30, 38,
   2, -68, -12, 39, 19, 21, 62, 34,
   36, -7, -3, -2, 14, 1, -12, -36,
   -34, 9, -11, -33, -31, 0, -12, -23,
   17, -9, -37, -14, -47, -27, 38, 71,
   10, -27, -45, 7, -42, 37, -4, 23,
   -66, -11, 2, -37, 55, 44, 29, -61,
   41, -54, 19, -7, 44, -18, -60, -15,
   -29, -49, 28, 36, -106, -33, 12, -11,
   -49, 37, 23, -23, 10, -34, -58, -2,
   23, -26, 73, -48, 49, -49, -68, 44,
   78, 41, 41, 40, 82, 5, -25, -45,
   -19, -53, 34, 26, 40, 36, 8, -40,
   -26, -13, -28, -9, 65, 63, 9, 24,
   -61, -43, -37, -14, 96, 5, 1, 9,
   37, -49, 40, -32, 33, 60, -58, -20,
   47, 56, 7, 2, 41, -9, -67, -101,
   -32, 12, 38, 36, 68, -45, 17, 51,
   -67, -86, -41, -2, -34, 23, -12, 37,
   3, 30, 69, 61, -1, 11, -10, -35,
   1, -26, 29, 19, 68, -5, 1, -10,
   33, -1, -15, 22, -15, -26, 7, -54,
   11, 10, 55, -35, 49, 37, 45, -47,
   -35, 36, 17, 21, -61, 17, -55, 24,
   -110, -31, 15, -45, -23, 48, 25, 54,
   -127, -8, 48, 89, 33, -71, 73, 105,
   -45, 127, 66, 52, -126, -127, -56, -50,
   77, 44, -38, -33, -86, 44, 5, -16,
   -10, -81, 13, -8, -54, 61, 63, -21,
   48, -37, 38, 51, 12, -19, -114, -49,
   -43, 67, -72, -15, -33, -127, -59, 57,
   -24, 6, -125, -2, -105, 28, -13, -126,
   38, -43, 36, -128, -79, 77, -38, -71,
   15, 64, -72, 85, 20, 17, 18, -127,
   36, -19, -101, -23, 37, 104, 73, 28,
   63, -83, -54, -27, 80, 52, -71, 102,
   92, -35, -7, -57, 69, 56, -68, 34,
   -81, 37, 127, 127, -24, -71, 98, -67,
   80, -66, 73, 54, -80, 86, 70, -6,
   52, 52, 6, -19, -99, 23, -85, 73,
   88, 71, 29, -68, 17, -14, 55, 74,
   57, -71, -7, 31, -71, 8, 71, 65,
   -40, 99, 52, -70, 76, 55, -23, 96,
   -88, -22, 91, -126, 10, 19, -40, -124,
   -22, 78, -21, -63, -39, -100, 56, 13,
   -111, 78, -72, -2, -123, 127, 73, -41,
   -26, -7, -69, -40, 46, -37, -103, 21,
   45, -107, 12, 76, 68, -29, 73, -111,
   -32, 4, -75, 8, -22, 28, 35, -78,
   -92, 35, -128, -47, -128, 17, 22, 57,
   -119, 94, -89, -49, -7, -39, 127, 54,
   -24, -33, -30, 49, 38, 64, 65, -61,
   5, 115, 0, 127, 52, -2, 55, 106,
   -83, 63, 30, 32, -42, 16, 15, 15,
   21, 35, 5, -30, 31, -66, -100, -61,
   38, 29, 17, -45, 2, -41, -74, 68,
   1, 0, -14, -48, 123, -36, 11, 72,
   98, 102, -2, -72, 2, -127, 127, 51,
   44, 56, -43, -54, -85, -63, 9, -32,
   -47, 41, -105, -32, -20, 100, 68, 21,
   1, 55, 24, 17, -55, -24, -38, -40,
   -59, -65, 27, 66, 121, -11, -35, -92,
   6, 120, 93, 25, -127, -24, 43, -51,
   33, 22, 13, 35, -81, 4, 8, -45,
   -122, -37, -33, 47, -122, -127, 83, 64,
   11, 37, -79, 22, -49, -81, -66, -128,
   -57, -2, -111, -34, -18, -111, -109, 62,
   56, -16, -20, -94, -128, 9, -41, -126,
   -26, 61, -127, 32, -12, 92, -33, -59,
   -54, -78, -67, -1, -16, 103, 66, -52,
   -97, 74, 18, 61, 73, -14, -30, -1,
   122, -98, -15, -126, -21, 31, 52, -96,
   20, -19, -51, 70, 66, 54, -97, -128,
   -21, -32, -128, -76, -37, -45, 14, 14,
   67, -38, -15, -18, -76, 121, 33, 42,
   90, 9, -9, -18, 26, 30, -21, 35,
   105, 16, 106, -2, 75, -5, 79, -55,
   18, 6, 2, -127, -58, 81, -123, 65,
   123, -32, 25, -7, -76, -63, 63, -127,
   -65, -16, -33, -96, -84, 99, -64, -40,
   -59, 44, 98, 85, 45, -30, 21, 56,
   -127, -78, 38, -79, -4, 123, -101, -2,
   -127, -126, -32, 95, -93, -127, -17, -128,
   65, -77, -112, -96, -48, -71, 100, -128,
   -35, 124, -103, -126, 91, -65, -117, -56,
   68, 98, -81, 127, 26, 31, -82, 12,
   -80, 83, -10, -78, 127, 53, -77, -8,
   -59, -62, 40, -25, -128, 45, 0, 25,
   -17, 2, 123, -87, 59, -29, 125, 127,
   67, 9, -105, -45, -52, 2, 6, 48,
   45, -21, -8, 39, 21, 48, -2, 15,
   -46, 50, 45, -47, -54, 108, 127, -37,
   -19, -42, 63, 0, 118, 58, -11, 90,
   -73, 48, -47, 65, -23, -31, -104, -29,
   116, 96, 117, 13, 126, -41, -6, 127,
   -125, 127, 14, -71, -43, 21, -59, 97,
   13, -56, 44, -126, 69, -32, -19, -128,
   -23, -127, 6, -36, -67, 126, -47, -54,
   69, 126, -126, -115, -7, 6, -48, 84,
   -113, 34, -62, 79, -102, 54, -77, -98,
   -40, 83, -94, 114, 121, -80, 127, 101,
   79, -72, -65, -34, -68, -6, -15, 8,
   67, 4, 5, 53, 9, 19, -33, -112,
   65, -2, 48, -1, -100, -73, 31, -43,
   -46, -123, -127, -43, -106, 11, -17, -71,
   -36, -59, 36, 7, -48, -126, 9, 6,
   -43, 26, -80, 7, 127, -14, 81, -116,
   -46, -72, 40, -128, 32, -108, -80, 37,
   -43, -35, -128, 49, 1, -128, 104, 127,
   -40, -125, 69, -24, 23, 108, -74, -55,
   -72, -59, -61, -2, -28, 10, 98, -36,
   42, 15, 28, -26, -50, 59, -24, 58,
   -41, 0, 5, -59, 18, 29, -97, -126,
   -71, -114, 102, -55, -118, 114, -64, 127,
   -58, 125, -34, -3, 29, -35, -41, -115,
   125, 127, -60, -50, 112, 54, -43, -65,
   -90, -22, -30, -17, -127, 30, -31, -4,
   -127, 1, -52, 101, -125, 108, -15, -79,
   43, 47, -126, 126, 72, 23, 99, 127,
   -127, -38, -55, -46, -104, 27, -51, -12,
   -35, -126, -21, -128, -123, -76, 41, -127,
   127, -10, 124, -18, -90, -8, -34, -84,
   -6, 73, -82, 53, -91, -34, -100, -75,
   -111, 57, 41, -127, -24, -127, -93, -38,
   3, -84, -128, -19, 2, -3, 127, 120,
   115, 6, -71, -25, 48, -24, 20, -42,
   -25, 44, 59, 81, 41, 56, 127, 18,
   -128, -6, 79, 28, -126, -26, -31, 27,
   -11, 64, -69, -77, 54, -101, 101, 72,
   -58, -85, -45, -59, 107, 127, -128, 60,
   46, -127, 19, -72, -103, 37, -128, 127,
   127, -26, 47, 20, 20, -39, 52, 125,
   -68, -57, 4, -13, 47, 40, 113, -59,
   121, -1, -79, -41, 13, -127, 0, -124,
   -34, -16, 68, 21, 38, 125, -96, -13,
   -30, -127, 42, 89, -73, 33, 93, 22,
   -112, -125, 10, 127, -71, -28, -29, -27,
   -66, 68, 127, 76, -49, -124, 40, -127,
   16, -89, -22, -79, -115, -83, -54, -98,
   25, -78, 17, -109, 104, -83, 90, -28,
   -46, 45, -128, 79, -88, -16, -61, -12,
   -30, 127, 33, -114, -72, -7, 89, -69,
   5, 4, -128, -20, -6, -38, -80, 82,
   -126, -25, 28, 7, 24, -98, -7, -95,
   -86, -8, -3, -52, -22, -9, -68, 7,
   -29, 85, 127, 58, -44, -11, -12, 127,
   -87, -48, -23, -23, 126, -109, 91, 4,
   67, 95, -61, -7, -23, -65, 59, -63,
   -14, 42, 53, -23, 30, 22, -67, -118,
   -97, 27, -103, -20, -73, -8, 9, 127,
   22, -36, -101, -14, -62, -51, -73, -1,
   77, -52, -23, 127, -124, -20, -2, -41,
   6, 3, -27, 30, -2, 58, 15, -52,
   123, -5, 127, -128, 104, -87, -125, -57,
   -127, -126, -12, 127, -42, -124, -40, -56,
   -80, 38, 37, 127, -12, -63, -128, -128,
   85, 15, -74, -23, -109, -46, -104, -124,
   -15, 33, -72, 126, 74, -115, 96, -23,
   -101, -31, -127, 101, -18, -76, -116, -127,
   -7, 117, -126, 46, 86, 90, 51, 8,
   60, -127, 52, 20, -71, 67, -53, 79,
   12, 91, -62, -5, -34, -10, -127, 108,
   -89, -19, 14, 98, 89, -82, 72, -124,
   -13, 86, 112, 124, 48, 0, 38, -64,
   -39, -50, -12, 16, 63, -44, 77, -1,
   124, -59, -2, -78, 124, 73, -39, 6,
   1, -27, 20, 117, -117, -81, -5, -33,
   45, 43, -50, 120, -63, -68, 127, 127,
   -70, 122, 20, 80, -4, -64, -3, 16,
   -92, -95, 124, 98, 23, 127, 49, 11,
   -17, 127, 72, -41, 105, -4, 92, 119,
   101, -39, -63, 83, 73, -1, -28, 78,
   5, 120, 109, 52, -65, -21, -118, -87,
   58, 34, 0, 29, 115, 13, 30, -90,
   -44, -36, -128, 39, -62, 114, 112, -105,
   9, 127, 124, -33, 97, -10, -117, -66,
   0, 105, -128, 61, 17, -14, -35, -86,
   101, 81, 66, -22, 1, 120, -57, 36,
   -71, -53, -62, -62, 38, 120, -113, 122,
   -4, -45, 86, 122, 127, 81, -19, 42,
   -6, 34, 43, -10, 124, -128, 102, 36,
   -20, 125, 127, 32, 106, 10, -126, 98,
   -36, -64, -127, -92, 33, -127, -30, -99,
   23, -77, 42, -45, 118, -28, -62, -2,
   111, 116, -82, -36, -6, -52, 27, 54,
   -31, -47, 3, 68, -127, -78, -11, 102,
   -74, 106, 73, -94, 14, -127, -4, 105,
   -35, 124, 33, -51, 109, 40, 127, 77,
   81, 97, 65, -64, 33, 126, -64, 59,
   21, 52, 19, 127, -9, -28, 39, 125,
   -27, -19, -33, 20, 96, 127, -19, 41,
   -74, 31, -17, 5, -89, -38, 41, -127,
   -122, -45, -128, 39, 17, 21, 124, -88,
   -25, -7, 127, -109, -123, 85, -28, 25,
   -121, -1, -125, -69, 28, -58, -112, -104,
   -23, -83, -15, -61, 5, 127, -11, 81,
   63, 99, -88, 20, 93, 27, 17, -74,
   119, 125, 56, 44, 89, 20, -94, 0,
   55, -2, 127, 124, 6, -126, -101, 62,
   12, -34, 126, -121, 126, 127, -70, -127,
   -106, 10, -117, -18, 127, -128, 127, 11,
   93, -126, -20, -97, -122, 118, 123, -40,
   127, 18, 68, -86, 61, 1, 5, -71,
   12, -57, -32, 123, 19, -61, -108, 12,
   -18, 93, 85, -81, -119, -105, 26, 126,
   -100, 89, 89, -127, 115, -101, -31, -44,
   -127, 102, 81, -78, -127, -110, -38, 127,
   -20, -41, -103, 91, -71, 116, -47, 79,
   -109, 34, -66, -74, 53, -65, -7, 111,
   -14, 37, -94, 127, -128, 3, -88, -128,
   -54, -110, -128, -5, -121, -106, 109, -123,
   7, 102, 127, -46, 115, -62, -50, 90,
   -33, -51, 85, -56, 7, 125, -36, -123,
   59, -23, 31, 4, 75, -64, -82, 52,
   -11, 92, 75, 54, 29, -42, 61, 103,
   -16, 116, -19, -28, 126, -44, -90, -107,
   -4, 106, -1, 8, 119, -4, 63, 16,
   -104, 57, -37, 90, 127, -119, -127, -122,
   127, -128, -60, -5, -13, -52, -48, -69,
   127, -39, -102, -109, -24, -76, -107, 16,
   118, -20, 27, -39, 18, -63, -63, 113,
   -11, -127, -30, -75, 19, 7, 111, 82,
   -10, 31, 106, 52, 31, 4, 28, -34,
   -33, 9, -6, -109, 51, -117, -19, -72,
   60, 85, 127, -76, -123, 14, -56, 97,
   127, 8, 115, 32, -5, -64, 31, 1,
   -127, 70, 115, -31, 67, 10, 26, -28,
   -3, 56, -127, 127, -127, 64, 123, -128,
   -37, -12, 62, 35, 22, 75, 127, -128,
   -114, -17, -9, -46, 64, 72, 119, -26,
   -127, 105, -34, 15, 32, 23, -85, -85,
   14, 127, 30, 21, 103, 122, 98, -78,
   127, -127, -98, 126, -6, -27, -103, -72,
   102, -31, -77, -56, 126, 124, 58, -56,
   38, -33, 12, -82, -17, -125, 75, -20,
   13, 65, 113, 127, -2, 10, -30, -120,
   85, 36, -102, -65, 26, 86, 115, 24,
   71, -5, -125, -127, -24, 70, 123, -35,
   127, -10, 28, -10, -125, -126, -70, 48,
   127, 70, 15, 79, 62, 127, -29, 127,
   102, 35, 2, -123, -66, -99, 11, 80,
   64, -128, -104, -101, -40, -30, 111, -109,
   61, -124, 121, 122, -7, 123, 60, 116,
   56, 126, -71, -43, 11, 85, -2, 44,
   11, -117, -32, -123, 69, -11, 81, -62,
   -65, -84, -111, 52, -106, 65, -29, -128,
   -102, -43, 33, -63, -44, 38, -127, 5,
   19, 25, -91, -27, -83, 92, -6, 9,
   -79, 52, -55, -64, -98, -117, -64, -126,
   33, -126, -41, -99, 70, 125, -69, -3,
   69, -58, -53, 19, 20, -121, -99, -84,
   80, -73, -30, 10, 10, 113, 38, -91,
   25, -67, 58, -78, -46, -33, -126, 0,
   47, -98, -37, -15, 127, -38, -44, 8,
   -15, 13, -1, -24, 18, 5, -33, 21,
   6, -42, -58, -123, 27, -17, -26, 10,
   47, 100, 41, 43, -21, -24, 59, 77,
   30, 16, -39, 126, 19, -128, 30, 111,
   121, -101, 64, -7, -77, -127, 52, -91,
   82, 114, 76, -38, -121, 12, -125, 10,
   32, 37, 91, 117, 10, 30, -43, 64,
   127, 122, 36, 51, -118, 8, -127, 19,
   0, -127, -109, -50, 40, -38, 107, -12,
   -12, 25, -122, 102, -121, 98, -74, 52,
   22, -125, -115, -120, -54, -75, -114, -99,
   26, 40, -2, 81, -127, 64, 85, -5,
   -12, 8, -118, -56, -8, 127, -92, 45,
   -26, -85, -25, 48, 22, -11, -43, 77,
   14, 1, -2, -36, 33, 25, 38, 41,
   -22, -90, -80, -20, -29, 77, 48, -67,
   41, 20, -21, 60, 0, -26, -125, 2,
   -47, -127, -92, -77, 127, -55, 4, 120,
   113, -128, 21, -75, -86, 127, -104, -80,
   127, -128, 94, -38, 67, 111, -56, -82,
   127, 106, 82, -94, -87, 72, -54, 76,
   53, -24, 18, -122, -126, -49, 10, 116,
   -58, 113, 114, -77, 119, 76, -91, -102,
   -13, 76, -103, -69, -123, -30, -72, -23,
   -19, -92, -39, -102, -128, 124, -80, 85,
   2, -69, 16, 58, 50, 104, -126, -117,
   117, 19, -124, -50, 52, -126, 92, 112,
   -63, 57, 21, -60, 51, 106, 127, 91,
   -51, -44, -42, 47, -55, -34, 127, 59,
   -125, -46, -18, 123, -113, 93, 126, 115,
   -89, 59, -63, 37, -127, 71, -88, 124,
   -29, 61, -116, -67, 4, -42, 68, 115,
   14, 124, -22, 113, 117, -8, 56, -114,
   -91, 70, -128, -56, -74, 85, 65, 30,
   -21, 125, 75, 77, -9, 115, 21, -57,
   -65, -127, -97, 32, -100, 14, 78, 87,
   15, -14, -126, -109, 89, -48, 127, 127,
   29, -49, 127, 27, 106, 64, -45, 105,
   127, 95, 125, -84, 8, -36, -1, -121,
   127, -108, -116, 127, 127, 121, 20, 127,
   -108, 84, 126, 75, -71, -50, 107, -124,
   43, 50, -21, -22, -72, -67, -112, 17,
   23, -55, -112, 112, 41, -6, -102, -19,
   -32, 116, -127, -104, -50, 77, 56, 124,
   69, 85, 80, -127, 23, -60, -7, 127,
   -37, 60, -97, 14, -115, -57, 30, -66,
   90, -81, -7, 85, 112, -3, 99, 70,
   127, 20, -24, -69, 127, -69, 97, 126,
   -15, -11, 127, -68, -23, -14, 3, -121,
   109, 113, -70, -97, 83, -128, -28, 23,
   -97, -128, -5, -31, -128, -103, -70, 37,
   44, -65, -49, -69, 36, -127, 26, 126,
   -46, 50, -54, 72, -19, 127, 125, -39,
   -15, 127, 126, 28, -94, -33, 119, 16,
   -30, 33, 36, -102, -96, -83, -86, -90,
   30, 55, -106, -39, -69, -106, -31, -64,
   -71, -127, -75, 45, -119, -44, 99, 122,
   -127, 73, -34, 5, 100, 56, -43, 127,
   127, -123, -54, -2, -110, -128, 66, 127,
   -127, 56, -25, -33, 14, -30, -26, 60,
   45, -24, -98, 19, 19, 20, -67, -55,
   5, -44, 85, -19, -41, -17, 123, 40,
   -47, 54, -5, 47, -12, 3, -25, 45,
   -75, 3, -69, 53, 3, -69, 47, 2,
   -53, 38, -10, 33, 28, -9, -20, -78,
   -42, 28, 59, 15, -17, -55, 127, 5,
   13, -41, 6, -49, -34, 36, 67, 89,
   12, 71, -12, 32, -6, -27, -43, 19,
   10, 48, 59, -24, -81, -15, 20, -28,
   -10, 23, 79, 40, 37, -83, -36, -18,
   -94, -23, 94, 60, 55, -17, 127, 3,
   10, -30, 56, 20, 33, 115, -85, -28,
   103, 83, 47, 16, 21, 80, 22, -7,
   -95, 31, -35, 48, -74, 28, -37, 8,
   -49, -74, -17, 16, -16, 72, 73, -61,
   14, 14, -65, 49, 32, -3, -23, 61,
   -18, 102, -65, 1, 14, -35, 50, 19,
   -96, 23, 24, -58, 47, -1, -25, 16,
   -24, -90, -124, 43, 21, -78, -20, -45,
   15, -84, 29, -66, 31, -8, 63, 8,
   -44, -12, -34, -8, -5, 2, 26, 95,
   7, -48, -45, 11, 47, -71, 2, 29,
   49, -49, 84, -39, -32, -1, 127, -127,
   52, -122, 74, 19, 105, -49, 127, -16,
   48, -127, 11, -65, 60, 19, 51, 38,
   -85, 126, 6, -23, -67, 64, -55, -126,
   63, -58, 7, 61, -37, 106, -25, -66,
   -4, -95, 127, -42, 122, -61, 4, -32,
   83, -7, -73, -107, -2, -1, 87, 1,
   64, -55, -38, 27, -29, 30, 127, 39,
   -8, 16, 56, 6, -10, 126, -13, -17,
   -46, 20, -38, -42, 26, 108, -127, -9,
   27, -19, -25, 16, -5, 44, 70, -49,
   38, 8, 14, -4, 64, -48, -127, 52,
   7, -61, 35, 43, -7, 22, 60, -71,
   89, -4, -33, -2, 51, 30, 36, -51,
   2, 20, -112, 4, -30, -3, 80, 83,
   -115, -39, 20, -63, 83, -94, 15, -25,
   -26, 118, -127, 121, 46, 55, 20, -10,
   -33, 100, 6, 18, -37, 60, -10, 12,
   49, -18, -50, -76, 12, -63, 55, 124,
   52, -44, 37, 22, 115, 127, -57, 127,
   36, 62, -36, 32, -65, 125, 125, -80,
   88, -45, 27, 51, 62, -65, 113, 20,
   -13, 11, -13, -57, -61, -105, -9, 126,
   13, 5, -66, -15, 34, 127, 14, -11,
   4, 65, 44, -27, 3, 77, -125, -121,
   28, -44, -10, -98, -11, -128, 20, 66,
   -1, -2, 55, -3, 27, 42, -55, 26,
   127, -19, 48, -52, -33, 22, -17, -17,
   7, -59, 15, 48, 55, 6, -75, 27,
   -62, 26, -5, 21, -13, 27, -45, -4,
   -7, -124, 11, 3, 55, -106, -14, -32,
   43, 119, -75, 84, -104, 46, 8, 44,
   7, 114, -122, -128, -120, 25, 63, 18,
   -44, 63, -12, 81, 52, 39, 42, 11,
   -14, 125, 50, 109, -65, -64, -5, -58,
   80, 77, 109, -68, 56, 88, 9, 74,
   -125, -23, 13, 74, -22, -79, -8, -64,
   2, 52, -20, 40, 57, 116, 106, -37,
   -78, 125, -125, 1, -30, 114, 40, -82,
   -78, 4, -17, -51, 108, -124, 97, 75,
   54, -48, -42, 80, 3, 5, -65, -2,
   -83, -22, -127, 25, -15, -50, 30, -82,
   -127, 33, -6, 83, -109, -114, -127, -125,
   -35, -83, -79, -128, -3, 49, -27, 123,
   3, 90, 27, 60, -102, -7, 8, -39,
   -54, 56, 21, -24, -8, -70, 112, 74,
   73, -116, -13, 68, -121, 38, -126, -102,
   -17, 43, -123, 125, -54, 33, 127, 126,
   -13, -1, -19, 112, -47, -29, -20, -46,
   30, -31, 36, -56, -126, 75, -128, 127,
   49, 78, -25, -21, -58, 0, 8, -36,
   18, 127, -41, -35, 117, 87, -52, -99,
   -11, 125, -115, 123, -25, -2, 79, -47,
   46, 46, -124, 29, 98, 126, -21, 21,
   -94, 13, 21, -120, -7, -127, -89, 13,
   -14, -26, -46, -73, 16, 64, -42, 15,
   81, 83, 47, -7, -63, 117, -44, -71,
   -123, -25, -65, -2, 52, -128, 68, -50,
   -109, -12, -77, 30, 8, 23, -19, 75,
   127, -24, -128, -6, -14, -12, 15, -123,
   6, 21, -6, 106, 123, 37, -128, 74,
   35, 8, -1, 16, 17, 127, 18, 1,
   -20, 53, 87, 48, 7, -77, -15, -35,
   -57, 74, -51, -94, -10, 35, -106, -4,
   -33, -61, 54, 38, -98, -94, 60, 127,
   20, -44, -30, -62, -92, -31, -17, -101,
   44, -60, 64, 106, 57, 81, -42, -72,
   -57, 3, -69, -65, 69, -5, -9, -30,
   110, -42, -61, 24, -90, -5, -31, -16,
   -62, -93, -41, -36, -87, 112, 32, -3,
   -128, -19, -34, 123, -44, -40, 124, -36,
   124, 0, -125, -64, 29, 117, 127, -26,
   -113, -5, 69, 3, 7, -14, -81, 55,
   -19, 48, -80, 74, 6, -50, 93, -38,
   -54, -52, -128, -49, 55, 91, -88, 64,
   127, -49, 34, 45, 42, -60, 112, 125,
   48, -48, 9, -54, 47, -5, 102, -112,
   -94, 25, -7, 54, -35, 38, -19, -81,
   -35, 109, 30, -63, -99, 43, -124, 80,
   49, 43, -41, -28, -24, 97, -27, 48,
   20, -7, 52, -68, 50, 26, -7, 33,
   36, -73, 66, 79, 5, -109, 126, 84,
   41, 127, -65, 45, -2, 72, 121, 0,
   -41, 26, 14, 74, -12, -78, -114, 127,
   -49, 7, 126, 3, -74, 124, -94, 117,
   14, -46, 45, -28, 65, -47, 13, 47,
   48, -9, -5, 54, 1, -58, -39, 68,
   -16, 14, -61, -18, 2, 110, 28, -53,
   52, 26, 67, 57, -19, -78, -6, -7,
   -2, -25, -89, -15, 17, 122, -47, 12,
   -32, -1, -24, -95, -48, 55, -59, -5,
   6, -29, 8, 23, -17, -57, 55, 71,
   24, -22, 126, 27, 39, -17, -32, 70,
   21, -127, -39, -7, 101, 2, 46, 54,
   -20, -116, -40, -24, -127, -24, 33, 22,
   -58, 40, 31, -65, -10, -124, 20, 123,
   125, -49, 25, -58, -17, -22, -66, 17,
   -63, -11, 8, -1, -79, -124, 114, 23,
   27, 11, -1, 26, -1, -29, 11, 19,
   -63, -19, -64, 48, 64, 46, -21, -20,
   49, 79, 56, -5, -95, 10, 9, -19,
   -37, 58, -86, -19, 53, 10, 76, 32,
   -109, -64, -10, -37, 10, -28, -70, 42,
   -62, 38, 118, -13, -20, -6, -21, 37,
   -32, -39, 127, -11, -26, -57, -16, -123,
   -27, -5, 54, -29, -84, 30, 0, -49,
   58, 37, 54, -57, 35, -98, 77, 78,
   -58, -107, -119, -51, 70, -83, -45, -14,
   42, -39, 79, -35, -20, 56, 11, -12,
   23, -29, -26, 32, 1, -18, 29, -119,
   114, -62, -19, -22, 1, -55, -36, 127,
   64, 1, -62, 3, 40, -48, -57, 54,
   -26, -19, 77, 22, -51, 6, 61, 27,
   101, -128, -33, -48, 14, 36, 77, -18,
   103, 125, -13, 53, 95, 2, -19, -104,
   111, 48, 7, 62, -65, -7, -77, -34,
   35, 24, -31, -20, 32, 42, -40, -68,
   114, 69, 64, 72, -49, 50, -6, -61,
   127, 101, 2, -102, 114, 73, -24, -37,
   70, 53, -50, 41, -74, 39, -82, -18,
   45, 115, 124, 84, -5, 21, -32, -76,
   -40, 43, -128, -21, 51, -52, 10, 20,
   11, -60, 74, -2, 127, -56, -56, -20,
   -19, -32, -59, 70, -101, 65, -18, -5,
   7, 48, 122, 80, -14, -5, -73, 45,
   -7, 51, -10, 19, -10, -126, 64, -64,
   72, -127, 9, -62, 6, 75, -26, -63,
   -45, 74, -5, -100, 32, 115, -65, 3,
   -59, 54, 22, -41, -17, -3, 18, 90,
   8, 125, 37, -67, 8, -53, -1, -82,
   16, 71, -3, 68, 115, 35, 38, 85,
   -15, 4, 95, 56, -39, -24, 17, 11,
   -115, 26, 12, 24, 31, -63, -127, -105,
   120, 51, 3, -19, 119, 82, 32, 115,
   22, -55, 50, 39, 27, 127, -98, -34,
   -83, 50, -20, -112, -15, 114, -15, -78,
   94, -127, 0, 78, 0, -12, -30, 3,
   -14, -33, 81, -14, 53, -14, 118, 15,
   35, 113, -110, 14, 40, -9, -10, 33,
   33, -40, 55, -16, 2, -76, -28, -4,
   7, 67, 42, -96, -49, -87, 30, -54,
   96, -72, 26, 40, -16, 122, -2, 13,
   10, -15, -100, 82, -50, -50, -30, 19,
   21, 35, -27, 59, 43, 30, -73, -17,
   50, 42, 52, -43, 24, -95, 58, 8,
   -23, 84, -45, -20, 0, 71, 114, 10,
   73, -122, 106, 34, -2, 15, -15, 35,
   127, 47, -68, 31, -119, -10, 27, 36,
   -65, 4, 11, -47, -58, -122, 98, -19,
   -40, -79, -18, 2, 88, -18, -15, -42,
   -64, -66, -55, 35, -113, -53, -87, 28,
   -127, -95, -28, -70, 107, 42, -3, -52,
   -34, -63, 18, 85, -8, 69, -48, -75,
   20, 51, 123, 22, 13, 13, -21, 36,
   42, -109, 42, 23, 10, 4, -48, -12,
   -53, 24, 90, -26, 77, -105, -17, -9,
   -24, -55, 57, 13, -89, -88, -39, 41,
   -122, 45, -20, -63, 81, 30, -58, 98,
   34, 70, -33, 5, 62, -79, 83, 87,
   86, -97, 66, -73, 6, -52, -111, -65,
   54, -62, -63, -5, 102, -1, -49, -37,
   44, -39, -20, 63, 2, 78, 65, -44,
   -82, -19, -15, 43, 18, -38, 127, -124,
   81, 49, 88, -41, -54, -13, 122, -7,
   87, -43, 125, -65, 5, 22, -52, -35,
   27, 113, 67, 1, 127, -89, -65, -82,
   54, 49, -68, 34, 49, 68, -14, 102,
   -8, -75, 64, 13, 63, 86, 34, 114,
   80, -33, -25, 15, -35, -64, -95, -118,
   -22, -98, 73, -50, -28, 56, -46, -112,
   -49, 2, 71, -101, -20, -27, -51, 64,
   -2, -18, 60, 66, -77, 127, -27, 13,
   -41, 31, 8, -75, 81, -52, -49, -97,
   -84, 8, 72, -3, -99, -111, -41, -14,
   91, -36, -6, 122, 26, -122, -67, 46,
   -79, 5, -69, 31, 73, 44, 3, -13,
   40, 78, -57, -87, 102, -27, -39, 125,
   4, 52, -31, 105, -115, -32, 113, -24,
   72, 10, -127, 51, 68, -60, -30, 11,
   -119, 41, 113, 14, 36, -102, 38, -86,
   38, 20, -97, -25, 70, 45, -6, -54,
   -9, -27, -112, -23, 42, -11, 113, -9,
   -39, -20, -111, -55, -27, 76, 42, -103,
   -36, 52, -10, -89, -52, -115, 104, 46,
   -126, -91, -73, -96, -63, 34, 127, 109,
   -6, -67, -37, 31, -9, -54, 34, -68,
   -41, 116, -5, 120, 34, -70, 54, -6,
   -71, -74, -124, -69, 38, 126, 5, 123,
   85, 92, 127, 64, 21, -4, -62, 56,
   -60, -10, 4, 10, 57, 111, 45, 19,
   -2, -9, -46, 121, 64, 105, -2, -105,
   127, -30, -39, -39, 68, -58, 108, 127,
   -88, -33, 108, 64, -23, -7, -43, -7,
   -97, -63, -52, -69, -72, -51, 1, -65,
   93, -128, -77, -47, 46, -119, 6, -100,
   -6, -105, -41, -128, -4, -17, -125, -33,
   6, 40, -10, -127, -46, -105, -37, -52,
   22, 18, 76, -70, -33, -82, -46, 83,
   127, 42, -70, -19, -22, -99, 5, 66,
   10, -20, 58, 94, -19, 122, 112, -50,
   127, 105, 125, 122, 15, 27, 127, 126,
   -24, -127, -67, -27, 116, -27, 103, -9,
   -53, -72, 64, 120, 61, -122, -34, 9,
   12, 50, -100, 90, -122, 40, -44, 127,
   13, -29, 74, -55, 94, 71, 39, -57,
   126, -54, 98, -126, 77, 37, -67, -65,
   -27, 121, -106, 12, 41, -21, -127, 125,
   9, -127, -6, 127, -25, -81, 16, -92,
   52, 30, 41, 127, 26, -123, 126, -45,
   -19, -15, 21, 78, 9, -32, -65, -67,
   85, -9, 97, -10, 39, -12, 14, -115,
   30, -59, -43, -3, 73, -39, 41, 11,
   87, 8, -91, -6, 123, -107, -3, -121,
   127, -127, -102, -107, -38, -90, -21, 26,
   75, 44, 60, -124, -69, -82, 47, -109,
   -24, -62, 118, -104, -23, 34, -25, 64,
   73, 3, 82, 13, 30, 7, -2, 118,
   -24, 39, -18, 90, 126, 125, 112, -11,
   119, 43, 113, 108, 8, -68, 112, 127,
   7, -52, -33, 30, 103, -53, 126, -12,
   35, -61, -100, 88, 38, -80, -60, 52,
   -56, 6, 45, 113, -39, 21, -58, 127,
   80, -26, 76, 15, -74, 2, 23, 60,
   103, 53, 42, -31, -61, 52, 62, -81,
   -60, 122, 59, 78, 0, -57, 6, 69,
   -63, -27, -20, 127, 29, -125, 36, 30,
   -59, -1, -8, 127, -49, -57, 99, 62,
   11, 31, -2, 127, 49, 5, 26, 34,
   80, -46, -86, 77, -70, 77, 2, 34,
   45, 67, -70, 37, 110, 63, -46, 126,
   61, 127, 25, 120, 23, -90, -7, 93,
   -44, -65, 37, -79, -38, -65, 22, -17,
   38, 67, 126, 127, -35, -26, 19, 5,
   -39, -48, 17, 75, 75, 29, -37, 37,
   -82, -126, 16, -32, 34, -13, -11, 122,
   -46, -20, -84, -127, 127, 79, -70, 70,
   -74, -125, 27, 18, -116, -127, 80, 36,
   -29, 59, 58, -29, 8, 0, 117, 5,
   -57, 22, -121, 3, -21, 75, -83, -48,
   -51, -95, 11, -6, 70, -16, -93, -14,
   56, -45, -84, 106, 3, -90, -85, 76,
   26, 7, -61, 109, -72, -65, 58, -111,
   -51, 76, 9, -112, -44, -34, 88, -19,
   55, 127, 25, 29, 35, -26, 110, 121,
   -127, -82, -55, -74, -35, 54, -128, -108,
   1, 93, -28, 125, 89, 40, 21, 33,
   -4, 1, -24, 127, 12, 25, -32, -20,
   42, 59, -59, -7, 92, -29, -87, 78,
   52, 123, 30, 75, -45, -9, 110, 92,
   -112, 35, 20, -126, -22, -127, -85, -27,
   -98, 12, -95, 100, -76, 70, -58, -52,
   -55, -102, 49, 22, 58, -23, -127, -2,
   42, -10, 74, -127, 42, -18, -40, 123,
   60, 100, -55, -26, 53, -43, -8, -24,
   -54, -20, 9, 4, 19, -41, -61, 116,
   -57, -15, 73, -12, -32, 41, -60, 76,
   -42, -66, 4, 48, 15, 90, -100, 108,
   50, -49, -21, -45, -45, -30, 12, -92,
   73, -48, 7, 3, 35, 17, -82, 42,
   -13, -27, 91, 40, -81, -45, -94, -60,
   -33, 30, -81, -22, -88, 117, -51, 22,
   -36, 127, -52, -16, 10, 105, 27, 8,
   7, 42, 103, -82, 0, -6, 21, 62,
   4, 44, -92, 20, 71, 21, 126, -5,
   -14, 95, 44, 20, 75, 86, 67, -31,
   50, 57, -72, -69, -14, -73, -10, -53,
   90, -26, -125, 60, 30, 40, 59, -26,
   48, -127, -43, -29, -127, -61, 15, 48,
   33, -38, 28, -2, 10, 46, -120, -108,
   -58, -7, -114, -12, -26, -22, 14, -59,
   5, -32, -4, -62, -50, 0, -47, 80,
   -30, 89, 63, 98, -10, -36, -15, -43,
   -37, -58, -56, 66, -91, -26, -44, 127,
   -98, -43, 40, 127, -24, 57, 3, 35,
   -35, 8, -88, 33, 101, 40, -22, 91,
   68, -61, 8, 23, -42, -71, 7, -122,
   43, -6, 72, -116, -39, -33, -35, 105,
   -49, 36, 47, 35, 23, -122, -52, 6,
   -38, 87, 11, -29, 17, 23, 17, 39,
   -25, 27, 1, -46, 70, 24, 44, 50,
   14, -19, 67, -74, -35, 81, 17, 42,
   -41, -110, 42, 51, 100, -36, -6, 15,
   6, -56, 2, -71, -27, 38, 95, -49,
   47, 5, -42, -92, -21, 6, 57, -29,
   -26, -68, -115, 115, -126, 41, -110, 20,
   -74, -44, 22, 8, -61, 75, -35, -38,
   -62, 35, 78, 29, -50, -45, -123, -76,
   56, 2, 15, 120, 12, 8, -122, -62,
   63, -121, -95, 27, -1, -88, -49, 20,
   -33, 126, 118, -80, 39, 62, -35, -85,
   95, -55, -109, -58, -85, 16, -58, -1,
   -124, 119, 3, 40, -7, 121, -2, -49,
   -114, 38, -126, 113, -2, 36, -17, -21,
   26, -40, 11, 60, -7, -106, 28, 51,
   32, 1, -30, -120, -123, 125, -79, 94,
   -34, 127, 97, 77, -75, -64, 91, -78,
   -72, 81, 31, 13, 47, -67, -27, 126,
   -53, 125, 108, -20, 33, -77, 50, 90,
   2, 101, 41, -39, 59, -6, -10, 5,
   -125, 15, -45, 0, 44, -72, -1, -17,
   -117, -14, -9, -79, 44, 112, 28, 2,
   -27, -2, -10, 107, 43, -20, -123, 45,
   0, -48, 60, -25, -68, -16, 0, 121,
   69, 80, 45, 86, 115, -9, 63, -43,
   73, 27, -7, -40, -11, 27, 46, 8,
   19, 31, 55, 96, -46, 9, 24, 15,
   -115, -64, -28, -50, -39, -44, 26, -11,
   11, 90, -41, -127, 32, -6, 7, 95,
   -27, 42, -53, 19, -12, 70, 34, -89,
   -24, 25, 12, 113, 29, 71, 8, 27,
   103, 1, 2, 63, -16, 67, -2, 34,
   7, 53, -14, -3, 77, -48, 21, -42,
   12, 23, 83, 11, 54, 56, -11, 53,
   21, 31, -9, -23, -66, -16, 2, -29,
   -31, 74, -3, -15, -6, 63, 11, -127,
   -1, 49, 26, 14, 93, 7, 30, -44,
   3, 7, 43, -15, -50, -66, -22, -18,
   -34, -88, -125, 34, -38, 9, -28, -2,
   -22, 15, -68, 50, 6, 0, -28, -71,
   -36, -5, -17, -51, -29, 6, -90, -69,
   18, 41, 21, -16, 36, 13, -75, -50,
   16, 7, -14, 21, 62, -63, -3, -12,
   7, 50, -2, 49, 37, -67, -24, 34,
   35, -41, 48, 30, -72, -118, -20, 25,
   15, -44, 55, 102, 22, 2, -55, 72,
   -31, -80, -50, -10, 12, 14, 3, -11,
   -47, -17, 26, -71, -35, -11, 65, -13,
   17, -67, 38, -61, -24, 12, -71, 65,
   7, -60, -44, -49, 19, -8, -51, -50,
   -45, 12, 27, -24, 10, -35, 31, -17,
   10, 30, -52, 41, 4, 8, -2, 15,
   -14, -30, 26, -15, -70, -10, -96, -66,
   21, -19, -17, 40, -125, 4, 30, -15,
   50, 8, -1, -60, -36, -18, 47, 9,
   24, 29, -68, -10, 10, -7, -42, 84,
   34, -10, 45, 32, 43, -26, -26, 0,
   -124, 11, 97, -14, 59, -36, 5, -90
};

static const rnn_weight noise_gru_recurrent_weights[6912] = {
   -26, -18, -10, 70, 11, -2, -69, -34,
   93, -62, -3, 23, -12, -9, -16, 62,
   -5, -66, 15, -76, 124, -18, -75, -25,
   56, -13, 70, -5, -25, -96, -29, -27,
   -9, 20, 3, -56, 68, 101, 60, 4,
   -33, -27, 85, -21, 26, 96, -51, 108,
   -9, 26, -45, 96, 0, -20, -13, -41,
   -37, 34, 7, 20, -45, -36, -41, 67,
   2, 83, 46, -43, -4, -77, 11, 19,
   38, -86, 12, 37, 5, 1, -32, -23,
   -26, -64, 33, 126, 18, 23, 41, 47,
   -95, 20, -42, 7, -33, -10, 57, -97,
   -61, 4, -5, -58, 41, 68, -38, 40,
   -116, 37, -17, 10, 120, 8, -34, -9,
   -119, 49, -28, -40, 14, 57, -68, -122,
   17, -14, -13, 17, -11, -100, 25, -42,
   -65, -106, -63, 10, -34, 15, 2, -61,
   28, -79, -5, -42, 6, 56, 13, -128,
   -114, -83, -16, -64, -34, 33, -52, 77,
   42, -7, 50, 35, 45, -6, 90, -71,
   -46, -62, 106, -17, 33, -6, 26, 33,
   2, -8, -57, 21, 10, 2, 42, -27,
   90, -45, 28, 28, 1, 31, -31, 72,
   -68, -41, 27, -2, 69, -40, 1, 2,
   50, 25, 9, 48, 67, -36, 35, 14,
   -30, -45, -53, -38, 59, -63, 105, -95,
   -59, -45, -51, -35, -76, -43, -75, 76,
   12, 30, 0, 51, -44, -27, 48, -15,
   -122, -23, 76, -36, 7, 15, -14, 13,
   -26, -4, 9, -51, 21, 6, 62, -34,
   -52, 21, 31, 16, 28, -12, -43, -44,
   -40, -51, -34, -3, -48, -43, -109, -42,
   11, 36, -8, -73, 35, -13, -17, 8,
   -14, -7, 20, -45, 0, 38, -40, 59,
   -127, -15, -6, -51, 2, 28, -20, 0,
   59, -66, 37, 2, -2, 20, 45, -1,
   46, -29, 9, -5, 15, -17, 47, -2,
   31, 22, -6, -16, 24, 21, -29, -38,
   -73, 0, 27, 34, 48, 22, 10, -45,
   19, 77, -37, -15, -71, 94, 4, -76,
   55, -27, -1, -52, 33, 11, -22, -15,
   -13, 40, 37, -27, 125, -50, -20, 4,
   -22, 41, -47, -13, 109, 52, 124, -46,
   67, 8, -24, 1, -10, 41, 16, 30,
   17, 37, 5, 25, 32, -15, -60, -6,
   34, 18, 0, -30, -3, -6, 33, 38,
   9, -26, 100, 63, 10, -61, -63, 42,
   1, 3, -55, -11, -10, 80, 59, 71,
   -14, -43, 47, -83, 60, -37, -51, 4,
   -13, 20, -67, 44, 71, 36, -5, 28,
   16, -2, -12, -41, 23, 61, -59, -23,
   -14, -61, 25, -42, -74, -45, -43, 8,
   -24, -64, 24, -14, -27, -53, -36, 39,
   27, -17, -106, -15, -11, -69, -10, -126,
   42, -71, 27, -27, 5, -56, -18, 27,
   30, 13, 59, 8, 75, 0, 1, 8,
   53, -24, 44, -23, -22, 52, -73, -40,
   23, 57, 124, -64, -54, -1, -23, 78,
   39, -19, 57, -34, -14, 37, 42, 10,
   -43, -11, 30, -24, 18, 13, 127, -41,
   -8, 62, -29, 9, 98, 18, -42, -58,
   -11, -38, -7, -37, -6, 28, 23, 33,
   81, 85, 9, 0, -52, 69, 40, -109,
   70, 60, 3, 64, -8, 46, 29, -16,
   32, -57, -2, 15, 22, -10, -71, 81,
   -23, -26, -31, 17, 42, 40, 77, 80,
   17, -52, -7, -8, 0, -16, -17, -126,
   -37, -40, -38, 38, -51, -41, -76, -8,
   -6, -9, -51, 53, -29, 52, 19, -116,
   54, 73, 2, 35, -21, 33, 44, -61,
   49, -42, 32, -26, -19, 45, -19, 65,
   -69, 15, -19, -67, 16, -35, -1, -37,
   -8, 45, -52, 39, 2, -38, 3, -4,
   96, 48, -56, -55, 34, 42, -19, 34,
   -29, -90, 116, -61, -18, -39, 20, 30,
   36, -20, 3, 2, 127, -35, -126, 34,
   7, -42, 90, 40, 7, 58, 97, 46,
   -11, 15, -29, -21, -9, -23, 16, -39,
   -62, -47, -7, 6, -47, 12, -19, 7,
   -32, 7, -15, 1, 33, 127, -12, 12,
   -23, -5, -45, -48, 10, -19, -15, 0,
   5, -17, -30, -48, 14, 65, -4, -68,
   -69, 27, -16, 16, 0, 17, -19, 37,
   -22, -18, -26, -114, 74, -13, 20, -12,
   -11, 84, 8, -23, -55, -16, 57, 37,
   -53, 7, 67, 23, 4, -29, -58, 5,
   111, 2, 58, -12, -3, -40, 20, 27,
   7, -115, -29, -29, -100, 26, 21, -8,
   -24, 29, -81, -26, 29, 3, 66, -37,
   40, -19, -60, -47, 23, 17, -44, 15,
   -22, -49, 42, 40, 39, 5, 2, 92,
   126, -11, 8, 11, -57, -30, 41, -32,
   -46, 2, 35, -30, 81, 9, -94, -5,
   82, 12, 36, 4, -30, -54, 16, -31,
   -53, -4, -11, -92, -16, 13, 70, -67,
   27, -28, 123, 5, 108, 95, 41, 79,
   3, 45, -22, 22, 14, 6, 12, 56,
   10, -14, -27, 94, 110, -5, -20, 16,
   36, 2, 30, -70, 23, -43, 60, 60,
   -1, -61, -65, 23, 4, 27, 14, -92,
   62, -39, -18, 23, -43, -13, -53, 26,
   -15, -32, -8, 123, 27, -78, 24, 55,
   55, -38, 39, 47, 7, 28, -63, -11,
   -28, 62, 39, 72, -66, -50, 22, 49,
   -4, -36, 48, 43, 20, -43, -18, 2,
   76, -6, -96, 60, -59, -37, -23, 29,
   24, 76, 9, 15, 32, -8, -6, -36,
   44, 48, -13, 16, -16, -64, -36, -35,
   33, 49, -72, 2, -47, -89, 77, -33,
   -21, -94, 7, -127, -53, 85, 21, 22,
   -7, -43, 54, -110, -30, 34, -72, 30,
   45, -29, 94, -35, -1, 34, 15, 23,
   -70, 2, 27, 113, 35, 49, -21, -90,
   103, -27, -12, 86, 37, -9, -12, 19,
   23, -103, -10, 126, 16, 24, -6, 107,
   48, -37, -63, 40, -18, -91, 6, 90,
   106, -47, -21, 85, -19, 56, -2, -24,
   39, -23, 87, 35, 14, 28, -46, -6,
   51, -10, -44, 113, 15, -36, -7, -78,
   66, 18, 49, -27, -25, -12, 72, -56,
   2, -44, 19, 27, -36, -5, -18, 39,
   -78, -40, -34, -29, -47, 13, 41, 42,
   11, 39, -19, 79, -65, 26, -29, -23,
   42, 64, -49, 33, -4, -12, 4, -8,
   -118, -53, -75, -40, -36, -22, -36, 85,
   38, 17, 75, -33, 15, 62, -38, 40,
   73, -5, 0, -71, 10, -127, -11, 15,
   22, -1, -49, -36, 39, -50, 12, 35,
   56, -51, 125, -31, -66, -3, 45, -11,
   53, -11, 16, -19, -29, -37, 49, -13,
   10, 79, -63, 75, 75, 127, -24, 12,
   47, 8, -10, 48, 57, -61, 31, 18,
   -1, -60, -18, 6, -36, 48, -45, 33,
   66, -33, 4, 61, -29, -28, 43, 11,
   -48, 37, 45, 59, -6, -62, 64, 85,
   -47, 65, -25, -43, 34, 28, -109, 17,
   -22, 17, -60, 47, -42, -89, 36, 1,
   -9, -52, 75, -8, 1, -38, 64, 25,
   -26, -43, 86, -34, 7, -6, 14, 37,
   35, 39, -74, -34, 30, -69, 5, 36,
   -100, 15, 24, -72, 18, 36, 7, 74,
   -16, -16, 21, 4, 116, 17, 63, 6,
   -29, 29, -20, -32, 76, -30, 24, -64,
   53, -10, -6, -61, 62, -73, 92, -128,
   1, -56, 24, -61, 15, 2, 6, 24,
   20, 86, 13, 19, 57, 44, -1, 64,
   0, 71, -30, 48, 32, 78, 117, 49,
   -13, -70, 56, -29, 63, 49, -105, 36,
   39, 18, 27, 58, 68, 19, 61, -2,
   -91, 61, 125, 12, 80, 11, 24, -28,
   -21, -19, 71, -44, -19, -9, 26, -8,
   9, 24, 17, -85, 9, 43, 25, -32,
   -32, -18, 16, 69, -17, 18, -5, 38,
   -9, 57, -5, -18, -34, -28, 48, -83,
   11, -58, -52, 93, -60, -24, 120, 55,
   -21, 52, -2, 8, 13, 23, -36, -96,
   -33, 37, -37, -105, -46, 33, 81, -2,
   -13, -23, 84, 18, -4, -38, -30, 81,
   11, -7, 18, -1, -17, 53, -112, 63,
   9, 53, -72, 4, 21, -74, 17, 94,
   -33, -9, 25, 23, 15, 2, -75, 35,
   -23, -36, -1, -114, 26, -19, -3, 76,
   -13, 31, -65, -50, 4, 6, -79, 67,
   122, 13, 29, -24, -38, 16, 28, -27,
   -52, 5, -18, 14, 83, -10, 4, 82,
   -25, -52, -1, 22, -28, -34, -100, 3,
   77, 11, 12, -77, -80, 41, 28, 28,
   32, -10, 116, -9, 36, 40, 21, -61,
   -33, 64, 41, -24, 43, -55, 4, -2,
   44, 1, -37, -12, -10, -4, -21, 42,
   14, 12, -39, 40, -31, -22, -73, 58,
   -4, 44, -33, 31, 28, 48, 29, 67,
   8, -21, 6, -6, -12, 23, 54, -46,
   27, 23, -13, 20, -38, -17, 87, 117,
   -61, 38, 10, -20, -99, 32, -125, 12,
   40, 59, 90, -16, 0, 27, 22, 28,
   57, 39, 5, 6, 29, 51, 25, -37,
   -42, 6, -9, 20, -51, -19, 31, 39,
   14, 44, -41, 37, 66, 73, -6, 1,
   -22, 15, -49, 22, 34, -51, -29, -31,
   83, 18, -118, -29, -20, 14, -21, 65,
   70, -47, 11, 31, -73, 50, 25, 13,
   43, -33, 97, 39, 44, -66, -42, -20,
   25, -19, 81, 5, -3, 3, 58, 7,
   -49, -29, 106, -21, 51, 67, -36, -5,
   -39, 55, 66, -15, 70, -31, 99, -7,
   -84, 15, -9, 36, 12, -33, 54, 3,
   27, 10, -18, -67, -63, 13, -21, 57,
   3, 12, -59, 57, 28, 24, 11, 39,
   10, -28, -80, 49, 7, 39, -66, -65,
   -45, -8, -16, -2, 46, -98, -37, 5,
   -2, 50, -6, 14, 42, 25, 8, -7,
   -14, 33, 114, 62, 26, -35, 80, 60,
   59, 7, -26, 2, 12, 21, -21, 45,
   -19, -53, 99, 12, 37, -10, -77, 53,
   -29, -1, -27, 46, -61, -4, -20, 15,
   48, 20, -72, 82, 33, -10, -9, -117,
   3, 5, -2, 26, 21, -5, -61, -37,
   67, -50, 0, -22, 78, 7, 57, 2,
   127, -13, -4, 47, 36, 4, -40, -1,
   9, 8, -93, 30, -90, -40, -52, -2,
   58, -5, 9, -21, -46, -64, 108, 13,
   -1, 4, 86, -3, -37, 17, -16, -8,
   -17, 21, 55, -55, 29, 49, 84, -18,
   2, 15, 5, 89, -45, -30, 11, 42,
   118, -36, 1, -29, -18, 37, -11, 15,
   15, -18, -42, -21, -28, -38, 12, 48,
   59, -1, -47, -55, 57, -5, -12, 11,
   2, -20, -44, 0, 11, -95, -27, -62,
   57, 76, 53, -74, -4, -5, 82, 79,
   -31, -24, -3, 45, -46, -10, 11, -80,
   -35, 23, -39, 33, -7, -23, -14, 38,
   -21, -72, -76, -30, 27, -13, 60, -7,
   10, -29, -37, 62, 36, -4, -30, 18,
   -39, -11, 40, -20, 32, -66, -20, -21,
   8, 17, -25, -12, -19, -5, -34, -16,
   71, 30, 53, -55, -20, -7, -63, -124,
   15, -56, 14, 45, 18, 28, -58, 47,
   -1, -4, 124, -92, -69, 1, 15, 30,
   21, -17, 20, 84, -28, -13, -42, 22,
   37, 44, -127, -2, 46, 28, 19, -22,
   -74, 25, -101, -39, 48, -46, -31, -35,
   -12, 35, 9, -30, 9, -4, -14, 68,
   -26, 19, -6, 81, 34, -53, 22, -20,
   -77, -41, 7, -3, -12, 11, -5, -22,
   -126, 1, -1, 19, 38, 126, -19, -40,
   3, 30, -47, 95, 33, -20, -33, 98,
   -49, -40, 68, -40, 87, -30, -46, -5,
   -94, 75, 20, -2, 3, 38, 80, 58,
   46, -45, 18, 17, 5, 38, 35, -25,
   -57, 4, 91, 20, 14, -84, -48, 52,
   6, -65, 59, 1, -6, 39, 18, -26,
   -46, 54, 9, -59, -2, 26, 2, -11,
   21, 6, -80, -16, 81, -67, -21, 86,
   -86, -68, 22, -28, -4, 26, -61, 57,
   -25, -45, 41, -19, -57, 12, 12, -67,
   -43, 26, 48, -17, 0, 11, -42, 43,
   -31, -22, -8, 1, -40, -21, 61, -87,
   38, 17, -18, -72, -32, -13, -6, -38,
   56, -16, 34, 39, 48, 66, -71, -45,
   41, 16, -2, 31, 9, -3, 73, -6,
   -42, -30, -53, 1, 7, 49, 16, -96,
   -31, -40, 70, 64, 47, 59, -27, -14,
   42, 97, 29, 34, 42, -11, 28, 20,
   56, -107, -14, 1, 6, 27, -28, 32,
   0, 51, -17, 50, 44, -28, 55, -4,
   -8, -10, 40, -18, 26, 7, 47, 37,
   -10, -24, 40, -71, 119, 60, -33, 23,
   -35, 30, 44, -32, 39, 84, 34, -35,
   69, 19, 16, 14, -28, 7, 44, 22,
   29, -79, 13, -29, 11, -16, 55, 8,
   20, -34, -75, -86, 32, 15, -6, -37,
   -22, -64, -81, -5, 100, -7, -78, 53,
   108, -5, 0, -25, -9, -19, 3, -60,
   -39, -30, -8, 45, -11, -15, -9, 44,
   -55, -51, 48, -28, -63, -56, -19, 31,
   29, -18, 90, 12, 20, -1, 71, -7,
   -13, -3, 3, -15, 80, -73, 37, -34,
   3, -41, 10, 85, 18, -7, 10, 80,
   -3, 43, -6, -10, -66, -39, -45, 11,
   -2, -47, 115, -32, 16, 1, -3, 38,
   73, -23, -29, -45, 18, -34, -46, -113,
   34, -26, -29, -53, 32, 33, -25, 8,
   1, 3, 47, -63, -13, 1, -8, 20,
   23, 16, 17, -21, -30, 52, 43, 1,
   -74, 17, -35, -60, -44, 33, -37, 51,
   70, -30, 15, -5, 63, -107, -43, 6,
   -18, -69, -70, 35, 32, -27, -22, 4,
   -45, 11, -23, 42, -24, 51, -41, -40,
   -42, -8, -8, 14, -29, -54, -43, -4,
   8, -25, -105, -10, 24, 17, -72, 11,
   25, 2, 7, -3, -58, 9, 46, 53,
   15, 35, 65, 67, -55, -69, -116, -16,
   22, 75, -16, 7, -52, 43, 42, 38,
   -29, 2, -26, -22, -67, 44, -34, -12,
   -53, 59, 77, -17, 31, -13, 61, 18,
   44, 22, 36, 127, 22, -1, 40, -80,
   4, 7, -99, 44, -119, -96, -11, 6,
   45, -44, -17, -37, -29, 6, 51, 3,
   55, 3, -69, -74, 127, -82, -19, 68,
   -13, -43, -20, 22, -64, 7, 22, -10,
   -4, 38, 17, -31, -11, 63, 52, -78,
   78, 13, -5, -9, 78, -39, -2, -54,
   7, 72, -34, 27, -75, -82, -60, 35,
   18, -95, 13, 113, 3, -128, 12, 8,
   -51, 22, -114, -15, 33, 25, 21, -38,
   -27, -3, 58, -41, 12, -66, 16, 18,
   14, 28, -89, 50, -36, 50, -52, -71,
   -52, -76, -6, -21, -34, 46, 4, 11,
   -2, 4, 8, -41, 19, -98, 31, 51,
   -19, 1, 25, -4, 73, 55, 25, -31,
   17, -26, 55, -45, -54, 10, -95, -30,
   86, -41, -39, -28, 45, 27, 11, 36,
   10, -30, 69, 41, -51, 20, -26, -26,
   66, -35, 39, 44, 17, -34, 43, 34,
   -63, 9, -31, 18, 40, -53, 30, -94,
   -13, 12, -25, -25, 9, 14, -82, 73,
   25, -31, 20, -45, 27, -84, 7, -32,
   -69, -102, 43, 41, -38, -7, -16, 62,
   5, -10, -89, 9, -58, -15, 81, -62,
   25, -18, -52, 7, -6, -11, -118, -87,
   -11, -26, 34, -88, -39, -15, 6, 32,
   -3, 52, -2, 34, 19, -47, -74, -19,
   32, 11, -55, 10, -126, -85, -27, -14,
   -61, 67, -18, -20, -56, 92, -29, 37,
   -18, -3, 21, -32, -21, 9, -57, 77,
   -18, -127, -69, 22, 19, -65, 2, 85,
   -21, -28, 28, 6, -30, -10, 5, 17,
   -62, 1, 9, -75, 22, -85, 63, -51,
   -55, -2, 26, -76, 56, 12, 68, -59,
   17, -10, 80, -32, 11, 14, -30, 13,
   -3, 44, -68, 44, 23, 15, 47, -43,
   -51, 56, -46, 14, -13, 56, 20, 24,
   74, -21, 3, -4, -24, -22, -34, 6,
   -35, -30, 47, 31, 36, 38, -18, 25,
   -3, 54, -25, -9, -58, 23, 55, -39,
   -34, 34, -7, -69, 17, -17, -22, -34,
   -38, 79, -33, -14, 28, 27, 16, 20,
   -22, 127, -36, 20, -36, 5, 25, 19,
   21, 37, -24, 27, 22, -12, -23, -99,
   -12, 56, 5, 8, 61, 3, -38, -83,
   -57, -58, -18, -30, -74, -38, -26, -23,
   -50, -43, -42, -45, -42, 25, 71, 47,
   -50, 66, -5, 24, 38, -34, -20, -48,
   -12, 36, -3, -80, -70, 30, -8, 48,
   28, -4, 51, 93, -41, 37, 45, 11,
   99, 43, 79, 33, 127, 100, 1, 60,
   1, -11, -4, 16, 33, -11, -23, 65,
   57, -35, 14, -48, -89, 90, -22, -12,
   -1, -34, 41, 32, -21, -39, 12, -33,
   -21, 61, 62, -9, 17, 23, 55, 34,
   -8, 12, 10, -19, -52, -55, -27, 3,
   29, -69, 34, -8, -4, -39, 19, 32,
   5, 24, 75, -10, -8, -14, -12, 6,
   17, 24, -16, 73, -53, 5, 100, 31,
   -1, 25, 20, -27, -27, 10, -50, -10,
   40, 26, 16, -39, -12, -38, -52, -22,
   47, 1, 50, -39, -4, -5, -67, -40,
   -4, 26, -2, -67, -16, 51, -30, -41,
   28, 83, 36, -50, -27, -21, 3, -17,
   -14, 13, -4, 23, -50, -23, -44, -2,
   -116, 26, 18, -70, 27, 56, -1, -64,
   -20, -20, -51, 44, -12, -15, -75, 16,
   43, 44, -55, -4, 58, -14, 18, 23,
   -2, -23, 14, -27, 27, -59, -92, -56,
   -24, -17, -15, 91, -56, 10, 2, 81,
   -24, -21, 34, -3, -54, 83, 26, 37,
   8, 9, 27, 18, 60, 10, 39, 25,
   -59, 0, -53, 34, -4, -10, 55, -34,
   108, 70, -3, 17, 27, 11, -15, 18,
   -3, 23, -21, 37, 25, 21, -61, 77,
   25, -14, -79, 31, 85, 66, -10, 16,
   -18, -39, -15, 64, -37, -10, -57, 77,
   7, -7, -33, 0, 72, 32, 94, 12,
   29, -4, 39, -28, -3, 65, 12, -27,
   -5, 30, 12, 31, -26, 88, 40, -14,
   -28, 6, -24, 27, 3, -29, 81, 21,
   -22, -10, -59, 23, -46, -18, 4, 27,
   47, -2, 24, -17, 6, 0, 67, 12,
   -26, -67, -23, -48, 56, 12, -15, 29,
   19, -25, -39, -29, -47, -15, -21, -8,
   54, 1, 91, 8, 27, -17, -25, 58,
   0, 34, 0, -21, 10, -33, -116, 65,
   91, -56, 6, 22, -14, 16, 28, 31,
   -51, 127, -48, -64, -1, -23, -25, -44,
   -8, -96, -3, 29, -33, -25, 53, 50,
   68, 33, -26, 15, 115, 35, 40, 54,
   -12, -47, -26, 125, -59, 2, 67, -33,
   -27, 25, 32, -3, -11, -51, -25, 3,
   68, -2, -8, -25, 42, -11, -19, 3,
   -13, -4, -18, 57, 49, 20, 12, 24,
   -56, -9, 37, 3, 5, -14, 27, -84,
   50, -31, 7, -1, -39, -48, -55, 10,
   39, 39, 3, 12, 127, -101, 34, 5,
   28, -21, 8, 2, -70, 18, 23, -16,
   44, -56, -5, 16, -9, -81, -8, -8,
   33, -31, -87, 17, 13, -33, -31, -40,
   -18, 37, 27, 3, 56, 21, 48, 36,
   82, -15, -20, -127, 1, 16, -18, 12,
   64, 15, 21, -23, -21, -42, 6, -13,
   103, -1, 18, 25, -2, -54, 54, -8,
   -52, -33, -25, -25, -38, -15, 74, -40,
   -34, 52, -37, 11, 3, 44, 9, 37,
   -19, 7, 41, 5, -36, 3, 91, 25,
   -21, 16, 36, -9, 22, -50, -17, 12,
   -34, 16, 29, -8, -33, -65, -53, -16,
   -54, -11, 15, 11, -47, 13, 44, 7,
   14, -79, -38, -65, -65, 40, 56, -94,
   60, 74, -54, 12, -32, -47, 44, -3,
   -7, -103, 53, 127, 26, 21, 40, 26,
   33, -21, 7, 48, 33, -6, -19, 29,
   12, 79, 28, -54, -25, -59, 83, 1,
   -1, -41, 28, 0, 40, -28, 12, -28,
   50, 48, 50, -5, -17, 5, -35, -8,
   -62, -12, -90, -45, -16, -117, -122, -10,
   -118, 55, -2, -128, -11, -18, 16, 30,
   15, 13, -8, 14, 62, -45, -8, 41,
   -28, 30, 40, 10, 18, -60, -54, -43,
   43, 16, 2, -5, 127, -37, -72, 83,
   48, -24, 71, 25, -4, -37, 32, 6,
   -30, 22, 45, 8, 62, 9, -9, -67,
   55, -9, -21, -8, 6, 83, -18, 36,
   30, 48, -17, 46, -68, -30, -4, -29,
   -15, -28, -47, 7, 5, -65, -2, -125,
   62, 20, 68, -41, -3, 30, -16, 75,
   -27, -9, -65, 15, -24, -19, -58, 38,
   -24, 5, 44, -10, -46, 47, 51, 19,
   -61, -27, 18, -43, -21, 34, -37, -63,
   -44, -54, -48, -49, 60, 2, -1, 20,
   -20, 46, 6, -22, 29, -23, -4, -16,
   -2, 49, -47, -9, 0, 2, 73, -72,
   -30, 70, 34, 74, -60, -37, 29, -19,
   -2, 72, -77, 21, -14, 13, -124, -125,
   -15, 23, 24, -2, -2, -59, -36, 92,
   59, -8, -18, 97, -36, -17, -26, 19,
   74, 51, 6, -69, -56, -72, -42, -42,
   55, -58, -5, -55, 54, -24, -60, 5,
   -113, 3, -1, -8, 55, -17, 0, 25,
   -28, 4, 5, -61, -11, 54, 65, 52,
   -102, -10, 57, 9, -49, 4, -14, 7,
   -23, -4, -22, 6, -44, -34, -5, -50,
   22, -62, -42, 31, -7, -5, -26, -57,
   21, 34, 21, -7, 29, 1, -53, 0,
   26, -99, 61, 36, 9, -62, -43, 62,
   30, 27, -78, 66, -30, 40, 21, 59,
   -57, -43, 31, -32, 34, 12, 60, -41,
   -9, 45, 20, 39, -93, 107, 11, -19,
   42, -12, 15, -12, -40, -59, 52, -45,
   -44, 12, 5, 20, 40, -92, 22, -20,
   35, -62, 26, -62, -36, 39, -25, 8,
   -11, -68, -42, 22, 3, -42, -11, 56,
   -80, 40, 3, 1, -77, -17, 87, 49,
   94, 80, -35, -64, 52, -25, -125, 51,
   57, 40, -36, -27, 69, -19, 32, -3,
   -8, 9, 31, 8, -46, 15, 6, 16,
   21, -37, 3, 12, 23, -4, 74, -25,
   25, -62, 127, 42, 39, 60, -9, -33,
   -15, -23, 82, -1, 12, -79, 96, -111,
   47, 69, 1, -37, 9, -41, -36, 32,
   10, -56, 30, 8, 35, -33, 47, -85,
   -23, 14, 111, 62, 1, 1, -18, -6,
   -78, -56, -34, -20, -6, -44, -59, 27,
   38, -17, -25, 26, 37, -30, 25, -14,
   -45, -9, 84, 24, 68, 38, 2, -61,
   35, -14, 16, 76, 60, 6, 30, 22,
   -93, 28, 36, 24, 2, -41, 13, 38,
   25, -95, 59, 12, -89, -73, 2, -78,
   37, -32, -37, 6, 10, 2, -48, -22,
   18, -90, -22, -13, -68, -18, -25, 79,
   49, -45, -5, -99, -16, 94, 49, -22,
   -116, -9, -62, -60, 23, -5, -1, 34,
   4, -7, -15, 59, -56, 12, 13, 29,
   -14, 69, 17, -17, 36, -3, 44, -85,
   46, -14, 20, -41, -82, 9, 50, -60,
   18, -3, -70, -47, 73, -16, -10, 14,
   -84, -30, -6, 85, 56, 32, -9, 1,
   61, -30, 36, -58, 0, 15, -13, 11,
   8, -41, -3, 0, -21, 20, -33, -69,
   1, -32, 43, 29, 51, 37, -77, 42,
   -33, -11, 19, -17, -60, 71, 18, -21,
   -8, -10, -15, 39, 58, 105, -88, -16,
   -27, -15, -26, 79, 56, -53, 17, 16,
   14, -50, -48, -29, 4, -8, -26, 19,
   -7, 41, 33, -22, 37, -73, 27, -10,
   -27, -20, -6, 30, 20, -34, 16, -17,
   77, 23, -19, -36, 63, -80, 27, 0,
   -61, -36, -71, -20, -78, 8, -68, -89,
   -49, 39, 10, 8, -78, 2, -57, -23,
   86, -22, -74, 25, 37, -3, -38, 17,
   -18, -97, -8, -40, -30, 51, 59, 5,
   10, 16, 23, -4, -9, -35, 10, -44,
   40, 7, 34, -5, -46, 3, -25, -31,
   14, -52, 109, -10, 48, -27, 42, 25,
   -35, 38, 37, 29, 61, -56, 61, -29,
   -9, -7, 88, -23, -44, 74, -6, 36,
   -26, 23, 33, 47, -51, -74, -12, 17,
   95, -4, 24, 6, -41, 10, 43, -37,
   -37, 25, -32, 4, -52, 28, 80, -38,
   25, 3, -16, 6, 30, -75, 105, -34,
   -35, 51, 31, 54, 23, 92, -19, -31,
   76, 20, 15, -32, 113, 28, -11, -29,
   82, 2, 5, 97, 69, 92, -77, -9,
   -7, 3, -53, 11, 15, 29, -57, -125,
   -28, -17, 34, 14, 2, 12, 7, -75,
   -84, -37, -37, -29, -49, -32, -97, -63,
   -19, -3, 43, 8, -27, 10, 3, -14,
   21, -46, -57, 123, 86, -29, 54, -38,
   77, 6, 35, -5, -19, 16, -47, -33,
   72, -53, -43, -73, -57, -41, -25, 11,
   45, -51, -38, 26, 20, -48, -75, 28,
   86, 41, -17, 32, -47, -36, 70, -1,
   -36, -30, 59, -14, 67, 18, -37, 22,
   -21, 13, 6, 16, -49, 31, 26, -13,
   35, 36, 2, -67, 49, 19, 6, 6,
   28, -82, -3, -9, 4, -73, -30, 13,
   -111, 37, -8, 14, -23, -33, -31, 66,
   -32, 14, 56, 115, -16, -3, -25, 40,
   -34, 39, 45, -54, 39, 30, 56, -3,
   -14, -93, 9, -84, 30, 42, -2, -20,
   -39, -46, -26, -22, 30, 22, 15, -24,
   88, -10, 18, 1, -15, -76, 15, 15,
   16, -23, -62, 2, -80, -49, 39, 8,
   5, 48, -18, 34, 27, 50, 20, -14,
   -45, -38, 19, 23, -53, -83, -13, -55,
   -61, 36, -22, 19, 57, 20, 20, 48,
   -33, -4, -1, 46, -36, -77, 43, 51,
   -56, -93, 35, -24, 63, -6, 27, 15,
   -27, -11, -62, 19, -11, -68, -10, -13,
   114, -77, 47, 36, -43, -60, 22, 13,
   -73, 104, 46, -34, 57, 6, 30, 90,
   -5, 8, -17, -52, -49, -34, -10, 10,
   -66, -30, -40, 43, -11, -5, 69, -20,
   34, 93, 59, -40, -51, -83, -10, 68,
   -60, -43, -17, 41, 10, 14, -4, -9,
   126, -67, -46, -35, -66, 11, 62, 50,
   33, -56, -33, -37, -42, 77, 80, -13,
   37, 20, -54, -16, -43, 33, -25, 18,
   47, -67, 34, -26, 59, -88, 11, 4,
   -15, -2, 54, 3, -43, 67, 27, 41,
   -12, -16, -45, -30, 26, 51, 14, -40,
   -60, 54, -13, 24, -9, 36, 35, 57,
   35, 58, 50, -24, -70, 48, -58, -56,
   3, -13, -41, -7, -27, 57, -90, 65,
   66, 8, -7, 88, -16, 21, 21, -38,
   -48, -7, 92, 88, 16, -84, -23, -46,
   4, 5, -24, 24, -2, -50, 42, -15,
   26, -52, 11, -26, -12, -77, 89, 5,
   -5, 2, 12, 3, 119, 0, 10, -70,
   -72, -34, 41, 74, 73, -16, -49, -50,
   -24, 0, -18, 16, -4, 25, -36, 65,
   -19, 38, 9, -36, 50, -59, -40, -47,
   -5, 47, 16, -8, 24, 6, -49, 35,
   3, -45, 44, -38, 5, 92, 24, -41,
   66, -9, -55, 100, -19, -19, 33, 26,
   13, -75, 3, -12, -7, -2, 36, 28,
   1, -67, -51, -32, -33, -2, -5, -10,
   -49, 23, 40, 4, -56, -8, -110, -16,
   -51, 1, -56, -30, 10, -16, -20, -66,
   58, -93, 56, -87, -12, -6, -22, 14,
   -16, 57, -22, 40, -4, -5, -39, -33,
   -34, 86, -4, 21, 12, 2, 39, 95,
   124, -29, 59, 22, 22, -6, -17, 16,
   81, 26, 18, -39, -88, 55, -12, 37,
   -25, 59, -29, -9, -31, 40, -81, 0,
   85, 126, -32, 1, 12, 30, -29, 0,
   56, -6, 27, -37, 2, 6, 38, -24,
   -20, 42, 19, 7, 27, -55, 59, -13,
   11, -13, 49, 71, 35, 67, -89, -15,
   -42, -30, -18, -9, -14, 10, -18, 13,
   22, -12, 45, -11, -19, 57, 8, -8,
   43, -10, 25, 41, -18, 42, 26, 80,
   90, -10, -12, -34, 3, 64, -5, 26,
   -22, -4, -7, -76, 48, 2, -35, -13,
   72, -35, -36, 50, -34, -17, -77, 50,
   22, -19, 0, 102, -3, -103, 8, -57,
   13, -67, -51, 20, 52, -29, -11, -39,
   -61, 20, 107, -51, 20, -3, 25, 26,
   -53, -60, -42, 0, -9, 61, 87, -27,
   -68, -9, -30, 15, 40, 57, -25, -4,
   14, -77, 12, 37, 0, -56, 26, -37,
   32, 57, -5, -43, -12, 12, 7, -4,
   41, -90, 107, 29, -45, 22, -87, -61,
   93, -81, 33, -51, 5, -76, -20, -66,
   12, -17, 54, 14, -23, -47, -30, 26,
   6, -36, -15, 34, 101, 28, 41, 48,
   36, -1, 14, 79, 26, 40, -11, -51,
   -17, -101, -30, -41, 35, -73, -47, -18,
   16, 15, 94, 20, -18, -38, 27, -27,
   -23, -10, -22, 51, -9, 17, -17, 29,
   45, -18, 21, -56, 14, -34, 84, -25,
   -79, -40, 86, -94, -15, -37, 1, -3,
   80, -37, 36, -35, 5, 61, -26, -4,
   31, 65, 20, 1, -37, 10, -126, 33,
   -47, 19, -1, -10, -23, 53, 74, 65,
   32, -48, 7, -49, -35, 120, 12, 16,
   80, -42, -41, 88, 100, 62, -61, 101,
   22, -62, 17, 57, 1, 3, -101, 91,
   28, 15, -18, 68, -6, 50, 2, 58,
   31, 59, 111, 9, -22, -16, 59, -46,
   44, 53, -45, -42, 31, -116, -18, 19,
   38, -56, 61, -28, -36, -29, -61, 68,
   33, -57, 53, -93, -34, 56, 81, 124,
   -54, 30, 8, -71, -13, -59, 109, -14,
   52, -92, -44, 22, -81, -69, -48, -26,
   -93, 43, -76, -70, 22, 4, -40, -46,
   -18, -17, -17, -22, 9, 55, -60, -74,
   -79, -20, -12, 50, 10, -2, -28, -45,
   45, -82, 20, -45, -67, 3, 63, -114,
   -33, -37, 20, -33, -52, -88, -50, -33,
   -29, 67, 25, -85, 19, 43, -4, 63,
   -12, 3, -47, -37, -24, 52, 21, 74,
   40, -50, -7, -7, 121, -14, 122, 124,
   38, 21, 4, -21, 73, 55, 13, -56,
   75, 86, 5, -17, -2, -6, -3, -60,
   -5, 24, -9, 51, -24, 0, 13, -68,
   29, -34, -45, 14, -46, -29, 88, -36,
   -36, -20, 39, 23, 23, 3, -17, -12,
   -49, -47, 115, 50, -87, -77, -53, 69,
   33, 21, -26, 4, 27, 17, 60, 42,
   -14, 30, 4, 46, 22, -51, 97, -47,
   -10, -22, -64, 97, 7, -38, 3, -21,
   33, 10, -28, -14, -60, 26, 66, -30,
   -55, 40, 2, 29, -9, -24, -31, 58,
   -13, -87, 20, -19, 47, -50, -91, -14,
   -72, -7, -17, 86, -34, -38, 19, 36,
   -70, -33, 10, 12, -5, -28, 79, -32,
   -53, 91, 102, 74, -96, 47, 66, -79,
   62, 24, 13, -27, 56, -12, 34, 47,
   -28, 50, -78, -12, -28, -92, 44, 28,
   -10, 89, 47, -16, 47, 35, -82, 38,
   74, -48, -16, 22, -52, -17, 22, -96,
   -7, 46, 48, 35, 69, -22, 15, 109,
   47, -7, 7, 49, 1, 63, 44, 8,
   2, -24, 91, -102, -20, 65, 10, -48,
   -1, 127, 59, 35, -38, 85, -117, -16,
   77, 103, -12, -10, -55, 110, -9, 44,
   10, -34, -29, 17, 16, -58, 84, 33,
   -42, 41, 10, -50, 110, 10, 15, -95,
   11, -27, -31, 11, 75, -21, 25, -18,
   52, -4, -127, -43, -16, -19, 11, -81,
   -36, 50, 62, -64, -47, 25, 30, -26,
   -7, -121, -52, 45, -7, 76, 18, -23,
   -41, 3, -52, 68, 48, 63, 12, -70,
   24, -56, -76, 16, 20, 10, 0, 7,
   -44, -24, -22, 23, -80, -12, -21, -16,
   16, -28, 17, -90, 41, 63, 12, -36,
   -6, 42, -17, 21, 23, 30, 70, 4,
   19, -16, -111, -42, -44, 22, -54, -25,
   22, 20, 61, -14, -45, 2, -28, -43,
   74, -46, 14, -17, 19, -29, 42, 32,
   11, 12, -43, -78, 76, 4, 93, 15,
   75, -29, 79, -7, 19, 98, -51, -4,
   44, 54, 49, 30, -16, -4, 57, 15,
   103, -8, 61, -13, 82, 32, -30, -30,
   -15, 3, 15, -1, -50, 50, 52, 3,
   -79, -35, -12, -46, 14, 126, 88, -60,
   -127, 7, -6, 2, -23, -27, 92, -45,
   61, 87, -38, -43, -40, 51, 18, 4,
   22, -34, -26, -26, 49, -13, -63, 49,
   -127, 55, -20, -37, -32, 78, -92, -73,
   -30, -15, -34, 58, 94, 47, 12, 2,
   -14, 54, 92, -37, -14, 91, 15, 48,
   -33, 20, -8, -83, 19, -10, -90, -103,
   -106, 70, 5, 38, 35, -114, -44, -64,
   -22, 13, 12, -8, 13, 16, 39, -14,
   -47, 34, -33, -23, 24, 19, 5, -47,
   -18, -21, -72, 51, 49, 33, 82, -45,
   -42, 4, 40, 68, -60, -16, -1, 1,
   4, 47, -27, -9, 49, -7, -13, 47,
   22, -5, -5, -77, 36, 45, 12, 72,
   20, -38, -15, -49, 40, 58, 17, 16,
   -64, 44, -81, -21, 31, -61, -22, -35,
   -9, -117, -23, 44, -61, 29, -1, -39,
   -65, -17, 116, 44, -49, 12, 36, -95,
   -127, -7, -24, 38, 110, 23, -7, -51,
   41, 48, 97, -28, 35, -52, -13, 29,
   42, 25, 15, -31, 42, -41, -58, 44,
   -15, -47, 109, 5, -35, -58, 19, 2,
   15, -11, -22, 101, -29, -41, 63, 17,
   -2, 33, 7, -45, 61, 69, -49, -9,
   -64, -10, 0, -45, -29, -37, 19, -31,
   -64, -38, -50, 26, 19, 17, 33, 10,
   -35, 9, 4, 17, -29, 43, 25, -21,
   24, -86, -53, -57, 10, 37, -56, -8,
   -54, 19, -27, -25, -10, 13, -2, -19,
   23, -1, -41, 24, 41, -47, 63, -55,
   102, 9, 5, -5, 23, -34, -48, -11,
   40, -42, 59, 28, -58, -25, -21, 100,
   52, 3, 56, -92, -5, 120, -10, 53,
   30, 39, -44, 8, 40, -32, -45, 28,
   1, -28, 20, -67, 28, -23, -120, -15,
   -128, 13, 44, 42, 33, -11, -22, 33,
   -18, 88, -26, -47, -4, -35, 44, 19,
   -60, 25, -35, 127, 29, -31, 36, -21,
   25, -12, 61, 60, 3, 32, -6, 0,
   5, -54, 39, 32, 17, -11, 23, 46,
   45, -121, 23, -12, 36, 54, 19, 13,
   -27, 9, -21, 107, 19, 5, -7, 18,
   50, -30, 16, -18, 40, -19, -11, -1,
   -29, -33, 84, -13, 61, 61, -17, 19,
   -1, -7, 31, 26, 0, 20, 12, -9,
   44, 33, 3, -7, -43, -35, -41, 11,
   -5, -39, 0, -57, -33, -6, -29, 17,
   -48, -72, -50, -57, 45, -93, 14, 74,
   -55, 27, -38, 3, -109, 57, -128, 40,
   -58, 22, -2, -6, -127, -69, -4, 42,
   106, -26, 75, -17, 82, -11, -25, -54,
   83, -15, -69, -29, 10, -21, 40, 0,
   -53, 26, 90, 64, 39, -9, -74, -37,
   118, 98, 66, 33, 30, 2, 19, -55,
   -16, 40, -14, 88, 35, 2, 20, -10,
   -51, -63, 29, -49, 33, -8, 62, 24,
   103, 91, -16, -22, 0, -96, -56, 71,
   9, -77, 25, 43, -1, -8, 17, 48,
   -27, 41, -12, 125, -5, -36, -49, 1,
   23, 55, 33, -45, 28, -9, 83, 69,
   -56, -21, 23, -7, -37, -25, 18, 8,
   -42, -39, 38, -70, 43, 8, -50, -65,
   -11, -48, 37, 20, -28, 35, -35, 11,
   38, 17, -27, 25, -10, 20, -93, 2,
   45, -65, -112, 8, -13, -48, 3, -19,
   26, -20, 42, -5, -5, 13, 50, -20,
   -12, -36, -29, -113, 46, -15, -83, 24,
   -15, -8, -8, 11, -14, 40, 52, -33,
   -97, 16, -14, 61, 41, 23, -23, -56,
   67, -35, 13, -67, 13, -102, 55, 43,
   -8, 3, 45, 110, -37, -15, 98, 10,
   -14, -7, 88, -36, 73, 126, 7, 31,
   -44, 96, -63, 31, 40, 37, 3, -125,
   -28, -9, 20, 9, -45, 50, -65, -31,
   32, -4, 54, 45, 15, 27, 42, 16,
   22, 64, 6, -7, -15, -17, -1, 31,
   -39, -67, -14, 24, -20, 12, -60, -23,
   7, -2, -21, 44, -15, -126, 61, -2,
   88, 84, 19, 32, -32, 16, 31, -96,
   43, 34, 29, 26, -81, -96, 2, -3,
   55, -40, 56, 24, -84, -60, 36, -68,
   -26, -29, -7, 28, -66, -21, 6, -62,
   1, -35, -37, 26, 18, 26, -31, 18,
   -14, 24, -49, -33, -15, 73, -17, -6,
   27, -9, -68, 59, -8, -41, 68, -46,
   110, 38, -3, 50, -24, -65, -14, -13,
   -58, 6, -43, 54, -90, -6, 15, -36,
   -93, 4, 58, 7, 37, 40, 98, -66,
   72, -22, -6, 29, -31, 35, 47, -7,
   -127, 74, 22, 47, -13, 5, -5, 47,
   -30, 30, 3, -22, -64, 40, 59, -14,
   43, 66, 11, -1, -41, -17, 42, 4,
   13, 13, 28, 26, 41, -49, 3, 16,
   -111, -120, 67, -13, 30, 1, 5, 36,
   -64, 89, -29, 20, 71, 55, 29, 27,
   -50, 36, 18, -15, 90, 122, 51, -26,
   81, 2, -6, -5, -29, -67, -36, -17,
   31, 78, 18, -57, 19, 9, 57, 8,
   27, -32, -32, 16, -19, 12, 68, -6,
   32, 40, -28, -51, -24, 13, -20, 51,
   43, -10, -36, 5, -10, 48, -8, 55,
   62, -17, -41, -19, -49, 1, 5, -57,
   45, -67, 42, -55, 27, 45, -117, 125,
   -55, -2, -55, -11, 64, -15, -1, 5,
   28, 12, 26, 7, 28, -20, -70, -13,
   1, -32, 37, -92, -28, -3, 42, -3,
   -4, 93, 40, 3, -8, 54, -22, -38,
   -16, 12, 60, -25, 61, -10, 16, -95,
   18, 7, -32, 26, -47, -22, 7, -23,
   47, 9, -64, 43, -38, 17, -32, 32,
   26, -14, 22, -43, 21, 21, 23, -15,
   -16, 62, -7, 57, 32, -64, 62, -21,
   -91, 25, 13, 37, 16, -45, 44, -15,
   -11, 10, -45, -12, -6, -34, -55, 40,
   15, 51, -7, 2, 20, 13, -113, 27,
   44, 4, -76, 5, -21, -60, -48, 24,
   51, 20, 26, 12, 90, -77, 0, 37,
   11, -64, 7, -18, 17, 2, 3, -31,
   -13, 32, 74, -16, -12, 11, 12, 22,
   33, 4, 73, 6, -6, 21, -25, 61,
   -68, 36, -113, -54, 10, -28, -75, -1,
   58, 27, -54, 24, 6, -33, 25, 6,
   44, 35, 11, -27, -36, -67, 50, -57,
   -26, 15, 54, 47, -24, 18, -10, 22,
   69, 22, -8, -6, -16, 42, -115, 4,
   -78, 27, 54, -17, -16, 35, -47, -13,
   -53, -15, -5, 9, 27, 28, 37, 81,
   -63, 27, 34, -29, -24, -19, -20, -25,
   13, 5, -53, -9, -39, -43, -38, 43,
   -30, 10, -12, 8, -38, 3, 11, 47,
   -35, -36, -19, 50, -16, 4, 70, 6,
   19, 30, -37, -25, -52, -10, 1, 35,
   -22, 5, -10, -10, 17, 8, -58, -49,
   7, -3, -10, -32, -105, -51, 1, 60,
   14, -21, -18, -33, 19, -31, -9, 34,
   -21, -79, -35, -21, -23, 57, 32, 15,
   -49, 11, -39, -9, 111, 9, 16, -20,
   -15, 49, -30, 17, 21, -21, -41, -44,
   -31, 7, -26, -5, -24, -9, 40, 25,
   15, 8, 0, 20, 36, -114, -43, 29,
   36, 12, 110, -78, 66, 41, -2, -41,
   68, 3, -127, -89, 57, -8, 21, 48,
   60, 2, -18, 13, 2, 12, -21, 42,
   -93, 3, -38, -26, 48, -64, -24, -50,
   38, 13, 24, 76, 67, 51, 15, 100,
   -72, 9, -93, -84, -52, 14, 10, -12,
   -46, 21, 26, -25, -8, -44, 60, -25,
   -19, -42, -19, 32, -36, 11, -13, -49,
   -60, -22, -23, 68, -45, 52, 34, -57,
   12, -13, 30, -57, 4, 76, -36, -57,
   -11, 11, -55, 25, 56, 20, 30, 71,
   -84, -21, -27, -15, 35, -12, -1, 12,
   3, -2, -36, 80, 5, 125, -60, -85,
   -10, 6, 0, 18, -20, -3, -28, 58,
   11, 69, 12, -11, -23, -14, 82, 13,
   1, -46, 10, -53, -91, 38, -19, 48,
   83, -56, -73, 15, -28, 47, 2, 1,
   -62, 91, 51, -21, 34, -39, -11, -3,
   -8, 37, 73, -15, -34, -102, 45, 48,
   -2, -126, 68, -18, -53, 57, 5, -5,
   -1, 97, -47, -87, -17, -11, 39, 108,
   107, 68, 34, 68, 46, 58, -41, 32,
   37, -119, -45, -50, -81, 93, -23, 51,
   45, -44, -52, 56, 1, 11, -47, 72,
   8, 29, -19, 63, 48, -15, 44, -105,
   7, -55, 38, 35, -65, -3, 25, -28,
   -19, -21, -33, 73, -27, 71, -13, 37,
   -62, -59, -26, 80, 26, -102, -35, -86,
   -48, -5, -6, 16, 18, -45, -57, 3,
   74, -122, 2, 30, 70, 10, -34, 19,
   21, 5, 28, -12, -74, -60, 43, 32,
   -22, 10, 22, 29, 43, -34, 10, -12,
   42, 17, 29, -56, 61, 65, -25, -39,
   0, 16, 56, 43, 47, -18, -22, -7,
   -59, -9, 1, -12, 17, 19, -50, 114,
   72, 62, 40, 48, -34, -68, 5, 22,
   1, -40, 86, 29, -46, 35, 39, 26,
   -28, 79, -24, -45, 73, 20, 1, -92,
   106, -23, 49, 3, -10, 21, -69, 9,
   -12, -3, -32, -23, -65, -43, 100, 94,
   74, -64, -62, -14, 9, 127, 5, 43,
   -30, -54, 14, 81, -28, -12, 32, 38,
   -11, -1, 4, -50, 12, 12, -21, 54,
   0, 15, 19, 23, 10, 8, 22, 23,
   26, 35, -36, 39, -34, -29, 79, 36,
   -22, 70, 31, -91, -22, -20, 2, -91,
   -43, -10, 20, -14, -25, -56, 24, -68,
   61, -12, 68, -9, -27, -124, -71, 0,
   -44, 12, 34, -27, -26, -46, -44, -51,
   -60, -46, -8, 37, -49, -12, 37, 75,
   5, -19, 6, -73, 20, -8, -3, -62,
   6, -32, 33, 48, 67, 9, -53, -75,
   -23, 2, -80, -25, 64, 41, -107, 25,
   119, 26, 23, -54, 5, 0, 24, 49,
   2, -59, -43, -30, 14, -24, 56, -34,
   -63, -76, -7, 8, 93, 5, -95, 70,
   43, 32, 63, -16, -16, 76, -6, -44,
   -44, 3, 73, 13, 60, -12, 23, -23,
   -26, -35, 21, 12, 37, 9, 62, -18,
   -31, -9, 62, 14, -16, 16, -13, -33,
   -9, -63, 11, 3, -10, 13, 32, 64,
   -19, 72, -69, -36, -79, 45, -5, -36,
   48, 0, 31, 31, 36, -45, 28, -21,
   44, 41, -76, 2, -36, -24, -7, -5,
   -18, 0, 69, 35, -21, 17, -66, -2,
   6, 28, -7, 5, -43, -2, 14, -56,
   -31, -7, 16, -78, -6, -61, -42, 1,
   -53, -127, -36, 7, -53, 43, 18, 67,
   -17, -25, 48, -27, 46, -34, 0, 32,
   -3, 57, -50, -15, -52, 25, -8, -51,
   99, -35, -93, -12, 55, 7, -91, -21,
   51, 9, -96, -28, -1, -124, -37, -60,
   9, 0, -69, -7, -18, -46, -26, 99,
   -40, 43, 73, 5, -45, 22, -83, -55,
   -15, 2, -89, -23, -7, -18, 33, 33,
   -30, -70, -41, 127, 58, 33, 74, -26,
   -110, 5, -120, 73, 16, 6, 14, 30,
   59, 82, 13, 32, 60, -5, 1, 8,
   75, 3, -83, 29, -36, 23, -120, -9,
   13, -94, 48, 11, 19, -67, 100, 9,
   30, -5, -39, 9, -12, -38, -110, 126,
   -51, -11, -76, 72, 57, 33, 61, -22,
   -87, -7, 91, 78, 26, 9, 1, 42,
   -84, 33, 22, 58, 28, 17, -2, 0,
   -61, -40, -52, -72, -23, -22, -35, 120,
   -24, 23, -41, -2, 17, 18, 105, 35,
   2, -9, 127, -29, 52, 57, 44, -22,
   -15, 30, -14, -85, 65, -32, -43, -22
};

static const rnn_weight noise_gru_bias[144] = {
   41, -1, -4, -19, -13, 6, -31, 45,
   38, -13, 6, 6, -20, -20, -2, 7,
   2, 18, 67, 4, 16, 12, -43, 9,
   36, -13, 9, -8, 26, 18, 4, 16,
   11, 19, 41, -42, 61, 58, 33, -28,
   20, -1, 57, -7, 26, 41, 41, -2,
   -13, 18, -15, 8, 22, -3, -7, 52,
   15, -5, 4, 17, 0, -38, 3, 3,
   50, 7, 18, 3, -4, -14, -23, 15,
   13, -7, 14, 2, 15, 4, 22, -9,
   -21, -23, -15, 13, -15, -6, -31, -9,
   -16, 5, 6, 3, 32, -13, 46, -49,
   23, 34, -19, -31, 7, -13, 14, 20,
   3, -15, 7, -18, 7, -42, -14, 22,
   21, -6, -6, 8, -8, -22, 7, -41,
   -3, -19, -23, 7, -16, -30, -11, -9,
   -6, -6, 6, -31, -33, -6, -27, 17,
   18, -4, -19, -6, -4, 26, -22, 19
};

static const GRULayer noise_gru = {
   noise_gru_bias,
   noise_gru_weights,
   noise_gru_recurrent_weights,
   90, 48, ACTIVATION_RELU
};

static const rnn_weight denoise_gru_weights[32832] = {
   -18, -3, 82, -51, 1, -42, 27, 8,
   -35, 27, -8, -7, -16, -33, 24, -2,
   15, 8, -29, -9, -7, -9, 39, 10,
   2, -18, -19, -10, -50, -3, -38, -101,
   -28, -16, 5, -27, 24, -66, -9, 0,
   41, 13, 4, -54, 3, 34, -48, 9,
   -5, 12, -25, -40, 6, 7, -34, -47,
   -22, -30, 47, 3, 12, -26, 2, 15,
   4, -12, -20, -16, -3, -9, 6, 39,
   -15, -7, -48, -17, 5, -23, -26, -28,
   -22, -20, 37, -49, 3, -4, -4, 27,
   -21, -22, -15, -1, -35, -35, -33, -42,
   12, -25, -39, 52, 55, -11, -6, 6,
   -10, 6, -9, -6, 1, -14, 23, 4,
   -63, 44, -69, 18, 41, 6, -38, -42,
   -17, -10, 8, -8, 4, -5, -28, -17,
   -29, -20, -19, 2, -7, 21, -13, 13,
   21, -13, -22, 7, 13, -8, -11, 37,
   -19, -33, 28, -36, -25, -9, 19, -9,
   -17, 50, -54, 33, 18, -6, 27, 40,
   48, 1, -6, 11, -31, 24, 26, -24,
   17, -7, -23, -7, -1, 18, -11, -12,
   8, -12, 21, 0, 5, -10, -27, -8,
   -23, 11, -39, 14, 29, 11, 15, 24,
   -19, -23, -43, -18, 32, -21, 10, -15,
   -34, -8, -14, 24, 7, 28, 21, 26,
   -12, 2, 16, 11, 29, 20, -39, -10,
   -28, 34, 3, -2, 30, 10, -3, -4,
   23, 27, 32, 28, -17, 22, -10, -23,
   5, -4, 22, 3, -17, 2, -36, 16,
   57, -7, -29, -23, 24, -26, -1, 8,
   8, -4, 10, -36, 27, 25, 26, -18,
   -38, 13, -12, 22, -12, -11, 20, 4,
   -7, 22, -15, -39, 2, 4, -6, -12,
   -37, 1, -1, 19, 18, 12, 49, -19,
   -9, -35, -43, -30, -5, -21, -8, -22,
   -8, -2, 46, -10, -15, -2, -43, 4,
   -27, 0, -13, 25, -14, 16, 0, -18,
   14, -19, -26, -8, 2, 27, 2, 11,
   3, 20, -45, -3, -66, 22, 44, 20,
   -25, -13, -27, -21, -1, 11, 3, -10,
   -4, 41, -11, -17, 8, 8, 30, -35,
   11, 18, 39, -12, -20, 21, -30, 21,
   -23, -1, -4, -53, 15, 1, -4, -12,
   39, 26, 10, -5, -31, 19, 6, -29,
   -61, -14, 3, 6, -20, 4, -11, 9,
   13, 31, -34, -17, 36, 9, -4, 32,
   -21, -37, -32, 9, 37, -4, -47, -32,
   57, 26, -3, 12, -2, 29, 24, -3,
   -18, -57, 0, -24, 0, 3, -12, 18,
   33, 26, 5, -18, -5, -17, -29, 25,
   -33, 21, -21, 16, -23, 3, 10, 2,
   11, 12, -3, -52, 1, 31, -15, -12,
   -6, 3, 5, 9, 57, 27, 13, -38,
   -25, 8, 19, 29, 34, -5, 15, -25,
   -8, 23, -5, -7, 32, 3, 15, 12,
   -20, -10, 24, 22, 52, 28, 0, 22,
   25, 35, 68, -47, 39, -18, -15, -14,
   -13, 4, 6, 6, 16, -38, 8, 3,
   0, -21, 16, 25, -38, -8, 14, 34,
   32, 24, -15, 1, 12, 13, -18, -11,
   -4, 0, 36, 22, -5, 9, 10, -34,
   -27, 8, -35, 5, -20, -9, -26, -11,
   -2, 29, -10, 32, 19, 2, -7, -16,
   19, 6, 9, -6, -24, -2, 10, 17,
   18, 24, 4, -9, -7, 37, 38, -2,
   -14, -6, 20, -34, -13, 24, 10, 6,
   9, -12, -11, 17, -7, 10, -30, 4,
   5, -23, -16, -11, -4, 1, 8, -42,
   25, -15, -17, 19, 7, -13, -13, -31,
   -25, 4, -8, -10, -25, 11, 15, 8,
   9, 3, 21, 10, 0, 13, 22, -5,
   -5, 2, 61, 86, -39, -22, -45, -16,
   -14, -4, 9, -93, 14, 12, -38, 27,
   -1, -7, 22, -23, -1, 74, -17, 3,
   -11, -70, -58, -52, 5, -13, 49, 34,
   -71, -73, 57, -62, 41, 7, 7, 4,
   -43, -63, 9, 69, -22, 44, 0, 13,
   -7, 30, -28, 24, -21, -13, -39, 9,
   -22, 58, 44, 1, -24, -5, -39, 9,
   28, -28, -25, -45, -6, 62, 11, -8,
   11, 15, 16, -19, -12, -1, 11, 4,
   1, 2, 57, 1, -39, -28, -33, -3,
   28, -19, 15, -2, 2, 26, -14, 41,
   -16, 14, -20, -8, 35, 16, -1, -22,
   1, 33, -21, -21, 40, 26, 6, 54,
   -31, 11, -24, -44, 45, -8, 14, -40,
   -28, -8, 46, 17, 3, 2, 5, -23,
   8, -10, 5, -29, 15, -48, -15, 38,
   20, 41, -58, 1, 19, 21, 28, -23,
   -2, -4, -11, -5, 42, 6, -52, -4,
   -3, -5, -21, 26, 33, -30, 0, -24,
   22, 19, 7, -18, -2, -2, 19, 46,
   27, 1, 18, 73, 9, 2, -36, 16,
   8, 24, -16, 9, 8, -12, 25, 68,
   -10, 6, 2, -16, 23, 64, -6, -10,
   18, 4, -28, -33, 2, -28, 6, 1,
   -2, -3, 19, -11, 13, 7, 36, -21,
   8, 12, 26, 14, -13, -39, -5, -2,
   -25, -8, 6, 15, -3, 19, 9, 6,
   3, 57, 8, -1, -3, 7, -12, 35,
   15, 14, 15, -9, 20, 26, 23, -24,
   3, -17, -28, 16, 36, 19, -28, -12,
   -31, 12, 44, -37, 3, 42, 11, 13,
   12, 60, 38, 30, 7, -16, -4, 3,
   24, 22, 9, 11, -25, 14, -15, 14,
   -5, -13, -27, 1, 12, -6, 27, 49,
   -19, 19, -26, -2, -3, 38, 31, -14,
   10, -53, 32, 61, -81, 51, 6, 0,
   -8, 6, 16, -46, -9, -17, -35, 22,
   53, -13, -33, -34, 12, 15, 2, -41,
   23, 34, -16, -47, 20, 25, -33, 3,
   32, -16, -13, -50, 5, -28, -44, -52,
   -15, 6, 50, -32, -3, 14, -8, -27,
   6, -1, -9, -58, -3, 26, 4, -28,
   65, 56, -4, 21, 5, 20, -4, -36,
   -72, -39, -10, -3, 22, 48, -58, -48,
   -13, 37, -34, 10, -98, -35, -78, 6,
   -9, 45, 76, -21, -30, -40, -4, -20,
   3, -18, 16, -3, 5, -81, 20, 3,
   -53, 41, 15, 34, 14, -18, -9, 55,
   -40, 2, 21, -45, -19, -10, 27, -44,
   6, 66, -7, -10, 30, -31, -32, -34,
   -1, -13, 46, -57, -13, -1, 12, -37,
   -10, 29, 26, -55, 33, -4, 12, 41,
   -29, -9, -29, 13, 6, -24, 42, 6,
   34, -13, 2, 2, 16, 34, 1, -24,
   -3, 12, -56, 22, 18, 25, -37, 1,
   -25, 59, -40, -2, -14, -9, 18, 8,
   -42, 18, 11, 37, -4, -12, -9, -24,
   -40, 33, -33, -18, 17, 3, -20, 1,
   56, -65, 18, -5, -7, -35, 6, -74,
   21, 9, 7, 12, -5, -5, 11, -5,
   13, 11, -42, 21, -9, 10, -11, 28,
   40, 3, 30, 30, 3, -8, 14, -22,
   0, 17, 16, 1, -14, 19, 2, 12,
   -24, -19, -26, -5, 30, -10, -13, -48,
   47, -5, -23, -3, 34, -19, -47, -30,
   36, -12, -34, 36, -5, -30, 24, -2,
   49, 12, 40, 21, -40, 6, -30, 4,
   11, 4, 61, 31, -14, -15, -12, -2,
   -12, -45, 12, 10, -14, 53, 13, -4,
   3, -34, -10, -33, 4, 65, 9, 21,
   14, 9, 17, 29, 13, -25, -55, -56,
   -40, 18, -15, 7, 41, -6, 51, -6,
   12, -28, 19, 21, 8, 49, 61, 24,
   30, 22, 31, 40, 69, 13, 13, 1,
   7, 48, 48, -67, -37, 15, 30, 65,
   41, 5, 35, -26, 9, 12, 30, -15,
   29, 3, 12, 20, 47, -25, 26, -33,
   -35, 42, -18, -29, 56, 1, -17, 15,
   5, 29, 37, -4, 26, -33, 3, 14,
   51, 1, -12, 51, -27, -13, -51, 41,
   -21, 44, -12, 3, -9, 6, 74, -10,
   -45, 13, -42, 25, 80, 57, 80, -18,
   48, -5, 4, -57, 12, -55, 26, -64,
   10, 1, -14, 1, 11, 49, 26, -8,
   12, 44, -30, 6, -1, 9, -19, 1,
   -34, 11, -4, -45, 11, 5, -39, -10,
   -20, -5, -2, -2, 11, -2, -7, -16,
   5, -16, 31, 0, -13, -17, 28, -10,
   -3, 26, -62, -36, 15, 9, -12, 16,
   6, 51, 22, 6, -19, -21, 29, 63,
   -36, 53, 40, -2, -46, 13, -48, 52,
   -11, 46, -34, -42, -41, -78, -35, 0,
   -25, 8, -19, 44, -18, 14, -50, 7,
   13, -11, -18, -40, 11, 6, 2, 58,
   -11, 70, -12, -8, -37, -11, 24, 5,
   -24, 30, 30, -27, -4, -25, 6, -2,
   6, 5, 18, -17, 23, -30, -15, 7,
   34, -16, -34, 10, -22, 34, -18, -9,
   24, 12, -3, -30, 17, -11, 17, -3,
   14, 27, 17, 21, -21, 1, 4, 42,
   -51, -3, -1, 7, 1, -9, -5, 4,
   -18, 25, 25, 1, 11, 12, 1, 5,
   -18, 21, -11, -13, 19, -33, 24, -24,
   36, -16, -23, -4, -12, 32, -45, 65,
   -5, 0, -8, 23, -42, -4, -22, 36,
   -6, 35, -20, 6, -13, -4, 9, 17,
   -2, 23, 12, 6, -9, 17, 10, -14,
   -70, 35, -20, 45, -6, 7, 22, -8,
   26, 7, 29, -95, -58, 57, 24, -15,
   9, 20, 25, -14, 59, 13, 24, 19,
   36, -12, 21, -66, -5, -7, -11, -22,
   7, -18, 63, 4, 9, 11, 33, 7,
   -14, 14, 31, 19, 12, 15, 35, 30,
   48, 7, 11, -5, -11, -18, 23, 25,
   -36, -37, 52, 20, 8, -15, -30, 28,
   -16, 11, -16, -7, 40, -2, -13, 5,
   11, 32, 36, -36, 27, -13, 12, 27,
   -14, 74, -52, 22, -20, -8, 13, 23,
   49, -22, 2, -14, -6, -23, 14, -42,
   4, -51, 1, 10, 8, -3, -5, 13,
   20, 7, 12, -11, 23, 3, 32, 5,
   9, -31, -37, 3, 30, -1, -5, -24,
   -38, -46, -5, -36, 2, -18, -23, -39,
   18, -30, -21, -18, -23, -6, 20, 48,
   29, 7, 9, 5, 3, -11, -24, 19,
   -1, 26, 4, -27, -40, -32, 29, -39,
   16, -16, 17, -20, -21, 27, 4, -5,
   9, -39, 7, 23, -11, -59, -7, -2,
   43, -57, -65, 67, -22, -21, 17, -24,
   -16, -48, 5, 3, 15, -44, -45, 55,
   18, 9, 19, -26, -15, -11, -41, 5,
   -7, -8, 2, 11, 31, -29, -30, -10,
   25, 13, 11, 40, -9, -16, 13, 20,
   -12, 21, -3, 11, -1, 12, -24, 30,
   -16, 5, 30, 4, -11, 11, -31, -22,
   -46, 26, 0, 13, 0, -7, 13, 58,
   -9, -46, -14, -1, 10, -20, -44, -5,
   16, -13, 35, 7, 26, -53, 8, -16,
   8, -31, 12, -30, 1, -13, 8, -1,
   -28, -3, 3, -17, 33, 1, -14, 1,
   -11, -9, 2, 10, 38, -32, 25, 7,
   5, -25, 21, 23, 29, 17, 22, 24,
   13, -10, -28, -20, -31, -8, 33, 6,
   -6, -7, -54, 21, -9, -13, 42, -19,
   -17, 29, 48, 0, -39, 18, -22, -10,
   28, -41, -37, 23, 52, -37, -3, -20,
   -26, 24, -32, -27, 8, -47, 11, -16,
   3, -12, -15, -24, -12, -2, 44, 2,
   7, 35, 26, -32, 5, -37, -9, 30,
   -40, 22, 12, -3, -21, 18, -83, 30,
   19, 9, -17, 10, 9, -24, -25, -13,
   2, -41, 13, 50, -20, -14, -5, 14,
   25, -52, -32, 3, 39, -7, -3, -26,
   29, 25, -75, 12, -4, -13, -18, 40,
   -26, -21, 23, 4, -18, -67, 5, -49,
   -1, 18, 9, 21, 19, -10, 3, 43,
   -9, 34, -19, 55, -35, -15, 41, -18,
   -27, 19, 7, -25, -19, -44, -15, 1,
   -21, -46, 16, -28, 19, 37, -55, -20,
   -45, -5, 27, -7, 1, -38, -13, 5,
   -11, 26, -6, 26, -18, 30, -12, 2,
   46, -3, -28, -17, -18, 24, 42, 35,
   17, 15, -14, -1, -1, 28, 14, -1,
   -4, 12, 17, 35, -35, 0, -23, -10,
   -1, 20, -56, 4, -13, -13, -10, 2,
   -8, 16, -7, -11, -31, 26, -11, 16,
   43, 2, -16, -11, -12, -20, -6, 4,
   14, -31, 28, 13, 1, -16, -2, 28,
   -1, -6, -11, -2, -50, 3, -5, 19,
   -3, 9, -8, 11, -16, 1, -14, 42,
   9, -18, 25, 20, -5, -10, -14, -4,
   20, -30, 2, -36, -25, -1, -15, -23,
   -6, -40, -19, 20, -12, -15, 7, 18,
   34, -21, 0, -13, 10, -12, 34, 21,
   10, 1, -42, 27, 14, 27, -11, 20,
   -2, -16, 5, 1, -22, 5, 8, -30,
   -18, 31, 11, 23, -6, -2, -13, -31,
   31, -27, 18, 12, 35, -3, -20, -15,
   -10, 0, 6, 29, 9, -8, 8, -10,
   32, 8, 50, 25, 12, 2, -56, 16,
   -18, 9, 4, 11, -22, 61, -77, 2,
   45, -55, 53, 19, -51, 0, -8, -23,
   8, 15, 18, 123, 13, 65, 29, 74,
   -11, 2, -67, -40, 27, 20, 33, -33,
   -4, -37, -1, -44, 20, -20, 33, 51,
   20, 25, -15, 0, -40, 14, 1, -15,
   56, -5, 8, 38, 56, 40, -27, -11,
   58, 3, -22, -15, -44, -18, 1, -68,
   24, 77, -71, 1, 26, -15, -52, -12,
   -60, 16, 48, 28, 18, -13, 44, 41,
   28, 8, -60, 1, -18, 114, 13, -18,
   48, 24, 30, -42, 26, -12, -9, -26,
   10, -49, 22, -31, 28, -30, -58, -1,
   12, 3, 30, -43, -13, 74, 38, 47,
   24, 16, -21, 20, -14, 41, 20, -14,
   29, 25, -40, 15, 25, 36, -30, 11,
   24, 8, 33, 101, -13, 29, 35, 77,
   30, -52, -21, 22, -3, 56, 3, 24,
   1, 17, -28, 0, 66, -28, -29, 90,
   -9, 23, 17, 73, 65, 15, 33, 21,
   -15, 21, 49, -38, 7, -22, -39, 28,
   -22, 18, 15, -9, -11, -18, 49, 7,
   -61, -33, -53, 15, -19, -26, -39, -35,
   32, 1, -18, -9, 27, 35, 19, 0,
   0, 2, -38, 30, 20, -7, -13, -59,
   1, -19, -13, -26, -16, -6, 46, 3,
   -9, -15, 2, 29, -21, -5, -9, -11,
   -2, 8, -15, -5, 48, -6, 18, 1,
   -22, 16, -8, -36, 33, -17, 18, -22,
   -11, 39, 9, -12, 14, 27, 2, -10,
   -13, 38, -3, 22, 21, -40, -35, -46,
   2, 28, -38, 2, -19, 3, 5, -37,
   -12, 18, -9, 0, -65, -9, -4, -6,
   -40, 8, -6, -20, 2, -16, -10, 37,
   11, -7, 1, -4, 9, -20, -5, -14,
   -26, -7, -1, 35, -1, -4, 64, -39,
   52, 9, 14, 40, 49, 5, 14, -51,
   41, -14, -37, -60, 28, -43, 32, -11,
   49, 54, 15, -48, -8, -21, 21, -95,
   -7, 7, 85, -19, -13, 14, -26, 20,
   35, -6, 46, 42, 28, -13, 37, -35,
   -21, 27, -22, 18, 27, -7, -1, 37,
   17, -24, -36, -11, 57, 3, -37, -36,
   19, 30, -16, 26, 53, 0, -40, 19,
   40, 74, 10, -11, 24, -31, -1, -19,
   -4, 9, -85, -3, -9, 11, 11, -27,
   8, 19, -50, -25, 21, -38, -33, 23,
   2, 23, -35, -77, 19, -52, -39, -30,
   42, 5, 31, -23, 15, -18, -14, -52,
   -15, -34, 15, 2, -8, -17, -24, -10,
   1, -28, 5, 12, -17, -36, -4, 36,
   -3, -22, -26, -22, -3, -22, 52, 55,
   -25, 1, 39, -10, -22, 32, 8, 22,
   -37, 31, 21, -68, -18, 15, 7, 20,
   34, 6, -6, -15, -33, 2, 8, -60,
   10, -12, 40, 20, -21, 45, 30, 30,
   -16, -51, -45, 37, -32, 4, 0, -8,
   -32, -7, 33, 45, 8, -19, -52, 20,
   -15, 50, -10, -3, -9, 11, -3, 10,
   4, -38, 21, 2, -16, -14, -25, -11,
   15, -11, 36, 2, -38, 3, -21, 12,
   12, 7, -32, -10, 3, 40, -21, 0,
   23, 3, 48, -15, -23, 1, -20, -16,
   -22, 7, -10, -1, 34, -30, 19, -15,
   -35, 24, -39, 5, -25, 24, -9, -29,
   -38, -7, -19, -11, -74, 11, 22, -11,
   3, 35, -15, 9, -13, -36, 7, 7,
   11, -8, -5, -5, -9, -5, 8, 28,
   -33, -3, 9, 17, -24, 13, -12, 6,
   -4, 17, -3, 21, -12, -11, 15, -7,
   -17, 6, -26, 44, -16, 12, -25, -4,
   5, -1, 47, 34, -35, -26, -61, 18,
   50, -17, 6, -43, 13, 99, -7, -9,
   6, 24, -67, 11, 23, -41, 18, -5,
   -94, 30, -13, 5, 46, 19, -16, 39,
   33, -3, -37, -13, 0, 19, -23, 13,
   -71, -12, 56, 27, 33, 0, -1, -5,
   15, -74, 12, -53, -90, 0, -44, -50,
   -24, -11, -42, 25, -62, -11, -39, -2,
   -62, 32, -80, -23, -31, 18, -27, -14,
   -41, -40, -7, -14, -29, 6, 27, 28,
   52, -9, -59, -60, 9, 4, -66, 34,
   34, 38, -39, -30, 34, -71, 4, -6,
   -26, 53, 22, -20, -27, -19, 62, -33,
   -56, -48, 0, -9, 10, -45, 17, 31,
   -8, 4, -34, 22, 12, 3, 24, 10,
   20, -25, -10, -42, -32, 45, 32, 53,
   29, -2, -25, -3, 10, -3, 2, 8,
   49, -1, 39, 51, -9, -16, -12, -42,
   11, -28, 0, 18, 53, 21, -19, 0,
   -10, -18, -19, 5, 6, 12, 20, -29,
   -5, -24, 61, -8, 0, -77, 6, -42,
   33, 26, -27, 1, -2, 45, 29, -3,
   54, 12, 53, -5, 25, 10, 19, -26,
   -8, 10, 30, 4, 48, -6, 17, 34,
   14, 3, 0, 0, 8, -10, -24, 19,
   8, -4, -1, 26, -48, -13, 51, 18,
   -1, -34, -8, -20, 4, -22, -9, -4,
   -4, -3, -24, 45, -7, -38, 33, 9,
   22, -27, 19, 0, 13, 16, 52, -29,
   10, 36, 54, -8, -8, -8, -43, -17,
   -15, 29, 41, -45, -35, -12, 8, -59,
   9, -18, 25, -11, -20, -24, 7, 16,
   13, 10, 38, -32, -33, 12, 21, 9,
   -12, -30, -44, 0, -62, 5, -33, 13,
   -12, 19, 15, -47, -20, 4, -37, -7,
   23, -13, -29, -10, 0, -24, -13, -18,
   -1, -35, 68, -50, 63, 26, -10, 4,
   2, 7, 4, 20, 21, -20, -5, 18,
   -47, 40, -30, -22, 1, 11, -3, 14,
   -43, -83, 6, 4, -104, 9, -39, 24,
   42, -16, 18, 16, 5, 38, 43, -8,
   27, 58, -16, -19, -6, 4, -17, -7,
   -50, -4, 44, 33, 19, -34, -13, 29,
   -18, 44, -13, -43, 32, 43, 27, 30,
   16, -40, 39, 54, 39, -4, 21, 12,
   19, 6, 86, -8, -35, 38, 47, 18,
   -3, -5, 17, 17, 45, -49, 30, 18,
   5, -12, 54, -9, -2, 17, -10, 26,
   -23, -19, 31, -18, -23, 3, -19, -27,
   24, 11, -16, 21, -63, 5, -5, 0,
   -20, -39, 51, -6, -53, -32, -5, 14,
   -5, 21, 11, 35, 29, -19, -34, -9,
   -21, -29, -36, 47, 16, 13, -13, 8,
   -2, -15, 16, 10, 9, -7, 2, -4,
   -27, 31, -5, -27, -2, 9, 40, -11,
   3, -16, 51, -54, 17, -16, 2, 37,
   6, -28, -20, -28, -29, -24, 11, -10,
   2, -16, 52, -22, 10, -7, -7, 3,
   -42, 11, -22, 3, 45, -13, 25, -23,
   41, 0, -20, 40, -77, 38, 23, -20,
   -32, -33, -12, -2, -7, -8, -4, -19,
   -22, -35, 23, -25, -7, 3, -8, 16,
   36, 2, 3, 12, -29, -7, 10, 23,
   6, 25, 0, 3, -16, 26, 3, -12,
   26, 14, -11, -10, 33, -32, 1, 34,
   15, -1, 9, -37, 16, 10, 6, 36,
   -6, 11, -18, -19, 29, 13, 31, 2,
   1, -6, -6, -28, 14, 1, 6, -27,
   7, -67, -19, 4, -18, 2, -32, 4,
   -12, 34, 29, -28, 12, 1, -19, -8,
   18, 14, -6, 2, -12, -9, 10, -37,
   -31, -24, -28, 26, -2, 12, 2, 30,
   25, -15, 7, -11, 23, -7, 4, -21,
   -11, 9, -1, 23, -29, 63, 27, 50,
   9, -2, -35, 15, 20, 6, -3, 16,
   -64, 9, 7, 16, -22, 12, -4, 35,
   -4, -12, 64, 12, 21, -31, -3, -19,
   17, -30, 27, 31, -14, -68, -8, 54,
   53, 34, 37, -31, 22, -20, -37, -38,
   23, -61, -58, -67, 32, 2, -60, -6,
   -24, 8, -49, -24, -28, -38, -7, -4,
   26, 25, 8, -16, 45, 14, 39, 21,
   15, 3, -45, -22, -9, 22, -21, -17,
   14, -12, -35, -13, 64, 3, -21, -37,
   16, 7, -12, -17, -4, 6, -2, -32,
   0, 23, 43, -25, -21, -36, -34, 6,
   7, 14, 5, 10, 7, 25, 10, 22,
   -55, 46, -28, -2, -4, 10, 10, 16,
   -27, -12, 14, -18, 38, -41, -2, -29,
   -27, 22, 6, -32, 3, 11, -18, -17,
   26, 4, -27, 9, 20, 9, -21, -40,
   -49, -49, -20, 3, -44, -34, 22, -29,
   34, 19, -5, 17, 9, -30, 14, 38,
   -36, 20, -24, 3, -28, 22, 22, -27,
   -12, -47, 12, 11, -30, 23, 6, 41,
   -22, -7, 11, -7, 28, -12, -14, -36,
   -37, 10, 14, -19, 7, -1, 1, -9,
   9, -2, 10, -11, -18, -10, 48, -3,
   -12, 13, 15, 38, 8, -15, -30, -2,
   -7, -3, -9, 21, 6, -18, -1, 22,
   -30, -8, 19, 15, 37, 12, -25, -20,
   -12, 10, -18, 38, -26, 8, -11, 8,
   5, -19, 12, 12, 6, 24, -7, 29,
   -7, 39, 5, -13, 21, -26, 25, 6,
   -16, -10, -24, 18, -26, 3, 25, 22,
   5, -8, -15, 17, -17, 23, -35, 18,
   4, -25, -15, 22, 18, 15, -34, 14,
   -22, 2, -1, 7, 17, 13, 20, 6,
   2, -5, -31, -1, -19, 4, 46, 30,
   -6, -15, 30, -110, 22, -16, 38, -13,
   27, -37, 66, 69, -21, -9, -37, -17,
   42, -4, -21, -8, -14, 33, 64, 45,
   -18, 33, -51, 79, -36, 63, 59, -27,
   -20, 35, -38, -11, -19, 23, 10, -24,
   0, -8, -11, 6, 14, 21, 0, 71,
   34, 30, 6, 35, -48, -10, -4, 6,
   96, 19, 21, -20, -5, 12, -20, 23,
   5, 18, -3, -30, -6, -25, 32, 19,
   11, 42, 3, 18, 62, 15, -13, -1,
   24, -20, 3, 25, -28, 17, 4, -17,
   26, 35, -4, 4, -28, 22, 36, 21,
   -54, 13, -12, 4, -16, 10, -22, 35,
   4, 13, 9, -6, 33, -27, 10, -15,
   -17, -32, 28, 13, 40, 0, -8, 11,
   -20, 0, 5, -27, 22, 30, -9, -5,
   30, -6, -36, 9, -15, 20, 39, -2,
   -1, 12, 27, 32, 9, -17, 9, 30,
   13, 30, 53, -4, 24, 30, 12, 29,
   -3, 5, 32, -1, 18, -62, 5, -44,
   7, 29, -19, 36, 12, -12, -23, -6,
   10, 24, -19, 9, 30, -2, 31, -30,
   16, -46, 3, -10, 1, -12, -20, -22,
   -11, 22, 40, -11, 10, 17, 17, -31,
   3, 9, 5, 25, -7, 21, -8, 25,
   13, 21, -50, -1, -26, -43, -26, 6,
   13, 16, -37, 26, 10, 0, -7, 17,
   1, -10, -14, 8, -20, 20, -13, -38,
   -13, 24, 1, 8, -19, 9, -40, -2,
   40, -28, 2, 4, 2, 16, -4, 4,
   -31, -16, -13, 7, -35, 1, 13, 4,
   2, -12, -7, -8, 15, 2, -1, 14,
   -11, -13, -32, 5, -20, -19, -21, -32,
   7, -2, 16, 14, 25, -6, -24, 38,
   -12, -46, 32, 1, -27, -18, -35, -15,
   -13, -37, 44, 36, -9, -9, -31, 42,
   37, -33, -1, 5, 13, 5, 47, -25,
   1, 67, -20, 40, 21, -16, -27, 48,
   12, -1, -10, 59, -24, 45, 58, 71,
   -9, 17, 64, 72, -12, 5, 9, 8,
   -40, 7, -19, 32, -15, 58, 60, 20,
   8, 38, 30, 3, -17, -14, 73, 12,
   15, 27, -16, -43, 16, 47, -29, 28,
   40, 21, 39, 26, 22, -26, 2, -32,
   -8, -73, 37, 54, 10, -25, 18, 28,
   42, -31, -5, 18, 69, -14, -58, -30,
   37, 7, -10, 58, 59, 38, 26, 36,
   11, -49, 12, 56, -48, 44, 8, 15,
   -42, 1, -14, -15, 21, 21, 27, 31,
   40, 0, -3, 25, 18, 3, 29, 16,
   36, -17, -2, -18, 63, 4, 0, -50,
   13, -11, 5, 26, 16, 37, 5, -11,
   52, -11, -21, -16, -8, -4, 2, -7,
   -17, -9, -17, 13, -22, -15, 34, 22,
   50, 34, -14, 31, -23, 15, -8, -7,
   11, 7, -23, -20, -24, -25, -10, -66,
   16, -20, -23, 43, -26, 6, 52, 2,
   6, -33, 8, 47, -15, -46, 24, -12,
   -4, 61, 21, 6, -26, -25, -4, 20,
   -19, -23, -19, 2, 10, 8, 25, 10,
   0, 23, -7, -14, -54, -9, -27, -13,
   11, 19, -28, 12, -4, 25, -3, -26,
   27, -8, -22, -19, 0, 14, 12, -24,
   21, -4, 28, -16, -11, 11, 13, 14,
   9, 0, 17, 26, -25, 10, 18, -8,
   -1, -12, 24, -32, 2, 39, -9, -30,
   -28, 19, -1, -8, 29, -2, 5, -25,
   0, 19, -7, -23, 23, -24, 25, 1,
   18, -61, 3, 19, 19, -27, 35, 54,
   10, 43, 31, 50, -14, 7, -2, 6,
   -39, -11, -26, -9, -8, -27, 25, 29,
   -15, -4, 12, -9, -4, -23, 41, -16,
   -27, -3, -29, 12, -18, -36, 20, 16,
   16, 14, 20, -1, 6, -58, 0, -22,
   -38, 46, -12, -25, -33, 9, -26, -50,
   16, -19, 29, 64, -15, 9, 16, -3,
   -12, 23, 10, -26, -9, -3, 11, -12,
   26, -11, 6, -3, -15, 12, 12, -18,
   -46, -29, 29, 10, 20, 24, -2, 7,
   -8, -2, 2, 20, 1, 28, 7, 42,
   -26, -8, -63, -17, 17, 34, 41, -36,
   25, 16, 12, 17, 24, 28, 2, -27,
   -16, -30, 10, -36, -30, 6, 8, 5,
   -14, -17, -24, 10, 20, 42, -19, 4,
   35, -9, 8, -13, -11, 25, 24, -9,
   -26, 10, -9, -32, -14, -5, 2, -23,
   -20, -34, 35, -23, -28, -11, -19, 46,
   -14, -8, 5, -38, 1, 5, -14, -1,
   -5, 1, -2, 10, -50, -18, -4, 33,
   6, -20, 35, 9, -14, 16, 10, 38,
   -26, 20, -26, 23, 17, 5, 21, -1,
   -3, 11, -29, 14, -37, 21, -6, 18,
   4, 15, -13, 37, -24, 9, -23, -42,
   5, -26, 23, 3, 7, 51, -1, 17,
   -11, 56, -34, -19, -2, -13, -23, -1,
   -15, -5, 30, 23, -7, 18, -4, -1,
   -29, 3, 17, -41, -7, -27, -32, -18,
   -5, 12, 24, -10, 17, -2, -33, 4,
   0, 6, -1, 7, 18, 1, -14, 2,
   -23, -8, -6, 43, -27, -4, -5, 5,
   -23, -34, -29, 12, 26, -3, -12, 18,
   38, -14, 6, 18, 3, -15, -7, -11,
   9, -8, 15, -25, 14, 26, 29, -30,
   -22, -33, 18, -13, 10, 28, -38, 2,
   14, 21, 14, 4, -12, 0, -12, -12,
   -23, 12, 0, -25, 22, 14, 34, 3,
   4, 17, -6, 16, 2, 40, -24, 47,
   -4, 33, -31, -27, 31, 18, 37, -33,
   0, -35, -16, -10, -18, -2, -37, 1,
   20, 27, 46, 12, -5, -40, 1, -34,
   9, 29, -10, -13, 27, 36, -35, 11,
   -12, -6, -12, -20, -56, -4, 17, 4,
   3, 2, 1, 13, -10, -37, -36, -33,
   11, -5, -13, -8, 35, -26, -35, 45,
   26, 26, -47, -4, -29, 4, -13, -28,
   69, 31, 48, 35, -13, 5, 58, -31,
   13, -29, 42, -17, 20, 18, 22, 7,
   -31, 46, -16, 15, -17, -5, -27, 2,
   12, -32, 5, -20, 9, 5, -1, 11,
   18, -26, 16, -45, 10, 9, 31, 6,
   37, 19, -11, 0, -25, -12, 1, -51,
   33, -13, 19, -2, 9, 11, -16, 23,
   -7, 34, 2, -18, 8, 9, -3, -11,
   31, 6, 35, 5, -29, 2, -27, -12,
   -38, -14, 5, 25, -3, 1, -12, -27,
   21, -37, -13, 12, -15, 14, 8, 2,
   -18, 23, -25, -50, -42, 0, 22, 2,
   -37, 17, -10, -12, -16, -28, 23, -5,
   -8, -24, 20, -23, -7, -27, -48, 35,
   -19, 28, -1, -27, -25, -14, 4, 0,
   27, -27, -7, 5, -42, 0, 13, 2,
   6, -22, 9, -17, 9, -18, 19, 4,
   3, -16, 9, -27, 8, 21, -10, 17,
   -4, -6, 21, 8, 9, 34, -6, -12,
   -23, 2, 4, -3, 5, 18, -4, 11,
   13, -2, -37, 8, -8, 47, 40, -23,
   30, -6, 15, -5, -6, -5, -23, 22,
   5, -16, -33, -7, 17, -8, 5, -8,
   -29, 16, -21, 16, -10, -10, -11, -18,
   -24, 6, -13, -16, 14, 12, -48, -18,
   20, 40, 1, 6, 9, -6, 34, -22,
   41, 20, -15, -6, 21, 14, 3, -18,
   -2, -5, 7, 23, 2, -11, -1, 13,
   -30, 5, -39, 14, -2, -5, 14, -17,
   10, -20, -27, 37, -45, 95, 5, 31,
   61, 20, -3, 13, 3, 37, -11, -18,
   -16, 52, -9, -21, 4, -14, 22, 56,
   -17, -22, -24, 53, -45, 24, 100, -3,
   9, -33, 4, -20, 32, -16, 1, 11,
   25, -18, -23, -44, -2, -34, 37, -53,
   55, 60, -16, 6, -22, 5, -21, 5,
   52, 58, -28, -7, -4, 5, 45, -35,
   11, -22, -5, 63, -72, -9, 17, 17,
   -30, -1, -110, 43, 11, -4, -13, -31,
   11, -32, -21, -10, 75, -5, -34, 18,
   56, -12, -4, 49, -13, 23, -3, -16,
   11, 4, 9, -24, -15, 8, -6, -2,
   30, -17, 50, -3, 0, 20, -4, 36,
   -22, 34, -29, -17, -19, 23, 1, -25,
   32, 5, 29, 0, -48, -6, -1, -22,
   -1, 0, 28, 9, -10, -5, 11, -40,
   30, -31, -7, 37, -11, -49, 16, 25,
   30, -10, 8, -23, -16, -14, 29, -23,
   -30, -1, 45, -11, -31, -37, -5, 3,
   2, -27, 38, -18, 22, -10, 28, -4,
   -11, 17, 11, -36, -2, -2, 14, -47,
   -15, 14, 30, 27, -27, -19, 4, 36,
   8, -18, 18, -8, -8, 15, 13, 31,
   -15, -34, -3, -4, -21, 21, -4, 23,
   -1, 21, 10, -6, -8, -13, 7, -16,
   11, 10, -18, 5, -14, 14, -31, -15,
   -12, -7, 6, -12, -5, -9, 0, 7,
   1, 16, -10, -9, -14, -27, 22, 22,
   -32, -33, 18, 7, 7, -10, 15, 41,
   -44, 8, -35, 7, -1, -20, -8, 1,
   26, 11, 22, -28, 2, 7, -18, -11,
   22, 13, -8, -2, -27, 16, -33, 4,
   1, 26, 1, 25, -13, 14, 7, 23,
   -20, 1, 24, -21, -11, 13, -32, -23,
   -11, -53, -3, 23, 14, 40, 10, -7,
   17, 23, 41, 1, -11, 54, 25, 16,
   -32, 10, -24, -55, 55, -1, 23, 30,
   -49, 12, 37, -45, 29, -19, 6, 23,
   -5, 22, 62, 41, -33, 0, 55, 45,
   2, -24, 0, 32, -16, -30, -8, 27,
   -5, 29, -19, 0, 18, -31, 18, 26,
   10, 34, 2, -22, 5, -3, -42, -6,
   18, -5, 78, 75, 18, -19, 23, -9,
   -10, 55, 24, -29, 28, -6, -20, -21,
   14, -21, -20, 46, -6, 7, 22, -41,
   18, 9, 25, 20, 49, 15, -12, -26,
   -12, 17, 12, -29, 1, 52, -7, -17,
   -1, 18, -26, -6, -12, 23, -12, -34,
   7, 24, -18, -16, 32, -23, -1, 23,
   -9, -45, -14, -22, 13, -9, -19, -10,
   -40, -10, 2, 5, -35, 21, -24, -23,
   23, 46, 34, 17, -12, -15, 9, -23,
   -4, 24, -9, -42, -9, 5, -8, 11,
   1, 48, 40, 4, -12, -9, -28, 1,
   19, -36, 23, -24, -1, -7, 12, -10,
   -12, -37, -4, 19, -24, -48, -15, 8,
   -24, -32, 4, 11, -14, -5, -3, -9,
   21, 52, -11, -22, -8, 31, -15, 1,
   -7, 10, 23, -5, 6, 25, 1, -36,
   13, -2, 29, 6, 26, -23, 16, 28,
   5, -12, 11, 5, 4, 45, 7, 6,
   -22, 2, -14, 32, -39, -3, -33, 7,
   -19, 5, 1, 4, 4, 0, 43, 10,
   8, 0, -6, 27, 28, -8, -35, -22,
   -53, 6, 43, 22, -5, 28, 30, 15,
   -14, 8, -19, 15, -27, 13, 20, 31,
   18, -33, -25, -11, 7, -10, 22, -29,
   -9, 18, -2, -7, -27, 21, 11, 5,
   24, -5, -8, 14, -7, 0, -24, -7,
   8, 33, 10, 17, 13, -16, 14, 26,
   -5, 11, -43, 39, 68, 38, 4, -26,
   47, 2, -55, -28, -37, 28, 71, -44,
   13, 17, -31, 26, 11, -67, -7, 16,
   12, -18, -27, -54, -70, 10, 18, -41,
   -37, -55, -40, 59, 5, 81, 5, 19,
   -18, 27, -7, -18, -53, 19, 73, 1,
   11, -57, -12, 12, -34, 21, -6, 22,
   -1, -20, 16, 5, -17, -34, -58, -18,
   32, -39, 0, -14, 24, -43, 33, 11,
   9, -12, 19, -2, 8, 6, -15, 2,
   -17, 13, -27, 21, 65, -23, -27, -20,
   -21, 3, 55, -1, -31, 36, 13, 22,
   -18, -12, 65, 7, -33, 15, -3, -11,
   15, 30, -13, 10, 8, 44, 14, 29,
   7, -16, -5, -18, -9, -5, -3, 6,
   11, 2, 68, -2, 20, 25, -2, 39,
   35, -18, 3, 10, -71, -47, -26, 17,
   -23, 15, -14, -16, -9, -18, 23, -65,
   -18, -27, -14, -31, -56, 9, -2, -25,
   17, -97, -28, -34, 32, -3, 91, 26,
   -49, 3, -28, -25, -105, 4, -1, 36,
   -1, -20, -60, 21, 57, 16, -13, 30,
   -16, -74, -6, -59, -15, 30, 9, -41,
   -17, -33, 54, -18, -14, -17, -47, -78,
   -28, -5, 0, 13, -24, 12, -6, 23,
   5, 42, -24, 8, -19, 36, -13, 44,
   15, 2, -10, -5, -15, -8, 7, -11,
   -11, 24, -22, -15, 4, 11, -15, -13,
   1, -23, 39, -25, 19, 9, 0, -13,
   -18, -23, -36, 6, -25, -14, -3, 23,
   -12, 19, 16, -11, 26, -32, 37, 2,
   -25, -12, -1, -3, 9, 2, -47, 25,
   -3, -3, 15, -5, 37, 28, -7, -5,
   -22, 3, -37, -20, 32, -25, 42, 17,
   -15, -4, 17, -16, 36, 6, -21, 63,
   -3, -6, -61, -27, 5, 7, -43, 24,
   -42, 20, 35, 65, -53, -10, 8, 37,
   56, -4, 14, -20, 4, -36, -27, 34,
   12, -44, 25, -42, -11, -34, -22, 14,
   -32, 25, -26, -32, 45, 31, -47, 32,
   -9, 38, 45, -39, -8, -49, -29, -61,
   -1, 7, 61, 6, 0, -10, 1, 41,
   5, -11, 13, -80, -47, -30, -12, -12,
   17, 62, -10, 16, 6, 37, -49, 13,
   -39, -13, -63, 8, -30, -28, 20, -36,
   28, 22, -64, -25, -10, -11, -51, 7,
   -8, 22, 42, -25, -56, -13, 43, -4,
   -8, -10, -21, -32, 53, -25, -11, -38,
   -10, 9, 11, -48, 20, -50, -9, -13,
   -33, -53, 19, -28, 1, 2, -44, -27,
   47, -12, -13, 6, -17, 10, -15, 63,
   1, 29, -16, -8, 4, 13, -2, -5,
   19, 6, -21, -65, -17, 54, 41, 3,
   13, 17, -17, 24, 19, 1, -28, 40,
   -11, -37, -6, -10, -11, -9, 25, -40,
   33, -7, 2, 2, 1, -36, 26, 13,
   -10, -8, 24, 26, 11, -21, 45, 36,
   -39, -16, 76, -30, -26, -11, 14, -33,
   -13, 4, 24, 21, -36, -27, 3, 10,
   -44, 9, 11, 50, 13, 26, 4, -6,
   -16, -8, -5, 1, 29, 10, 20, 22,
   -14, -2, -38, -30, 23, -40, -4, -35,
   -18, 1, 49, 16, -17, 8, -10, 2,
   18, -21, -9, 5, -11, 49, 17, -18,
   -2, -13, 7, 20, -2, 24, 10, -36,
   23, 22, 14, 0, 26, 11, 16, -15,
   -3, 10, -19, -11, -25, 1, -21, 11,
   44, 27, 6, 32, 31, 15, 3, -17,
   10, 5, 3, 34, -13, -3, 44, 9,
   -8, 33, 9, -20, -38, -17, -8, 15,
   -7, 2, 6, -20, 12, 22, -5, 28,
   6, -28, 8, -6, 3, -21, 16, 20,
   -6, 52, -37, 55, -12, -1, 38, -15,
   -44, 52, -6, 26, -3, -48, 46, -55,
   49, -12, -26, 32, 17, 56, 65, -10,
   27, -2, -15, -35, -114, -5, -71, -109,
   24, 52, -16, 88, 46, 0, -40, -23,
   31, -16, 36, -31, 21, -6, 49, -47,
   -47, -15, 74, -6, 26, -3, -45, 9,
   63, -20, -8, -81, 127, -18, 53, -4,
   45, 62, 75, -5, -15, 15, 34, 96,
   -3, 72, 34, -49, -31, 5, 71, 41,
   48, 10, -35, 48, 16, -6, 78, 30,
   23, 98, -6, 12, 96, -10, 81, 33,
   23, 4, -6, -14, -9, 44, 37, -75,
   23, 26, 12, 45, -54, -33, -17, 6,
   -46, 3, 35, 61, 15, -28, 15, -7,
   18, -5, -18, 20, -81, -4, 18, -21,
   16, -16, -56, 22, -13, -5, 28, -26,
   12, -26, 38, -24, 63, -30, 13, 1,
   -11, 62, -18, -9, 19, 31, -59, 32,
   -15, -15, 22, -25, -29, -58, -57, -11,
   32, -3, -48, -51, -1, 96, -12, 11,
   -4, -15, -6, -40, -34, 20, -27, -38,
   44, 72, -34, -42, 57, 49, -62, 36,
   32, -13, 1, 27, 31, -29, -3, 3,
   -68, -16, 20, 4, 4, -18, -50, 21,
   10, -27, 12, -37, -41, -11, -63, 41,
   29, -15, 5, 31, -50, 73, 6, -11,
   17, 30, 4, 1, -5, -32, -19, -8,
   4, -26, 37, -10, 18, -35, -52, 2,
   -21, -13, -22, 0, -2, 19, -3, 64,
   -8, -16, 2, -1, -24, -57, -9, 27,
   -36, 16, -19, -1, -4, -7, 18, 9,
   -9, -15, -46, -4, 7, 23, -13, 64,
   -14, 24, 26, -43, -46, 40, 16, -7,
   13, 21, 1, -7, -20, 31, 38, -47,
   26, 43, -23, -56, -5, 53, 33, 30,
   48, 62, 20, 41, 10, 27, 27, 35,
   38, 3, 52, 18, 26, -67, -18, 24,
   82, 14, 67, 23, 62, 47, -18, -58,
   -52, 31, 39, -23, -16, -14, -3, 64,
   10, 10, 47, -16, -37, 28, 12, 16,
   -38, -60, 33, -24, -10, 58, -29, 48,
   26, 50, 1, 17, 41, 14, -26, 72,
   -2, 78, 19, 19, -2, -13, 21, -57,
   3, -19, -13, 27, -29, -69, -3, -43,
   -22, -27, 66, -31, -1, 26, 7, 15,
   -7, 16, 5, -13, 89, 14, 69, -40,
   -11, -52, 4, 32, 10, 15, -34, 15,
   -30, 27, 24, -54, 74, -27, -18, -14,
   78, -43, -13, 14, 43, -30, -36, -50,
   5, -17, -6, -1, -35, 31, 4, 40,
   -59, -11, 29, 6, -13, 15, -14, 2,
   10, 54, -13, 1, 17, 27, -26, 2,
   22, 45, -39, -3, 0, 11, -53, 30,
   -15, 5, -57, 20, 14, -7, 44, 33,
   28, 28, -2, -47, 12, 4, -16, -19,
   -55, 4, -7, 12, -14, 9, 15, 13,
   8, 19, 32, -10, -36, -6, -5, -68,
   -15, -7, 11, -17, -33, 47, 10, -27,
   3, -74, -63, 35, -42, -60, 44, 5,
   -17, 0, 14, -10, 20, 14, 21, -15,
   -17, 34, -10, 2, 21, 0, -15, -40,
   27, 8, 1, 39, -4, -50, 9, 45,
   -23, -17, 16, 23, -15, 1, 5, -17,
   7, 3, -53, -12, -8, -21, -8, -5,
   10, 4, 69, 51, -22, 55, 25, -4,
   41, -27, -16, -31, 13, 51, -4, 24,
   -21, 0, 21, 5, 1, 42, 19, -13,
   38, -21, 19, -4, -10, 3, 44, -57,
   -8, 11, -13, -3, -47, 2, 27, -9,
   -26, 46, -2, 22, 23, -18, -38, 3,
   16, 15, 3, -17, -20, 35, -14, -2,
   -1, 5, -32, -31, 54, -13, 23, 6,
   -22, -5, 22, -6, 6, 3, -26, 25,
   -4, 7, -3, 2, -19, -31, -30, -36,
   -23, 26, -28, -22, 14, -32, 19, -42,
   61, -32, 8, -16, -28, -42, 29, -13,
   32, 0, 19, 15, -13, -53, -29, -17,
   -10, 10, -30, 6, 19, -13, -25, 32,
   12, -19, 21, 16, 4, -5, 1, -3,
   41, -7, -39, -33, 0, 14, 29, 33,
   1, 33, -56, -37, 0, 19, 15, 23,
   18, -16, -43, -14, -30, 5, -60, 5,
   -14, 19, 37, -1, -3, -31, -3, 22,
   18, -22, 12, 29, 9, 12, 16, -12,
   31, 7, 3, 26, 17, 9, 45, 12,
   7, -5, 16, -14, 9, 0, 13, -11,
   -24, 6, 28, 5, 17, 2, -24, -26,
   -24, 23, 37, 10, -45, 24, -25, -2,
   1, -10, -18, -8, -4, -17, 12, -3,
   45, 16, -36, -10, 10, -1, -9, -17,
   -4, -18, 11, 13, -28, 32, -22, -12,
   2, 9, -39, 25, -28, -22, 19, 32,
   2, -26, -55, 6, -14, -15, 9, 10,
   44, -61, -30, 3, -15, 6, -41, -11,
   4, 22, -5, 14, 14, -2, -7, -19,
   -50, 12, -6, 5, 18, -10, -27, -12,
   11, -1, 7, -34, 9, 4, -7, 5,
   7, -16, 9, 18, -18, 22, 5, 17,
   -5, 16, 5, 8, -12, -33, -35, -19,
   -40, -34, -46, -37, -9, -17, -11, -28,
   -19, -11, 2, 27, 14, 6, 8, 5,
   -19, -11, 7, -18, -7, -23, 10, -11,
   32, 26, -13, -1, -25, 33, 21, 3,
   11, -7, 11, 20, -4, -4, -24, 3,
   -11, -21, 2, -5, 10, 15, -9, 15,
   17, -18, -3, -31, -1, -14, 17, 15,
   -17, -8, 7, 15, -31, 28, 4, 17,
   -59, -30, 21, 44, -23, -79, 27, -4,
   -59, -4, -125, -57, -74, 100, 33, 44,
   38, -37, -5, -56, 1, -76, 87, -47,
   -40, 2, -40, -41, -17, 17, -73, -80,
   -118, 46, 52, -38, -26, 4, -27, -56,
   -52, -1, -3, -11, 33, 31, -3, -30,
   8, 21, -1, -37, 3, 34, -43, -91,
   -62, -47, 14, 61, -61, -12, 43, -25,
   -33, -13, -89, -33, -32, -43, 85, -29,
   -61, -85, -62, -105, -37, -17, -83, 5,
   39, -27, -6, -45, -95, -56, -54, 6,
   15, -51, 9, -41, -33, -67, -41, -33,
   79, 71, -1, -8, 78, -76, 45, -27,
   -42, -36, -36, -34, -46, -10, 31, -74,
   30, -16, -4, -68, 34, 18, 27, -8,
   55, 17, -39, -52, -11, 55, -10, -4,
   -36, -15, -46, 23, 44, 27, -19, 42,
   2, 1, 31, 32, -7, 56, -40, -30,
   -2, -39, -52, -94, 78, 28, 34, -38,
   -27, 27, -19, 15, -4, -3, 5, 68,
   12, -20, 49, 97, 71, -43, -8, 13,
   -11, -31, -15, -14, -68, -14, -23, -8,
   28, 55, -6, 24, 23, -2, -49, -21,
   -60, 27, -16, -27, -42, -45, -16, 4,
   18, -24, -8, 22, -47, -43, -14, 9,
   23, -11, -53, 13, 10, -30, -29, -51,
   4, -19, 24, 23, -7, -5, -9, 0,
   11, -20, 15, 3, 20, -23, 53, 17,
   -52, -3, -25, -9, -10, 13, -3, -46,
   -30, 22, 12, 56, 31, 9, 10, -21,
   16, 21, 19, 36, 12, 37, -32, 1,
   55, 9, 55, -20, 4, 32, 54, -14,
   -23, 18, -38, 5, 52, 4, 17, 38,
   -29, -27, -35, -7, -72, 7, 15, -6,
   29, 25, 15, -78, -5, -70, -7, 46,
   27, -10, 4, 5, -14, -19, 55, -25,
   -28, -28, -14, 15, 45, 27, -26, 26,
   -22, 1, 39, 1, -6, 32, 6, 50,
   -70, 13, 15, 102, 15, 26, 81, 58,
   81, -78, -2, 11, -22, -3, 21, -86,
   2, -55, -30, -102, 20, 36, -8, 91,
   21, -30, -16, 82, 49, 6, -1, 21,
   -13, -10, 76, 3, 33, 7, -26, -5,
   -7, 2, 34, 18, -42, -39, 15, 0,
   40, 82, 56, -24, 29, 50, 43, 30,
   92, 44, 17, 47, 52, 9, 100, 85,
   34, 18, -42, -10, 30, 28, 74, 61,
   -19, -13, -27, 32, -32, 22, -10, -1,
   38, -23, -6, 83, -84, -44, -82, -23,
   -27, 10, -64, 14, -28, -45, 57, 8,
   17, 57, -36, 16, -8, -29, 35, 34,
   78, 76, -58, -34, -5, 33, -15, 87,
   -24, 36, 16, 15, -17, 13, 33, 14,
   31, -43, -52, 1, -5, 36, -3, 22,
   -31, -28, 41, -30, -3, 41, 15, -11,
   32, -1, 55, -51, -26, -11, -17, -62,
   -8, -44, 0, 9, 23, 41, -60, 39,
   -39, -6, -8, 51, 63, -61, 48, -55,
   65, -58, -9, -3, -16, -42, -64, 22,
   -42, -29, -28, -47, -36, 30, 47, 30,
   -51, 26, 46, 23, 36, -45, 31, -20,
   26, -27, 4, -1, 9, 20, -27, -16,
   -22, -4, 3, -17, 12, -27, -36, 3,
   29, 15, 0, -35, -9, 39, 14, 0,
   34, 36, 1, 1, 1, 6, -36, 82,
   -16, -33, 5, 39, -30, 27, -66, 31,
   -19, 14, -13, 6, 24, -47, 1, 0,
   -16, 6, 25, 0, -30, -12, -5, 1,
   0, -21, 24, -5, 11, -2, -28, -10,
   3, -18, -25, -50, 18, 12, -9, -3,
   -22, 15, -2, -15, 19, -7, 70, 10,
   -13, 29, -41, 0, -32, 16, 21, -17,
   28, 12, -96, -36, -33, 62, 15, 40,
   21, -10, 13, -2, -10, 9, 24, 13,
   13, -32, 24, 41, 23, -18, -18, -15,
   41, 48, 53, 76, 69, -65, -17, -50,
   -2, 2, 16, -28, 0, 22, -8, -18,
   63, -69, 32, 70, -13, 23, 126, 7,
   25, 15, 79, -68, 3, 12, -45, -45,
   -21, -41, -35, -5, 94, 64, 59, 51,
   32, -42, 76, 5, 40, 29, 24, -34,
   -30, 26, -10, -25, 117, 9, -17, 57,
   37, 31, 23, 25, 47, 10, 40, 33,
   43, 39, 58, 28, -22, 14, 22, -7,
   -26, 71, -88, 14, -12, 45, 5, -57,
   -8, -40, 54, 20, -13, 26, 4, 27,
   -23, 2, -23, 39, 72, 38, -37, 67,
   -12, 7, -25, 52, -50, 94, 33, 16,
   66, -22, 20, 105, -10, 29, -36, -76,
   24, 51, 16, 21, 29, -31, -35, 10,
   1, 71, -43, 34, -12, 6, 2, -34,
   -127, -14, 6, -35, 39, 28, 3, -5,
   127, -7, 18, 30, 80, -24, 34, -1,
   60, 23, 34, 3, -20, 94, -44, -21,
   7, 3, 20, -36, -15, 33, -24, 4,
   26, 47, 30, 49, 12, 33, 9, -8,
   7, 9, 18, 12, 16, 43, 44, -5,
   -50, 8, -27, 34, 4, -13, -3, -32,
   12, 10, -47, -4, -33, 7, -50, 1,
   28, 23, 31, 43, 29, 20, 9, -1,
   -8, 14, -40, -5, 9, -5, 19, 44,
   -67, -30, 17, 24, -9, -16, -12, -5,
   17, 1, 37, -3, -50, -18, 1, -10,
   -37, 9, 47, -37, 1, -14, -22, 2,
   25, -12, -23, 10, 13, -1, -48, -19,
   45, 41, -35, -10, 33, -2, 21, 20,
   -43, -9, 29, -18, -14, -20, 50, -12,
   -5, 40, -3, 9, 15, -40, 5, 37,
   56, 33, -14, -12, -35, 3, 56, -19,
   -63, 54, -33, 69, 47, -38, 58, 20,
   78, -4, -125, -51, -31, 6, 24, -9,
   3, -66, -8, 88, 38, -1, 25, -41,
   -16, 62, -15, -86, 9, 61, 21, -17,
   -9, -51, 35, -44, 57, 32, 8, 22,
   -26, -44, -32, -37, 47, 65, -84, 30,
   -7, -3, -34, 64, -6, -52, 41, 90,
   -71, -48, -39, 28, -12, 25, 13, 9,
   58, 35, -18, -24, -4, 14, 43, 8,
   66, 9, -45, 25, 4, 17, 13, 34,
   36, 1, 101, -42, -13, -85, 67, -15,
   -10, 38, 0, 65, -47, 24, 24, -32,
   28, -54, 85, -30, -25, 18, 2, -2,
   -3, 15, -61, 7, -33, 20, 20, 7,
   25, 42, -43, -20, 20, 20, 27, 13,
   -14, 95, 45, -11, 9, -9, 9, 75,
   7, 127, 8, -13, 49, -37, -19, 66,
   -9, 15, -23, -86, 19, 29, -22, -4,
   11, -42, -46, 20, 24, 78, 38, 36,
   -106, 18, 77, 30, 23, -77, -55, -25,
   -7, -1, -39, -13, -8, 32, 53, -7,
   -1, -7, 50, -40, 5, 11, -16, 51,
   -9, -1, 42, 62, 83, -37, 12, -34,
   -22, 20, -31, 11, -28, -27, -40, -1,
   31, -10, -49, 18, -40, -15, -5, 0,
   -26, 36, -59, -34, -29, -13, -24, 16,
   6, 18, 20, -3, -9, 0, 24, -23,
   16, -68, 27, 1, -14, 12, -19, -9,
   3, 16, -37, 25, 63, 31, -46, 16,
   5, -14, 2, -30, -32, -17, -7, 27,
   27, 5, 29, 27, 9, -14, -2, 15,
   26, -29, 53, 16, 34, 30, 26, -7,
   63, -15, -40, 2, -44, -9, 19, -22,
   -37, -5, 7, 9, -37, -13, 27, 17,
   -20, 53, 27, 3, 16, 12, 11, 19,
   24, 97, -17, -61, -39, -80, -38, 0,
   -10, 33, -12, 63, 40, 38, 72, 30,
   -13, 57, -17, -2, 21, -32, 8, -68,
   -5, 32, -6, 15, 97, 25, -15, -5,
   -10, 98, 14, -6, 26, 36, -60, 46,
   39, 59, 37, 58, 32, 5, 61, 14,
   22, 52, -48, -15, 46, 25, 33, 21,
   25, -21, -24, -13, 79, 32, 1, 22,
   -10, 35, 84, -64, 95, 46, -19, 48,
   0, 68, 31, 4, 39, -42, 2, -15,
   36, 41, -19, -19, 65, -31, 51, 35,
   -16, -41, -47, 31, -46, -12, 30, 49,
   -1, 37, -122, -1, -65, -6, 35, -44,
   5, 32, -3, 57, -13, -66, -5, 3,
   6, 19, -6, 51, 91, -5, -13, 2,
   -38, -7, -44, -52, 10, 15, 39, 7,
   -7, -14, -13, -5, 79, -55, -16, 2,
   -8, -44, -127, -47, -14, -4, 39, -4,
   52, -7, 12, -14, 19, -23, 77, -50,
   -35, 42, 19, -40, 63, -20, 65, -27,
   -19, -57, 44, 4, -17, -13, 27, -32,
   19, 36, -75, -7, -15, 20, 42, 30,
   8, 13, 52, 36, -43, -46, 12, -34,
   -54, -49, 16, 32, 9, -23, 0, -19,
   -22, -19, -9, -4, -27, 24, -36, -18,
   42, -38, 1, 26, 11, 35, -17, -8,
   2, 51, -5, -41, -6, 9, -9, -18,
   12, 11, 13, -21, 37, -15, 23, -21,
   -13, 55, -4, 21, -39, 6, 5, -20,
   22, -17, -13, 37, 5, -21, -6, -16,
   -26, -13, -12, -11, 17, -28, 13, 12,
   8, -11, -49, -20, -41, -17, 13, 62,
   7, 5, 3, 0, 47, -8, 64, 3,
   24, -2, -8, 19, 14, -54, 8, 34,
   17, 4, -1, -36, 4, -31, 39, -59,
   17, -12, 4, -15, 32, 1, -1, -11,
   82, -64, -20, 13, -51, 5, -35, -17,
   24, 22, 71, 24, -12, 17, 56, -24,
   41, 47, 125, 87, -12, 56, -8, 78,
   -14, -23, 20, -19, 5, -8, 13, 47,
   -9, -3, -22, -43, 14, -21, -88, 8,
   -19, -48, 2, 37, 0, 7, -50, 78,
   -57, 26, -63, -11, -45, 37, -35, -68,
   65, 25, 17, 121, 10, -14, -68, 29,
   14, -26, 13, 0, 11, 87, 1, 16,
   -47, 30, 65, -10, -34, 12, 81, 63,
   -11, 5, -56, 12, -4, 31, -24, 104,
   35, -82, 66, 15, -60, -42, 10, 7,
   -39, -13, -11, 100, 60, -6, 37, -35,
   30, 63, 74, 24, 22, 82, -23, -22,
   66, 78, -26, -16, -51, -46, 9, 56,
   11, 31, -28, -19, -44, -20, -105, -2,
   -14, -11, 18, -23, 68, 27, 11, 38,
   -9, 55, 3, 4, -46, 27, -28, 9,
   -68, -35, -50, 0, 43, -25, -14, 3,
   35, -9, -31, -17, 41, -9, 1, -19,
   37, 72, -8, -61, -68, -25, -5, 49,
   -34, -50, 1, 24, 33, 18, 26, 49,
   10, -58, 20, 37, 0, 27, 20, -14,
   14, -27, 32, -9, 34, 1, -41, -16,
   30, 40, -5, -24, -1, -17, 68, 16,
   -51, 3, 52, -31, -17, 13, -34, 18,
   -8, -7, 8, -22, 0, -21, 11, -5,
   -53, 1, 29, -43, 34, 14, 5, 39,
   -2, -16, -26, -2, -41, -16, -13, 22,
   8, 21, 9, -37, 4, 12, -18, -9,
   5, -18, -6, 12, -2, 3, -16, -61,
   -6, -4, -12, 52, 10, -1, 12, -37,
   24, 18, -35, -9, 48, -31, 28, -13,
   20, 14, 50, -2, -20, 12, -27, 13,
   6, 37, 1, -3, 37, -13, 10, -13,
   -6, -34, -76, -4, -2, -31, -21, 32,
   -3, -91, 127, 38, 90, -1, 28, -10,
   -123, 68, 75, 26, 33, -36, 66, 6,
   81, -33, 10, 88, -7, 42, -31, 53,
   63, -85, 2, 66, -1, 46, 36, -42,
   -23, 70, 4, -113, -12, -36, -81, 22,
   -1, -8, 39, 54, 37, 53, -51, 1,
   -22, -55, -38, 50, -19, 34, 65, -64,
   -39, -40, -32, 61, -60, 20, 127, 36,
   127, 64, 14, -52, -90, 44, -7, -19,
   93, 17, -24, 5, -8, -23, -4, 2,
   71, 11, -44, 65, -41, 77, 1, -51,
   35, 96, -4, 7, 2, -10, 121, -18,
   21, 6, -61, 32, -35, 1, -5, 9,
   -50, -10, 100, 22, 35, 37, 0, -7,
   9, 15, -9, 56, 85, 14, -10, -15,
   50, 50, -4, -82, 23, 34, -2, 52,
   25, 10, -43, 60, -41, -32, -35, 88,
   93, 22, -10, -1, 57, -72, -10, -22,
   -44, -34, 14, 45, -5, 27, -73, 33,
   61, -61, 15, 21, 23, 52, 26, 98,
   104, -66, 45, 55, 7, -65, 55, -16,
   34, 23, 1, -20, 13, 26, 97, 30,
   -13, 19, 3, -35, 27, 43, -8, 10,
   -18, 83, 13, 54, -3, -13, 23, -36,
   -11, 14, -25, -22, 18, 1, -2, 1,
   59, -1, 5, -25, -35, 7, 2, -55,
   39, -21, -27, 2, -19, 56, 15, 7,
   4, 10, 41, 22, -21, -7, 10, -5,
   -19, -15, 17, -25, -51, -4, 15, -37,
   -20, 26, 61, 34, 18, 11, 23, 8,
   0, -1, 25, -10, 31, -19, 17, 7,
   10, -2, 12, 11, -8, 18, 12, -14,
   7, 43, 36, 23, -6, -30, -15, -18,
   -62, 0, 12, -1, -36, 29, -17, -28,
   -34, 25, -10, -23, 8, -48, -33, 5,
   16, 4, -26, -9, 14, -16, 62, -23,
   -28, 47, 65, 36, 54, 75, 32, 2,
   43, 98, -20, 64, -17, 24, -126, 15,
   -45, 71, -23, -15, 6, 35, 22, 62,
   55, -4, -4, -3, -81, 50, 126, 69,
   17, 65, 0, 83, 116, 27, -24, 77,
   -50, 24, -58, 118, 84, -22, 37, 45,
   43, 100, 41, 20, 45, 39, 22, 116,
   13, 53, 33, 96, 37, 60, 63, 114,
   61, 102, -13, 49, 62, 75, 24, -30,
   66, 52, -7, -34, 90, 88, 19, 47,
   83, -16, 28, -52, 19, -25, -49, 10,
   -94, 19, -78, 24, 25, -38, 19, -3,
   -73, 42, 10, 51, 58, 26, -28, 1,
   91, 16, 93, -7, -5, 63, -33, -48,
   11, -34, 72, 106, -11, 95, 32, -12,
   34, -23, 28, 8, 39, 9, 50, -86,
   30, 3, -65, 43, -24, -60, -37, 48,
   19, 0, -34, -60, 38, 7, 55, 31,
   20, 14, 5, 42, 68, 34, 18, 2,
   57, -87, 26, 0, 71, -8, 14, -63,
   59, -1, -4, -58, -8, 4, 97, -52,
   11, -34, -15, 25, 34, 78, 55, -34,
   11, -11, -13, -9, -16, 4, -14, 20,
   39, 6, 16, 21, -16, -48, 1, -15,
   15, 20, -17, 24, 7, -12, -78, -54,
   -57, -30, 15, -22, -9, 13, 1, -119,
   6, 81, -50, 4, -27, -50, -25, 23,
   -20, -11, -1, -9, -54, 0, 2, -8,
   -20, 23, 13, 2, 22, -44, 12, -40,
   21, 22, -24, -32, -6, -33, 32, -35,
   -39, -11, -41, -1, -19, -7, -2, 10,
   -71, 9, -2, -75, -28, -18, -18, 2,
   27, 10, 110, -30, -51, 17, -6, -11,
   -19, -16, -32, -7, -5, 3, -16, 19,
   -21, -25, -13, -16, -33, 52, -3, 18,
   -31, 31, -20, -30, 28, 0, -8, -23,
   -4, 18, -53, 0, 5, -15, 9, 26,
   -65, 36, 40, 105, -15, -2, 95, -3,
   95, -5, -71, 64, 55, -53, 62, -31,
   -29, 42, 41, 16, 82, 27, 19, -28,
   13, 37, 34, 26, -109, -31, -72, 16,
   64, 22, -16, 81, -4, -13, 64, -69,
   81, 124, 96, -38, 26, 2, -16, 29,
   -17, -40, 10, -69, 67, 10, 87, 28,
   6, -16, 58, 27, -19, 15, 4, -22,
   19, 94, 44, 34, 98, -19, 19, -44,
   61, 9, -82, 85, 2, 113, 6, -31,
   66, 111, 42, -2, 69, -4, -93, -12,
   3, 19, 3, -6, 28, 5, 19, -12,
   67, 72, 81, -17, -97, 54, -26, 4,
   -44, 14, -36, 67, 25, -15, 0, 29,
   -16, 47, 18, 44, -4, -8, -84, -25,
   42, -26, 36, 52, -19, -15, -27, -20,
   23, 63, 62, 36, 10, -60, 44, 25,
   -29, -5, -17, -22, -27, -3, -46, 46,
   3, 4, 20, 37, 40, -11, 49, 43,
   2, 31, 4, 18, 28, 5, 37, -4,
   -18, -35, 46, -17, 29, 46, 12, -55,
   16, 30, -8, -24, -33, -87, 36, -10,
   42, -30, 51, -64, -15, -5, 43, 7,
   19, -28, 4, 19, 13, -16, -19, -14,
   16, 21, 30, -12, -36, 19, -36, 7,
   -11, -18, 16, -6, 2, 0, -12, -35,
   -8, -5, -16, 6, -7, -6, -9, 43,
   19, -27, -8, 6, 6, 5, 23, -10,
   -23, -31, -4, -3, 37, -38, -7, 15,
   10, 17, 5, -27, 5, 0, 14, 21,
   -34, 10, -49, 11, 8, 59, 56, 39,
   -29, 6, -29, 26, -4, 9, 12, 22,
   -34, 49, 7, -33, 49, 23, 33, 11,
   11, -16, 21, -4, -17, -7, 60, 24,
   16, -73, -54, 24, 13, 2, -24, -9,
   54, -9, 60, 85, -28, 4, 10, 48,
   -20, -13, 59, 6, 3, 64, 63, 23,
   -11, 45, -23, 112, 1, 126, 33, -14,
   73, -16, -39, 22, 53, 39, 30, -6,
   -53, 70, -20, -12, 20, -16, 10, 3,
   -27, 17, 20, 61, -13, 2, -88, 29,
   -19, 73, -21, 56, 34, 29, -14, 0,
   32, -26, 7, -2, -17, 27, -10, -42,
   5, 23, 30, -11, 30, -7, 9, 26,
   27, -33, 45, 7, 71, -29, 37, 56,
   -5, 87, 45, -26, 36, 10, 21, 36,
   12, 61, 84, 30, 7, 53, -21, 35,
   -35, -1, -26, 63, -78, -9, -6, -24,
   16, 59, 39, 32, -33, 21, 9, 31,
   -21, 10, -42, -16, 27, -49, 25, -47,
   -21, -65, 27, 34, 19, -23, -29, 69,
   25, 16, -13, 42, -37, 71, -2, -1,
   -22, -4, -19, -39, -36, -52, -54, -35,
   -52, 20, 9, 3, -10, 38, -73, -10,
   2, -25, -10, 6, -16, -68, 64, 34,
   -22, -4, -33, -5, 40, -10, 26, 27,
   38, 34, -27, 28, 38, 28, -12, 29,
   21, -69, 8, -44, 18, 21, -28, -15,
   51, -42, 49, -26, 30, 2, -41, 48,
   5, 2, 22, 15, 18, -29, -25, -41,
   25, 24, 6, 10, -40, 36, 50, 3,
   -30, -42, -1, 2, 14, 50, -45, -25,
   -7, 18, -15, -35, -8, -4, -13, -10,
   21, -45, 25, 38, 39, 26, -3, 33,
   -39, -33, -10, -7, 15, -14, -3, 10,
   -8, 6, 9, -29, -22, 17, -17, -26,
   -20, -3, 4, -29, -8, 25, -32, -19,
   -20, -19, -16, -11, 27, -12, 4, 37,
   -32, 11, 33, 12, 8, -9, -18, 22,
   1, 32, -15, -18, 45, -36, 52, -33,
   -13, 12, 11, 35, -7, -15, 3, 3,
   -36, -30, -74, -8, -12, -7, -58, -25,
   -109, 29, -44, 25, 7, -101, 7, 56,
   18, 24, -74, -74, -12, -3, 13, 30,
   -61, -33, -6, -59, -22, 1, -5, -76,
   -101, 36, 6, -95, 15, -11, 0, -19,
   40, 58, 24, 28, 31, -57, 27, 5,
   -55, -3, -22, 50, -16, 64, -17, -32,
   -53, -57, -8, 60, -78, 8, -11, -39,
   12, -39, -57, -34, -49, 26, -77, -44,
   67, -24, -4, -12, -5, 24, 10, 16,
   40, -15, -32, -47, 12, 19, 45, 94,
   -1, 2, 121, 23, -22, -99, 121, -22,
   20, 23, 35, -38, 38, -10, 90, 60,
   -15, -18, 5, 53, -21, 46, 8, 71,
   -3, 46, -80, -83, 66, -14, 9, 43,
   -4, -13, 30, 2, 0, 86, -2, 24,
   -18, 22, 2, -24, -7, -26, 39, 5,
   106, 9, -58, -4, 3, -25, 68, 10,
   -19, -44, 14, -8, 16, -31, -64, -2,
   16, 10, -17, 90, -12, 9, 27, 79,
   -73, -8, 24, 91, 1, -27, -11, -5,
   14, 72, -111, 6, -13, 18, 41, 33,
   24, 20, -1, -8, 14, 19, -20, -8,
   54, -26, 31, 54, 27, 4, 21, 53,
   28, 20, 30, 19, -14, 44, 31, 7,
   -3, 14, -19, 1, -37, -4, -60, 36,
   5, -41, 35, -26, 19, 30, 27, -4,
   27, -51, -33, -20, 20, 41, 16, -9,
   17, -7, -23, 10, -26, 11, -15, -54,
   -44, 20, -2, 59, 13, 23, -6, -26,
   23, 28, -45, -17, 24, -35, -15, -49,
   64, -16, 22, -27, -39, -44, 5, -60,
   -16, 9, -3, 25, 54, 35, -6, -39,
   8, -32, -9, -32, 18, -11, -24, -54,
   -27, -7, -6, -45, -10, 22, 25, 15,
   -3, 13, -24, 27, -23, 29, 28, -62,
   23, 48, 1, 21, -8, 51, -11, 55,
   11, 36, 8, 31, 35, 16, 19, 10,
   93, 2, 53, 2, 47, -76, 45, -79,
   -21, 57, 37, 79, 45, 78, 17, 72,
   36, 56, 9, 18, 26, 12, -3, -19,
   -23, 63, -5, -10, 38, -18, -27, 1,
   70, -35, -20, -11, 37, 65, 39, 65,
   24, -48, -5, 22, -28, 51, 64, 20,
   -47, 12, 62, -54, 58, -48, 25, 7,
   -6, 55, 13, 17, 67, -19, -17, 31,
   -3, 18, 23, 10, 4, 70, 7, -24,
   13, 73, -1, 41, 46, 14, 33, 76,
   -35, -9, 4, 2, 24, -38, 12, -38,
   11, 47, 7, -22, 19, -11, 2, -15,
   -28, 2, -33, 20, -12, 6, -6, -35,
   -15, -18, -31, -3, 2, -23, -48, 22,
   -33, -21, 28, -29, -18, -73, 24, -29,
   -12, 17, 22, -8, -23, -8, 2, -10,
   50, -33, 4, 24, -4, -22, 32, -4,
   -36, -12, -17, 2, 12, 51, -22, 55,
   -37, -26, -10, 15, -37, -14, 21, -3,
   -44, 3, 56, 62, -50, 64, -22, -36,
   29, -71, 73, -10, -53, -37, -71, 35,
   -73, 22, -45, 0, -14, -12, -17, -18,
   20, 12, -17, -1, -30, 5, 51, -9,
   -5, 11, 9, -9, 12, -26, 14, -25,
   16, 41, -21, -15, -15, -19, -17, 17,
   -19, -18, 6, 18, -18, -20, -9, -4,
   6, -11, -8, -4, 11, -26, 6, -12,
   -6, -10, 19, -23, -34, -17, 26, -4,
   -39, 3, 13, 26, 1, 20, -6, 14,
   2, 15, -49, 20, 31, 6, 36, -53,
   5, 6, -30, 46, -26, -22, 45, 20,
   -28, -14, 28, 28, -23, 19, 6, -3,
   -11, 16, 3, 16, -17, 19, 9, 1,
   22, -19, 11, -14, 15, -11, 29, 2,
   87, 42, 65, 50, -12, 33, 62, 37,
   52, 48, 122, 23, -3, -41, -27, 70,
   27, 33, 23, 83, -15, 48, 6, 11,
   23, 27, 45, 98, 28, -1, -58, 11,
   -29, 5, 46, -8, 54, -1, 7, 61,
   40, 42, 19, 29, -13, 20, 46, 68,
   65, 54, 0, 30, -41, 76, 26, -33,
   -44, -49, 32, -11, -57, -21, 7, 52,
   7, -50, -45, 26, 9, 13, -3, -8,
   70, -36, 98, 17, 85, 12, 7, -54,
   -37, -38, 37, -3, 17, 59, 20, 18,
   24, -80, 67, 5, 48, -12, 67, 63,
   -12, -19, -11, -18, 12, -13, -15, 9,
   -6, -18, -36, 44, 54, -2, -58, -16,
   5, 10, -24, -83, 21, -19, 36, -77,
   -5, 20, -26, -33, 0, 22, 1, -54,
   -2, -13, -6, 75, 15, 39, -17, 13,
   39, -43, 48, 61, -22, 29, 42, 35,
   68, -35, 10, 5, 38, 11, 1, 12,
   -22, 82, 39, -16, 41, 13, -12, 39,
   -19, -5, 9, 11, 1, 40, -21, -14,
   11, -34, -2, 35, -50, 43, -27, -12,
   -26, -44, 46, 54, 3, -85, 13, 8,
   0, 18, 7, 3, -9, -9, -40, 4,
   25, 30, -11, -16, -24, -16, -29, 15,
   -3, 23, 32, 51, 37, -10, 7, -41,
   52, -22, -1, 12, 3, -56, 0, 18,
   -37, -44, -6, 45, 53, -34, 23, 26,
   -15, 39, 1, 8, 7, 9, 10, -13,
   29, -9, 37, -1, 32, 19, 33, -18,
   21, 11, 12, 17, 23, 16, -13, -22,
   16, 22, 17, 43, 12, 35, 35, 50,
   40, 48, 22, 24, 12, 26, 51, -16,
   9, -3, -46, -9, -10, -6, 7, -8,
   -47, -7, -23, -11, 21, 30, -2, 40,
   20, -51, 12, -4, 16, -31, 10, 3,
   4, 27, -44, 28, 22, 45, 26, 23,
   76, -2, 36, -14, 84, -41, 100, -3,
   -28, 29, 103, -38, -39, 52, 46, -8,
   47, -30, 41, -20, 43, 48, 30, -21,
   77, 70, 7, 21, 21, 50, 36, -14,
   7, -40, 3, -39, 6, -40, 45, 65,
   55, 54, -18, -28, -50, 50, -48, 23,
   55, 42, 16, 82, 39, 124, 18, 0,
   20, 72, -29, -7, -11, -25, 33, -18,
   88, -12, -43, 14, -2, 69, 5, 25,
   -55, 13, 10, 35, 46, 34, 59, 33,
   -8, -7, 55, 2, 63, 26, -6, 39,
   10, -30, 4, 75, 32, -3, -67, 31,
   12, -16, 45, 19, -20, 49, -89, 74,
   8, 30, -50, 51, -27, -52, -2, 30,
   27, -4, 39, 13, -56, 19, -51, 10,
   -35, 34, -7, -83, 34, -13, 8, 35,
   14, 12, -44, 11, -7, 24, 15, 14,
   -48, -21, 28, 77, 84, 59, 11, -10,
   12, 32, -1, -12, 79, -30, 43, -17,
   -57, 72, 49, -12, 13, 30, -16, -31,
   -32, -12, 2, 5, 26, -16, 50, -24,
   -83, -105, -16, 39, 4, 22, -52, -25,
   67, -39, 2, -19, -43, 49, 39, 24,
   -52, -59, 9, -12, -2, -57, 0, 16,
   -66, 12, 28, 9, 7, 41, -20, 0,
   -19, 5, -27, -42, 15, 13, -34, 26,
   9, -47, 24, -2, -10, -12, -30, -30,
   -14, 14, -31, -22, -4, -10, -20, -7,
   -7, -22, -3, -28, 21, 17, -15, 14,
   -10, -10, -9, 18, -18, 50, -11, 80,
   7, 31, 1, -79, 2, -6, 9, -42,
   -30, 27, 15, -30, 41, 1, 5, 18,
   -10, -6, 24, 25, 31, 19, 0, -61,
   33, -44, -20, 23, -23, -1, 18, -2,
   -1, 6, 2, 22, 6, -1, -26, -3,
   -52, 68, -25, -82, 56, 22, -43, -8,
   14, 83, 30, 117, -24, 5, -49, 9,
   9, 60, 44, 63, 34, -26, -16, 13,
   15, 53, 11, -16, 125, -49, 21, 37,
   27, 31, 19, -35, 49, 102, -13, -48,
   83, 17, -18, -6, 71, -72, 32, -39,
   -35, 0, 80, 56, -40, -10, 37, 64,
   35, 7, 24, 2, 118, 29, -9, 82,
   31, 71, -16, 7, 20, -16, -29, -8,
   81, -2, 81, 78, 14, 35, 4, 126,
   40, -20, 19, 31, -11, 24, 20, 114,
   -55, -23, 68, 20, -1, 1, 122, 127,
   1, -20, -41, -21, 15, 37, 16, 25,
   30, 64, -17, 5, -27, 15, -86, 88,
   -65, 25, 13, -31, 20, 47, 16, 36,
   -35, 16, 11, -70, 7, -27, 0, 19,
   -2, 20, 10, 72, -61, -42, 0, -25,
   38, -26, -12, -46, 36, 0, 16, 77,
   11, -24, -24, -6, -33, -8, -23, -19,
   -12, 2, 31, 23, 11, 34, 72, 17,
   10, 2, 6, 23, -17, -113, -21, -15,
   -20, 8, -8, -18, -23, -31, -54, 42,
   35, -33, 91, 4, 15, -21, -24, -23,
   14, 61, -31, -11, -58, -9, 4, -2,
   21, -15, -9, 40, 15, 12, 9, -2,
   -34, -27, -32, -11, 1, 1, 8, 4,
   78, -7, -24, -5, -18, -24, -18, 47,
   5, 17, -56, -58, -26, 3, 17, -71,
   -44, -21, 35, 0, 22, -30, -4, -58,
   -13, 0, 9, -11, -34, -15, -20, 1,
   -21, -33, -29, -43, -6, -20, 3, -15,
   17, 4, -7, 42, 27, -6, -48, 64,
   -3, 4, 16, 15, 3, -51, -28, 3,
   -16, -44, 27, 14, -2, -17, 0, -13,
   25, 22, 29, 46, -25, -27, 25, -12,
   -6, 15, -6, -41, 34, -7, -4, 14,
   46, 48, 18, -11, 27, -35, 54, 16,
   4, 25, 88, -67, 4, 72, 7, 44,
   50, -58, -110, 30, 36, 14, 62, 9,
   25, -2, -22, 16, 3, 11, 20, 38,
   85, -10, -46, -25, -18, -45, -25, 28,
   0, 15, 4, 23, -22, 29, -36, 6,
   -37, -40, -16, -16, -61, 96, 18, -116,
   -30, 59, 7, 89, -15, -8, -52, 49,
   11, 10, 24, 3, 81, 32, -5, 32,
   -28, -4, -18, 10, 51, 29, -9, -51,
   -5, 49, -21, 23, -19, -15, -22, 3,
   -41, 14, 63, 8, 100, 20, 51, 3,
   -8, -66, 3, 43, -17, 8, -8, 26,
   4, 25, -34, -34, 1, 69, -39, -31,
   -43, 42, 3, -27, -69, 44, -21, 6,
   -22, 3, 29, 67, -57, 5, -28, -26,
   47, 62, -76, 57, -15, 60, -45, 105,
   14, 89, -27, -74, -10, 64, -7, 13,
   56, 31, 32, 74, -13, -26, 40, -45,
   6, -3, 14, -38, -14, 6, -77, -19,
   -23, -6, -35, -65, -65, -23, -53, 56,
   34, -22, -1, 41, -32, 48, -36, 18,
   71, -6, 40, 38, -29, 69, -33, 25,
   -29, -12, -4, -9, -7, -32, 37, -56,
   30, -9, 9, -5, -5, 42, 31, 27,
   0, 11, 30, 48, 6, 2, -34, -1,
   -9, -9, 10, 17, 41, -37, 10, 20,
   -15, 5, -9, 22, 3, -25, -50, 23,
   40, 5, -18, 6, -1, -8, -2, 12,
   6, 11, 20, -23, -1, 2, -15, -11,
   30, -3, -31, -8, -15, -27, 11, -10,
   -1, -18, 32, 6, -2, 27, 4, -36,
   6, 15, -9, 17, 11, -11, -2, -41,
   -15, 3, -65, -7, 18, 17, 35, -12,
   -24, -9, 2, -13, 29, -6, -84, 24,
   -15, 5, -23, 32, 15, -28, 19, 6,
   -14, -47, 6, -29, -44, 102, 16, 34,
   -62, 42, 62, 11, -40, 20, 37, 50,
   17, -5, 47, -37, -8, -70, -20, -11,
   83, 45, -6, 11, -14, -43, -55, 25,
   34, 37, 61, -29, -14, -47, 52, -77,
   -53, -21, 5, -22, 11, 38, -17, 7,
   21, -1, 62, -27, -14, -9, 10, 69,
   2, -61, 116, 5, -56, -17, -69, 53,
   -33, -53, -33, 44, -41, 76, 45, -37,
   64, 27, 82, -15, -11, 12, 22, 0,
   61, -18, 9, -15, 1, 54, 13, 15,
   7, 47, 14, 48, -28, 5, 101, 20,
   -56, 66, 12, -9, -13, 14, 62, 79,
   4, -33, 58, 49, -47, 6, 45, 51,
   1, -11, -73, 30, 33, 85, 88, -56,
   -64, 19, -24, 32, 45, 65, 9, -27,
   -28, -36, 46, -73, 8, -3, 62, -14,
   -10, 17, 20, 46, -20, 7, 67, 38,
   56, 42, -14, 7, -5, 8, -33, 70,
   46, 21, 68, 39, -13, -50, -15, 32,
   -9, -14, 10, 9, -27, 29, 46, 72,
   33, -28, -21, 75, -3, -11, 21, 7,
   63, 42, 34, 35, 44, 10, 35, 42,
   -65, 54, 78, 64, 23, 39, -42, 24,
   26, 3, -16, -11, -4, 13, 35, 10,
   19, 49, 51, 4, -26, 7, -22, -12,
   -29, -22, -5, 4, 48, 5, 25, -30,
   9, 44, 73, -36, 22, -26, -7, 8,
   16, -20, 4, 5, -15, 10, -31, 9,
   9, -2, 22, -11, 56, 19, -38, -9,
   -8, 35, -27, -6, -35, 11, 20, -13,
   -38, -51, 42, -14, 24, 26, 6, -28,
   23, 16, -46, 3, -12, 8, 20, -50,
   -11, -29, -3, -49, -25, 1, 8, -33,
   -25, -22, -7, -13, 14, -18, -27, 4,
   35, -18, -55, 47, 22, -4, -27, 2,
   -22, -48, -16, -56, -74, -71, 51, 18,
   -92, 32, 19, -35, 10, -32, -30, 19,
   -50, -18, 17, 36, -17, 2, 76, -62,
   -37, -15, -9, -39, 83, 19, -94, -43,
   -44, 37, -32, -43, 59, 12, -11, -64,
   -31, -3, 1, -14, -2, -15, -54, -7,
   -14, -45, -39, 30, -5, 36, -73, -122,
   18, 22, 39, 0, 69, -64, 48, 39,
   -33, -9, 68, -11, -37, -103, 20, 121,
   2, -19, 15, 17, 44, 61, -20, 126,
   59, -18, 24, 17, -102, -127, -2, -13,
   69, -19, -37, -13, -22, 1, -8, -2,
   -43, -23, -25, 8, -22, -18, 52, -53,
   -13, 34, -33, -1, -52, 20, 25, -18,
   -46, 38, -2, 66, -6, -90, 10, -29,
   79, -30, -51, 123, -92, 12, -20, 93,
   -16, -49, 20, -54, 76, 54, 42, 55,
   -27, 52, -44, 100, -31, -77, 41, -16,
   -13, -38, -30, 39, -16, -2, -31, -10,
   -62, 35, 115, -15, 3, 22, -1, -38,
   49, 16, 127, 7, 62, -46, 41, -45,
   -23, -58, -4, 58, 46, 16, -55, -56,
   83, 94, 2, 0, -6, 59, -69, -5,
   67, -18, -7, 22, -59, -7, 22, 21,
   -51, 6, 15, 36, 54, 9, -39, 8,
   -14, 5, 127, -31, -34, -6, -18, -14,
   20, -31, 3, 8, 26, 23, -20, 11,
   -2, 42, 0, 11, 2, -19, 10, 31,
   2, 2, -5, -15, -3, 0, -16, 43,
   -6, -40, 7, -8, -9, -9, 22, 6,
   -5, -25, 5, 5, 0, 67, 1, 14,
   -23, 0, 19, -23, -67, -3, 37, -2,
   14, 32, -24, 19, 33, -23, -30, 16,
   25, 24, 9, -13, 7, -3, 13, -35,
   -20, 61, 1, 1, -18, 3, -15, -15,
   66, 58, 38, 7, 0, 23, -18, 47,
   4, 87, 39, 48, 31, 21, 53, -21,
   47, 13, 89, -28, -20, -39, 10, 17,
   9, -30, 15, 74, 25, -96, 40, 40,
   27, -5, -33, 53, 70, -73, 8, 12,
   14, 52, 32, 14, -8, 53, 25, 33,
   -6, 26, 11, 17, -15, -53, 115, 33,
   53, 74, 18, 18, 28, -13, -17, 86,
   3, 12, -112, 58, 30, 74, 6, 16,
   6, 4, 7, 52, -8, -12, 9, -27,
   -5, -10, -19, 15, 63, -12, 43, -40,
   -10, 9, 36, 21, 83, -15, 39, 15,
   72, -128, 14, 33, -45, 22, 22, 49,
   19, -5, -33, 1, 34, 0, 8, 25,
   -22, -14, -26, 21, 5, -51, 11, 9,
   6, -23, -2, 1, -80, -31, -35, -22,
   -21, -33, 31, -21, -78, -17, -37, -5,
   1, 1, 6, 27, -54, 5, -11, 3,
   -23, 11, -4, -69, 64, 68, 92, 17,
   -22, 25, 4, 2, 7, 30, 15, -75,
   -13, 41, -45, 34, 13, -16, 3, 22,
   14, -24, -14, 35, -9, 34, 29, -9,
   59, 6, 1, 14, -2, 7, -28, 65,
   34, 50, 31, -6, 1, 4, -10, -29,
   -17, -34, -11, -38, 20, 5, -78, 9,
   6, -17, 7, -5, 4, 7, -35, -12,
   2, 2, 19, 5, 2, -37, 23, -10,
   34, 33, -16, -3, 0, 30, 51, 9,
   9, 10, -19, 22, -5, 36, -20, 23,
   -17, 25, -9, -4, 16, 10, 38, 32,
   26, 38, 29, 1, -20, 29, -5, -17,
   13, 22, 38, 6, 30, -45, 8, -2,
   30, -22, -5, -39, 34, -13, -34, 3,
   -29, 5, 1, 13, 6, -5, -5, 9,
   25, 18, -13, 18, -15, -40, -6, -17,
   -3, -5, -20, 14, -1, 20, 3, -2,
   5, 4, 7, -26, 3, -56, -22, -4,
   -33, -10, -47, -31, 32, 8, 29, 19,
   16, 1, -5, 38, 38, -17, 71, 54,
   -37, 20, -31, 18, -26, 16, 9, -28,
   3, 27, 16, -29, -45, -7, -2, -18,
   2, 49, -18, -48, 76, 35, -18, 6,
   -3, 58, 22, -17, 10, -22, -16, 0,
   30, -14, 9, 12, 45, -42, -36, -9,
   21, -40, -24, -59, 75, 56, 25, 27,
   -4, 14, 7, -14, 27, 18, 36, 37,
   24, 51, -37, 26, 2, 90, -12, 35,
   23, 18, -60, 23, -18, -8, 61, 36,
   -25, 86, 36, 14, -17, -1, -20, 33,
   -38, -56, -6, 5, -37, -34, -30, 10,
   2, 11, -12, 55, -39, -35, 3, 27,
   -27, -28, 13, -7, 20, -71, -19, 5,
   15, -48, -23, -21, -64, -9, -2, 42,
   9, 41, 16, -27, -19, 28, 2, -43,
   20, -68, 21, 8, 11, 4, -27, -6,
   -1, 20, 4, 11, -5, -17, 31, -17,
   8, -6, -8, 33, -80, -4, 46, -55,
   38, -4, -5, 32, 50, -24, 66, 11,
   -82, 17, -18, -31, -3, 16, -12, -50,
   46, -7, 25, -60, 23, -3, -44, -75,
   23, 11, 104, -37, 18, 59, -8, 61,
   -1, -71, 8, 19, 14, -11, -18, 15,
   -50, -16, 3, -1, -2, -13, -17, 63,
   23, -17, -31, 26, -36, -4, 5, -39,
   19, 71, 2, -21, -12, 16, -27, -44,
   29, -28, 11, 3, 7, -8, -18, 28,
   6, -8, -38, -25, -19, -20, 10, 26,
   -2, -30, -1, 11, -9, -33, -5, 31,
   -18, -12, -20, -17, 16, 20, -19, 16,
   22, -6, -35, -24, 25, 34, -69, 19,
   20, 26, 50, -13, -18, -6, -20, -13,
   43, -5, -1, 20, 1, -26, 7, 1,
   18, 1, -1, -9, -4, 10, -31, -25,
   33, -10, 17, 48, -42, -25, 94, -4,
   -83, 16, 99, -58, -16, 56, 22, 35,
   10, 37, -52, 64, -45, 41, -4, 25,
   55, 8, 21, -32, -52, 52, 72, 59,
   -20, 39, -21, 44, -34, 44, 62, 11,
   -18, -119, -17, -20, -10, -15, -19, -47,
   -42, -43, -50, 55, -42, -38, 21, 35,
   -29, -20, 125, 70, 28, 8, 4, 60,
   25, 42, 21, 21, 11, 20, 13, 21,
   1, 0, 51, -66, 16, 41, 47, 96,
   -24, -64, 56, -10, -70, 24, -10, 82,
   -13, 20, 93, 1, 74, -32, -16, -69,
   3, 67, -1, 29, -40, -41, -39, 36,
   20, -15, -18, -72, -8, 17, 28, 19,
   37, 29, -35, -57, -16, 58, 4, 21,
   -23, -22, -13, -3, 13, 27, -56, 1,
   -11, 26, 42, -15, 88, 9, 18, 41,
   -12, -5, 72, 2, 31, 57, 23, -19,
   -12, 13, 45, 18, 6, 15, 12, -22,
   -2, 31, -33, 3, 15, 1, -5, 4,
   18, 35, 44, -21, 38, 9, -45, 33,
   16, 74, -39, 27, 11, -16, -26, -5,
   -6, 9, -20, -3, 39, -26, -25, 53,
   11, -26, -29, 48, -2, 13, -20, -59,
   -26, 29, 5, -21, -33, 15, -1, 65,
   -17, 3, -22, -23, -42, 3, -32, -22,
   68, 12, 7, -21, 48, 40, -21, -2,
   -13, 1, -24, 5, 6, -40, -47, 43,
   14, 12, -35, 27, -28, -7, -6, -2,
   -79, 10, -25, 16, 62, 13, 4, -50,
   42, 43, -24, 35, 34, 18, 6, 16,
   30, -10, -48, -14, -9, 18, 24, -2,
   13, -29, -41, 2, 48, -15, 58, 14,
   -29, 24, -14, 1, -1, 42, 40, -20,
   12, -30, -12, -54, 39, 17, 32, 9,
   5, -38, -37, 35, 6, 18, -17, -21,
   -5, 26, -1, 11, -10, 83, 9, 34,
   2, 11, -32, 96, -37, -13, 11, -9,
   4, 46, 53, -6, -1, 0, 12, 52,
   -1, 22, 20, 0, -54, 47, -81, -35,
   -18, 35, 11, -8, 15, 0, -41, 83,
   41, 33, -15, 3, 67, -3, 14, 28,
   13, 23, 25, 16, 14, 48, 12, 45,
   -58, -3, 10, 19, 80, -25, -18, -32,
   5, -19, -5, 34, -43, -21, 29, 93,
   60, 29, 14, 20, -52, -3, -49, 72,
   -34, -7, 14, 42, -10, -45, 42, 55,
   -22, 5, 1, 19, 17, -4, 12, -31,
   23, -19, 24, 53, -9, -52, -52, 24,
   12, -25, -39, -43, -7, -15, -53, 38,
   -52, 30, 21, 26, -48, 12, -61, -29,
   -44, -5, -37, 52, -33, -35, -6, 25,
   -33, 72, 52, -18, -10, -19, 43, -32,
   -18, 23, 0, 0, -5, -7, 77, -69,
   51, -37, 28, 20, 35, -1, 20, -36,
   18, -43, 58, -27, -12, 0, 7, -67,
   -28, 15, 9, 36, -24, -2, -49, -15,
   -68, -56, -53, 19, 18, 35, -14, -26,
   17, 24, 6, 0, -27, -10, -6, -5,
   5, 7, 64, -28, -18, 34, 21, -39,
   -28, 16, -4, 23, 7, 1, -35, -23,
   -13, -22, -40, -32, -2, -19, -7, 14,
   1, 9, 13, -5, -17, 46, -35, -3,
   27, 22, -7, -52, -30, 1, 11, -16,
   -2, -7, 29, -4, 3, -13, -19, 30,
   -23, -29, -30, 11, -36, 5, 37, 51,
   -29, -63, 4, -19, -36, -23, 2, 18,
   7, -14, -4, -33, 11, 23, 25, -28,
   -34, 12, -28, -36, 8, 53, -33, 16,
   -32, -43, -21, -1, -16, 10, 5, -23,
   38, -35, 21, -10, -38, -48, -35, -28,
   -27, -2, -16, -19, -14, 49, -15, 27,
   24, 4, -72, -50, 1, 66, 23, 11,
   13, 24, -40, 53, 64, 62, 36, -22,
   63, 20, 12, 10, -25, -33, 92, -19,
   -26, 73, 5, -52, 4, -40, -72, -43,
   44, -31, 62, 25, -11, 21, 31, 55,
   45, -1, 10, 1, -7, -14, 11, -37,
   93, 76, 44, -4, -39, 23, -69, 1,
   13, -35, -77, 13, 54, 63, -37, 20,
   -5, 106, 63, 25, 8, 12, -48, 21,
   24, -28, 16, 5, 0, 46, -43, 46,
   -59, 21, -38, 66, -12, 2, 77, 78,
   24, -26, 34, 28, 76, -79, -41, 43,
   45, -31, 39, 21, 15, 10, -63, 18,
   70, 32, 41, 2, -26, 31, -77, -49,
   32, 47, -38, -29, -32, -60, -19, -45,
   54, -53, -17, -26, -11, -16, -30, 33,
   -11, -8, 20, 24, -52, -46, 25, -1,
   25, -62, -11, 25, 16, -40, 47, 13,
   -5, -41, 48, -17, 20, -81, 39, -6,
   -9, -69, -11, -32, 2, 3, 63, -21,
   42, -14, 28, -116, -43, -71, 42, -26,
   -2, -8, 8, -29, 17, -19, -48, -26,
   52, -22, -39, 14, -16, -7, 1, -38,
   -22, 9, 9, 23, -34, -21, 34, -74,
   11, -10, 4, 21, 6, -18, 7, -5,
   3, 17, 22, -15, -27, 37, 40, -11,
   -23, -15, -38, 22, -16, -10, 15, 9,
   -35, -32, -9, 21, -23, 18, 22, -34,
   25, -1, -26, -15, -10, -49, 29, 33,
   20, 16, -60, -54, -33, 10, 22, 19,
   -48, 4, 8, -8, -24, -29, -11, 57,
   50, -2, -27, 15, -45, -56, 14, -13,
   -30, 27, -5, -11, -6, -26, 0, 7,
   6, 1, -7, 15, -5, -38, 37, -21,
   5, 32, 1, 26, -18, -13, 60, 22,
   -23, 22, -23, 9, 6, 56, -32, 34,
   -66, -68, -117, 45, 67, -63, -31, 5,
   101, 6, -107, -1, -47, -54, 14, 86,
   -18, 115, 10, 40, 1, -16, -33, -82,
   -10, -59, 74, -47, -12, 7, 94, 67,
   16, 63, 60, 42, -10, -25, -8, -3,
   63, -44, 6, 40, -16, 7, 60, 24,
   89, 7, -26, 39, 63, 82, 18, 42,
   2, -67, 100, 10, 14, -64, 54, 35,
   33, 58, 15, -10, -122, -14, -115, -46,
   50, 64, -84, 8, 29, 127, -63, 100,
   68, -63, -65, 57, 14, -10, 116, 115,
   0, 43, 65, -36, -47, 53, 95, 11,
   -49, 72, 39, -55, 26, -47, -21, 50,
   -10, 84, -11, -12, -16, -11, -1, -10,
   32, -31, -3, 27, -12, 16, 70, -56,
   37, -22, -60, 65, 45, 26, -127, 1,
   17, 6, -60, -48, -106, 58, 84, -18,
   55, 29, -78, 53, -10, -37, 28, 75,
   18, 72, 51, -1, -51, -1, -83, 57,
   -53, -15, 71, -3, 74, -34, 65, 40,
   -73, 18, 11, 28, -14, -14, 18, -3,
   37, -86, -12, 55, 42, 11, 0, -9,
   112, 87, -8, -6, 91, -46, -72, 1,
   -8, -29, 32, -53, -39, -42, 7, 16,
   3, -11, 27, 40, -13, -7, 51, 12,
   25, -16, -30, 0, -17, -11, 3, -56,
   -23, -16, -15, -33, 11, -24, -19, -7,
   -32, 28, -65, 41, -1, -26, -4, -13,
   -48, -35, 3, -23, 48, -10, 1, 9,
   55, -23, 33, -5, 11, 34, -14, -2,
   -9, -63, 35, -27, -65, -48, -42, -35,
   -41, -7, -10, 13, -36, 21, -5, 16,
   -26, -26, 44, 3, 0, -40, -4, 25,
   -9, 7, 13, -28, 10, -6, 13, -43,
   -2, -15, 11, 32, 3, 29, 56, 16,
   -13, 10, -17, -37, -40, -44, 4, 31,
   12, -35, 18, 21, -11, 42, 37, -15,
   -54, 12, -13, 68, 34, 46, 41, 26,
   -17, 30, -33, 20, 32, 33, 49, 40,
   -9, -56, -5, 46, -20, -51, 9, 8,
   15, -13, 97, -28, -29, 45, 21, 16,
   44, -25, -77, 23, 53, 11, 40, -32,
   30, 31, -40, 6, 53, 40, -33, 63,
   -17, -28, 13, -14, 120, 37, 21, 10,
   -29, -34, 71, -35, 79, 11, -19, 36,
   68, 12, 35, 48, 80, 9, -66, -4,
   0, 62, 19, 14, 19, -32, 36, -6,
   97, -2, 101, 34, 3, 0, 100, 6,
   11, -50, 25, 13, -29, -21, 13, 9,
   -61, -30, -5, -10, 29, 12, -31, -32,
   -58, 44, -40, 1, 8, 21, -5, 26,
   -76, -29, 11, 39, 43, -36, -28, -77,
   -6, -21, 60, 61, 18, 5, 31, 22,
   2, -14, 62, -6, 47, 20, 66, -43,
   39, -13, 8, 32, 3, -16, 66, -3,
   42, -19, -1, -6, 27, 41, 9, 21,
   45, -28, -12, -4, -11, -27, -38, -9,
   -4, 5, 5, 126, -11, 3, 25, 1,
   17, 35, 17, -13, 23, 4, 41, -13,
   -25, 13, 8, -2, 61, 45, 26, -10,
   6, -6, 5, 12, 31, -19, -8, -28,
   -4, -12, -15, 2, -7, 11, -30, 21,
   -14, 3, 2, 14, -44, -7, -24, -30,
   71, -8, 12, 21, 43, -1, -10, -1,
   -10, 31, -24, 35, 22, 17, -15, -36,
   -18, -21, 8, -9, 8, 21, 25, -3,
   -28, -8, 20, 29, 18, -22, 11, 45,
   -16, -16, -44, -19, 2, -42, -13, 53,
   -4, -8, -19, 19, 30, 13, -21, 22,
   -26, 4, -19, -13, 4, -13, 0, -11,
   -8, 15, -39, 20, -31, -7, 3, 13,
   -22, 11, -21, -7, -16, 9, -5, -6,
   39, -38, -30, -15, 32, 43, 19, 43,
   -29, 77, 45, 31, 31, -8, 12, 55,
   -2, 4, -115, 8, 39, 50, 85, 5,
   12, 49, -29, 22, 41, 36, 47, -16,
   15, 25, 11, 111, 27, 48, 24, 17,
   59, -41, 85, 42, -15, -15, -25, -15,
   -6, 95, 11, -65, -29, -6, 55, -2,
   8, 43, -25, 32, 6, 93, 45, 18,
   -76, 32, -14, -5, -20, 27, 12, -45,
   64, -14, 4, -39, 4, 17, 19, -43,
   67, -58, -60, -2, -53, -26, 29, 37,
   52, 109, 14, 69, 69, 36, 29, 67,
   -33, 11, -45, 72, -38, 40, -4, 20,
   32, 10, 77, -15, -35, 15, -11, 4,
   -2, 26, -29, 29, -5, 2, 41, -19,
   55, 34, 99, 52, 26, -70, 8, 42,
   15, 70, -4, 19, 6, 22, 21, 52,
   -24, 27, -14, -11, -45, -52, -26, 50,
   -63, -23, -18, 14, 50, -25, 24, -15,
   21, 4, -29, -73, -35, -2, 49, -15,
   9, -20, 26, -81, 17, -24, -6, -15,
   39, 47, -11, -6, 44, -65, -17, 30,
   24, -12, 73, -34, -31, 109, 5, -1,
   -20, -67, 31, -1, -64, 12, 85, 7,
   -14, 40, -2, 11, 32, 12, 7, 29,
   38, 9, -10, -6, 30, 31, -25, -27,
   17, 3, -7, -9, 29, -8, 24, 6,
   6, 23, 23, -7, 27, 5, 5, 14,
   27, 1, 25, -10, -13, -2, -50, -33,
   30, 17, -24, -21, 20, 33, -5, -59,
   43, -2, 0, -3, 19, -13, -2, -15,
   27, 1, 15, -24, -9, 76, -25, 0,
   25, 8, 42, 25, 35, 25, -28, -20,
   22, -8, 25, -2, 35, -38, -32, 13,
   20, 42, 6, -18, 26, -11, 17, 15,
   -12, -10, 21, -2, -41, 12, -4, 0,
   -34, -12, -49, 5, 23, -78, 81, -85,
   -29, -2, 2, 18, -33, -21, 34, -39,
   -8, 88, 26, 41, -7, 1, 32, -91,
   -44, -8, 11, 17, -45, -76, -30, -60,
   -1, 33, -44, -64, -19, -84, -45, 37,
   18, 12, -12, -37, 3, -70, 1, 32,
   -58, 5, -34, -54, -26, -21, -15, -104,
   -81, -85, 10, 5, 28, 36, -39, 31,
   -17, 0, -19, 0, 8, -62, -17, 16,
   41, -74, -40, 18, 3, 18, -98, 63,
   21, -38, 35, -20, -89, -13, 21, 31,
   -19, -94, -24, -7, -40, -65, 71, -2,
   -24, 18, 18, 45, -53, -34, 25, 34,
   -54, 31, 18, -27, 11, 3, 16, 30,
   -5, -74, 39, 47, -4, -9, -21, -46,
   -16, 17, -14, -57, -17, -118, -98, -94,
   -21, -35, 75, 32, -35, -41, 15, 10,
   -40, -46, -30, -24, 5, 31, 10, -20,
   -17, -58, -19, -52, 2, -3, 3, -36,
   13, 82, 21, -11, -45, 13, -59, -25,
   23, -21, -26, -51, -13, -50, 0, 3,
   -35, -13, -22, -3, -12, -12, 38, -65,
   6, 2, -15, 61, 0, -57, 1, 32,
   5, 26, -26, -7, 51, -1, -23, 37,
   -22, -28, 67, 26, 23, 1, -14, 7,
   -27, -14, 65, -35, 41, -8, -44, -7,
   0, 12, 10, -19, 4, 7, 35, -4,
   -14, 56, -7, -3, -3, -15, -6, -40,
   -13, 32, -29, -7, 48, -34, 4, 64,
   -25, 15, 15, -43, -32, 18, 14, 37,
   4, -42, 60, 1, 8, 22, -3, 7,
   -20, 11, -36, -12, 65, -31, -7, 6,
   -28, -16, 8, 12, -12, 41, -32, 7,
   -20, 27, 29, 21, 0, -32, -20, 65,
   24, -2, -8, 21, -8, 14, 83, -13,
   -26, -4, 25, 20, 23, -9, 28, -9,
   58, -26, 9, 4, 35, 47, -59, 72,
   -3, -32, 113, -44, -33, -82, 48, 5,
   44, -21, 38, -20, 92, 124, -8, -14,
   -11, -2, -55, 3, -14, -2, 48, 57,
   53, 41, -25, -54, -31, 11, 32, -5,
   -26, -2, 49, 13, -28, 37, -1, 27,
   -62, -11, -34, -23, -16, 58, -26, -13,
   56, 127, 91, 46, -72, 46, 20, -37,
   -66, -55, 33, 1, 42, 47, 41, -7,
   -18, 25, 8, -27, -24, 25, 127, -48,
   41, 9, 10, 3, 0, 44, -22, 94,
   12, 59, 52, -19, 5, -31, 51, -7,
   -90, -14, 25, 53, -36, 5, 29, -18,
   49, -56, 18, -17, -29, -23, -30, -20,
   -2, -13, -4, -11, -6, 51, 31, 13,
   96, -15, 38, -2, 9, -6, -47, -21,
   25, 48, -17, 47, 37, -34, -4, 67,
   -3, 19, 6, -22, -44, 0, 34, 52,
   -76, -7, -57, 78, 29, 24, 81, -2,
   54, 7, -4, 38, -57, 0, 55, -25,
   -19, 5, -50, -46, 41, 14, -32, 8,
   -13, -3, 21, -5, -46, -3, 15, -14,
   29, -3, 107, 4, 17, 60, -22, -55,
   56, 26, -14, 18, -46, 55, 35, -3,
   22, 42, -28, 18, 11, 9, 16, 8,
   -12, 51, -23, 73, -14, 35, -12, -11,
   -7, 11, 34, 33, 35, 35, 19, 4,
   -26, -61, -3, -4, -5, 12, -4, 18,
   9, -18, -20, -5, -23, -10, 11, 32,
   37, 22, 0, 36, 8, 21, -4, 25,
   16, 1, 2, -4, 37, 46, -35, 11,
   -9, -16, -4, -21, 30, 13, 4, 14,
   2, 7, -25, -5, -50, -6, 24, -17,
   -5, 32, -26, 1, -3, -34, -6, -45,
   -24, -10, 4, -32, 41, -19, 0, -44,
   12, 20, 9, -4, -7, 25, 26, -3,
   62, -53, -116, 5, 38, 21, 8, -50,
   7, -83, -3, -60, 42, -69, 49, -34,
   -33, 34, -120, 27, 23, 53, -42, 86,
   -22, -16, 32, 18, -116, -28, 31, -121,
   -97, 71, -37, -17, -56, 40, -5, 25,
   35, -61, 43, -6, -22, -6, -80, 13,
   -17, -120, -54, 20, -97, 64, 37, -2,
   -8, 9, 113, -41, 22, -77, 55, -53,
   -118, 12, -50, 28, 6, -20, 127, -54,
   -22, 46, -33, -81, 0, -38, 27, -28,
   32, -29, 23, -9, -79, -87, -21, 104,
   46, 95, 39, -73, 110, -65, 90, -40,
   -60, -35, -20, 25, -69, 18, 8, 48,
   -50, -6, 96, -42, -31, -45, 101, 9,
   22, 26, 20, 5, 21, -17, 35, 37,
   -40, 8, -8, 35, -38, 59, 22, 9,
   -78, -39, 2, -13, 2, -52, 86, 12,
   35, 16, -40, 24, -39, -109, 50, 116,
   69, -116, -7, -45, -40, 6, -109, -48,
   -8, -18, 3, -5, 52, -1, -5, -58,
   3, -16, 14, -78, 0, 41, -9, 3,
   -60, 18, 60, 34, 46, 23, 34, 84,
   12, -23, 28, -44, 102, 52, -25, 14,
   26, -51, 35, -64, 38, -8, -23, -31,
   -31, -4, 1, -12, 15, 38, 21, 33,
   47, -28, -9, -5, -29, 24, -127, 49,
   43, -14, 25, -1, 26, 32, 7, 7,
   -24, 13, 54, 1, 24, -13, -14, 60,
   34, 22, 40, 45, -65, 60, -66, 18,
   -9, -34, -77, 46, 39, 22, -39, -11,
   48, 23, 15, 27, 78, -62, 60, 14,
   64, -6, -52, 5, -46, 46, -51, 21,
   42, 9, -43, 16, 31, 22, 5, -16,
   -38, 5, 32, -31, 2, 14, 37, -28,
   23, 30, 8, -81, 52, 86, -16, -2,
   -24, -56, 3, 44, 20, 57, -92, -36,
   -24, 46, -3, -58, -20, -71, 42, 22,
   61, 3, 49, 33, 46, 29, -25, 17,
   3, 10, 23, -31, 16, 13, 51, -3,
   24, -16, -5, 50, 76, 40, -67, 1,
   -30, 90, -14, 13, -21, 10, -38, -8,
   -39, 34, -14, 44, 63, -18, 0, 32,
   -22, -22, 75, 35, 21, 5, 35, 7,
   -30, 17, 20, 65, 54, 13, 71, 6,
   -47, 29, 37, 0, -23, 52, 8, 49,
   91, 17, -33, -26, -6, -2, 68, 74,
   56, 3, 9, 12, -26, -6, 54, 17,
   -20, 31, -8, -61, -51, -4, -28, 25,
   25, 19, 34, 26, 38, -34, 88, -80,
   -15, 33, 30, 83, -8, -2, -1, -22,
   67, -51, -18, 71, 43, -37, 29, -29,
   11, -77, 44, 94, -13, 45, -26, -3,
   20, 51, -6, 10, 15, 61, -51, 10,
   17, -40, 39, 62, 16, -53, -23, 27,
   -72, 31, -17, 24, -46, -8, 2, 38,
   -2, -23, 11, -41, 10, -37, 26, 28,
   81, -1, -17, -73, 64, -2, 103, -22,
   30, -93, -5, 2, 3, -55, 14, -44,
   -9, 23, -6, 9, -4, -11, 23, -11,
   30, 79, -31, -12, 11, -5, -40, 25,
   33, 55, 42, 12, 9, 6, 5, 12,
   1, -15, 37, -23, 1, 24, -50, 24,
   27, -18, -23, -2, -9, 25, -31, 2,
   -20, 2, 22, 1, 4, 1, -6, 5,
   -8, -54, 1, -16, -13, -3, 9, 12,
   -35, -37, -2, -34, 12, 10, -7, 14,
   -48, -5, -2, -14, 16, 58, 6, 61,
   -21, 0, 20, 5, -40, 20, 28, -38,
   -37, 26, 3, -9, 3, 9, 0, 33,
   19, 14, -17, -8, 15, -19, -47, 67,
   -24, 22, -16, 24, -2, -30, -42, 15,
   -40, -3, 7, 14, 14, 14, -63, 33,
   29, 90, 22, -47, -26, -78, -11, 49,
   -53, 44, 5, 35, 12, -32, 38, -26,
   83, 43, 4, 31, 8, -56, -16, -17,
   -26, 86, -31, 14, 7, 13, -34, 37,
   58, 45, 5, -37, 16, -37, 3, -5,
   -30, 86, 19, 38, -2, -15, 12, 40,
   83, 60, 60, -48, -53, -41, -31, -27,
   -10, -78, -21, 79, 30, 61, 1, 100,
   -2, 42, 64, 31, 30, -2, 11, -9,
   -1, -8, -15, 11, 34, 17, -50, 59,
   80, 94, -5, -14, 2, 10, -48, -11,
   2, 6, -11, 60, -35, 42, 35, -18,
   14, 21, -29, -8, 74, -48, 11, 1,
   -42, 77, -37, 24, -3, 12, -69, -32,
   62, -35, -11, -51, 1, -26, 34, -4,
   -45, -56, 47, -74, -6, -24, -3, -17,
   -9, 20, 4, 61, -20, -28, -5, 25,
   6, -10, -50, -56, 22, 8, 42, 40,
   -11, -45, 29, -32, -1, -33, 21, 20,
   -71, 29, -23, 88, 20, 34, 9, 4,
   121, 57, -59, -7, -2, 16, 35, -5,
   -29, -32, -111, 12, 34, 48, -28, -13,
   -8, -51, 76, 9, 10, 6, 9, -13,
   -5, 0, -66, -20, 28, -5, 1, -6,
   61, 12, -17, 23, 5, -16, -18, -4,
   31, -21, -4, 15, -20, -40, 38, 5,
   -11, 6, -13, -78, -30, -53, 0, 5,
   34, 41, 21, -22, -37, 23, 3, -27,
   -23, 0, 2, -7, 4, 2, 21, 24,
   -7, -6, 26, -27, 14, 14, -5, 23,
   -2, -15, 52, 6, 12, 7, -24, 2,
   -10, 18, -30, 34, 30, -4, 12, -18,
   -13, 5, -36, 19, -24, -1, 32, -22,
   -3, 13, 3, 6, -77, -20, 4, -17,
   -26, 50, 21, 3, -14, -39, 45, 18,
   -15, -7, -4, -33, -11, -39, 29, 1,
   -15, 56, -51, 19, 80, 29, 57, 4,
   107, 34, 103, -4, -49, 46, -74, -4,
   5, 35, -86, -41, -23, 4, 62, -20,
   13, -93, -5, 16, -74, -3, -17, -116,
   -14, 51, 2, -98, 85, 32, 95, -34,
   55, 27, 45, -3, -20, 45, 9, -11,
   -32, -27, -21, 3, 97, 92, 44, 19,
   -51, -17, 8, -38, -30, -87, 0, 18,
   -68, 34, -49, 73, -27, 19, 34, -65,
   -3, 9, -28, -22, 61, 5, 15, -35,
   63, 18, -37, -125, -35, 26, -7, 110,
   -69, -26, 103, -1, -49, -34, 1, -25,
   22, 92, 9, 49, -42, 53, 105, 103,
   8, -47, 12, -9, -31, -13, -20, -18,
   13, 20, -12, 42, 45, 12, -28, 36,
   -48, 79, 13, -70, 106, -7, -29, 46,
   -35, 47, 58, 66, 23, -96, 20, 120,
   5, -4, 6, 40, 40, -5, -20, -52,
   28, 30, 0, -117, 49, 44, 6, 96,
   -6, -25, -43, 46, 21, 78, 37, 42,
   29, 36, -2, 14, 46, -50, -41, -33,
   -21, -37, -65, -40, 19, 34, -17, -19,
   -52, -87, 4, -71, 63, 55, 37, -2,
   -28, -31, 2, 3, 42, 54, -34, 66,
   -48, -31, 18, -7, -15, 19, 15, -13,
   -21, -14, 9, -1, 14, -11, -19, -54,
   -18, 40, -59, -8, 19, 5, -17, 9,
   27, 29, 43, -23, -48, 5, -42, -47,
   24, -29, 21, -66, 26, -9, 27, -48,
   -44, 6, 3, 51, 25, -3, -20, -35,
   -21, -13, 15, -17, -45, -18, -3, 18,
   -20, 37, -31, 9, -34, 33, 16, 24,
   -45, -12, 95, -22, -15, 21, -30, -29,
   37, -17, -17, 14, 8, -12, -40, -46,
   44, 64, -38, 55, -40, -34, 17, -78,
   6, 9, -111, -42, 5, -2, -70, 27,
   87, 7, 4, -46, -14, -59, 11, 32,
   17, 31, -9, 14, 91, 18, -40, 19,
   1, 76, 9, 50, 15, -51, -56, -7,
   -23, 2, -53, -23, -29, -6, -26, 59,
   122, 50, 85, 74, 67, 24, -35, 119,
   7, 29, 54, 97, 95, -4, 31, 107,
   47, -20, 64, 43, -28, -13, -19, -41,
   33, 1, -47, 55, 59, 58, 26, 80,
   -62, 12, 44, -15, 72, -56, -35, 32,
   38, 65, -67, 24, 35, 16, 17, 35,
   -61, 4, -39, -23, 24, 7, -53, -64,
   -4, -20, 95, 25, -124, -64, 69, 13,
   23, 2, -22, 89, -22, -30, 63, 15,
   51, 87, 17, 46, -3, -8, 8, -102,
   -36, 1, 42, 38, -126, -38, 19, 52,
   -51, 100, -51, 11, 48, -34, 12, 37,
   82, -11, -16, 11, 22, 28, -70, -28,
   23, 23, 33, -9, 12, -49, 39, 72,
   6, -46, -7, 31, 37, 16, -1, -24,
   -45, 42, 16, -19, 11, 33, -14, -66,
   40, 14, -28, -5, 84, 46, 2, -111,
   -9, -18, -29, 20, -62, 100, 20, 15,
   -35, 51, 42, 2, -20, 62, 19, 7,
   -41, 16, -8, -64, 7, -91, -50, 52,
   -27, -24, 3, -41, -9, -38, -38, -50,
   -42, -6, 50, 25, -10, -69, 89, 31,
   -62, -41, 19, -16, -32, 9, -13, -29,
   -12, -52, 2, 54, -29, -12, 3, 13,
   -11, -30, 20, -7, -63, -41, 15, 28,
   2, -5, -82, 17, -2, -29, 9, 37,
   25, -17, -19, 23, -4, 0, -3, 55,
   7, 47, 13, 34, 20, -24, 45, -5,
   -27, 21, 34, 9, 12, -49, -27, 87,
   81, 18, -13, 40, -31, 0, -29, 20,
   43, 10, -15, 39, -32, -24, -12, -11,
   -48, 15, 34, -1, 44, 44, -8, 43,
   8, 28, 54, -47, 10, 77, -30, -55,
   -27, 35, -36, 32, 54, 26, 40, 90,
   72, 51, -8, -24, -2, -86, 33, 34,
   -26, 23, -67, -41, -42, 31, -75, 56,
   -19, -1, 79, 50, 63, -27, 22, 54,
   39, 50, 63, 12, -66, 51, -34, 108,
   5, -41, 82, -29, 0, 21, -12, 25,
   4, -38, -9, -29, 7, 44, 39, 63,
   34, 57, -21, -4, -10, -43, 103, 23,
   -33, -9, -72, -38, 123, 59, -1, -5,
   49, 51, -5, 39, 53, -5, 43, 70,
   -3, -40, 24, 5, 74, -31, 52, -38,
   39, -20, -29, -28, 92, 63, -9, 6,
   28, 4, 33, -85, 2, -11, -10, -67,
   46, -46, -16, 49, 75, 35, 48, 55,
   -25, -30, -21, -65, -42, 17, 12, 80,
   -82, -27, 42, 58, 14, 10, 20, -22,
   38, 17, 0, -2, -44, 20, 28, 20,
   26, -19, 32, 4, -49, -5, 9, 45,
   -34, -32, -28, -32, 3, 16, -3, 84,
   -84, -2, -36, -37, -19, 20, 7, -3,
   29, 12, -17, -71, -46, -26, -21, 49,
   -62, -96, 8, 29, 26, 23, 29, -18,
   -36, -58, 81, -9, -88, -13, -24, -63,
   33, 47, -34, -13, 13, 15, -7, 1,
   21, 2, -19, 17, 6, -18, -17, -14,
   13, 4, -45, 23, 14, -4, -1, 29,
   -29, 8, 19, -1, -6, -2, -16, 13,
   6, 20, -22, 0, -9, 25, -4, 8,
   -49, -14, 17, 1, 9, 20, 32, 34,
   22, -1, -21, -28, 8, -16, -1, -43,
   -1, 4, 14, 40, 62, -6, 35, 40,
   57, -13, 6, 22, -6, -8, -54, 26,
   -5, -21, -20, 7, -34, -20, 29, -4,
   -50, -23, -7, 13, -15, 19, -20, -10,
   11, -55, 14, -5, 5, 6, 35, -14,
   57, 48, -24, -41, 9, 68, -74, 26,
   29, 3, -54, 10, 25, -50, 76, 57,
   61, 4, 16, 19, 29, 7, 40, -43,
   -42, 71, 28, 24, -6, 36, 1, 31,
   43, 20, 29, 54, 78, -34, 75, -18,
   11, 5, -19, 35, -65, -54, -6, 15,
   35, 3, 73, 11, -1, 74, -48, 8,
   -28, -37, 71, -23, -7, -30, -34, -23,
   21, 56, 111, 22, 40, -60, 21, -58,
   -16, 11, -12, -33, -26, 52, 17, 16,
   122, -26, -31, 68, 48, 36, -10, -8,
   112, -30, 25, 17, 11, -46, 10, 19,
   45, 49, -45, 24, 22, 24, -37, -4,
   19, 5, 8, -37, -26, -5, 75, -43,
   -13, 20, -42, -1, -22, -16, -19, 25,
   9, 43, -1, 16, 15, 36, -16, 35,
   -28, 61, 12, 19, -13, 31, 36, -3,
   2, -7, -31, -55, 22, -11, 25, -2,
   -3, -21, -53, 2, -24, 17, -4, 65,
   0, -45, 44, -55, 2, -25, -4, -44,
   11, 32, -88, -66, -23, 34, -19, -10,
   15, -32, -54, 107, -53, -14, 30, -97,
   -35, 11, -18, 44, 12, -5, 47, 23,
   25, 26, 6, -35, -6, 10, -46, 8,
   5, -30, 14, 6, -12, -29, -10, 39,
   29, 26, -6, -12, 34, 0, 17, 26,
   -21, 53, -21, 19, 22, 17, -12, 28,
   29, 23, -6, -8, -9, -2, 37, -14,
   33, 31, 18, 9, -3, 3, 12, 17,
   -26, 22, 18, -13, 6, -36, -17, 19,
   9, 3, 40, 30, 0, 10, -17, -10,
   -19, 6, 4, 23, 30, 54, 24, 8,
   39, 20, 27, -16, -1, -10, 4, -47,
   2, 11, -34, 34, -4, 2, 16, -57,
   9, -12, -13, 29, -25, 10, -60, 13,
   22, -6, -15, 0, 3, -5, 27, 5,
   -44, -82, -1, -45, 19, 64, 48, 36,
   38, 25, 0, 45, 29, 50, -4, 74,
   45, 43, -54, -16, 29, -48, -8, -82,
   0, -44, 23, 59, 81, -1, -25, -2,
   4, -34, 43, -30, 87, 16, 51, -1,
   6, 44, 83, 4, -4, 44, -32, 59,
   35, -6, 127, 9, 92, 7, 3, -95,
   92, -10, 107, 0, 100, 80, 59, -38,
   31, 62, 71, 53, 52, 15, -11, 63,
   33, -1, -1, 80, 73, 58, -21, 82,
   -5, 8, -55, -70, -45, 34, 28, 71,
   69, 36, 35, 4, -30, -21, 83, 33,
   -19, 41, 21, -36, -32, 0, -68, 32,
   66, 35, 40, -29, -10, -25, 63, -5,
   24, 15, 23, 45, -33, 0, 9, -27,
   37, 26, 23, -78, 44, -56, -44, -13,
   38, 29, 10, 39, -17, -41, -21, 12,
   -16, 27, -16, -26, 48, -5, 23, -22,
   47, 5, 83, -79, -28, -11, 33, -39,
   -49, 30, 57, -29, -62, -3, -39, 42,
   -32, 16, -20, -28, -49, 4, -27, -52,
   4, 50, 20, 62, 26, -17, 21, -10,
   18, 12, -34, -17, -23, -10, -23, 11,
   52, 12, -90, 11, 62, -25, -11, 34,
   -28, 2, 65, 15, 24, -5, -3, -30,
   -10, 5, 1, -16, -43, 7, -2, 4,
   -33, 44, -4, -10, 12, 4, -28, 22,
   -16, 8, 38, -5, -48, 13, -19, -27,
   -39, 11, 3, 13, 3, 5, 2, 3,
   -62, 28, -17, -7, 30, -25, 12, 33,
   -29, -27, 8, -9, -9, 0, 18, 39,
   -4, 9, 9, -32, 2, -45, 18, -3,
   -21, -28, 10, -37, -12, -14, 5, 14,
   33, 1, -1, 21, 20, 28, 1, 12,
   45, 39, 25, 51, -19, 18, 14, 13,
   42, 31, 16, -18, -4, 29, -70, 34,
   -19, -2, 17, -69, -27, -8, -17, 50,
   4, -15, -44, 74, 3, 4, 24, 26,
   -16, -8, -23, -2, -21, -68, 24, 54,
   50, 21, 32, -41, 16, 32, 67, -45,
   -69, 52, 12, -71, -3, 15, -38, 7,
   78, -28, 5, -32, -9, -3, 25, 28,
   -15, 17, 1, 24, -21, -12, -6, -3,
   9, 11, -17, 11, -46, 8, -57, 44,
   65, 77, -13, 2, -67, -40, 12, -17,
   55, -61, 18, 17, -30, -2, 23, -13,
   23, -18, -43, -7, 29, -17, -16, -31,
   21, -57, 14, 0, 45, -41, 110, -26,
   -16, 6, 54, 57, -23, 17, -9, 24,
   -24, 7, -15, 25, 30, -11, 33, 30,
   -91, -14, 17, 10, -8, -23, 2, 8,
   -5, -42, -34, 2, -17, 80, 15, -5,
   15, 32, 27, -4, 34, -45, 63, -13,
   12, 2, 2, -39, 33, -11, -46, 36,
   33, 42, 4, -26, 9, -26, -26, 21,
   -9, 4, -39, 29, 0, -9, 41, 49,
   -14, 10, 125, -24, -3, 61, -1, 31,
   5, 28, 30, 23, 27, -2, -19, 2,
   28, -45, 25, 53, -49, -14, 1, -79,
   42, 12, -18, -63, 12, 2, 43, -48,
   25, 24, 24, 0, 7, -22, 30, -35,
   2, -17, -9, -34, 22, 7, 26, 9,
   25, -66, 10, -18, 11, 57, 6, 9,
   10, 9, 3, -3, -43, 7, -6, 36,
   29, -46, 14, 7, -30, 8, 3, -12,
   -43, -12, 8, -7, 12, 44, -18, -15,
   16, -16, -1, -1, -7, -2, -42, 23,
   17, -10, -20, -11, -6, -2, 14, 12,
   25, -1, 8, -9, 57, 25, 35, 24,
   15, -2, 34, 1, 32, -7, -14, 4,
   -32, -17, -23, -28, 20, 11, -36, 10,
   3, -6, 27, 28, -12, -42, 24, -6,
   26, -62, -6, 17, -4, -4, -18, 33,
   -22, 9, 19, 12, -19, -44, 36, -6,
   63, 81, -33, -26, -62, 14, 37, 9,
   10, 73, 8, -3, -38, -29, 43, -12,
   29, 60, 21, 23, -20, -26, 4, 34,
   -20, 79, 52, 56, -33, -3, 13, -49,
   11, 23, 25, -22, 38, 5, -55, 62,
   -26, 4, 5, 58, 0, 53, 22, -32,
   40, 42, 127, 31, 105, 76, -11, 31,
   29, 24, 9, -5, 97, -20, -16, 40,
   17, -8, 9, 59, 0, 6, 80, 63,
   -30, 33, 28, -14, 32, 19, -35, -1,
   -90, -46, 37, 19, -25, -11, -1, -18,
   22, -46, 52, -16, -3, 15, 19, -13,
   -57, 4, -61, 57, -11, -72, -13, -3,
   -24, 48, -17, 41, -2, -13, 54, 8,
   -30, 25, 58, -5, -58, -43, 11, -62,
   -19, 38, 25, 22, 17, -18, 89, -22,
   20, 22, 5, 3, 11, 29, -21, -39,
   -35, -67, -13, 34, -29, 14, -60, 9,
   24, -2, 38, -17, 83, 68, -38, -72,
   -35, 15, -10, 68, 2, 28, 25, 56,
   27, -42, 6, 1, 18, 4, -15, 18,
   20, 15, 30, -24, 52, 13, 4, -6,
   -21, 15, 15, 32, 10, -41, 15, 28,
   -21, -27, 20, 53, 5, -24, 21, 34,
   9, -41, -24, -13, 47, -34, -27, -21,
   -26, 36, -22, -19, -18, -36, 8, -20,
   51, 14, -13, -23, 7, -2, -8, -7,
   -32, -16, 3, 47, 28, -6, -37, 26,
   -69, -23, 11, 15, 6, -13, 17, 18,
   6, -13, -18, 85, -29, 25, -31, 41,
   -23, 3, -8, -46, -2, -1, 16, 9,
   -13, 15, -18, -24, 3, -5, 23, -16,
   42, 24, -11, 14, 18, -1, 13, 17,
   13, 14, -41, -36, -14, 1, 36, 19,
   43, 1, -34, -44, 93, 8, 0, 21,
   29, 18, -51, 97, 26, 7, -14, 2,
   72, -4, 6, -61, -64, -34, -21, -46,
   15, -30, 84, 30, 72, 7, 28, -48,
   -33, 65, 3, 12, 34, 94, 24, 18,
   63, 25, 25, 54, 20, 11, 64, 8,
   62, 67, 30, -13, 29, 15, 0, -11,
   25, 42, -86, -23, 48, 87, 51, 65,
   40, 63, -42, -14, 1, 51, 71, 94,
   46, 4, 14, -66, 22, 37, 56, 62,
   23, 29, 5, 5, -28, -26, 6, 88,
   7, -30, 83, 0, 1, -5, 56, 7,
   -53, 8, -26, 23, -24, -88, 16, 56,
   16, 26, 5, -23, -34, -10, -40, -37,
   -38, -36, -11, 34, -18, 6, -45, -30,
   28, 14, 3, -22, 26, -67, 24, 38,
   38, 9, 8, 14, -14, -38, 25, -8,
   -8, -32, -12, 16, 32, -34, 53, -73,
   1, 22, -6, 37, 33, -23, 16, 14,
   -52, -19, 56, -10, -45, 53, 11, 23,
   12, -4, 36, 19, -68, -10, 74, 22,
   -18, 22, -5, 34, 30, 76, 54, 24,
   49, 3, -18, -33, -45, -3, -24, -13,
   -2, 11, -45, -31, -43, 4, 23, 10,
   -23, 18, 19, 22, -1, 1, -27, 28,
   2, -1, 23, -13, 9, 1, 6, 50,
   -2, -3, -36, 16, 19, 48, -29, -23,
   25, -22, -6, -38, -31, 10, 2, -22,
   -26, 18, -29, 14, 28, 9, 17, -20,
   -32, 13, 13, 0, 3, 0, -23, 57,
   -28, 2, 7, -21, -1, -23, -6, 33,
   -7, 5, -17, 21, 32, 32, -44, 29,
   -15, -14, 39, -24, 38, -19, -21, 53,
   7, 17, -1, -3, -27, -12, 19, 53,
   -8, -7, -29, 17, -4, 22, 27, 12,
   17, 18, 27, 43, -35, 17, -12, 27,
   -26, 108, -54, 48, 30, -25, 14, -79,
   -36, 18, 16, 48, 121, 4, 8, 93,
   -36, -52, 39, -54, -20, 27, 0, 56,
   22, -46, -2, -17, 5, -3, -33, -55,
   98, 18, 4, 12, 37, 48, 18, 73,
   45, -40, 3, 57, 124, 16, 11, 32,
   19, -30, 88, 2, 48, 53, 50, 58,
   18, -44, 38, 12, 32, 29, 127, 44,
   -66, 69, 42, 71, 39, -41, 37, 11,
   -22, -34, 112, -31, -25, 16, 9, 19,
   -13, 27, -52, -27, 38, -49, 88, -9,
   62, 18, -7, -1, -24, -7, -12, -17,
   -3, 35, 9, 4, 43, 16, -20, 14,
   2, 30, 44, 26, 22, -19, 80, -108,
   7, -21, 41, -43, 90, 24, -3, 23,
   -28, -42, -56, 124, -12, -19, 17, 17,
   -73, -66, 10, 8, 15, 1, 34, 71,
   -9, -43, 89, 33, -9, -71, -7, 38,
   10, -34, 15, -89, 59, -12, -47, 10,
   -31, 6, -23, 17, 23, -105, 11, 43,
   36, 0, 28, -9, 30, -24, 57, -30,
   28, -81, 9, -33, -47, 5, -47, 5,
   -18, 9, 13, 41, -54, 10, -33, 71,
   17, -19, -9, -65, -8, -3, -15, 15,
   -59, -52, 9, 5, 32, -51, -10, -19,
   37, -25, -10, 13, 13, -22, -61, 50,
   0, 35, -7, -38, 25, -9, -21, 23,
   13, -24, -10, 4, -44, 23, 55, 31,
   15, -3, 19, -5, -30, -35, 7, -26,
   -2, -12, -24, 31, -31, -8, 12, 10,
   27, 25, -26, -49, 28, 38, 6, 32,
   -45, 18, -24, -61, -66, -2, 20, 15,
   -16, -23, -32, 7, 21, -23, -35, 40,
   37, 27, 28, 41, -40, 7, -25, 36,
   -44, 14, -7, 50, -62, -26, 43, -32,
   5, 9, 6, -25, 7, -22, -9, -27,
   60, -99, 37, 33, 78, -26, 3, 41,
   -6, -20, 10, 36, 20, 87, 24, 13,
   -34, 60, -120, 82, -11, -15, 39, 40,
   58, 21, 11, 90, -38, 87, 15, -15,
   -4, -10, -22, -30, 36, -36, -12, -23,
   -9, -16, 16, 47, -26, 45, -63, 45,
   28, 6, 32, -48, -1, 23, 26, -31,
   -43, -10, 70, -108, -9, -54, 49, -41,
   -94, -16, 33, 15, 21, 105, 81, -75,
   14, -51, 43, -18, 8, -22, -15, -13,
   80, 53, -22, -14, -29, 25, 1, 63,
   -28, 0, 39, -11, 103, 3, 54, 50,
   -50, -15, 15, 52, -24, 10, -54, -1,
   26, 21, 31, 25, 30, -49, 9, -25,
   72, 5, -9, -10, 16, -24, 58, -73,
   -33, -49, 52, 10, 45, -62, 70, 8,
   -7, 26, 24, 70, 29, -18, 12, 80,
   26, 25, -25, -106, 16, 6, 11, 42,
   24, 33, 23, -51, 25, -17, 65, 43,
   -37, -24, -7, 26, 64, -85, 98, 39,
   -28, 54, -8, 10, -44, -17, 28, 69,
   82, -8, 26, 25, 12, 38, -50, 22,
   20, -53, 21, -10, -11, -87, -44, -26,
   40, -32, 6, -14, -1, 8, 14, 41,
   12, -23, 12, -24, -1, 2, 26, 4,
   9, -1, 26, 16, -58, -3, -19, -22,
   -1, 5, -10, 25, 48, 17, -10, -33,
   17, 7, -17, 18, 12, 4, -21, -9,
   -22, 29, -24, 26, -20, 18, -85, 5,
   40, 14, 15, -50, -24, 55, -47, 40,
   48, 41, -4, -32, -7, -40, -25, 10,
   10, -25, -23, 18, -3, 16, 25, -17,
   -24, -3, -19, 12, -36, -3, 5, 41,
   26, -36, -23, -12, -39, 10, -14, 25,
   -17, 25, 13, -57, 35, -10, 32, -31,
   -6, -60, 38, 7, 21, -13, -6, 13,
   -23, 59, -27, 51, -1, 85, 26, 31,
   53, 99, 57, 25, 21, -7, 11, 80,
   -5, 53, 96, -64, 45, -2, 74, -10,
   9, 16, -14, -15, 81, 55, 44, 46,
   77, 14, 35, -14, 5, 25, 66, 14,
   94, 32, 30, 1, 49, 66, 86, 20,
   125, 53, 100, 9, 46, 77, 15, 29,
   46, 15, -41, 67, -2, 10, 23, -7,
   45, 76, 36, -43, 79, 18, 38, 71,
   -2, 70, 54, 4, 24, 19, 46, -7,
   -14, 39, -92, -24, 71, 100, 25, 4,
   107, 23, 12, 27, 31, 24, -51, -10,
   3, 82, 62, -37, 60, 26, 30, -27,
   7, 23, -19, -36, 24, 67, 53, -9,
   0, 40, -6, 15, 22, -4, 23, 77,
   -76, 38, -32, 16, 31, -6, -41, 37,
   8, -25, -19, -2, 24, 21, -2, 5,
   10, 46, -17, 47, 52, -22, -1, 51,
   9, 61, 29, -25, -40, -24, -38, -19,
   40, -17, -1, 35, 45, -1, -28, -3,
   -58, -40, -4, 19, -16, -66, -8, -5,
   -43, 51, 2, 14, -15, 28, 2, -16,
   76, 24, 46, 51, 6, -2, 29, -6,
   -7, 71, -51, 25, 50, 26, -21, 3,
   11, -20, -5, -4, 16, 8, 4, 1,
   -11, 4, -34, -11, 17, 24, -47, 14,
   -12, 29, -42, 2, -24, 5, -3, 18,
   9, -2, 9, -4, -10, 26, -12, 11,
   3, -11, 22, 24, 19, -24, 29, 3,
   -69, 17, 8, 48, 60, -23, -49, -14,
   69, 21, 26, 24, 17, -40, -22, 19,
   -39, 3, 33, 16, 1, 9, 63, 18,
   -27, -8, 11, -8, -47, -3, 66, 16,
   28, 11, -8, 3, 19, 15, -11, 9,
   -35, -11, -3, -48, -10, 9, 58, -32,
   -24, -22, -33, 27, 46, 0, -22, -42,
   -28, 51, 38, -21, 4, 41, -12, 24,
   -86, -25, -63, 83, 37, -52, 23, -68,
   -58, 80, -7, 42, 38, 61, -61, 33,
   58, -37, 36, 35, -32, 21, 32, 63,
   14, -7, -13, 58, 66, 8, -32, 20,
   -8, 48, -27, 6, 14, -19, 43, 68,
   9, 30, 75, 37, -76, -14, -29, 57,
   -3, 9, -13, -109, 57, 12, 23, 59,
   31, 30, -68, -47, 21, 24, -46, -101,
   45, -10, 78, -50, 29, 25, -8, 16,
   3, 6, -4, -85, 6, -5, 127, -9,
   82, 81, 0, 18, 5, -10, -21, -62,
   -41, -86, 44, 31, 22, -30, -36, 10,
   -11, 26, -9, 25, -71, 4, -73, 8,
   57, -22, -57, 22, 11, -1, -59, 94,
   -21, -77, 35, 13, -14, -61, 2, -32,
   -23, -23, -58, 15, 7, 55, -59, 65,
   14, 29, 25, -64, 33, -18, 55, 15,
   -29, 27, -35, 33, -31, 3, 3, 12,
   22, -96, 36, 6, 6, 34, -14, 94,
   6, 45, 70, 60, 7, 26, 40, 26,
   -13, 2, 40, -57, -38, 32, 52, 67,
   38, -61, 18, 2, -41, 66, -12, -20,
   0, -44, -32, 3, 2, 32, 23, -10,
   44, 1, -1, 2, 22, 16, 10, -9,
   45, -6, 5, -28, -5, -6, -31, 24,
   15, 37, 7, 40, -18, 51, 13, -19,
   -52, 42, -37, -5, 40, -25, -9, -7,
   -2, -52, 9, 27, -14, -11, -2, 34,
   -7, -1, 18, -11, 28, 2, -42, -4,
   -26, -9, -5, -24, -27, -29, 3, 38,
   3, 1, 40, 47, 67, -32, -35, 0,
   -27, 1, -32, 2, 52, 27, 25, -35,
   53, 6, 25, 0, 41, -26, -51, 5,
   -46, 4, -6, 8, 2, 17, 18, -85,
   47, -16, -29, -40, 4, 3, 43, 33,
   -39, 38, 6, 11, 25, 28, -36, 2,
   7, 50, -34, 28, -44, -41, -54, 86,
   30, 52, 37, -62, -4, 23, 30, -32,
   -7, 109, -47, -46, 13, 30, 16, 5,
   10, -15, 53, -23, 48, -21, -66, 24,
   -36, -31, 40, 40, 5, 21, -66, 7,
   67, 45, 49, -29, 56, 50, -54, 38,
   10, 63, -7, 22, 1, 38, -2, 12,
   0, -59, 2, 13, -46, 21, -8, -34,
   13, 18, -30, -12, 34, 24, -18, -8,
   24, 17, -21, -4, 36, 26, 42, 20,
   35, -23, 55, 11, -23, -1, 10, 32,
   48, 2, 49, 3, 18, 84, -40, 20,
   7, 29, -63, -24, 7, 44, 9, -83,
   53, 50, -41, 20, -47, 32, -39, 26,
   -49, -12, -44, 34, -41, 51, 0, 6,
   47, -5, 7, 16, 89, -68, -13, -16,
   -25, -2, 6, -70, 15, -18, -1, 31,
   69, 6, -7, 14, -16, 17, -41, 31,
   2, -13, -10, -3, 51, 46, -37, 87,
   -80, -17, 35, 24, -1, 2, 43, 1,
   16, 22, -15, 15, -16, 15, 12, 26,
   53, -18, 40, -49, -2, 41, -34, 44,
   -51, 3, 28, -29, 5, 44, -22, -10,
   28, 2, -54, 27, -17, 19, 43, -16,
   -9, -11, 13, -37, 31, 16, -1, -52,
   26, 10, -44, -31, -8, -55, 21, 20,
   -43, -29, 36, -31, -46, 11, -9, -18,
   -22, 30, 42, -16, 0, -50, 0, -30,
   31, -7, -3, 14, -19, 21, -29, -34,
   50, 20, 20, -18, 13, -5, -52, -32,
   -5, 30, 88, -26, 41, -3, -1, 12,
   38, 13, 22, 53, 8, 14, 13, -13,
   7, -12, -36, -4, -19, -16, -3, -6,
   -37, 17, -3, -28, 24, -1, 23, 16,
   -7, -42, -12, 20, 8, 17, -16, -4,
   -6, 42, 48, -18, 2, -10, 20, 53,
   -71, 42, -33, 8, 20, -25, 12, 52,
   -23, 52, 16, 58, -15, 38, -18, 1,
   57, -12, 46, -1, -58, -10, -47, 4,
   11, -11, -25, -1, 8, -5, -30, 34,
   -18, 87, 21, 1, 44, -70, 21, -68,
   21, 46, 9, 24, 21, 33, -33, -13,
   -68, -71, 17, 68, 83, 36, 76, -12,
   -9, -22, 9, 13, 124, 17, 25, 12,
   84, -30, -61, 98, -14, 18, 7, 25,
   -44, 39, -45, -13, 36, -23, 2, 105,
   21, -17, -41, 49, 42, -33, 2, -19,
   32, -12, 36, 13, 12, -76, -33, 9,
   -46, 14, -24, -3, 24, 39, 81, -35,
   48, 13, -8, -23, -34, -47, -4, -50,
   -62, 33, -23, -84, -2, -29, 12, 5,
   -126, 52, -20, -35, 11, -48, 6, 19,
   -34, -91, -12, -33, -12, -17, 9, 43,
   -5, -51, 40, 10, -18, 18, 59, -34,
   -82, -35, -110, -45, 22, 8, 27, -41,
   7, -12, 24, -18, 32, 26, 64, 41,
   -3, 6, -26, -45, 22, 39, -43, 5,
   18, -4, -121, -7, 3, -42, 4, -39,
   -18, 43, -16, -92, -50, 13, -18, -2,
   -21, 26, 12, 10, 9, -1, -9, 19,
   26, 5, 17, 31, -12, -31, -8, -33,
   -15, 13, -2, 41, -23, -23, -12, -25,
   28, -11, 10, -11, -26, 33, -17, -31,
   -30, 32, -7, -20, 21, 3, -13, -11,
   -8, -17, -12, -5, -35, -8, 16, 27,
   -10, -64, -52, -19, 28, 23, 5, 14,
   -32, -13, -37, -31, 23, -49, 30, -32,
   10, 14, -2, -2, -3, 11, 23, 15,
   -19, 10, -10, 30, 49, -17, -45, -19,
   12, -11, 6, 1, 6, -5, 49, 7,
   -37, 9, 5, -9, -20, 34, -40, 2,
   97, 46, 55, 26, 56, 16, 61, -6,
   -43, 62, -90, 17, -18, 49, 68, -2,
   2, 60, 37, -28, 1, 52, -55, -36,
   -58, 34, 65, 29, 27, 28, -40, 63,
   42, -15, -10, -19, -1, -7, -74, 58,
   -10, -27, -7, 41, -4, -35, -27, -11,
   45, -52, 44, -5, 45, 40, 41, -96,
   28, -22, 84, -4, 5, 87, -80, 4,
   3, 30, 75, -20, 27, -69, 101, -37,
   -91, -45, -29, -16, 40, -38, 57, 107,
   26, 45, -43, -3, 34, 0, 44, 22,
   -19, 29, -37, 6, -8, 0, -17, 58,
   46, -2, -29, -12, 63, -19, -34, -25,
   13, 92, -40, -6, 9, -25, 73, -59,
   10, -46, -32, 80, 28, 8, 11, -8,
   20, 4, -22, 113, -12, -75, 29, -77,
   88, -28, 26, 53, -22, -13, -64, -43,
   -92, -7, 11, -121, -1, -61, -26, 52,
   -18, 15, -49, -20, 30, 14, -12, 5,
   8, 29, 63, -4, -122, -22, -21, 25,
   -65, -43, 82, 3, -23, -82, -19, 42,
   0, 3, 31, 29, -18, -87, -20, -5,
   -19, 87, -54, -44, 46, -17, -3, 15,
   -5, -72, 1, 43, 3, -10, -52, -5,
   17, -18, 20, -25, -1, -33, -53, -16,
   -5, 1, -60, 10, 58, 6, 20, -29,
   10, -25, -20, 22, -20, 3, 0, 11,
   10, -16, -13, 29, 3, 12, 0, 18,
   6, 6, 40, 12, 34, -19, 20, 52,
   -75, 5, 17, 31, -52, -21, 14, -6,
   30, -34, -45, 27, -3, 0, 35, 19,
   -5, 2, 12, -40, -5, -35, 5, 7,
   14, 9, -8, -3, 11, -50, 13, 3,
   1, -7, -41, 21, -33, -43, 42, -5,
   1, 1, -37, -21, -22, 18, 17, 57,
   -14, 13, 13, 12, 36, 19, 12, 2,
   28, 36, -82, 3, 41, 12, 6, -11,
   27, 17, -45, -7, 50, 27, 61, -39,
   72, 18, -37, 76, 37, 88, 68, 32,
   -34, -72, 11, 21, 35, 7, 14, -76,
   55, 65, 32, 38, 100, -24, 11, 113,
   87, 35, -21, 33, 0, 19, -9, 31,
   37, 1, 81, 35, 3, 0, -43, -58,
   -20, 29, -41, 15, 26, -23, -29, 58,
   88, 69, 16, 0, 102, -6, 28, -35,
   22, 127, 54, 5, 29, 21, 46, -16,
   37, -9, -31, 43, 11, -3, -21, -27,
   66, 6, 17, -18, 35, -11, -13, 40,
   54, 37, -3, 28, 18, 36, 43, 70,
   31, -14, 65, -37, 5, -45, 100, -20,
   -26, -26, -21, 58, 64, -12, 32, 6,
   12, -75, -14, 63, 28, 41, 46, -7,
   45, -70, 98, -61, 48, 4, -47, -63,
   -40, 44, 40, 10, 25, -19, -5, 51,
   4, 19, -63, 2, -33, -34, 10, -10,
   -11, -37, -42, -14, 5, 75, -7, 12,
   43, -1, -26, -43, 99, -19, -26, 42,
   2, 5, -10, -15, 3, 44, 30, -4,
   -15, 8, -79, 7, 21, 9, 78, 47,
   18, -49, 10, -29, 24, 74, 37, -13,
   -4, -4, 4, 5, 8, -16, -38, -9,
   39, -18, 17, 27, -5, 34, -4, 8,
   -11, 41, 25, 49, 22, 60, 45, 42,
   37, 43, 46, 2, -27, -5, -4, 12,
   6, -10, 11, 7, 10, -9, 0, 24,
   -3, -58, 8, 2, 6, -11, -22, -3,
   36, 66, 54, -9, -11, -43, 49, 29,
   -16, 10, 5, -6, -9, 7, 18, 45,
   18, -13, -19, -7, 6, 38, 3, -7,
   62, 45, -20, 15, 2, -55, 8, -12,
   -20, -20, -11, -25, -6, 3, -21, 33,
   22, -9, 4, -1, 32, 43, 12, 23,
   -45, -16, 38, 16, 18, -18, -10, -25,
   23, 48, 2, -25, -13, -18, 4, 87,
   14, -9, 44, 48, 20, 36, -46, 14,
   -18, -9, 13, 10, 4, 17, -17, -27,
   32, 66, -8, 108, -3, -44, 11, -91,
   7, -16, 29, 10, -40, -4, -24, 49,
   -16, -36, -9, 20, -66, 15, -72, -25,
   8, 113, 61, 89, -48, -22, -30, 5,
   -34, 27, 29, 0, 17, -3, 3, -56,
   31, -35, -90, -37, 58, -18, 18, 10,
   7, -29, -25, 24, 58, 36, 44, 84,
   -7, 42, 49, -4, -40, -31, 43, 26,
   -6, -11, -4, -39, 67, 65, -10, -19,
   41, 29, 48, 64, 18, 25, -48, -57,
   -10, 55, -50, -3, 12, 5, 17, -15,
   -45, -23, 17, 17, 2, 9, -3, 24,
   -15, 61, 10, 31, 39, -41, 2, -14,
   5, 84, 39, 12, -29, -6, 4, -27,
   4, -24, 9, -11, 13, -14, 9, 15,
   -33, -46, -28, 5, -3, 32, -6, 10,
   -3, -10, 21, 45, -17, 9, -24, 43,
   -23, -14, 5, -14, 23, 5, -40, 21,
   -22, 12, 75, -47, 35, 45, -5, 1,
   6, -13, 13, -32, 30, 67, -6, -7,
   12, 5, -5, -16, 15, -4, 9, -11,
   0, 7, 42, 32, -13, -27, 15, 7,
   0, 19, -38, -14, 14, -24, 15, -13,
   -20, 17, 2, 12, 38, 11, 3, 23,
   14, -13, 12, 6, -36, 25, 4, 4,
   -16, 7, 56, -19, -9, -3, -6, 27,
   45, -28, -15, 1, -7, 18, 17, -40,
   -12, -1, 43, 90, -9, -25, 32, -14,
   -20, 11, -14, 37, 9, 9, 3, -35,
   50, 37, -8, -20, -49, 2, 4, 8,
   -10, -13, 27, 26, -7, -6, 8, -2,
   9, 22, 4, 0, -12, 7, -9, -20,
   27, -39, 12, -37, 65, 101, -4, 62,
   -13, 41, -23, 3, -92, 47, 90, 52,
   17, -12, 73, 115, 18, 106, 20, 41,
   -12, 7, -63, 70, 52, -34, -34, 42,
   73, 64, 17, 67, 9, -21, -1, -22,
   42, -3, -46, 23, 25, -32, -55, 14,
   42, -61, 43, 83, 16, 33, -52, -21,
   24, -76, 9, 36, 14, -54, 57, -21,
   -2, 46, 108, 15, 12, 86, 22, 7,
   -18, 64, 126, -49, 32, 43, 57, 23,
   74, 15, -10, 42, 36, 40, 0, 78,
   7, 12, 95, -40, 100, 50, 10, -16,
   38, 61, -35, -9, -5, 9, -15, -10,
   42, 29, -11, -16, -26, 47, -26, 2,
   -128, -10, -18, -10, -18, 64, -22, 16,
   11, -16, -70, 40, 19, -15, 9, -39,
   14, 56, -68, 110, 36, -13, 41, 17,
   -2, 5, 23, 49, -102, 49, 56, 26,
   -62, 35, -37, 31, 16, 3, -30, 56,
   -5, 31, -13, -13, -4, 5, 43, -21,
   12, -21, -20, 81, -9, 14, 11, 3,
   52, 31, -25, 24, -34, 46, -32, -35,
   14, -52, -21, 57, -33, -39, 19, -49,
   32, -25, 37, 32, -62, -113, -25, 7,
   20, -19, -3, -6, 24, 42, 13, -29,
   6, 26, -61, -14, -1, 14, -27, 4,
   -15, 28, 9, 26, -17, 80, -7, 12,
   -32, -35, 16, 32, 23, -12, -4, 33,
   22, -11, 7, 27, 1, -7, -12, -40,
   1, 13, 22, -23, -27, -2, 38, -31,
   -14, 63, 70, 20, 22, 71, -3, -69,
   -3, -3, -35, 38, -46, 23, 0, -24,
   39, -77, 17, -13, 0, 23, 31, -63,
   49, 16, -6, -30, -9, 14, 3, 22,
   34, -36, -9, -18, 9, 2, -21, 34,
   -14, 1, -48, -9, -3, 13, 45, 23,
   15, 3, 12, 18, -5, 20, 0, -2,
   8, 0, 14, -15, -9, -10, -13, 12,
   14, -7, 15, 9, 4, 17, 3, 1,
   -7, 9, 18, 25, 3, 14, -13, 21,
   11, -13, 8, 1, -5, -13, 6, -9,
   -5, -11, 10, 3, -12, 12, 0, 11,
   7, 11, -11, -9, -16, 18, 2, -2,
   -3, 19, 13, -33, -24, -10, -9, 1,
   -5, -15, -19, 7, -16, -8, -2, -21,
   -17, -12, 1, -11, 1, -8, 3, -20,
   -9, -6, 17, 1, 11, 18, -18, -9,
   8, -17, 4, -4, 9, -5, 10, 7,
   22, -11, 2, -22, 16, 13, -4, 19,
   4, -8, -18, -4, 15, 11, -16, -18,
   22, 13, 0, -24, -14, 29, 0, -6,
   1, -2, -1, 21, -5, 15, 1, -11,
   3, -9, -3, 2, 16, 9, 0, 12,
   -10, 16, -2, 13, -8, 22, -9, 32,
   4, 1, 2, 13, 13, 8, -10, 19,
   -9, 12, -12, -22, 20, -17, -2, 17,
   -17, 10, 6, 7, 7, -1, -2, 8,
   7, 5, 21, -5, -10, 15, -7, -1,
   -7, -10, 7, 12, -6, 10, 7, 17,
   -14, 10, -1, 0, -1, -5, -8, -13,
   10, 14, -8, -6, -6, 5, 10, 2,
   0, 9, -19, 7, 7, 2, 5, -21,
   5, 1, 2, 1, 9, -19, 14, 7,
   -13, -14, -1, 11, 11, -2, 2, 8,
   4, 9, -10, 3, -4, 2, 4, -2,
   10, 10, 18, 1, 11, 10, -1, -13,
   15, 8, 1, 1, 6, 18, -5, -16,
   7, 2, 16, 26, 3, -3, 6, 2,
   6, 13, 10, 14, -5, -5, 19, -15,
   14, 0, -17, 4, -11, 2, 5, -3,
   -12, -1, -1, -6, 10, -5, -6, 6,
   6, -20, 4, 8, 4, -9, 10, -5,
   -9, 3, -16, -17, 7, 54, -5, -67,
   -1, 46, 0, -5, 32, -19, 0, 12,
   4, 1, -5, -35, -6, -30, 16, 3,
   -41, -10, 41, -27, -14, -16, 15, 1,
   10, 8, -9, 15, 11, -14, -2, 19,
   8, -40, -10, 11, 5, 3, -9, 3,
   9, -10, 5, 7, -7, -30, 22, -20,
   -16, 0, -27, 42, -23, 9, 32, 18,
   1, 6, 5, -16, 11, 34, -23, 1,
   18, 0, -6, -8, 17, 3, 0, 19,
   -6, -33, 19, -10, 2, 2, 3, -6,
   -18, 13, -6, -3, 8, -18, -9, 16,
   1, 1, 38, 36, 2, 28, 4, -10,
   33, 16, 11, -1, -9, 17, -21, 6,
   -15, 15, 3, -41, 43, -36, 49, 42,
   -32, 44, 20, -11, -7, 12, 25, -13,
   17, 9, 5, -14, 30, -1, 11, -3,
   28, -7, -20, 11, 23, -21, 3, 28,
   30, -19, 6, 33, 14, -31, 21, -27,
   66, 6, 7, -21, 21, 34, -13, -9,
   -18, -62, -25, -28, 20, -71, -32, -23,
   19, 0, 27, -6, -26, -2, 36, -15,
   -7, -34, -8, 21, 22, -22, -4, -43,
   -48, -2, 15, -7, -37, -30, 39, -3,
   0, -1, -4, 1, -8, 7, 8, -4,
   -25, -7, -15, 16, 30, -6, -14, -12,
   22, 15, 1, 13, 11, 16, -32, 27,
   -25, -15, -8, -10, 13, -9, 8, 7,
   0, 23, -1, -20, -37, -22, 11, -8,
   13, 10, -12, -5, -23, -16, 15, -10,
   16, 17, -6, 15, 3, -18, -5, 25,
   -10, 8, -19, -23, -8, -2, 37, 6,
   22, -30, -17, 9, 0, 5, 18, -2,
   -29, 1, 2, 3, 4, 12, 22, -16,
   -11, -13, 0, -11, -19, -20, -5, -34,
   -8, 12, -9, -8, 10, 28, -12, -16,
   -16, -26, -19, -14, 9, 48, -17, 17,
   12, -4, 18, 7, -12, -21, 6, -34,
   5, -37, -28, 11, -19, 17, 22, -31,
   -49, -12, 31, -10, -57, -21, -38, -29,
   21, -21, -27, -48, 1, 19, 27, 9,
   -12, 3, 25, -37, -7, 22, 16, -9,
   -15, 10, 7, 26, 13, -2, -6, -8,
   -8, -50, 7, 29, -12, 4, -29, 10,
   23, -4, -21, -14, -24, -12, 10, -4,
   41, 4, 21, -20, -37, -8, -8, 25,
   -45, -30, 24, 1, 3, -3, 47, 8,
   -62, 3, -22, -14, 22, -50, 3, 14,
   25, -41, 52, 16, 15, 18, -61, -32,
   29, -3, 22, -8, -70, -13, -32, 8,
   4, 11, 25, 1, 25, -31, 28, -39,
   -64, 11, 23, -12, -15, -7, -38, -1,
   -58, -103, 19, 9, 14, 21, 67, 8,
   -6, -61, -61, 26, -11, 3, 11, 32,
   51, -25, 24, 16, 3, 31, -19, -6,
   10, -20, -1, -1, -3, -24, 27, -31,
   -19, 29, -14, -45, -10, 75, -53, -29,
   -26, 22, -23, -31, 10, 14, -34, -39,
   -28, -35, -2, 44, 13, -36, -46, 55,
   -32, -62, 19, -72, -33, -25, -10, -8,
   -12, -13, 4, -36, -11, 14, 10, -23,
   -29, -9, 3, 9, -7, -5, -24, 10,
   27, -2, 20, -28, 14, 3, -37, 2,
   -29, 3, 0, -17, -2, -15, -20, -19,
   -23, 19, 1, 23, -13, -1, 10, 20,
   6, 28, -22, -17, -18, -4, -6, -9,
   0, -7, -36, 12, -10, 66, -18, 31,
   11, -6, -18, -1, 4, -8, 17, -32,
   1, 3, -2, 0, -24, 22, 3, 19,
   -33, 22, 6, 6, 27, 12, -14, -11,
   26, -5, -10, -7, -8, -9, 34, 26,
   1, 37, 34, -2, -19, 32, -8, 1,
   14, -25, 22, -27, 15, -12, -3, 42,
   55, -42, 14, 31, 40, -8, 46, 36,
   14, -38, -17, 9, -13, -13, 43, -43,
   -22, -13, 54, -22, -8, -4, 7, -1,
   -26, 77, -19, -55, -7, 4, 33, 46,
   17, 67, 21, 23, -12, -1, 13, 14,
   24, -36, 35, 37, -8, 10, -3, 9,
   67, -74, -63, -4, -23, 0, 12, -6,
   35, 14, 67, 0, 13, 13, 25, 27,
   -6, -19, 5, 4, 6, -7, 4, 56,
   -19, -2, -21, -17, 1, 11, 28, 6,
   27, -49, 10, -5, -15, 1, 8, -4,
   29, -1, 30, 0, 30, 21, 19, 56,
   -39, -15, -49, 4, -23, -2, 20, -30,
   -22, -3, -10, -4, -2, -17, 19, 24,
   -33, 11, -5, 37, -8, 7, 7, -37,
   7, 57, -18, 55, -61, -11, 13, 27,
   54, -15, -10, 52, -14, -21, -21, 2,
   47, -29, 11, -16, -77, -16, -57, 38,
   53, -14, 30, -4, 6, -3, 4, 43,
   36, 12, 21, 3, 33, -36, -16, -2,
   4, 18, -37, 62, 19, 16, -24, 2,
   -3, 57, -18, 24, 40, 29, 43, -34,
   88, -41, -22, -12, -54, 45, 93, -11,
   10, 14, 10, -33, 0, -12, -5, -10,
   18, -14, 12, -25, 10, -9, -14, -10,
   -27, -21, -11, -27, -3, 32, -16, -10,
   -19, 0, 0, 7, -42, -10, -24, 2,
   13, 8, -20, 49, 30, 6, 12, -9,
   -3, 0, 8, 17, 1, -16, -14, -20,
   21, -18, -17, 12, -37, -18, 33, 6,
   11, -8, -14, 0, 15, -14, -18, -21,
   -42, -5, 22, -15, -29, -31, 6, 9,
   -39, -3, 25, -1, 6, 2, -16, 30,
   -15, -17, 2, 30, 14, -23, 9, -18,
   5, 25, 43, -14, 19, -20, 0, 17,
   -75, -44, -2, -11, -26, -7, 7, -84,
   34, -47, -13, 27, 22, 19, -5, -9,
   20, -24, 70, -36, 6, 39, 16, 11,
   36, 4, 49, 41, 32, -7, 14, 22,
   31, 86, 15, -49, 12, -44, 18, 25,
   -10, 23, 16, -25, -27, 7, -44, -25,
   -16, -13, -17, -14, -53, -33, -9, -53,
   70, 24, -16, 50, 40, -16, 5, -19,
   55, -33, 52, 19, 19, 39, 6, 5,
   36, -33, 26, 20, -18, -28, -33, 57,
   -4, -5, -60, -16, -3, -21, 22, 33,
   51, 10, 40, -2, -18, 4, 23, -10,
   30, 16, 60, 7, -6, -3, -8, 4,
   -36, -56, 62, 37, 15, -21, -25, 25,
   59, -11, 3, 77, -20, 15, 31, -9,
   -5, 67, -36, 9, 70, -16, 21, 39,
   18, -30, -8, -48, 36, -79, -24, 53,
   -2, -2, -9, -35, 11, 36, 47, 0,
   16, -77, -33, 24, -71, -10, -3, -5,
   14, -58, -35, 2, 16, -5, -25, -1,
   1, -95, 17, -33, -76, -71, -47, -29,
   -43, -4, -39, -5, 16, 21, 23, -7,
   -16, -72, -36, -23, -2, 13, 6, 9,
   18, 18, -38, -5, 15, -38, -34, 12,
   21, 29, -14, -3, 0, -2, -3, 50,
   12, -3, -29, 27, 10, 29, -36, -17,
   -15, -34, -17, 35, -10, -24, 31, -10,
   -40, -18, -35, 36, -35, -7, 55, -6,
   19, -38, -18, 29, -22, -7, -9, -34,
   -6, -33, -2, 0, 13, -2, -21, 0,
   -9, -19, 28, -5, -21, -29, 6, -2,
   29, -6, 24, 0, -8, -29, -8, 29,
   -34, -36, 8, -11, 22, 63, 15, -31,
   -6, -10, 14, -5, -5, -17, -29, 5,
   8, -12, 33, 38, 2, 10, 14, -18,
   29, 16, 8, -7, 3, 34, -44, 28,
   -17, -68, -18, -14, -26, -18, 44, 26,
   -8, -5, 7, 15, -71, 4, -41, -15,
   -30, 16, 9, 71, -13, 24, 10, 17,
   74, -19, 32, 26, 97, -10, -13, -3,
   9, 55, 47, 5, 81, -22, 6, 33,
   -12, -42, -7, -13, 74, 21, -5, -21,
   43, -2, -41, -16, -57, 19, -5, 22,
   28, 13, 78, 4, 30, -6, -2, -76,
   1, -26, -28, 8, 19, -45, -46, 28,
   23, -27, 20, -13, 11, -4, 16, 51,
   -25, -1, -13, -20, 5, 41, -6, -62,
   -22, -16, 3, -13, -4, 2, 25, 5,
   -12, 12, 34, -17, -19, -49, -82, -28,
   16, -11, -15, -25, -27, -26, -45, 48,
   30, 1, -18, -66, 13, -36, 44, -48,
   -27, -27, 32, 31, 8, -57, -40, -29,
   35, 62, 14, 64, 45, -4, -37, 32,
   28, 32, 4, -15, -34, -9, 73, 22,
   18, -7, -42, -14, -38, 71, -5, 69,
   28, -6, -28, -29, 50, -39, 29, -35,
   -22, 79, -25, 19, 47, 55, -69, 26,
   31, -31, -36, 11, -44, 59, 13, -40,
   -9, -12, -22, -46, 5, -60, -10, 29,
   17, 38, 26, 30, 37, 52, 25, -5,
   34, 2, -4, -1, 13, -11, -20, -31,
   -13, -11, 7, -23, 4, -15, 2, -49,
   -5, 0, 0, 0, 0, -14, 19, 28,
   -34, -4, -39, 19, 11, -15, -79, 9,
   16, -7, 9, -15, -59, -5, 9, -27,
   12, 2, -23, -6, -5, -7, 5, 7,
   10, 25, 44, -50, 24, 59, 19, -8,
   -30, -2, -14, -44, -15, -19, 33, -1,
   7, 65, 4, 1, 1, -11, 3, 20,
   -17, -35, 16, -20, 3, 1, 11, -37,
   29, -21, 16, -1, 21, -4, -3, 3,
   -4, -1, 12, 3, 11, 0, 16, -26,
   -119, -8, -78, -45, -42, -14, 56, -70,
   58, 31, 125, 78, 127, 67, -76, -34,
   59, 76, -82, -39, -107, -67, -75, -65,
   30, -114, -11, -6, 127, -18, -7, 104,
   -74, 87, 32, 112, -20, 92, 96, 30,
   -126, -2, 9, 106, 4, -105, 124, -126,
   85, 44, -32, 33, 127, 87, -48, -19,
   77, -42, -127, -55, 1, 16, -64, 85,
   122, 34, -80, 98, -74, 127, -14, 91,
   5, 69, 17, 67, 98, -21, 46, 7,
   -25, 3, -73, -14, 27, -116, 9, -68,
   -19, -125, -40, -31, -127, 108, 6, 62,
   -63, -127, 22, -68, -19, 13, 75, -46,
   -2, 67, -32, 127, 104, -10, -96, -17,
   117, 10, 7, 23, 3, 127, -28, 31,
   57, 17, 12, -78, 127, -9, 90, 12,
   -127, -71, 49, 113, -21, -1, -121, 83,
   8, -87, -35, -2, -109, 44, -78, -59,
   24, -22, -36, -23, 17, -127, -7, -96,
   -2, -6, 2, -66, -26, 50, 56, -35,
   -104, -65, 2, -127, 15, -126, 40, -56,
   2, -22, -125, 47, -99, -7, -127, -9,
   -29, 91, 10, -43, -34, 85, 81, -119,
   32, -69, -50, -120, -63, -48, -122, 88,
   -76, -9, 62, 52, -28, -30, -59, -70,
   -21, -12, 54, 3, 18, -44, -12, 86,
   52, 94, 59, 30, -15, -104, -35, 28,
   93, 123, -62, -118, 10, -37, 127, -51,
   -13, -8, 46, -27, -2, 20, 109, 62,
   81, 10, -10, -33, -18, 35, -51, 39,
   5, 57, 46, -122, 58, -64, 114, 8,
   -11, 23, -6, -29, 15, -21, 2, 7,
   126, -58, 71, -43, -110, 27, -16, 15,
   91, -71, 17, 28, 67, -60, -59, -42,
   33, 37, -40, 109, 8, 23, -37, -50,
   -38, -24, 46, -11, 81, -53, -56, 75,
   -26, -54, 84, 58, 48, -15, -21, -128,
   -13, -31, 62, 5, -9, -61, -125, 4,
   -10, 69, 29, 12, -46, 54, -128, 49,
   -126, -127, -110, 37, 63, -9, -69, 117,
   -123, 84, 63, -103, 74, 58, 22, 11,
   -22, 5, -6, -9, -78, 82, 44, 37,
   -19, 16, -11, 2, 127, -16, -70, 127,
   -110, 61, 122, -121, -49, 16, -8, 34,
   18, -51, -125, -29, -79, 41, 36, 42,
   108, 58, 118, -59, 36, 120, 9, -57,
   53, -7, -43, -125, -18, -68, 125, -35,
   33, 127, -77, 25, 97, -27, -124, 101,
   108, -71, -13, 127, -56, 77, -61, 44,
   -52, 34, 44, -100, -85, 90, -90, 83,
   59, -127, -49, 21, -69, 44, 90, -122,
   -58, -15, 127, 97, 127, -118, -126, -121,
   -120, 36, -77, 57, -30, 85, -102, 126,
   126, -43, -64, -73, -8, 77, 57, -10,
   1, 2, 55, -60, 127, 127, -91, -106,
   116, -68, 55, -30, -46, -116, 60, -86,
   -66, 127, -17, -82, -9, 51, 50, 86,
   -115, -113, 85, 127, -53, 20, -77, 39,
   -56, -35, -3, 29, -128, -54, -128, 127,
   -90, -24, -37, -60, 68, 127, 125, 120,
   36, -18, 35, -9, 86, -69, 55, -47,
   102, 37, -77, -74, -22, -29, 9, 44,
   7, 87, -30, 29, -3, 30, 4, -7,
   62, 108, -96, -88, 55, 19, -33, 16,
   -31, 31, -22, -96, -65, 49, 123, 52,
   68, -81, 44, -28, 27, 123, -72, 98,
   -31, -39, 42, -34, 34, 36, -51, -84,
   41, -4, 22, -49, 22, 35, -47, -4,
   97, 98, 108, -42, 59, 5, -10, -9,
   -20, -50, 97, -37, -23, -10, -73, 27,
   42, 26, 104, 37, 72, -4, 84, 61,
   118, 72, 58, -15, 5, -16, 119, -5,
   -75, -18, 12, -77, -13, 13, 87, -105,
   -22, 109, -81, 37, 48, -48, -118, -74,
   9, 123, -92, 48, -91, -64, -85, 115,
   -89, -121, -106, 76, 112, -66, -55, 127,
   -121, -86, 44, 127, -103, 47, 86, -121,
   -122, -111, 46, -11, -39, -40, -109, -57,
   22, 14, -67, 9, 127, -44, -106, -33,
   -16, 59, -125, 10, -16, 31, -53, -37,
   124, -88, 45, -18, 94, -123, -7, -13,
   -33, -41, -115, 5, 47, 52, -17, -117,
   -65, 104, -94, -76, -8, 32, -63, -107,
   13, -98, 118, 44, -38, -15, -43, 114,
   -94, -64, 18, -67, 35, -63, 127, 80,
   -2, 14, -41, 75, -9, -42, -128, -5,
   122, -77, -33, 60, 52, 81, 31, -19,
   -74, 82, -3, -20, 45, -127, -75, -14,
   -4, -61, -10, 118, 57, 85, 15, 104,
   -16, -53, -67, 5, -55, -49, -7, 69,
   -74, -39, -13, -92, -124, -110, 65, 18,
   99, -62, 62, 23, 100, 38, 96, -73,
   48, -53, -58, -122, -48, -93, -4, -13,
   -126, 19, 57, -5, 22, -45, -22, 66,
   50, -7, -38, 29, -12, 45, 127, -113,
   -34, -2, -14, -16, -17, 64, -73, 123,
   -20, 40, 88, 74, 44, 60, -57, -38,
   -98, -70, -21, -11, -37, -69, 73, 24,
   -67, 36, -12, 3, 13, -63, -10, -91,
   14, 107, 25, -50, -33, 58, -32, -66,
   -23, 53, 25, -98, 126, 9, 125, 17,
   126, 17, 2, -34, 29, 107, -8, -1,
   -68, -52, 6, -32, 65, -4, 15, 38,
   25, 90, -35, 83, 3, -10, 36, 5,
   -51, -54, 43, -28, -8, 28, -87, -50,
   -56, 3, 37, 40, 27, 3, -90, 35,
   -9, 8, 34, 45, -13, -115, -23, -67,
   -89, 75, 5, 13, 80, 10, -54, 44,
   -122, 39, 44, 27, -17, -27, 90, 46,
   -65, 41, -54, 41, 14, -35, -77, -63,
   -118, 72, 86, -47, -37, 29, 51, 15,
   112, -51, -25, 28, 105, 45, 7, -13,
   -126, 29, -35, -9, 127, 99, -17, -77,
   -122, -128, -98, -60, -103, -127, -103, -86,
   68, -120, 6, 38, -124, 11, -88, 44,
   63, 75, -62, -15, -10, 28, 98, 46,
   -10, -13, -94, 102, -51, 105, 88, -107,
   48, 96, -27, -12, 91, 89, -29, 115,
   51, 126, -128, 103, -111, -86, -54, 70,
   -126, -55, 126, 0, 43, 123, 107, 126,
   112, 5, -23, 65, 15, -57, -32, 22,
   70, -127, -4, -123, -107, -128, -117, 86,
   127, -60, -28, -104, 26, 43, 127, -125,
   -49, -60, 113, -36, -59, -54, -54, -32,
   86, 93, 117, 92, 126, 102, -36, 98,
   2, -62, -18, 81, 75, 92, -101, -126,
   -44, 84, -120, -116, -38, 127, 127, 23,
   126, 6, 88, -20, 73, -109, 90, 59,
   -122, -101, 126, -101, 60, -93, 28, 81,
   -24, -83, 77, -128, -99, -22, -127, -127,
   -57, 18, -2, 120, 82, -101, 97, 127,
   90, -20, 33, -127, -102, -2, 17, 127,
   -95, 41, 47, -24, -27, -19, -20, -94,
   -45, 52, 108, -109, -82, -21, 70, 21,
   -102, 76, 79, -4, 63, 67, -57, -50,
   50, 11, 6, -8, -82, -66, 40, 2,
   94, 47, 26, -127, -54, 15, 18, -40,
   127, 120, -18, -108, -37, 93, 18, 106,
   -66, -5, 86, 33, -41, 19, 11, -30,
   -19, 16, -16, 61, -21, -16, -2, -61,
   -127, -13, 71, 72, 1, -86, -98, 57,
   14, -126, -2, -87, -33, -102, 28, 123,
   44, 31, 22, 60, 17, -55, -109, 91,
   -80, 61, 127, 51, 72, 38, -39, 34,
   -124, -58, 38, -100, -19, 7, 29, -95,
   -127, -50, -51, 82, 3, 2, -43, -123,
   -3, -124, -11, 126, -10, -18, -73, 53,
   127, 125, 120, 125, 93, -127, 63, 73,
   28, -89, 77, 72, 22, -40, 0, -32,
   -123, -17, 8, -126, -111, -34, -65, -34,
   -31, -106, -53, -124, 14, -112, 15, -63,
   5, -18, 24, 57, -79, -72, -68, 60,
   -128, 39, -122, 33, -63, 26, -20, -79,
   90, -4, -9, -22, -68, 125, -109, 36,
   -105, 126, -3, 14, -109, -4, 107, -36,
   -63, 57, -22, -40, -28, 33, -13, 76,
   -19, -128, -31, 24, -126, 17, -22, -23,
   -27, -128, 25, -111, -14, 111, 9, -45,
   126, -68, -127, 124, -39, -16, 120, -16,
   -22, -126, 27, -92, -107, -120, -127, -88,
   52, -28, -59, 54, -121, 94, 116, 127,
   -13, 125, 60, -117, 125, -110, -22, 127,
   -5, -114, -127, -8, -72, -34, 7, -32,
   50, -50, 48, 116, 127, 24, 9, 79,
   -128, 45, 87, -69, -47, 120, 123, -17,
   77, 51, 126, -127, 126, -107, 127, 71,
   10, -127, -71, -77, -91, -33, 64, -126,
   -126, 68, 79, 125, 49, 97, 83, 50,
   -31, 42, 51, -76, 17, 57, -5, -14,
   47, 105, -88, -36, -64, 95, -94, 126,
   -62, -3, -53, 33, 44, -8, 36, 32,
   50, 127, -55, 127, 32, 57, 14, -104,
   -4, 49, -32, 109, 29, -4, -5, -23,
   106, -16, 30, -109, 126, 64, 9, 23,
   -61, -48, -49, -126, 80, -54, -128, -74,
   20, -18, 41, 74, -127, 44, 87, -87,
   -96, -57, 39, 51, 78, -70, -90, -108,
   -50, 39, 109, -5, 6, -87, -57, 36,
   72, 20, 81, -88, 50, -36, 83, -54,
   68, -21, 109, -5, -110, 47, -15, 98,
   -32, -14, 46, -56, -128, 0, 34, -93,
   14, 90, -98, -42, 10, 55, -56, 48,
   31, -33, 126, 37, 25, 52, 12, -33,
   -127, 112, -23, -18, -127, -23, -127, -19,
   56, -104, -51, 31, -58, -84, -91, -107,
   -56, -111, -7, 2, -47, -128, -87, 123,
   58, -45, 83, -127, 39, 69, -87, -32,
   126, -51, -35, 18, -35, 56, 31, -44,
   -128, 19, -17, 68, 86, -88, -58, 51,
   -96, -127, -69, -28, 33, 80, -123, -128,
   -127, 125, 59, -47, -103, -127, 0, 43,
   127, -128, -17, 7, -85, 63, 2, 56,
   -35, -127, -30, 125, 118, 41, -126, 13,
   56, 126, 123, 126, 115, -123, 110, -22,
   -95, -23, -121, -102, 99, 127, -128, 127,
   -86, 10, 20, 108, 90, 44, 125, -27,
   -128, 40, -77, -127, 33, 56, -44, 14,
   2, 126, -44, 107, 16, -84, -127, 116,
   -109, -26, -38, 114, 123, 76, 127, 2,
   -120, -126, 61, -85, -126, -128, 83, -20,
   -65, -1, 49, -77, 68, -42, -14, -18,
   33, 117, -59, -25, -58, -38, -95, -40,
   -106, -49, -35, -113, -126, 64, 39, 86,
   108, -127, 114, 27, -97, -122, -36, 125,
   -56, -93, -17, -127, 78, -27, 28, 3,
   -14, 70, -14, 65, 26, 80, 45, 102,
   -17, -45, 35, -45, -4, 36, 12, 1,
   125, -88, -57, 33, 117, 43, 103, -17,
   -4, 15, -75, -17, 30, -57, 17, 45,
   127, -50, 95, 76, 9, 83, 47, 106,
   2, 68, -48, -128, 86, 68, 35, 47,
   -10, 22, -20, -48, -33, -33, -11, -32,
   18, 0, -9, -32, -16, 93, 46, -48,
   56, 108, 65, -5, -28, -50, -34, -55,
   -6, 95, -8, -87, 28, 67, -24, -11,
   -9, 5, 16, 28, -5, 30, -60, 84,
   -6, -92, 82, 83, 4, -43, 19, -38,
   1, -104, -92, 60, -123, 53, 22, -98,
   -46, -11, -78, -55, 79, -32, -74, 24,
   -81, 127, -14, 127, -80, 20, 74, 93,
   -56, -40, -92, -86, -72, -40, -36, -123,
   -57, -11, -95, -128, -77, -73, 75, 127,
   15, -126, -11, -127, 78, 4, -24, -126,
   59, -32, 45, -124, -9, -58, -46, 27,
   52, -38, 70, 52, 120, 6, -63, -25,
   -124, -90, -15, 127, -31, 23, -126, -33,
   -74, 75, -58, 126, 53, -126, -128, 58,
   -127, -59, 15, 54, 41, 96, -33, -93,
   -118, 126, 16, 71, 0, -87, 84, -33,
   -100, -82, 36, -36, -35, -126, -29, -29,
   120, 16, -55, 119, 3, -59, -128, -5,
   -128, 125, -94, -3, -101, 51, -40, 1,
   -40, -127, 127, -128, 46, 79, 104, -12,
   -32, 41, -128, -6, 67, 127, -16, 20,
   -101, 118, -128, -34, 121, 102, 118, -56,
   24, -84, -92, 3, 127, -127, 7, 15,
   -63, -66, 24, 11, -66, 29, -128, -1,
   -26, 12, -4, -72, -23, 52, 122, -49,
   -58, 53, 125, 35, -125, -127, 126, 44,
   75, 91, -99, 63, -84, 80, 29, -9,
   -128, -19, -8, -37, -1, 13, 127, 68,
   -68, 84, -37, -4, -48, 21, 3, 127,
   8, -30, -9, -69, 19, 57, -45, 63,
   87, -7, -13, 58, 51, 80, -27, -17,
   85, -10, 89, 111, 4, 35, -18, -15,
   42, -55, 75, -80, -18, 100, -58, 49,
   -1, 120, 54, -128, 49, 96, -128, -14,
   -67, -78, -44, 7, 29, -43, -51, -49,
   -102, -29, 109, 19, -37, -3, 23, 30,
   -2, -44, 34, -45, -12, 36, -65, 15,
   41, -32, -31, -15, -55, 7, -43, 21,
   -27, 77, 84, -3, 11, -55, 28, 101,
   12, 48, -75, -15, -77, -31, 85, -75,
   107, -77, -24, 122, 64, 23, -53, -39,
   82, 10, 124, -85, 50, 100, 108, 98,
   -120, 127, 39, -18, -128, -94, 19, 59,
   113, -2, -127, -126, -89, 4, -128, 7,
   29, 71, -39, -98, -122, -41, -47, -128,
   86, -127, -120, -82, -14, -46, -4, 69,
   79, 22, -127, -114, 11, -108, 37, 31,
   127, 85, -40, -128, -78, -51, -15, -31,
   -62, 64, 125, -12, 24, -27, -48, 78,
   -10, 120, -73, 101, -76, -61, 6, -28,
   122, -113, -53, 8, 52, -78, 85, 26,
   -30, -110, -15, -112, 64, 67, -121, 31,
   -37, 21, -1, -63, -123, -97, -34, -32,
   -25, 31, -4, 75, 17, -124, -117, 44,
   -13, -12, -26, 108, -107, -65, 125, 57,
   19, 30, 125, -98, -12, 13, 85, 124,
   -43, 15, -86, -89, 19, -128, -46, -96,
   94, 123, 75, 46, 67, -78, -14, -67,
   37, -31, 82, -127, 127, -88, -94, 69,
   -127, -56, 56, -35, 95, -13, 33, 61,
   -36, -92, -45, -128, -44, 60, -95, -34,
   54, -48, 8, 114, -79, -78, 68, -9,
   -52, 80, 125, -14, 49, 23, -88, -40,
   -77, -103, 15, 68, -31, 4, -83, -53,
   0, -40, 31, -2, 89, 28, 65, 127,
   -8, 17, 37, 32, 85, -112, -48, 25,
   -18, -19, -18, -34, 18, -10, 28, -30,
   66, 45, 123, 127, 60, -38, -38, -13,
   127, 62, -107, -60, -53, 73, -6, 69,
   -17, 101, -43, -24, -126, -119, 19, 17,
   102, 16, 0, -50, -86, -43, -33, -125,
   -95, 90, 43, 24, -78, 13, 102, 127,
   -33, -9, 18, -20, -48, 3, 4, -2,
   -49, 7, -65, -60, 25, 19, 62, 119,
   -11, 94, -39, 1, 121, 1, 32, 126,
   5, 1, 71, -55, -122, -65, -126, 76,
   42, -47, -3, 80, -68, 92, 114, -111,
   -115, 5, -13, -128, -88, 4, -49, -54,
   -76, 62, -118, 15, -80, -12, 120, 14,
   -18, 10, -125, -123, -103, 58, -126, -113,
   -76, -39, -122, -118, -123, -107, -88, -41,
   -127, -67, 18, -120, -120, -44, -37, -122,
   92, 15, 34, 127, 124, -12, 67, 127,
   -76, -51, 2, -107, -4, 42, -109, -122,
   67, -44, 127, 29, 19, -93, 54, 18,
   -22, 121, -128, 123, -104, -123, -82, 104,
   126, 127, 27, -60, -87, 45, 112, 123,
   -8, -126, -84, 51, -22, 66, 84, 72,
   103, -24, -85, 104, -50, -86, 51, -57,
   122, 79, -69, -92, 27, 36, 127, 127,
   -102, 31, -41, 84, -112, -128, 68, 122,
   127, -123, 84, -119, -82, 50, 127, 127,
   8, 69, 110, 12, -127, -113, -127, 105,
   -68, -124, -51, -21, 127, 45, 109, 127,
   127, -28, 26, 125, -16, -95, -59, 36,
   -24, -48, 50, -76, 64, 26, 118, 127,
   -127, 117, -128, -107, 99, -59, 19, -15,
   -128, -123, 68, 127, -59, 124, 9, -126,
   -88, -13, 123, -128, -114, -127, -122, -39,
   -25, -127, 67, -127, 60, 114, 52, -33,
   114, 39, -54, 68, 87, 122, 55, -31,
   -14, -16, 28, 108, 79, 52, 89, 69,
   -39, 20, 127, 126, 20, 5, 7, 37,
   96, 73, 28, 104, -78, 40, -126, 29,
   108, -24, 72, -29, 76, 17, 15, -40,
   31, -18, -21, -123, -32, 33, -80, -124,
   89, -10, 24, 75, -56, 98, -28, -75,
   34, 20, -1, 59, -26, 86, -94, -32,
   41, -10, -62, -124, -120, -4, 50, -111,
   -25, 127, 17, -84, 33, -19, 50, -111,
   -65, 7, -73, 73, -56, -76, -12, 98,
   75, 87, 64, -110, -128, 127, 23, -128,
   122, 4, -114, 48, 84, 67, 15, 8,
   -71, -126, 63, 48, 127, -23, 26, 116,
   9, 3, -11, -118, -125, -124, 93, 118,
   88, -2, -101, -118, -39, -127, -102, -89,
   127, 13, -120, -113, -39, -112, -70, 114,
   -13, -44, -83, -128, -127, -23, 55, -93,
   100, 26, -41, 126, 84, -28, 13, 1,
   127, -17, -86, -12, -109, 1, -17, -44,
   84, -19, 116, -73, -127, 124, 96, 127,
   -116, 115, 47, -108, -126, -94, -115, 103,
   88, 92, 121, 71, -127, -105, 116, 122,
   -59, -109, 47, -8, -40, 126, -52, 33,
   111, -55, 11, -41, 123, 127, -3, 127,
   127, -56, -128, 75, -110, 27, 127, -28,
   127, 114, 2, 108, -56, 87, -128, -56,
   -56, 47, -127, -47, 23, 107, 19, 127,
   92, -77, -56, 80, -123, -126, -125, 104,
   -126, -127, -32, 43, -6, 23, -80, 102,
   98, 41, 2, 127, 66, -70, 127, -18,
   -47, -51, -19, 9, 106, -50, 49, -26,
   -46, -120, 118, -89, 127, -121, 102, 15,
   118, -87, 93, 121, -29, -56, 109, -56,
   121, -17, 25, -127, 119, -127, 118, 76,
   -10, -125, 93, 3, 124, 51, -127, 115,
   63, 112, -126, -17, -75, 127, -38, 125,
   -19, 20, 113, 38, 127, -38, 54, -30,
   -125, -32, 89, -4, -31, 123, 0, -13,
   82, -35, 12, 75, 71, 20, -127, -125,
   127, -25, -64, -12, 64, 103, -100, 61,
   11, 18, -96, -128, 45, -54, -63, -110,
   24, 17, 44, 103, -67, 24, -89, -23,
   44, -65, 35, 64, -63, 22, 80, -128,
   83, 0, 63, -127, 125, -26, 21, -56,
   23, 34, -12, -94, 117, -125, -122, 11,
   60, -4, -48, 40, -126, 98, -28, 87,
   106, 80, -52, 6, -9, -60, -16, -108,
   105, 56, -113, 87, 127, 26, -128, 120,
   -78, 119, -88, -57, -81, -97, -98, -43,
   -116, 88, -38, -74, 51, 85, -11, 127,
   76, 13, 2, -9, 21, 127, -25, -118,
   -126, -12, 25, -50, -63, -61, -127, 6,
   -69, -75, -20, -126, -61, 7, 117, -83,
   49, 121, -108, -59, 64, 102, -89, -127,
   68, -85, -52, -49, -18, 57, -109, 28,
   -119, -11, 127, 127, 46, 11, -125, -61,
   73, 56, -106, -116, -8, -115, 41, 127,
   -10, -115, 127, -53, -23, -45, 20, 79,
   -30, 13, -125, 25, 127, -25, 38, -17,
   -38, 74, 82, -69, 25, -67, -81, 96,
   127, 37, -67, -22, -113, -115, 126, 105,
   -10, 69, -30, 29, 1, -121, 121, 10,
   98, -85, -123, 39, 127, 101, 110, -125,
   -94, 122, -121, -25, -103, 26, -84, -64,
   -63, -10, -123, 121, 76, 60, 119, 64,
   107, 101, 67, -128, 127, 9, 35, 43,
   -56, -8, 57, -3, -75, 127, -67, 0,
   54, 126, 90, 86, -52, -10, -30, -108,
   -82, -121, 87, 97, -4, 64, -51, 58,
   -127, 20, -6, 1, 26, 77, -87, -29,
   -126, 124, 33, -58, -8, 2, -29, 99,
   -52, -17, 53, -128, -22, -48, -46, 75,
   -18, -105, 94, -82, 41, -25, 79, -22,
   -126, -125, 38, -115, 68, 44, -10, 37,
   56, 125, -46, -70, 50, 10, -127, -8,
   67, -81, -20, 14, -30, 106, -56, 123,
   -83, 107, 65, -33, 126, 127, 82, 87,
   42, 27, 31, -71, -62, -38, 40, 15,
   40, 61, -128, 26, 51, 58, 24, 108,
   48, -120, 5, -7, -127, 48, 5, 115,
   -14, 43, -18, 4, 66, -46, 14, -33,
   80, 5, 100, -18, 56, -73, 72, 107,
   -77, 82, 126, 127, -43, -77, 124, 39,
   125, -81, -49, 39, 127, 20, 2, 24,
   -23, 60, 112, 23, 42, 70, -78, -39,
   -127, 127, 44, -110, 118, 124, 127, 116,
   -128, -52, 34, -127, 123, 127, -65, -44,
   127, 54, -14, -51, -107, -26, -93, 127,
   35, -5, 36, -128, 127, -78, -82, -127,
   127, 16, -106, 48, 67, 126, -12, 69,
   115, -126, 97, -119, -29, 83, -79, 122,
   120, -39, -126, 72, 52, 69, -37, 42,
   100, 123, -127, 121, -18, -120, 121, 126,
   36, -116, 110, -7, -112, 121, 36, 122,
   40, 127, -112, 127, 127, 71, -27, 127,
   103, 54, 126, 120, -127, -127, -40, 77,
   -64, -123, -108, 15, 59, -115, -18, -50,
   -74, 104, -128, -31, 37, 22, 127, 22,
   50, 55, 35, 120, -9, 38, 125, 87,
   124, 61, -125, -123, -128, -57, -23, 14,
   -7, -39, 32, 121, -126, 81, 54, 13,
   83, 6, 19, -71, 127, -128, -8, -74,
   -123, 113, -25, 95, -126, -28, 30, -62,
   -16, 122, -47, -45, 71, 91, 2, 5,
   121, -9, 126, 127, -94, 58, -50, -33,
   -53, 81, -1, -54, 114, 11, 63, -75,
   -88, 120, 60, 124, -118, 97, -13, -4,
   47, 109, -128, 100, 127, -37, 114, 125,
   -101, 15, 40, 61, 9, -48, 72, -59,
   -66, 13, 42, -127, 122, 61, 48, 58,
   34, -7, 100, -56, -27, 118, -124, -34,
   124, -25, -99, 67, -47, 42, -54, 33,
   47, 58, -46, -82, 48, -106, -68, -37,
   -33, -27, -120, -105, 0, -6, 88, -17,
   -126, -18, 126, -44, 38, 71, -22, 126,
   77, -128, -123, -43, -112, 8, 43, 121,
   44, -92, -8, -51, 126, -88, 11, 40,
   79, -43, 112, -49, 58, 12, 126, 122,
   63, 102, 24, 70, -118, -51, 44, 127,
   56, 124, 81, 26, -83, 29, -86, 72,
   -102, 14, 84, -8, -13, 121, 127, -27,
   47, -43, 14, -77, 96, -47, 5, -37,
   -76, 49, 81, -121, 33, -101, -36, 94,
   -28, -10, 30, -77, -107, -24, 6, -88,
   60, 11, -43, -122, 121, -28, -16, 50,
   -12, 8, -126, -46, -68, 19, 47, -1,
   -34, -45, 120, -20, -47, 89, 18, -10,
   -41, 116, -66, 65, -29, 70, 29, -57,
   70, 127, -14, -48, -1, -19, 47, -37,
   91, -50, -57, 53, -92, 39, 1, 112,
   -62, 20, -67, 30, -55, -111, 72, -56,
   -6, -33, -56, -50, -44, 35, -61, 24,
   77, -40, -122, -41, -23, -35, 127, -47,
   -14, 19, -15, -15, -68, 16, -25, -103,
   -112, -120, 41, 51, 127, -126, 127, 8,
   32, -109, 54, -90, 48, -73, 61, 52,
   1, -85, -21, 38, -68, 38, 20, 24,
   -56, 51, -31, 117, -36, -20, -66, 4,
   28, -126, -44, 88, 83, -112, 29, -20,
   -9, -118, -8, 22, -28, -127, -83, -114,
   -12, -92, 125, -39, -78, 68, -91, -103,
   -7, 1, -64, -116, -128, 76, -14, 68,
   51, 63, 120, 102, 17, -29, 22, 15,
   -33, 22, 20, 17, 100, -37, -58, 125,
   -50, -37, 13, 4, 78, 59, -27, 20,
   -28, 40, -15, -80, -88, 127, -25, 20,
   -57, 8, -8, 88, 66, -73, -96, 97,
   109, -41, 52, 29, 21, 58, 15, -19,
   19, -14, -39, -6, 56, 13, -1, 58,
   -64, 41, 46, -10, -51, 64, 52, 16,
   -62, 0, 40, 23, -92, 39, -2, 113,
   -45, -86, -111, 41, -67, -73, 9, 46,
   58, -11, -68, 77, -4, -49, -43, -124,
   34, -18, -67, -41, -19, -76, 26, 52,
   127, 75, -127, -20, -103, 103, -127, 59,
   74, -49, 80, 104, -101, 127, -128, -117,
   20, 126, -38, -76, 124, -119, 12, -75,
   -29, 16, 11, 34, -33, 56, -76, 127,
   -35, 19, 5, -126, 127, 127, -97, -116,
   -71, -125, 30, 58, -34, -86, -116, -127,
   113, 73, 22, -119, 27, 111, -64, -89,
   48, 105, -54, -109, 127, -32, 27, -85,
   82, 127, -76, 121, -125, -9, 1, 88,
   -68, 126, -116, -128, -47, 118, -110, 95,
   64, 63, -92, -88, -115, -69, -125, -126,
   11, 9, -94, -91, 29, 111, -4, 127,
   -83, -128, 99, -92, -127, 77, -112, 87,
   -80, 36, 92, 2, 127, 127, 11, -42,
   126, 45, 29, -72, -51, 65, 126, 46,
   -30, -128, -37, 124, 63, -101, -128, -123,
   113, 81, -93, -127, 66, -61, 64, -76,
   12, 16, 2, -42, -51, -126, 68, 84,
   -124, -126, -70, 124, -35, -50, 106, -33,
   -79, -28, 61, 79, -127, -10, 34, -68,
   83, 30, -12, -119, 14, -99, 76, 83,
   -110, -125, 26, -29, -17, -81, -74, -112,
   -39, -61, 53, 116, 76, 124, 70, 115,
   -22, -111, 26, 6, 127, -10, 127, -106,
   -74, -8, 11, 7, 77, 53, -111, -90,
   -29, -87, 63, -43, -50, -40, 105, 109,
   -4, -56, 24, -40, -39, -41, 100, -19,
   -17, -101, 91, -34, 78, 11, -6, -93,
   48, 80, -23, -19, -57, -5, -126, 41,
   127, 17, 110, 120, -2, 123, 2, -93,
   -39, -74, -13, -59, -71, 60, -45, 20,
   113, 90, 103, -110, -19, 21, -19, 24,
   31, 45, -128, 52, -12, -47, 64, -109,
   -89, 62, -33, -29, 48, -95, 58, 3,
   59, 25, -38, 23, 122, 80, -128, -4,
   -46, -2, 31, -34, 73, 3, -24, 122,
   -8, -93, 69, -3, -91, 55, -10, 10,
   -99, -73, -101, 62, -124, -121, 109, -83,
   -41, -57, -76, -111, 107, -126, -126, 92,
   -92, 106, -50, 0, -127, 47, 30, 101,
   72, 57, -18, -40, 127, -84, 44, 107,
   68, 114, 12, -125, 28, -72, 97, -127,
   127, 88, -76, -105, -118, -6, 44, -103,
   59, 114, -96, -55, 77, -97, -80, 59,
   -43, -49, -86, 127, -106, -46, -40, 69,
   123, -124, 46, 56, -34, -78, 18, 7,
   -68, 67, 107, -119, 18, 127, 68, 15,
   16, -128, -64, -112, -34, -13, -71, 48,
   76, -64, 68, -47, -83, 125, -127, 44,
   -127, -127, -23, -110, -87, 118, -24, -41,
   36, 25, 16, -44, -45, -43, 126, 59,
   -3, -28, -7, -70, 127, -16, -98, -88,
   56, -7, -61, -127, -3, -83, 109, 127,
   118, 5, -88, 16, 127, -123, 122, 87,
   33, -67, 126, -108, 19, 43, -35, 122,
   71, -81, -125, 96, -20, -95, -76, -62,
   40, 127, 121, -116, -101, -120, 84, -56,
   49, -84, 72, 44, 97, -45, 78, 4,
   124, 127, 12, -9, -46, -40, -128, -128,
   -19, 15, -120, 127, -37, 86, 127, -127,
   -67, 125, 11, 16, -3, -123, -24, 73,
   -13, 22, 122, 121, -20, 57, 75, -39,
   -79, -51, -83, 72, 6, 114, 47, 52,
   33, 126, -57, -73, 76, 126, -58, -75,
   -18, -69, -65, 73, 73, 72, -27, -65,
   118, 37, -35, 57, -91, -27, 66, 27,
   3, -5, -126, -82, -128, 29, -90, 34,
   74, -19, -35, 57, -7, 13, -126, 45,
   -25, 112, -128, 24, -63, -66, 3, -13,
   -98, 10, -112, -46, -100, -49, -81, -56,
   93, 71, 34, -22, 103, 19, 127, -40,
   90, -91, -2, -92, -125, -34, -19, 65,
   -126, 46, 58, -83, 110, 80, 66, -1,
   -74, 127, 41, -20, 122, -60, -5, 114,
   72, 2, -128, -69, 56, 60, 43, 63,
   -49, 27, -124, 14, 119, 124, 23, -114,
   107, 16, 37, -126, 125, 53, -15, -128,
   126, -124, 23, -38, 124, 15, 72, -74,
   -22, 44, 127, -93, -8, -126, -19, -49,
   15, 127, -28, 113, -19, -16, 66, -82,
   -123, 47, -109, -100, -122, -128, 50, -107,
   -59, 118, -31, 85, 67, -99, 0, -2,
   32, 31, -73, 88, 111, 43, -4, 126,
   -67, -2, 104, 115, -52, -38, 116, -56,
   -104, 119, -92, -97, -21, 127, 26, -126,
   127, 127, 29, 55, -97, -102, -28, 42,
   -125, 127, -27, -127, 53, 46, -127, 5,
   -128, 121, -118, -14, -78, -31, 71, -30,
   -5, 38, -12, 4, 123, -21, 93, -128,
   -57, 110, 127, 127, -113, 70, 69, 87,
   125, 127, -109, -64, 127, -25, 71, -18,
   61, -5, -5, -128, 123, -97, -125, -120,
   -43, 88, -125, 127, -109, 57, -109, 24,
   -50, 93, 74, -1, 88, 24, -58, -69,
   -40, 125, 127, 125, -105, 29, -127, 12,
   -45, -43, -8, 127, 19, -91, -128, 112,
   -5, 39, -3, -23, -60, -71, 10, 5,
   -23, -87, 39, 62, 127, -36, -44, -26,
   99, 43, -31, -39, 62, -128, -128, -14,
   46, -29, 86, -107, -16, 75, -80, 40,
   -104, 57, 109, 76, -57, -95, -26, -128,
   7, -31, -59, -127, -48, -25, -2, -73,
   -92, 127, 78, -4, -4, 27, 45, 101,
   9, 63, -5, -98, -127, -10, -106, -34,
   -28, -35, 108, -45, -106, 115, -2, 2,
   76, -19, 1, -19, -125, 95, -69, 61,
   41, -85, 45, 77, -51, 125, 119, 126,
   10, 127, 20, 20, -62, 93, 8, -91,
   -47, 21, 56, -19, 23, -127, -17, 2,
   -128, 53, -35, -67, -66, -25, -25, 47,
   38, -57, 33, -13, -29, 13, -65, -45,
   -40, -58, -28, 14, -70, -82, -10, -65,
   -13, 30, 15, -17, -38, 4, -65, -26,
   16, 52, -24, -4, 44, 17, -5, 2,
   -49, -42, -14, 39, -59, 29, 6, -22,
   -36, -40, 7, 40, -29, -2, -39, 31,
   -21, 16, 17, -89, 87, -57, 19, 31,
   17, -33, 52, -16, 43, 3, -34, -12,
   39, 32, 62, 14, -15, 65, 6, 2,
   11, 68, 6, 21, -42, -125, -15, -12,
   -5, 46, 36, 38, 127, -88, -53, -5,
   59, 29, -15, -6, 42, -27, -79, 42,
   3, 126, -45, -98, 18, 77, -32, 8,
   13, -128, 92, 119, -12, 49, 53, -4,
   39, 8, -88, 14, 44, -126, -45, -2,
   47, 99, -10, -81, -19, 92, 59, 89,
   32, -43, -23, 51, 19, 24, 9, -41,
   -48, 47, -124, 49, 41, -5, -11, 127,
   -70, 7, 119, 127, 15, -58, -32, -18,
   22, 31, -77, -15, -25, 32, -24, 40,
   -45, 9, 25, -5, -30, 14, 10, 51,
   -8, -51, -51, -26, 67, 53, 54, -93,
   -7, -21, -57, -7, -127, 44, -87, -41,
   70, -6, -52, 40, -65, 35, 27, 11,
   -10, -116, 13, 30, -22, -39, 0, 7,
   -74, -15, 6, -2, 79, 41, -15, 58,
   -11, 3, 13, -9, 26, 127, 16, -58,
   5, 124, -8, 20, -55, -87, 17, -83,
   2, -32, -38, -70, 100, 44, -7, -20,
   127, 13, 82, -15, 93, 18, -100, 16,
   -8, -21, 10, 127, 98, -4, -2, -22,
   -31, -74, -72, 37, -22, -10, -3, -4,
   -93, 57, -46, 13, -52, 20, 5, -31,
   -7, -127, 108, -5, 4, 11, 59, -42,
   -64, 23, 6, -14, 98, -13, 37, -31,
   -127, 53, -44, 66, -23, -111, -25, -16,
   18, -44, 34, -28, -123, 6, -3, 65,
   -9, 6, -22, 24, -14, -15, -45, -126,
   0, -68, 77, -68, 32, -35, -123, 7,
   -26, 37, 85, 17, 42, -84, 1, 75,
   -46, 126, -21, 35, -119, 33, 40, -37,
   -85, -15, -8, -77, -11, -8, -2, 115,
   23, 58, 27, -124, 121, 12, -35, -78,
   94, -59, 22, 21, 7, 29, -23, 116,
   -4, 0, 69, -19, 40, 19, -28, -102,
   -127, -42, -87, -60, 90, -111, -30, -21,
   10, 91, 127, -10, 27, -7, -24, -29,
   127, 83, 82, 17, -28, -59, 99, 26,
   19, 14, 10, -38, 114, 10, 116, -118,
   -96, 86, -67, -123, -13, 47, 1, -36,
   70, 41, 11, -75, 7, -125, 126, 24,
   58, -23, -111, -99, 127, -96, 36, -87,
   74, -107, -9, 13, 8, -41, 125, -22,
   20, -54, -121, -11, 127, 127, -97, 48,
   -64, -127, -60, 3, -25, -71, -62, -92,
   -28, 59, -107, 52, -1, 18, 94, 87,
   -59, -18, -127, -114, 125, -48, 34, -127,
   -84, 12, 92, 84, -114, -124, -37, -127,
   -3, -45, -34, 36, -104, -50, -47, -104,
   -33, 10, 62, 30, 17, -12, 47, 19,
   127, -127, -25, 53, -9, -21, 33, 51,
   -47, -91, -24, -60, 90, -47, 38, -35,
   -103, 50, -101, 6, 36, -126, 36, -11,
   3, 84, 100, -8, -100, -47, -46, 32,
   -28, 125, 51, 20, 124, 62, -58, -50,
   127, -17, 41, 12, 54, -127, 27, -126,
   50, 104, 80, 125, -40, -32, 64, 24,
   16, -73, -15, 21, 36, -82, -31, -103,
   32, 76, 16, -17, -21, 39, 122, 42,
   -19, 126, -28, -60, 58, 42, -35, 31,
   -123, -14, -73, 13, 28, 77, -41, 125,
   124, -103, 32, -128, -112, -11, -49, 11,
   18, 77, 43, 45, 35, -77, 5, 94,
   -81, 8, 14, -103, 75, 39, 14, 16,
   -71, 30, 73, -74, 55, -31, -114, -3,
   30, -32, -14, 25, 81, -64, 43, -32,
   -71, 54, -14, -11, -99, 14, -7, 66,
   -84, 51, 56, -84, 12, 50, 10, -62,
   19, -66, 3, 4, -126, -82, -42, 53,
   55, -108, 125, 36, 7, 21, -21, 6,
   46, -43, 72, 51, 122, 127, 38, -59,
   -52, -22, 127, -23, 102, -34, 13, 5,
   -5, 48, 127, 126, -94, -17, -116, 44,
   60, 4, -21, -76, -127, -34, -57, 68,
   -82, -110, 12, -96, -62, 23, 93, 26,
   -128, 71, 48, -43, -28, 8, 15, -5,
   86, -33, -53, -13, 122, 111, -15, 62,
   67, -68, -12, -33, -18, -37, 57, 73,
   115, -68, 79, 121, 60, 127, -3, 3,
   -121, 120, 31, -125, 53, 3, 4, -88,
   -4, 127, -79, -116, 32, 127, -21, -110,
   -63, 3, -13, 7, 1, 82, -46, -92,
   77, -46, 39, -115, 119, -79, -127, 127,
   -127, 55, 6, 34, -81, -70, 3, -128,
   12, -44, -28, -87, 46, -83, 83, -60,
   -125, 31, -67, 69, -126, -69, -6, 81,
   6, -1, -6, -95, -21, -17, 127, 31,
   -33, -35, -80, -35, 0, -6, -27, 42,
   -5, -32, -68, 54, 4, -110, 32, 127,
   56, -27, -122, -3, -25, 54, 12, -4,
   -35, 34, 14, 81, -61, 90, -28, 33,
   -29, -15, -91, 14, 80, 92, 5, 50,
   18, -52, -38, -40, 65, -1, 25, 103,
   21, -93, 53, -22, -46, 27, -17, 77,
   127, 101, -65, -1, 55, -50, 70, 24,
   -63, 49, -27, -127, -91, 46, -84, 6,
   -46, -40, 47, 50, -123, -123, -78, 79,
   -6, -109, -103, 51, 62, 77, -1, -31,
   6, 1, 10, 42, -3, 15, 23, 2,
   105, 5, -39, -12, 15, 72, -113, 124,
   66, -14, 91, -18, -63, -102, -124, 81,
   -71, 67, -87, -88, -50, 9, -97, -10,
   90, -47, -82, 33, 82, 125, 46, -34,
   -30, -21, -126, -54, -88, 84, 91, -64,
   -33, 35, -45, 98, -61, -28, 18, 74,
   -109, -114, 10, 62, -39, -65, 7, 116,
   61, -103, 56, -105, -125, 7, -36, -45,
   81, -116, 40, 27, 68, -15, -4, -35,
   87, 75, 6, -89, 1, -3, 54, 125,
   76, -112, -89, 8, 33, 32, 19, -101,
   125, -119, -5, 17, -3, -77, 73, -125,
   12, -110, -35, 111, 75, -34, 74, -115,
   -126, -103, -50, 7, -127, 58, 105, 107,
   18, -124, 126, 67, -125, 120, 8, 19,
   -17, -115, 9, -53, -76, -79, -127, 64,
   85, 2, 126, 67, 40, -33, 127, 127,
   65, -42, 63, -19, -44, -10, 75, -81,
   110, 15, 64, 108, 8, 105, -102, -127,
   77, 39, -105, 8, -22, -69, 48, -128,
   127, -87, -126, -48, -37, 51, 118, -68,
   68, -15, -67, -28, -65, 42, 3, -32,
   3, -1, 41, 13, 115, -75, -64, 79,
   118, 40, -30, -36, 17, -3, -65, -16,
   33, -45, -58, 72, 0, 20, 28, 28,
   111, -9, -82, 126, -116, 126, 26, 86,
   67, 59, -15, 40, 0, -2, 23, -99,
   -4, -13, 8, 51, -90, -112, 115, 27,
   10, 7, -3, -21, 31, -2, -103, -128,
   -69, 17, -4, -94, -48, -27, 42, -53,
   -127, -45, -39, -63, -58, -95, -94, 26,
   81, 127, 56, 62, -13, -125, -46, 10,
   13, -127, 38, 39, 40, -14, 88, -42,
   -94, 47, 0, -39, 2, 31, 85, -126,
   -128, 55, 8, 58, -25, 104, -114, -126,
   99, 3, 114, -30, -110, -107, -58, -23,
   90, -24, 70, -44, -121, 127, -13, 47,
   126, -56, 66, 8, 119, 14, -86, 102,
   -97, 126, 99, -72, 16, -4, 115, -50,
   -27, 126, 127, 3, -21, -11, -110, -27,
   -31, -20, -126, -128, -125, -37, 96, 23,
   42, 12, 51, 99, 28, 95, 125, -42,
   -57, -27, -117, 0, -71, -63, -19, 68,
   -65, -56, -30, 50, -36, -58, -86, 96,
   78, -126, -67, 127, -91, 9, -112, -128,
   123, -66, 116, 108, 52, -119, -33, 58,
   -54, -124, 103, 21, 108, 65, -36, 71,
   -13, 56, -50, 36, 76, 49, 15, 26,
   -22, 54, -61, -65, 15, -48, 127, 121,
   -69, 13, -52, -7, 127, -128, -59, 127,
   106, -125, -128, -16, 7, 127, 34, -2,
   127, -127, -127, -10, -49, -54, 37, 37,
   -122, -93, -24, 51, 93, 7, -65, -17,
   -126, -95, -50, 35, -93, -128, -128, -37,
   -127, -4, -61, 127, 17, -10, -78, -61,
   -84, -4, -128, -7, -127, -74, 68, 57,
   -26, -99, 29, -128, 93, -81, -88, 11,
   104, -29, -128, 4, 63, 3, -94, 127,
   30, -113, -66, 11, 45, 68, 118, -26,
   -20, -56, 30, 24, -75, 61, 96, -27,
   -72, -14, 38, -28, -17, -81, 83, -21,
   124, 88, -127, 70, 105, -74, 20, -20,
   36, -61, 6, -75, -39, -27, -54, -33,
   24, 34, -54, -123, -127, -90, -77, 73,
   32, 2, 16, -118, 110, -127, 29, 106,
   -68, 59, 126, -42, -52, 71, 62, -101,
   -6, -125, -49, 32, -22, -43, -112, -114,
   -8, 38, 93, -38, -34, -9, -27, -127,
   124, -33, -90, 126, -27, 17, -19, 115,
   56, 10, 82, 49, -41, 54, -58, 88,
   7, -9, -6, -126, 32, 61, 32, -120,
   65, 82, 127, 4, -47, 121, -74, -97,
   59, -110, -6, -22, 103, -38, 127, 127,
   68, -61, 126, -8, 127, 83, -122, 4,
   -75, -126, 0, 52, 33, -111, 78, -125,
   80, -59, -22, 21, -16, 79, 24, -6,
   -118, -41, 81, -23, -122, -118, 35, 8,
   58, -127, -90, 61, -5, -127, -26, -65,
   61, 28, 12, 29, 90, -128, -16, 125,
   85, -73, -52, 78, 44, -13, -19, 127,
   63, 105, 35, 127, 14, 87, 125, 22,
   110, 52, 29, -105, -15, -35, 104, 56,
   13, -25, -124, 6, -52, 65, -125, 44,
   127, -93, 77, -77, -101, -61, 121, -42,
   -92, 114, -24, 89, 81, -54, -126, -35,
   106, -77, 36, 72, 123, 66, -49, 125,
   36, -58, -22, -66, 10, 97, -95, 112,
   118, 37, -122, -17, -109, 127, -30, 108,
   -28, -21, 120, -1, 105, 86, 50, 9,
   47, 33, 60, -117, -29, 52, -56, 50,
   117, -11, 99, -59, -110, -91, -43, -111,
   -86, 14, 41, 127, 97, 50, -126, -7,
   -57, -112, -75, 18, -122, -77, 127, 27,
   127, 38, -74, 44, -72, 89, 50, -90,
   2, 20, 11, -54, -2, 110, -95, -90,
   126, 127, 46, -49, -14, 14, 39, 95,
   -64, 99, -37, 35, -26, 25, -94, 46,
   118, 28, -26, -79, 32, -5, 29, 33,
   80, 16, 21, -91, 127, 43, -59, -87,
   -31, -115, -89, -115, -58, -21, 76, 15,
   -88, -8, -77, -22, 44, -49, -28, 122,
   -3, -17, 93, -6, 69, -19, -22, -14,
   33, -61, 71, -3, -61, -127, 25, -127,
   127, 66, 39, -24, 10, -47, 17, 127,
   -45, -45, 93, 125, 18, 46, 33, 16,
   40, 64, -30, -38, -16, -127, -6, 39,
   -86, -18, 49, -9, -81, -11, 98, -33,
   36, 7, 22, -8, -35, 18, 120, -52,
   -51, -61, 52, -44, -24, 17, -17, -6,
   35, -21, -32, -47, 49, 40, -15, 7,
   -29, -80, -61, -5, 39, 37, -18, -95,
   -27, -49, 66, -50, -93, 91, -36, -27,
   90, -4, 16, -21, 6, -5, -53, -45,
   44, -39, 71, -126, 64, 26, -49, 10,
   -28, -31, 88, -107, -103, 16, -74, -31,
   17, -73, -35, -49, -49, -28, 83, -3,
   -23, -34, 14, -35, 2, -5, -67, -75,
   -17, 22, -52, 20, 68, -19, -24, -72,
   -55, -16, 24, -25, -16, 25, -81, 53,
   52, -34, -84, -20, -20, 34, 22, -82,
   9, -56, -83, 86, 7, 43, -20, -57,
   4, 56, -70, 6, 57, -58, 6, 9,
   34, 99, -91, -28, -64, 107, -63, -50,
   11, -38, -31, 24, -80, -7, -76, -15,
   -20, 21, -7, -34, 54, -126, 29, 38,
   -1, -11, 18, 126, -7, -53, -21, 43,
   50, 47, -42, 55, -5, -100, 28, 25,
   -21, -28, -56, 16, -106, 13, 28, -16,
   -34, -73, 47, 12, -11, -34, 33, -123,
   -40, 42, -109, 12, -63, 127, -76, -76,
   76, -70, -46, -7, -74, 36, -58, -28,
   -110, 72, -62, 2, -33, 29, -27, 0,
   38, 15, 36, 9, -23, 4, -19, 127,
   60, 120, -18, 42, 49, 127, -18, 95,
   26, 57, -60, 53, -70, -44, 37, 57,
   -26, -12, 17, 29, 116, 74, -16, 9,
   68, 2, 16, -31, 62, 18, 42, 21,
   27, 57, -70, 113, 18, -16, -48, -44,
   -128, -30, -26, 6, 45, -98, -52, 105,
   -64, 63, -23, -12, -88, 127, -18, -10,
   -6, -45, -4, -39, -28, -38, 73, -9,
   53, 102, -16, 56, 11, -22, -22, 36,
   4, 99, 23, -23, 19, -4, -2, 26,
   22, 24, 27, -63, 21, 69, -25, 54,
   82, -10, -25, 105, 84, -22, 14, 29,
   -13, 16, -61, -29, 4, -16, -128, -69,
   -8, 31, 83, -83, -9, -56, 76, 123,
   -49, 43, 81, -3, -36, -35, -4, 127,
   -47, -30, 4, 86, 27, 27, -77, 72,
   -116, 24, 8, -54, 61, -75, 5, -83,
   -34, -77, 16, 5, 49, 0, -16, 43,
   -51, -20, -25, -29, 50, 36, 53, 51,
   -44, -4, 80, -49, -68, -16, 108, -32,
   -33, 9, 96, 46, 44, -11, 44, 46,
   60, 34, 41, -23, 23, 32, -30, -11,
   -10, -42, -19, 33, -125, 1, 2, -71,
   -2, 20, -64, -128, -56, -41, 11, -126,
   13, -7, -89, -54, -49, 2, -99, -46,
   121, 16, 60, -57, 98, -47, 117, 22,
   -45, 43, 35, 89, -21, -38, -23, -2,
   -122, 8, -31, 0, 82, 94, -63, 17,
   -45, -61, 12, 113, -2, -55, 33, 27,
   -4, 13, 6, -17, -13, 126, 12, 67,
   40, -12, -105, -119, 110, -25, -34, -49,
   -83, -56, 9, 13, -64, 69, -43, -127,
   36, -107, -50, 7, -11, -9, -105, 38,
   76, -6, -27, -22, 15, 62, 85, -25,
   21, -26, 16, -19, 4, 16, -11, 2,
   21, -74, 11, 54, 62, -99, 4, 31,
   -60, -65, 127, 4, 56, -125, 10, -44,
   117, -37, 56, 71, 76, 35, -79, 10,
   71, -7, 76, 50, 91, -43, -65, -60,
   51, 1, 25, -52, 59, -22, 21, -124,
   -23, 54, 8, 71, -49, -32, -1, 19,
   105, -30, -127, 33, -4, -44, 16, -34,
   -61, 119, 18, 6, -61, -24, -36, -35,
   -21, -45, 27, -126, 60, -13, 74, 27,
   109, 16, -2, 54, 52, 124, 0, 36,
   127, -124, 43, -98, 52, 28, 69, 47,
   -34, -41, 0, -11, -4, -44, -21, 78,
   -3, 110, -9, -83, 58, -10, -1, -44,
   -20, 94, -97, -122, -54, 11, 10, 23,
   -2, -14, -41, 32, 32, -94, 20, 43,
   -27, 52, -37, 13, -85, -3, -6, 53,
   -85, 62, -40, -53, 53, -14, -40, -10,
   57, -18, -67, 79, -11, 63, 126, -1,
   28, 26, -38, -85, -8, -27, 27, 64,
   46, -90, 7, 52, 123, -36, -41, 10,
   65, -63, 71, -98, 12, 14, -83, -15,
   37, 66, 1, 39, -25, 43, -42, 13,
   120, -29, 37, -90, -25, -48, -69, 82,
   -54, -24, 60, 9, 45, 38, 75, -22,
   19, 63, -102, -53, 6, -26, 92, 50,
   19, -71, 5, -29, 70, 17, 90, 1,
   -60, -6, 4, 58, -47, 1, -40, -60,
   -26, 33, -18, -1, 23, 31, 11, 6,
   10, -126, 95, 25, 34, -50, 18, 48,
   22, -6, 24, -97, -26, 22, 22, -17,
   -34, -22, -15, 127, -15, -110, -38, -86,
   -67, -126, -128, 64, 59, -18, -63, 55,
   -58, 81, 69, -64, -107, -15, -61, -65,
   -12, 33, 28, -42, 12, -127, 24, -7,
   -103, -21, -127, -45, -24, -19, -127, -33,
   6, -65, -64, -27, 9, -28, 72, 20,
   40, -15, 25, 11, 1, 25, -11, 21,
   42, 7, 27, 53, 0, -106, -9, 65,
   -25, 64, 40, -36, -17, 83, -4, -84,
   -34, -20, -10, 65, 37, -48, -10, 68,
   15, 2, 15, 93, -94, 124, 51, 69,
   29, -119, 21, -53, -24, 28, 96, 9,
   43, -42, -64, 11, -115, 36, -11, 15,
   93, 79, -45, -5, -38, -111, -65, -84,
   19, 99, -89, -77, -52, 7, -76, 82,
   -66, -124, 57, 93, -20, -97, 124, -84,
   -34, -2, -78, -96, -61, -11, -65, 23,
   -22, 22, -77, 40, -18, 96, 127, 75,
   -46, -26, 12, 101, -76, -19, -92, -59,
   -41, 9, 35, 18, 80, -19, -102, -10,
   21, -15, -65, -102, 90, -12, -27, -128,
   37, 57, -125, -16, 67, -101, -3, -30,
   23, 33, 49, -24, 83, 37, -56, 37,
   -13, 7, 54, 73, -50, -22, -90, -71,
   65, 3, -9, 90, 88, -29, -25, 80,
   -12, -66, -6, -47, -65, 17, -39, 76,
   -32, 85, 34, 66, -85, 100, 36, -96,
   25, 51, -106, -26, -20, 123, 76, 51,
   -50, 24, -9, 25, 13, -35, 13, 26,
   40, -15, 43, -90, -110, -28, -46, 14,
   26, -65, 127, 66, -25, 16, -25, 80,
   -11, 0, 28, 90, -98, -77, 33, -3,
   -30, -10, -12, -50, -120, -10, -34, 95,
   -23, -10, 63, 32, 16, 7, -54, -118,
   -32, 57, 26, -76, 88, 1, -35, 57,
   27, -4, -10, -124, 64, 38, 87, 127,
   38, -34, 63, 89, 41, 10, 33, 41,
   12, 116, 110, 35, -64, -83, 81, -22,
   25, -29, 58, 77, -49, 2, 87, 3,
   -41, 89, -29, -36, 4, 26, -107, -55,
   25, -30, 118, 3, 58, -96, 49, 40,
   88, 31, 21, 103, -20, 22, -36, -6,
   -17, 23, -46, 51, 88, -127, -30, -27,
   96, -19, 84, 12, -70, 127, 13, 41,
   50, -19, -86, 85, -67, 1, 30, 26,
   62, 25, -36, -13, -39, 0, 58, -1,
   -72, 4, -7, 25, -122, 81, 127, 2,
   25, -68, -10, -33, 64, 31, -127, 44,
   -23, 9, 33, -10, -19, 85, 52, -110,
   108, 116, 21, -53, 64, -105, 17, 32,
   12, -122, -53, 35, 36, 24, -118, -20,
   46, 113, -12, 6, -61, 36, -3, -38,
   -127, -48, 28, -112, -128, -28, -3, 2,
   82, 33, 68, 0, -78, 20, 127, -64,
   41, 55, -4, 77, 9, 31, -13, -76,
   127, -77, -57, 25, 26, -21, 21, 4,
   -116, 9, 78, 51, -49, 71, 40, 8,
   -22, -16, 33, -113, 41, -9, -115, -2,
   -42, 38, -68, -42, 127, -27, -5, 90,
   84, -26, 123, 86, 97, -106, 111, -71,
   47, -87, -127, -49, 56, 64, -35, 7,
   45, -112, -67, 35, -85, -103, -50, -128,
   -24, 15, 91, 20, 10, -128, 71, 2,
   -28, 51, -57, 31, 2, 85, -28, 1,
   -79, -34, -1, -2, 53, -67, -34, 36,
   -32, -69, -16, 127, 117, 0, 34, 63,
   -56, -23, -23, -13, -10, -44, 127, 118,
   37, -40, -18, 121, 77, -126, 14, 42,
   -21, -18, -53, 89, 22, 91, 104, -39,
   88, -59, -53, -71, -3, -41, -115, -113,
   -128, -24, -17, -35, 18, -109, -95, -50,
   19, -36, -114, -43, -74, -30, -22, -46,
   -85, 75, -32, -46, 11, -80, -83, 26,
   99, -103, -8, -19, -95, -13, 28, 4,
   38, -117, 113, -19, -7, 58, -87, -61,
   11, -127, -90, 10, 27, 5, 39, 62,
   60, -65, 64, -99, -41, 41, 27, -15,
   -38, -38, 29, -124, 87, 118, -9, -24,
   -40, -47, 9, 66, -49, -13, 19, -17,
   -22, 30, 17, 30, -6, -85, -5, 119,
   97, -13, 21, -124, 127, -40, -60, -83,
   -60, 61, 76, -34, -42, -90, -7, -13,
   -25, 3, -11, -45, -119, 17, 19, 24,
   -47, 115, -43, 8, 79, -1, 42, 64,
   77, 39, -20, 21, -85, -13, -6, -48,
   -51, 55, 28, -8, 15, -55, -54, -119,
   -115, -4, 86, 87, -21, 18, -9, 118,
   54, -47, -44, -11, -29, -54, -39, -77,
   46, 16, 72, -15, -72, 39, -99, -64,
   26, -82, 20, -30, 0, 112, 106, 0,
   28, -60, 40, -128, -75, -30, 5, -47,
   -57, -85, -44, -29, -77, 48, -84, 35,
   -30, 19, -9, 1, 50, -118, 95, -111,
   -25, 28, 12, -54, 70, 68, -24, -118,
   -2, 106, -4, -114, -69, 119, -12, -26,
   69, 68, -125, -37, -82, 77, -64, 32,
   2, 2, -30, 10, 12, -100, 9, 127,
   -34, -123, 39, 127, 42, -14, 7, 24,
   -80, -66, 32, -24, 42, -3, 30, -118,
   36, -6, -61, -1, -42, -37, 29, -13,
   -3, -21, -8, 77, -59, -118, -48, 75,
   127, -57, 41, -46, 34, 76, -1, 127,
   -107, -126, -3, 49, 78, 28, -96, 126,
   38, -41, 11, -110, 81, -29, -83, -20,
   13, 122, -37, 40, -32, 36, 2, 113,
   48, -23, -28, 2, 26, 86, -18, -34,
   -19, -53, 12, 64, 13, -44, 33, -42,
   73, 3, -24, 1, -42, 4, -41, 88,
   -28, -4, -23, 25, 13, 67, -22, 6,
   -55, 36, 68, 30, -30, -87, -34, 30,
   -3, -13, -6, 116, 86, 47, 58, 61,
   62, 61, 8, -9, 50, -61, 55, -93,
   -43, 17, -76, 10, 29, 29, 115, 8,
   28, 19, 65, 78, 26, -66, -70, 9,
   -19, 41, -27, -113, 14, -60, -37, -34,
   -17, 56, -15, -32, 38, 3, 12, -120,
   46, -93, -32, 39, -31, 39, 1, -58,
   -127, -32, -67, -67, -111, 29, 38, -2,
   15, -14, 107, 126, 1, 61, 6, 93,
   2, 5, 44, 5, -81, 47, -84, -12,
   -15, -5, -11, -11, -125, 94, 14, 5,
   -6, 97, 23, -48, 11, 36, -12, -99,
   68, 90, -122, 127, 49, -18, -9, 26,
   25, -14, -127, -18, -12, 104, 65, 79,
   -30, -127, 63, -80, 29, -126, -70, 37,
   -99, -80, -127, -108, -112, -65, 57, 8,
   27, -2, -23, -48, -49, 41, -64, -40,
   -40, 66, -38, 17, -50, 56, -65, -98,
   -27, -77, 127, -126, -36, 57, -100, -14,
   -127, -127, -64, 84, 119, 23, 54, 121,
   126, -7, 40, -71, -123, -65, 65, -124,
   -46, -17, -122, 83, -38, -4, 72, -126,
   14, 74, -126, -126, -30, -127, 78, -65,
   -16, -127, 111, -102, -126, 15, -69, -47,
   -17, -50, 10, -126, 126, -128, -39, -45,
   -119, -119, 127, -22, -126, 24, 89, 126,
   -91, -32, -9, 13, -127, -88, 83, -28,
   91, 101, -50, -19, -45, -66, -48, 91,
   46, 117, -1, -33, 127, -105, 45, 105,
   -119, -28, 23, -14, 69, -39, 60, 57,
   22, -50, 40, -43, 41, -30, -28, 59,
   -21, -28, -43, -127, 59, 36, 51, -53,
   39, 39, 50, 62, -104, -17, -75, 1,
   -66, 10, -14, -64, -7, 103, -83, -43,
   -124, 114, 46, -28, 6, -44, 57, -29,
   -110, 31, -37, -57, 125, 66, -32, 62,
   71, 0, -36, -53, -11, 41, 14, 127,
   22, 19, 110, -16, 5, -22, 92, -12,
   57, 70, -21, -78, -7, 68, -128, -25,
   -32, 14, -1, -86, 112, 17, 19, 114,
   -18, -18, 38, -60, -60, 1, -18, -19,
   11, -13, -53, -19, 24, -23, -38, -14,
   65, -61, -4, 4, 44, -115, -127, 20,
   122, 111, -102, -11, -72, -30, 31, 18,
   65, -6, 37, -23, -123, 125, 4, 65,
   67, 27, -51, 16, 76, 49, 59, -48,
   44, 77, 127, -73, -17, 96, 51, -34,
   34, -61, -89, -50, 119, 41, 21, -64,
   74, 2, -55, 127, 81, 34, -121, -94,
   -45, -57, -76, 99, 100, -46, 127, 69,
   -42, 59, 49, 51, 40, 73, 89, -26,
   5, 8, -69, 15, -123, -36, 39, 126,
   74, -34, 124, 23, -3, 126, -37, -84,
   -50, 85, -121, -93, -22, 32, -40, 29,
   70, -20, 3, -1, -33, 83, -34, 40,
   -127, 4, -21, 14, 41, -95, 125, 109,
   118, 48, -87, -20, -99, -29, 56, -32,
   -16, -12, 4, 86, -22, 57, 69, -50,
   39, 18, 1, -123, 62, -68, 115, -77,
   -9, -128, 69, -55, 9, 10, -126, 90,
   -50, 31, 43, -128, 127, 27, 93, -113,
   -124, 92, 26, 55, -19, 87, 70, -89,
   -99, -30, 30, -43, -5, -103, 127, -75,
   -127, -77, 65, -17, 53, 67, 13, -50,
   -3, 83, -47, -123, 109, 127, -58, 79,
   -26, 8, 40, 8, 13, -8, 127, -119,
   29, 12, 66, 45, 45, -23, 17, -57,
   21, 8, 46, -124, 29, -72, -23, -69,
   127, -19, 50, -22, -61, 0, -37, -16,
   6, -9, -43, -34, -29, -59, -59, 27,
   -128, 98, -28, -7, 58, -63, 33, -2,
   -18, 127, -44, 62, 35, 17, -61, 3,
   114, -38, 43, -2, 12, 55, -124, 23,
   -31, 89, 111, -98, -53, -26, -26, 22,
   -16, -122, -41, 57, 13, -83, -94, -14,
   73, -10, 25, -9, 127, 45, -79, -57,
   87, -102, -106, 65, -1, -55, -36, 61,
   30, 30, -111, 25, 16, -42, 22, -21,
   -40, -8, -2, 108, 55, 30, -44, -53,
   104, 29, -68, 57, -48, 10, 29, 78,
   -39, 13, -22, -50, -114, 76, 63, 36,
   20, -1, -32, -115, 40, -2, 79, -38,
   -26, 42, 12, -9, -2, 105, 103, -40,
   -20, -128, 37, -79, -75, 66, -64, 59,
   81, -26, 12, 126, -11, 0, 11, -85,
   -68, -122, 121, 108, 73, -36, 26, -6,
   -92, 52, -127, -127, -5, 126, 124, 20,
   19, 117, 91, 39, -128, 29, -14, 53,
   127, -124, 125, -44, 52, 125, 121, -70,
   125, -41, -58, -65, 21, -42, -128, -11,
   66, 66, -117, 124, 82, -36, 102, 39,
   58, 127, 98, -7, 123, -3, -59, 1,
   51, 31, -27, -4, 58, 127, -4, 22,
   109, 2, 62, 76, -126, 26, -40, 81,
   -16, -59, 124, 127, 52, 126, 105, -23,
   127, -113, 57, 110, 127, 68, 18, -93,
   -92, 75, 24, -24, -59, 127, 125, 14,
   -89, -51, 87, -75, 93, -128, 84, -125,
   105, -68, 53, -22, 114, -74, 40, 57,
   19, -125, 63, -25, 11, 85, 105, -124,
   -122, -77, -68, 84, -77, 127, -64, -63,
   72, -2, 45, -36, 107, -10, 47, -29,
   -91, -3, -42, -108, -67, -2, 83, -18,
   -6, -114, -32, 71, -65, -92, -74, 63,
   113, -79, -16, -100, 48, -44, 97, -30,
   69, -59, -59, 109, 21, 54, 96, 24,
   -19, 71, -80, 11, -54, -121, 15, -113,
   -24, 16, -4, 120, -128, -89, 7, -39,
   -33, -34, -9, -122, 4, 29, -121, -77,
   -95, 74, -19, 91, -65, 109, 88, -51,
   -29, 68, 87, 25, -10, -106, 11, 36,
   -40, -83, 83, 54, 62, 50, 21, 25,
   13, -80, -128, 1, -83, 127, 20, 82,
   -124, 44, -82, 50, 54, 40, -49, 44,
   -59, 33, 127, 4, -32, 61, 12, -3,
   -16, -114, 70, -5, 56, -88, -49, -51,
   6, 6, 21, 7, -13, 23, -118, 24,
   2, 68, -32, -9, 94, -10, -47, 71,
   -44, -2, -48, 63, 35, -38, 26, -82,
   -105, -128, -61, 42, -107, -56, 41, -127,
   12, 79, -24, 100, -125, 5, -33, -43,
   48, 54, 5, 56, -30, 99, -105, 28,
   44, 87, -127, -121, -104, 5, -2, 91,
   86, -29, -59, -15, -111, 25, 14, 121,
   50, 5, 97, -32, -106, 127, -21, 111,
   127, -6, 74, 127, -128, 56, -101, 27,
   -58, 119, 126, 56, 53, 28, -128, -8,
   100, -68, 30, 110, 15, 108, -26, 5,
   45, -48, 80, 9, -24, 119, -21, -113,
   -21, -7, -8, -118, -20, -29, 62, 46,
   -128, 21, 59, -38, -99, 92, 121, -78,
   -25, -120, 127, 21, 14, 75, 108, 85,
   -25, -53, 0, 73, 59, -128, 3, 99,
   -32, 1, 82, -99, 1, 43, 86, 52,
   29, -121, -25, 36, -33, -37, -89, -69,
   -19, -41, -49, -55, -104, -32, -128, -126,
   -64, -32, 2, 127, 31, 50, 94, 98,
   -4, 112, 32, -29, 13, -86, -74, 36,
   24, -75, 95, -124, 18, -8, 2, -36,
   -43, 3, -49, 27, 65, 96, -90, 33,
   72, -67, -49, -15, -46, -7, -7, 32,
   9, 7, -79, -16, 70, 127, 15, -89,
   -30, 49, 69, -36, -59, -118, -87, -57,
   -18, -62, -1, -79, 47, 46, -1, 44,
   -77, 40, 37, -76, 27, 58, 0, 73,
   24, 48, 3, 48, 23, 3, -29, -36,
   42, 103, 80, 10, 11, 43, -52, 27,
   -26, -33, -53, 77, 8, 53, 39, -11,
   -29, -10, -89, -5, -62, 78, -5, 23,
   -114, -30, -93, -53, 17, -38, -6, -50,
   54, 38, -99, -2, -58, 4, -96, 78,
   -18, 23, 57, 74, -7, 8, 19, -87,
   97, 4, 91, -35, -17, -67, -89, 127,
   30, 14, -6, 19, -55, -42, 20, -7,
   20, 6, -26, 27, -99, -123, -22, 19,
   19, -107, -24, -15, 28, -48, -30, 5,
   -4, -44, -12, 12, 39, -13, -9, -60,
   4, -19, -20, 12, -43, -42, 52, -62,
   83, -33, 31, -59, 63, 47, -37, -127,
   -58, -45, -117, -124, -85, -30, 19, 54,
   114, 93, 25, -52, -76, 49, -97, 66,
   127, 35, -48, 84, -20, -7, -25, 53,
   50, 127, -109, 38, 65, -40, -41, -40,
   126, -120, 2, -14, -125, 63, 127, -36,
   -83, 61, 11, 25, -85, -67, 29, -65,
   -52, -81, 60, 32, 10, 26, -96, 127,
   -33, -43, 24, 21, -34, -71, 121, -28,
   16, -42, 68, 11, -119, 64, 118, -1,
   65, -67, 56, 107, 23, -38, -3, -66,
   16, -60, 77, 10, 102, 126, -49, -36,
   -50, -25, 52, -69, 32, -13, -29, 18,
   -19, -35, 9, -45, -21, 21, -128, -32,
   -94, 6, -34, -18, -32, 115, -9, 45,
   -26, 42, -8, -109, 32, -26, 55, -7,
   -53, -18, -20, -18, -41, -40, -24, 44,
   33, -32, 55, 26, 3, 4, 13, 46,
   93, -73, -71, 16, 16, 54, -26, 15,
   -9, -100, -21, 67, 14, -67, 19, -82,
   29, 12, -37, 30, 12, 85, 83, 58,
   14, -12, -14, 35, -13, -53, -49, -13,
   -15, -42, -2, 14, -3, -68, -86, 62,
   74, 37, -1, -41, 19, -83, 34, 45,
   -26, 107, -2, 99, -40, 33, 16, -59,
   20, -59, -19, -27, 97, 46, 7, 34,
   -85, -69, -18, 73, -37, 47, -30, -4,
   53, -105, -88, -27, -33, 29, -20, -58,
   -49, -11, 85, 50, 29, -2, -55, 13,
   -126, -11, 79, -8, 22, 10, -21, 0,
   -19, 31, -52, 42, -19, -24, -128, 9,
   33, -112, 34, -13, -2, 37, 35, -102,
   92, -43, 37, -18, 22, -40, 1, -73,
   9, -78, -15, -25, 15, -18, -126, -34,
   -33, 61, -89, -124, -28, -1, 56, -33,
   -38, -127, 126, 14, 111, -118, 23, 62,
   -41, 42, -32, -12, -30, -33, -75, -127,
   127, -17, -127, 50, -128, -31, 52, 28,
   -72, 21, 33, -8, 35, 8, 124, 89,
   -57, 121, 119, -72, 68, -79, -32, 26,
   -62, 53, -11, 127, 46, -57, 93, -95,
   -76, -95, -4, -9, -2, -61, -4, 127,
   -16, -34, 7, -42, 57, -114, -56, 26,
   101, 37, 112, 53, -16, 49, -31, -1,
   -42, -126, 23, -32, 125, -128, 4, -10,
   55, 94, -8, 55, 58, 71, -34, -104,
   -69, -25, -9, 97, -31, 57, 29, -53,
   64, -77, 41, -50, -17, 37, -46, -112,
   79, -20, -21, 9, 20, 48, 17, -18,
   -46, -39, -16, 1, 98, 62, -91, -119,
   -17, 116, 108, -125, -69, 34, 52, -5,
   110, -31, 42, -86, -52, -2, -66, 90,
   3, 16, 13, -58, 16, 10, 115, -51,
   59, 25, 91, 5, -66, -79, -115, -35,
   49, -78, -4, 26, 83, 26, -87, 29,
   -126, 18, -105, 20, 44, 50, -44, -114,
   35, -43, -8, -6, -48, 125, 28, 111,
   53, 49, 47, -128, -106, -84, 14, -9,
   21, -76, 16, 26, -86, 28, -36, 3,
   92, 39, -71, 49, -64, 90, -116, -124,
   -14, 50, -21, 127, 86, 1, 15, -81,
   -22, 41, -36, -30, 117, -33, 30, 23,
   104, -36, -125, -16, 45, 120, -29, 24,
   3, -62, 54, -15, -8, -28, 22, -92,
   43, -55, -12, -15, -61, -37, 38, -61,
   -24, -26, 40, 1, 7, 10, -14, -21,
   -68, -23, 54, 12, -107, -9, 13, -41,
   -45, 127, 50, 34, 7, -36, 114, 9,
   18, -30, 3, -7, 127, -53, -126, -36,
   30, -27, -8, 85, -17, 11, 75, 90,
   38, -102, 106, -115, -39, -66, -27, -68,
   13, 58, 3, 30, 22, -32, 4, 0,
   -17, 5, 68, -42, 3, 18, -31, 52,
   14, 77, 20, 10, -60, 96, 19, -6,
   -29, -25, 32, 62, -47, 7, 57, 9,
   -1, 83, -33, 19, 36, -15, 124, 33,
   49, 53, -10, -19, 35, 14, 107, 40,
   -41, 112, -13, -19, -23, -21, -6, 35,
   10, -27, 37, 92, -26, 18, 24, 61,
   29, 6, 43, 9, -7, -38, -11, 13,
   116, 39, 29, 39, -1, 17, 12, 56,
   36, 19, 0, 13, -4, -34, 125, -35,
   -32, 48, -15, -1, 7, 42, 5, 42,
   0, 19, 5, -5, 21, -35, -1, 6,
   18, 39, -16, -17, -27, 12, -32, -1,
   -20, -67, 8, 23, -25, 17, -5, 31,
   56, -35, 69, 39, -24, -106, -12, 62,
   39, -50, 19, 71, 2, 52, -75, 36,
   -14, -37, 11, -27, -30, 2, -39, 7,
   -39, -31, 32, 49, 19, 31, -1, -71,
   42, -27, 88, 20, 66, 51, 15, -2,
   21, 11, -1, 9, 21, 18, -32, 83,
   20, -27, -9, -42, 6, -17, -4, -22,
   -54, 41, 29, -35, -19, 59, 3, -11,
   -39, -37, -3, -38, -15, 89, -22, -36,
   2, 3, -31, 1, 4, 38, -7, 3,
   13, -7, -3, 41, 16, -36, 42, -15,
   26, 5, -1, -25, -27, -48, 24, 10,
   25, 35, -54, 41, 23, 37, 9, 7,
   -6, 49, -33, 2, -4, -4, 44, 23,
   -31, 41, 3, -31, 4, -6, 63, -36,
   50, -57, -11, 9, 21, 17, -3, 1,
   -26, 7, 31, -16, -34, -34, 15, -14,
   -11, 48, 12, 15, 12, 2, 2, 39,
   -94, 20, 77, 59, -16, -51, 2, 52,
   21, -5, 9, 11, 49, -54, 15, -17,
   63, -23, 8, -44, -16, 0, -13, -16,
   12, -36, -22, 6, 7, -100, 4, -9,
   -28, 34, -81, 20, -47, -16, 15, -74,
   69, 53, -60, 7, -20, -21, -1, -19,
   0, -19, 5, -9, 73, 23, -37, -19,
   -3, -34, -22, -93, 7, -6, 24, -9,
   10, -35, 31, -33, -16, -51, 35, -58,
   -8, -9, 7, 10, -1, 11, -89, -68,
   -56, -8, -35, -27, 25, -17, 23, 29,
   -12, -9, -35, -20, -16, 1, -14, 24,
   11, -13, -1, -62, -22, -27, 41, -20,
   -31, -19, 23, -46, -56, -19, -27, 3,
   -13, -55, 8, 17, -11, -15, 35, -16,
   12, 0, -3, 25, -13, -56, 21, -74,
   -30, -18, 11, 5, 53, 58, -14, 30,
   24, 5, -67, 60, 20, 26, -15, -25,
   -23, 27, -125, -31, -43, 127, -1, 9,
   -1, 8, -36, -15, -32, -100, -6, 4,
   47, 21, 12, 28, -16, -46, -46, 12,
   43, -14, -22, -8, 9, 5, -36, 15,
   -39, 9, -37, -54, 8, -30, -43, 31,
   38, 46, 35, 29, 65, -43, -22, -66,
   52, 67, 24, 8, 14, -5, -20, 30,
   -44, 16, 109, 45, 37, -29, 38, 21,
   49, 15, -25, 21, -1, -40, -48, -5,
   -36, -17, -13, -2, 8, 48, 49, -3,
   3, -2, 29, 27, 8, 4, 9, 16,
   2, -126, -51, -17, -30, -31, -15, -9,
   -19, -16, 39, -6, 40, -25, -36, -28,
   9, -22, -8, -13, -9, -3, 5, 16,
   11, 18, -13, -6, 15, 1, -15, -32,
   -43, 7, 5, -52, 26, -46, -4, 8,
   8, 10, 7, 19, -31, -18, -51, -7,
   -44, 35, 1, -12, -4, 9, -18, -27,
   14, 11, -13, -12, 7, 9, -18, -2,
   -35, -22, 16, 5, -47, -9, 29, 0,
   -43, 35, -69, -38, -18, 29, -3, -6
};

static const rnn_weight denoise_gru_recurrent_weights[27648] = {
   -39, -35, -78, 44, -64, 27, -127, 2,
   31, -36, -54, 21, 24, -72, -32, -74,
   49, -79, 106, 53, -19, -35, 48, -27,
   34, 43, -63, -65, 38, -2, 50, -25,
   -42, -15, -83, 109, -13, 126, 34, -24,
   5, -20, -31, -75, -71, 6, -46, 88,
   54, -128, -117, -31, 71, 3, -2, -10,
   -9, -13, 22, 20, -1, 8, -55, -53,
   -3, -11, -21, 90, -59, 7, -33, -86,
   -23, 127, -110, -76, -33, -100, 64, -117,
   -2, -1, 7, -38, -28, -102, -38, -66,
   10, -91, -31, -80, -47, -3, -97, 65,
   -21, 40, 37, 76, 23, -35, 48, 5,
   8, -29, 9, -13, -65, 33, 24, -13,
   16, -20, 35, -79, 5, 64, 16, -50,
   -26, 8, 42, -26, 62, -1, -1, -69,
   29, 31, 23, -33, 5, 1, -73, -33,
   10, -30, 103, -13, -20, 37, 58, 2,
   79, -62, -8, 37, -4, 20, -43, 47,
   -40, -9, -36, -46, -12, 0, -45, -24,
   16, 53, -34, 14, -62, -8, 33, -54,
   6, -69, 24, -18, 17, -51, 37, 32,
   16, -3, -16, 45, 5, -51, -11, 6,
   60, 42, -25, 15, 34, -10, 51, 18,
   57, -44, -36, -42, 107, -75, 10, -19,
   -15, -63, -20, -11, -53, 62, 56, 125,
   -40, -12, -52, 29, -128, -81, -79, -20,
   -25, -26, -39, 42, -20, -43, 66, -39,
   -84, -125, -4, -20, 16, -44, -7, 3,
   32, 3, -8, 32, -1, -65, -6, -58,
   -36, 26, 70, 4, 21, -21, 32, 18,
   0, 97, 127, -55, -96, -78, -90, -2,
   24, 94, 19, -61, -6, -54, 26, -128,
   -12, -10, -33, -60, 25, -42, 17, -54,
   44, -4, -87, 13, 40, 127, -60, 12,
   -18, -35, -60, -7, -1, -55, -29, 7,
   -46, 50, 77, 8, 40, 72, -16, 13,
   83, -35, -37, 123, -2, 17, -52, 14,
   61, 63, 16, 47, -96, -14, 14, -46,
   39, -36, 36, 72, 66, -70, -15, 36,
   -71, -26, 59, 31, 12, 58, -10, 40,
   -21, 6, -59, 25, 57, -44, 65, -5,
   -45, 85, -44, 17, 75, -24, -43, -106,
   -1, -79, 42, -59, -22, 12, -32, 72,
   69, -72, 18, 6, 4, 73, -51, 86,
   60, 0, -28, 21, -50, 7, -15, 17,
   47, -31, -16, 6, -20, -3, 36, 127,
   -49, 3, 3, 96, 124, 51, 118, 43,
   -92, 2, -34, 42, 16, 104, -52, -13,
   -59, 36, -70, 73, -23, -10, -3, 84,
   21, 26, -39, -15, -99, 22, 51, -82,
   35, 21, 22, 47, 71, 75, -50, -34,
   1, 35, -18, 15, 87, 38, 32, -40,
   47, -5, -25, 79, -63, 35, -38, 20,
   -60, 3, -83, -28, 15, -9, -61, 30,
   48, -62, -17, 9, -45, -15, 4, 32,
   68, -17, -54, 47, 53, 11, 28, 26,
   -67, -42, 35, -115, 52, -44, -27, 39,
   -20, 6, 16, 9, 54, -35, 37, 0,
   11, -79, 54, 17, 9, -2, 36, 78,
   -55, 19, 29, -52, 48, 32, 12, 59,
   18, 98, 49, -1, 4, -34, -61, -23,
   -11, 10, -25, 42, 3, 63, 40, 60,
   -89, -19, 26, -63, -14, 23, -16, -15,
   5, 14, 17, 11, 23, 75, -31, 35,
   29, -48, 0, 65, -1, 54, -42, -52,
   40, -32, -4, -74, 16, -35, -13, -40,
   -26, -63, -62, -30, 54, 16, 12, 9,
   51, -53, -8, 17, 31, 63, -48, 16,
   16, -23, 95, 8, 0, -89, 13, 59,
   4, -4, 4, 0, 41, -62, -10, 12,
   -35, 50, -31, -33, -59, 56, -64, 5,
   -95, 17, -54, -38, 12, -67, 81, -60,
   34, -1, 21, -7, -34, -35, 15, 105,
   -110, 10, -115, -19, 49, 15, 39, -25,
   -128, -77, 55, 55, -16, 23, -50, 35,
   -43, 52, 4, -34, -31, 5, 110, 85,
   -51, 39, -64, -50, -18, -65, -100, -14,
   -23, 39, -121, 64, 61, 2, -44, 91,
   8, -65, -53, -5, -26, -103, 33, -100,
   55, -19, -74, -52, -56, -78, -127, 102,
   34, 38, 11, -20, 52, -15, 2, -19,
   19, -66, -121, -31, -53, -25, 7, 20,
   32, 22, 34, 58, -11, -10, 58, -107,
   -118, -12, -5, -26, 16, 44, -37, -8,
   -72, 84, -10, 32, -45, 33, 16, 37,
   43, 48, 48, 49, -13, -4, 37, 31,
   -37, 26, 1, -41, 48, -17, -64, -40,
   -35, 27, -7, 26, 17, 44, 47, 21,
   117, -30, 10, 126, 32, -4, 15, 51,
   -74, 25, 51, -19, 13, -47, 22, 42,
   71, -24, 22, -31, 16, -54, 40, -5,
   20, 17, -3, -50, -49, -21, -21, -11,
   -49, 82, 39, 88, 84, 86, -65, -39,
   20, -6, 86, 49, 90, 18, -30, -78,
   -28, 50, 19, 12, 28, 35, -23, 126,
   -128, 51, 66, 61, 30, -25, -77, 56,
   52, 51, 41, -34, 56, 19, 17, 37,
   -1, 10, 41, 2, 81, 54, -10, -127,
   40, -117, 3, 91, 55, 84, -39, 73,
   11, -12, -99, 35, -44, -30, -128, 12,
   37, -75, -45, -81, 0, 126, -31, 11,
   68, -10, 2, -61, 53, 13, -15, -52,
   48, 47, 10, 32, -4, 85, 49, -22,
   112, 0, -47, 98, 19, 23, 107, -35,
   -38, -95, 56, -65, 38, 48, -95, 18,
   -3, -42, 69, -125, 83, -3, -69, 41,
   37, -5, 53, 77, 41, -32, -19, 5,
   -26, -4, -23, 49, -91, 65, 32, -16,
   -26, 72, 8, 16, 60, -128, -103, 56,
   -21, -7, 20, -88, 29, 10, 88, 53,
   -101, -91, -27, 53, -75, 48, 12, -18,
   1, 15, 3, -100, -114, -126, -50, -14,
   -54, 57, -52, 56, 22, -13, -107, -25,
   19, -48, -6, -94, 4, -7, 27, -36,
   -119, 18, 13, -71, 58, 21, -35, 44,
   126, 114, 50, -101, 16, 79, 37, 9,
   -121, -41, 108, -128, -66, -42, -15, -45,
   -79, -24, 56, -74, -103, 47, 12, -1,
   78, -51, -19, -89, 21, -13, -93, -55,
   -49, -34, -25, -66, -80, -9, -31, 15,
   36, 32, -40, 1, 38, 94, 15, 29,
   3, 10, -39, 19, -28, 75, -33, 13,
   54, 5, -23, 57, 43, 2, 17, 48,
   -17, 46, -12, 40, 32, -28, -18, 9,
   118, -94, -56, -124, -10, 20, 30, 2,
   -14, 55, 3, 115, -7, -48, -22, 21,
   22, -123, -19, 9, 14, -38, 19, -76,
   -51, -5, 32, -75, -8, 22, 37, -23,
   37, 1, -44, 20, -12, 9, -34, -33,
   82, 20, 59, -29, -11, -44, -62, -15,
   -28, 31, -56, 43, -42, 40, -39, 73,
   -2, 20, -24, -17, -29, 39, -12, -39,
   0, -6, -1, -13, 30, 15, 25, -36,
   -95, -16, 79, 29, 40, 27, 1, -7,
   31, 38, -26, 14, 37, 46, -3, 41,
   -9, 21, 87, 18, -34, 48, -44, 44,
   86, -3, 33, -44, 4, 89, 3, 84,
   -17, 12, -26, -51, 11, -12, -61, -101,
   55, -45, -81, -11, -9, 0, 18, 56,
   53, -19, -3, 15, 64, 64, 33, 21,
   30, -72, -6, 19, -11, -26, 27, 25,
   -40, -3, 83, -75, 74, -72, 23, -55,
   23, -17, -49, 46, -88, 25, 99, -5,
   -29, 69, -107, 14, -96, 8, 41, -97,
   127, -66, -126, 1, 13, 105, -10, 3,
   -21, 3, -6, -126, 1, -27, 125, -7,
   34, 96, 25, -102, 67, 58, -51, 117,
   121, 12, 105, 63, -18, 78, 27, -7,
   42, 42, 127, 13, 81, 23, -33, -54,
   -12, 75, -89, 20, 127, -39, -35, 127,
   21, 94, -74, 23, -38, -27, 49, -28,
   89, 109, 1, 116, 99, -62, 98, 92,
   88, 127, -40, -92, -55, -116, 12, -18,
   -126, 70, 42, 45, 127, 40, -90, 7,
   -56, -126, -83, 76, 50, -90, -127, -18,
   -128, -113, 118, -71, -4, 2, -62, 74,
   3, 115, 54, 70, -30, 127, -83, 34,
   117, -12, 31, 107, 86, -82, 61, 82,
   112, -96, 86, 6, 15, -8, -9, 25,
   -12, 14, 102, -27, 29, -35, -64, 33,
   -84, 36, -101, 126, 51, -125, 121, 51,
   -36, 69, 13, 101, -104, 67, 54, -119,
   35, -37, 94, 22, 17, 63, 74, 77,
   34, -25, 24, 8, 127, 3, 90, -18,
   34, 62, 101, 15, 124, -45, 16, -107,
   77, 16, 13, 5, 82, -47, 56, 49,
   -11, 46, 41, -23, 80, 38, 90, 80,
   -38, 11, 56, -47, 95, 3, -22, 17,
   -29, 12, 18, 124, 65, 25, -67, 27,
   96, -44, 65, -20, 39, 12, 42, 58,
   -101, -47, 25, -36, -109, -16, -6, -75,
   -3, 116, -56, -48, -51, -101, 78, 36,
   41, -34, 40, -106, -24, 0, 74, -70,
   7, 4, -84, 33, -126, -48, 37, 127,
   -63, 38, -4, -69, 2, 65, 61, -19,
   11, -36, 42, -4, 116, -28, -20, 56,
   -21, 127, -28, 6, 78, 4, 59, 87,
   -50, -71, 41, 72, 66, -80, 78, 36,
   43, -60, -31, 29, 81, -84, 11, 69,
   44, -44, -96, 23, 35, 93, -54, 67,
   25, 123, -38, -71, 37, -117, 11, 90,
   61, -29, -78, 49, -18, -53, 98, 80,
   6, -47, -33, 65, 25, -17, 107, 74,
   -122, 40, -122, -44, -64, 25, 43, -10,
   -33, -32, 16, 82, -50, 6, -97, 9,
   -125, 1, -84, 90, -64, 59, 54, -18,
   -14, -10, 83, -61, -79, -125, -17, -9,
   32, -55, -15, 35, -22, 69, -46, -40,
   -18, -47, -57, -71, 124, -52, 36, -19,
   72, -62, -111, -46, -47, -34, -88, 126,
   -72, -14, -6, -48, 126, -8, 58, -16,
   -19, -45, -43, -41, -67, 34, -31, -5,
   118, 69, -29, -8, -32, 39, -53, -2,
   17, 18, -13, 33, 55, 47, -8, 69,
   30, -46, 30, -43, 119, -60, -65, 43,
   26, -122, -28, 38, 19, 50, -113, 38,
   126, -43, -31, 0, -105, 12, 73, 33,
   -18, 16, -4, 73, -29, -41, -51, 30,
   96, -101, 116, 35, 40, -36, 125, 0,
   24, -40, 41, 66, -27, 106, 37, 106,
   -20, 123, -74, -49, 17, 57, -30, 39,
   65, 70, 70, 41, -28, -71, 4, -1,
   32, 9, -33, 122, 11, 44, -11, -7,
   -73, 100, 59, 54, 73, 59, 70, -34,
   33, -9, 18, -62, 127, 65, 56, 4,
   51, 0, 127, -65, 69, -22, -49, -40,
   -19, 11, -39, -40, 39, 13, 35, 104,
   36, 32, -56, 0, -95, 85, 59, -28,
   16, -123, 48, -94, 49, 2, -1, -14,
   33, 106, -64, -10, -15, -58, 29, -72,
   -34, 4, 76, -49, -125, 118, 44, 79,
   -36, 27, 9, 11, 2, 19, -7, -112,
   -43, -36, 31, -40, 101, 24, -98, -16,
   34, 14, 14, 32, 50, -98, -13, -41,
   45, 124, -86, 75, -28, -17, -13, 21,
   -54, 118, 78, -79, 48, -61, -21, 114,
   -29, 74, 1, -37, 20, 31, 3, 24,
   86, 33, -15, -68, -77, -86, 28, -10,
   10, 127, -20, -94, -56, -26, 19, 121,
   -2, -60, 66, 71, 67, 65, -125, 36,
   -31, -69, 12, 32, 96, 48, 90, 66,
   43, 13, 21, -91, 93, 29, -33, 68,
   121, -21, -34, -14, 18, -16, -36, 47,
   -31, 62, 6, 63, -40, -11, 28, -128,
   -32, -25, 45, -38, -40, -88, 22, -1,
   -128, 37, 38, 94, -30, 78, 112, -48,
   -54, -88, 70, 32, 38, -54, -39, -6,
   -14, -9, -14, -40, -85, -48, 9, -83,
   54, 4, -20, -20, -37, -80, 39, 9,
   22, 13, -57, 47, 44, -96, 6, 28,
   -54, 34, -38, -15, 25, 35, -39, 56,
   63, 60, 72, -17, 7, 36, 50, -53,
   45, -47, -41, -56, 64, -18, 77, -44,
   49, 54, 5, -62, 8, -8, 82, 92,
   -50, -73, 46, 38, 25, -18, 63, -8,
   -5, -8, 62, -16, 19, 17, -5, 39,
   -34, 127, -23, -35, -9, -13, -42, -14,
   27, 38, 59, 10, 14, -90, -1, -54,
   57, 23, 0, 26, -125, 13, 32, 72,
   -95, 44, -19, 54, 48, -13, 57, 22,
   6, -105, 33, 125, 89, -36, 34, -34,
   34, 52, -12, -6, 57, 40, -79, -28,
   -32, -48, 15, -124, -3, 30, 59, -27,
   27, 53, 89, 83, 29, -28, -1, -44,
   -33, -20, 39, 27, 50, 17, -17, 47,
   -34, 69, 48, -25, 26, -24, -13, -104,
   1, 11, -9, 41, 51, 44, -31, 47,
   3, 29, -48, -34, -37, 13, 10, -24,
   68, -12, 39, 8, 67, -29, -121, 67,
   12, -94, 47, -33, -35, 14, 23, 39,
   2, 96, -6, 81, -41, 33, 15, -76,
   46, 62, 46, -3, 7, 21, 65, -10,
   27, -59, -93, -5, -22, -14, 16, -18,
   3, -7, 47, 58, -23, -64, -57, -31,
   42, 90, 26, -81, 79, 3, 127, 5,
   -33, -17, -36, -31, 13, 66, 0, -89,
   2, -78, 0, 11, 84, -23, -6, -52,
   5, -59, 59, -15, 36, -33, 26, -2,
   35, 97, -87, 7, 35, 74, -41, 112,
   -74, -42, -19, 30, -37, -57, -56, 32,
   -68, 4, -115, 42, -73, 4, -18, 4,
   19, 95, -81, -45, 47, -12, -28, -92,
   36, -55, -48, -76, -64, 27, -55, -35,
   -73, 90, -81, 90, -18, 2, 23, -31,
   -108, 34, -7, -55, 5, 9, 8, -66,
   -95, 3, 71, 15, 18, 125, -6, 83,
   -13, -50, 6, 18, -65, 61, -5, -57,
   -65, -24, 16, -70, 82, -64, -2, -4,
   -53, -18, -8, 50, -22, -20, -35, -17,
   -15, 2, -69, -41, 3, -11, -51, -74,
   -58, 70, 67, -27, -8, -68, 22, -10,
   -67, 58, 0, 54, -25, -17, 23, -51,
   48, 15, 41, 121, 35, -78, -91, -29,
   17, -21, 112, 6, -63, 61, -37, 26,
   63, -65, 10, -16, 12, -50, -44, 4,
   -19, 8, 40, -33, -7, -80, 16, -17,
   21, -36, 48, 12, -20, -18, -7, -49,
   -17, -8, 56, -95, 50, -105, -37, 2,
   28, -13, -29, 8, -6, -2, -39, -15,
   -51, -5, -6, -30, 33, -60, 41, -24,
   -85, 80, -66, -20, 37, -66, 52, 34,
   -66, -100, 96, 33, 24, 20, 70, 72,
   -46, 50, 13, 4, -4, 5, 48, -46,
   -15, -24, -42, 20, -2, 6, 20, -33,
   -10, -26, 17, 67, -33, -1, 46, 18,
   -1, 58, 10, 26, -35, -47, 15, -44,
   73, -92, 22, -54, 9, -50, 25, -26,
   39, 43, -17, 16, 108, 86, 38, 59,
   62, 15, -95, -62, -11, 29, -38, 60,
   -125, 19, 43, 59, 73, -47, 0, 64,
   -30, -60, 16, 33, 20, 41, -18, -42,
   -110, -3, 16, 119, 63, 111, -25, 30,
   24, -62, -103, 22, -42, -36, 21, 53,
   -41, 17, -25, 13, 94, 5, -1, 63,
   126, -34, 12, -26, -19, -16, 57, -1,
   -33, -40, -35, -110, -70, 25, -19, -79,
   -13, 36, -5, -80, 45, -24, 66, 12,
   62, -72, -36, -47, -45, -44, -1, 115,
   -1, -75, -42, -111, -20, -29, -8, -4,
   -19, -16, -57, 11, -20, 58, -37, 125,
   -26, -3, 17, -40, -4, 33, -6, 36,
   53, 16, -40, -26, -22, -77, 49, -23,
   28, -25, -11, -45, 110, 28, 16, -4,
   -1, -25, -92, -3, 11, -29, 9, 1,
   80, 56, 45, 8, -14, 21, -17, 47,
   35, 26, 80, -4, 17, -1, 28, 18,
   -41, 31, 82, 6, -45, -18, 13, 37,
   69, 0, -32, 127, 25, 43, -8, 126,
   59, -18, 22, -1, 9, -24, -28, -7,
   24, 36, 57, 20, 47, -16, -23, -33,
   -7, -35, -25, 71, 22, -23, 20, 14,
   15, 88, -24, -25, 107, 76, 43, 57,
   -36, 5, 22, 71, 81, 20, 30, 17,
   126, 30, -6, 18, 41, 59, 6, 37,
   -90, 43, 38, 32, 78, -10, -19, 28,
   71, 22, -13, 13, -42, -26, -12, -64,
   104, -59, 63, -2, -11, 25, -23, 24,
   53, 110, -27, -15, -50, 42, -11, -45,
   34, -22, -79, 45, -15, 10, 17, 6,
   10, 26, 12, 13, 11, 1, 31, -37,
   31, 63, -32, -127, 32, 100, -28, 4,
   -44, -13, 14, 6, 45, 9, -35, 46,
   58, -18, -70, 78, -109, 45, 82, -110,
   -126, -42, -36, -8, 22, -112, 73, 98,
   -117, -122, 18, 40, -30, 11, 3, 73,
   -98, -3, 45, 107, -67, 8, -45, -10,
   44, -39, 10, 78, 35, -39, -67, -84,
   -88, -37, -65, -77, 17, -74, -35, 42,
   -16, -58, -125, 6, -20, 0, -43, -34,
   -21, 17, 58, 32, 25, -72, 16, -69,
   -64, -50, -19, 80, -61, 72, -50, -84,
   72, 81, 62, 118, 101, 7, 7, 123,
   -51, -54, 79, -70, 31, 1, -27, 35,
   -18, -58, 86, -29, -120, 63, -35, -71,
   -105, -18, -34, 5, -48, 17, 46, -51,
   56, -119, 49, -58, -115, -106, 37, 49,
   -50, -98, 27, 15, -1, -11, -2, -14,
   23, -6, -11, -10, 79, -41, -37, -80,
   -71, -75, 9, -58, -40, -126, 42, -42,
   -89, -12, -45, 99, -85, 29, 71, 63,
   75, -78, -93, -128, 12, -87, 0, 9,
   -37, -30, -53, -12, 11, 54, 45, 48,
   15, -78, -21, 55, -38, 8, 5, -51,
   -10, -84, 36, -1, -82, 19, 58, -45,
   -15, 22, 70, 9, -57, -26, 77, 6,
   4, -10, 10, -25, 86, -74, -101, 5,
   -52, 34, 28, 51, 13, 119, -1, -11,
   24, -70, -56, 123, -60, -13, -11, 7,
   -30, -30, -6, 60, -16, -41, 12, -16,
   -60, 12, -51, -22, 15, -31, -35, 127,
   41, 37, -27, -39, -102, -42, 43, -109,
   -68, -67, 48, -45, -6, -31, 73, 15,
   85, 2, -39, 112, 22, -41, 29, -34,
   15, -74, -6, 21, -82, -28, 112, -15,
   -2, 62, 57, -35, 33, 15, -61, 17,
   -109, 67, 18, -56, -34, -4, 47, -34,
   -1, -10, 50, 72, 10, -39, 55, -37,
   8, 90, -128, 39, -75, -55, 4, -113,
   15, 14, -44, -16, 5, -91, -12, 53,
   41, 29, 13, -10, 25, -31, 126, 7,
   54, 37, 11, 23, -25, -57, -39, 25,
   4, 67, -12, 51, 73, -29, 15, 43,
   52, -39, -7, 18, 17, -7, -29, 42,
   -40, 22, 69, 42, 11, 13, -17, 76,
   -2, -86, 13, 44, -40, 89, -51, -40,
   51, -5, 14, 52, -18, 52, -62, 39,
   -35, 22, 11, -28, 17, 0, 5, -8,
   24, 11, 55, 10, 11, -31, 73, 0,
   -82, 51, 113, 14, -1, 35, -10, -25,
   -53, -37, 77, -57, 73, 45, -29, -11,
   15, -19, 21, -47, 37, -43, -16, 0,
   77, -11, 58, 14, 32, 27, -42, -28,
   1, -6, 10, -42, 48, -56, -57, 19,
   0, 11, 0, 44, -18, 64, 5, -77,
   -10, -55, -8, 37, -25, 52, 3, -21,
   -78, -19, 17, 30, 73, -2, 40, 17,
   34, 10, -23, 2, -8, 27, -57, 42,
   -52, 10, 12, 7, 58, -27, -10, 14,
   31, -20, 25, -16, 11, -33, -14, -23,
   23, 26, -5, -33, -15, 49, 0, 53,
   48, -32, 52, 53, 3, 26, -29, -45,
   7, -16, -64, -9, 27, -21, 16, 43,
   -23, -24, -11, 23, 1, 23, -26, 30,
   -29, -3, 32, 62, -4, 5, 67, -33,
   24, 1, -35, -10, 103, 19, -13, -37,
   -54, -2, 40, -29, 67, 57, -3, -2,
   -5, 15, 65, -2, 90, 31, -40, 22,
   9, -8, -56, 48, -14, 36, -29, 5,
   51, 16, 86, -30, 18, 14, -26, 74,
   2, 30, 24, -35, 67, -4, -64, -49,
   62, -30, -25, 19, 7, 18, 8, 36,
   53, 49, -10, 44, -27, 42, -23, -20,
   -4, -36, 5, -54, -6, 73, -21, -45,
   2, -37, 56, -10, 79, -12, -4, -56,
   9, 13, -15, 48, -41, 49, 7, -20,
   -89, -41, -51, -112, 32, -95, 87, 25,
   -1, -79, -13, -18, 106, 49, -31, 11,
   57, -110, -20, 36, 24, 7, -30, -30,
   18, 88, 14, 23, 31, -19, 127, -67,
   -25, 22, 88, 3, 17, 116, -87, 22,
   -46, -38, -61, -124, 43, -65, -61, -13,
   -45, -78, -19, 3, 26, -75, -14, 10,
   37, 58, -49, 94, -69, 86, -15, -88,
   105, -106, 48, -26, -126, -19, 127, -24,
   17, 22, 25, -122, -21, 86, 21, 111,
   16, 32, 66, -19, -76, 34, 64, -50,
   -48, 56, -102, 26, -47, -73, -54, 13,
   -34, 21, -16, 21, 32, 13, -35, -25,
   10, -31, -22, -47, -94, 80, -25, 20,
   41, 20, -37, -36, -19, 9, 19, 72,
   17, 3, 41, 0, -31, -23, -21, -25,
   9, 15, 14, -60, -55, -81, -80, -46,
   -31, 20, 18, 63, 15, -7, 81, -6,
   26, 3, 90, 2, 17, -58, -17, 24,
   100, -12, 28, -21, 11, -34, 26, 97,
   74, 84, 62, -23, 10, 39, 86, 40,
   43, 30, 105, -91, 76, 15, -36, -23,
   60, -81, 47, -36, -24, 52, -10, -127,
   10, -124, 12, -5, -28, 51, 13, 94,
   96, -27, 43, 9, 49, 0, -18, -6,
   31, -34, -18, 8, 47, 45, -36, 43,
   -5, 40, -53, 6, 71, 30, 61, -115,
   -28, 52, 23, 76, 65, 8, -116, 16,
   60, 14, 24, 97, -31, 102, -75, 53,
   54, 17, 47, -33, -53, 39, -22, -46,
   -64, 16, 9, -50, 80, 10, -47, -50,
   14, -106, -81, 1, -16, -64, 14, -49,
   77, -70, -3, 15, 38, 9, -111, 21,
   -16, 42, 22, -92, -6, -11, 36, 15,
   53, 28, 80, -49, 95, 7, 61, 98,
   29, 5, 59, 35, -13, -52, 45, -34,
   -18, -5, -61, -101, -4, -50, -14, -48,
   33, 0, -87, 126, -71, 24, -42, 28,
   -47, -20, -54, -94, -33, -60, -11, -31,
   -48, 29, -60, -47, -55, 3, -56, -36,
   -82, 43, -95, -49, -98, -47, -45, 25,
   49, -24, 48, -40, -4, -42, -6, 12,
   -33, -36, 4, -11, 16, -28, -127, -25,
   125, -68, -128, 12, -30, 1, -11, -32,
   -25, -116, -17, -42, -6, -69, 125, -1,
   65, 7, 43, -34, 11, -27, -27, -85,
   -86, 33, -15, 12, 1, 12, -10, 66,
   29, -75, -48, -53, -63, -58, 43, 46,
   8, 5, 64, -11, -12, 40, -65, -29,
   50, 7, -79, 26, -19, 10, -107, -31,
   -35, -35, -10, 11, 21, -5, -13, -59,
   39, 1, 58, -49, -20, -39, 33, 30,
   0, 1, 36, 19, -101, -66, -65, -43,
   -28, -30, -18, 6, -2, -73, -36, -10,
   18, -39, 102, 12, -53, 88, 5, -56,
   27, -125, 112, 65, -30, 16, 31, 39,
   3, -45, 14, -72, -1, 23, 11, 64,
   21, -4, 38, 26, 52, -38, -26, -54,
   50, -23, -125, -13, -88, 0, -43, 107,
   -10, -78, -13, -33, 53, 66, 30, -14,
   -9, -5, -50, 52, -4, -52, 52, 23,
   -25, 34, -30, -56, 30, -60, 42, -20,
   23, 71, 74, 34, -79, -18, -45, 104,
   27, 9, -68, -121, -71, -70, 87, -89,
   -57, 24, 115, -8, 7, -84, 66, -17,
   65, 6, 5, -103, -55, 9, 55, -81,
   10, -37, 6, -42, -66, -29, -7, 71,
   -68, 80, -48, -4, 41, -11, -31, 31,
   -45, 3, -63, -54, 39, -38, 1, 23,
   -36, 109, 15, 87, 106, -26, 48, 62,
   71, 40, -15, 112, -94, 1, 29, -12,
   -48, 30, -78, -80, 44, -65, -89, 65,
   -47, -127, -67, -127, -2, -6, 27, -37,
   -30, 50, 25, -85, -37, 15, -29, 84,
   -59, -38, -81, -15, 20, 127, -82, 103,
   -22, -80, -32, -6, 73, -76, 13, -4,
   -85, 51, -102, -47, 4, -16, 35, -45,
   109, -125, -7, -29, -31, 6, -34, -93,
   -125, -83, -124, 37, -58, 20, 6, 3,
   28, -47, 123, 14, -20, -124, -39, -62,
   -96, -42, -128, -95, -15, 104, 15, 33,
   29, 127, 77, -73, 8, 26, 103, 10,
   97, -112, -59, -128, -28, -7, -51, 127,
   -15, 127, 29, -80, 2, -34, 59, -62,
   -81, -20, -9, 15, 32, -26, -7, 6,
   -69, -10, 23, 31, -33, 11, 91, 117,
   -20, 41, -23, 41, 10, 73, 12, 40,
   44, 26, -4, 48, 9, -9, -46, -89,
   11, -15, -60, -36, 19, -65, -9, 18,
   125, -39, 0, 41, -9, 37, -78, 17,
   -104, -14, -63, -4, -59, 11, -73, 65,
   -9, -78, 39, 24, 42, 0, 111, -7,
   45, 7, 108, -19, -126, -13, -29, 18,
   63, 95, 28, -86, 75, 19, 34, -1,
   56, -66, 0, -83, 30, 21, 8, -26,
   44, -23, 62, 74, -14, -59, 68, 4,
   -12, -21, 58, 108, 117, 47, -29, 16,
   6, 121, 22, -37, 1, 61, -71, 48,
   -15, -5, 126, -127, 99, 75, -26, -22,
   -55, -39, 24, -30, -8, 49, 5, 91,
   14, -32, -89, -23, -26, 8, -70, -55,
   51, -46, 39, -64, 4, 58, -51, -24,
   11, -19, -40, -38, 104, -4, -3, -18,
   25, -9, 12, -14, -66, 52, -46, 21,
   11, -64, 39, 42, -2, -1, -33, -23,
   -22, -21, -29, -47, 102, 78, -81, -47,
   38, -35, 86, -39, -43, -48, -40, 12,
   59, -40, -3, 19, -38, -4, -38, 3,
   22, -13, -96, 86, -16, 52, -6, -30,
   -21, 8, 47, -22, 19, 53, 91, -99,
   -29, 5, 42, 35, -14, -128, -59, -45,
   54, -43, -38, -65, 11, 42, -40, -77,
   64, -124, -13, -12, -65, 0, -35, 79,
   -42, -64, -116, 19, -6, 59, 19, -100,
   -40, 4, -43, 96, 22, -128, 60, 92,
   -90, 25, -94, 23, -50, -56, -37, -46,
   47, -115, -49, 10, -22, -61, -127, -91,
   2, 61, -110, 11, -110, 9, 52, -92,
   -56, -83, 15, -13, -1, -38, -47, -78,
   -49, -112, -35, -100, -48, 104, -93, -65,
   2, 27, 56, -29, -47, -88, -66, -9,
   -36, -12, -91, -15, 3, 14, 26, 54,
   -63, -39, -21, 5, 23, -60, -47, 6,
   -24, -12, -19, -11, 82, -46, 9, -12,
   26, -33, 116, 79, -21, -90, -20, -25,
   7, -17, 43, -18, -13, -35, 44, -82,
   54, -33, 23, -97, -52, -4, 24, -11,
   -84, -48, -54, -87, -27, 42, -59, 48,
   40, -1, 85, -14, 33, -73, -89, 56,
   -28, -53, -26, -20, -29, 1, -128, 1,
   1, 16, 25, -5, -21, 7, 31, -24,
   96, 1, 51, -109, 30, 48, 26, -19,
   5, -10, 96, 11, 67, -32, 13, -47,
   34, -28, 27, 49, 113, -1, 126, 0,
   51, -26, 48, -12, 30, -97, 31, -43,
   -59, 35, -43, -63, -23, 97, 9, 26,
   11, -11, -13, 44, -55, -22, -43, -41,
   5, -68, -88, -9, 9, 28, -32, 19,
   36, -26, -64, 92, 43, -5, -93, 86,
   64, -51, -11, 55, -5, 10, -10, 127,
   -3, -52, -49, 22, 42, -7, 27, 2,
   -10, -11, 30, -62, 33, -92, -3, 14,
   -24, -34, 127, 6, 65, -6, 58, 127,
   -14, -33, 57, -5, -90, 43, -12, 50,
   -119, -11, -37, 40, -13, -37, 11, -60,
   46, -90, -7, -116, 84, -64, -95, -11,
   -76, -67, 14, -99, -108, -69, -52, -46,
   -7, -24, -9, -32, 24, -57, 116, -108,
   -84, 6, 33, -42, -29, -26, 29, 36,
   -78, -25, -9, -122, -55, -20, -125, 118,
   52, 32, -33, -116, -74, -102, -62, -33,
   -23, 17, 2, -13, 18, -17, -27, -51,
   22, -18, -88, -49, -61, 22, 64, -97,
   -35, 21, -19, -127, -48, -83, -87, -31,
   -91, -5, 37, -47, 3, -62, -35, -97,
   -113, -84, -116, 1, -81, -85, -118, 12,
   39, -89, 80, 88, -23, 84, -42, 43,
   24, 82, -38, -10, -38, 64, -32, -31,
   51, 104, -89, -5, -6, -42, 0, 41,
   -1, -35, -33, -14, -4, 63, 17, 27,
   -12, 6, 34, -99, 58, -51, -36, -18,
   22, 24, -27, 51, -25, -17, 53, 31,
   14, -13, 56, 65, 77, -3, 3, -18,
   60, -31, -29, 105, 86, 6, 20, 36,
   -32, -48, 35, 108, -25, -1, 60, 23,
   -25, 38, 34, 59, 5, -8, -11, -5,
   2, -33, 61, 26, -25, 7, 18, -8,
   3, -23, -25, 16, 22, 59, 20, -18,
   126, 48, -22, 59, 47, 41, 44, -60,
   -11, 4, -1, 106, -8, -17, 81, 76,
   51, 64, -36, 13, 79, -22, 45, -128,
   -74, -70, -2, 32, 123, 127, 57, -31,
   113, -32, -18, -45, -39, 76, -48, 24,
   38, 83, 116, 3, 29, -57, -102, -31,
   -22, 56, -21, -101, -74, -21, -34, -128,
   -9, -106, 11, -65, -69, -13, -57, -91,
   87, 43, 59, 127, -13, 121, -76, -45,
   33, -35, -109, 69, 126, 69, -6, 11,
   71, -93, 86, -127, 24, -8, 9, 104,
   -7, 11, -2, 42, -10, -63, 28, 43,
   -22, 23, -58, 16, 43, 14, 107, -36,
   64, 2, 33, 125, 31, 40, -3, 28,
   -70, 0, -41, 26, 123, -82, 80, 15,
   -37, -64, 73, 12, -97, -1, 9, -29,
   -16, 43, 125, 7, 20, 44, 1, 20,
   40, 52, 65, -63, 46, 111, -9, -14,
   -30, -128, 38, 113, 76, -61, -15, 108,
   97, -113, 47, -48, 40, 11, 46, 27,
   -78, 63, 2, 26, 42, -58, -70, 4,
   33, 97, 29, 1, 11, 98, 47, 42,
   26, 125, -77, -105, 33, 127, -18, 81,
   -6, 81, 3, -97, -108, -15, 4, 24,
   -79, -127, 68, 10, -42, -105, 6, -73,
   -8, 82, -67, -62, 53, -77, 31, -23,
   21, 4, 27, 67, 76, -58, 1, -101,
   -25, -89, 62, 5, 19, -29, -33, 48,
   -66, -30, 94, 106, 57, 61, 17, 41,
   -18, 7, -55, 84, 14, 75, -14, -19,
   42, -68, 18, -85, -127, 108, 57, -82,
   -51, -56, 22, -14, -21, -126, 11, 36,
   10, 116, -68, 42, 61, 55, -49, 124,
   5, -98, 13, -41, 18, 18, -101, -128,
   -81, 17, -128, -54, -81, -77, -11, -38,
   32, -16, 63, -63, 10, -1, -29, 10,
   61, -8, 20, 2, 16, -44, 9, -36,
   85, -31, -54, -105, 25, -56, -4, -1,
   123, 63, -42, 65, -127, 12, -40, 43,
   103, -79, -81, 12, -98, -112, -18, 63,
   -42, 19, 95, -71, 24, 3, 119, 39,
   -45, -93, 39, 17, 3, 1, 74, 19,
   -102, -32, 15, -6, -1, -43, 24, 39,
   -56, 47, -10, -2, 38, -49, 43, -87,
   53, -33, 1, -44, -53, 5, -1, -8,
   -36, 15, 34, 7, 20, -2, -1, 20,
   98, -4, -30, -3, -46, 91, 56, -1,
   -30, -28, 43, 26, 86, 19, 101, 10,
   33, -3, 51, 44, -11, 127, -16, -10,
   -3, -96, 4, -34, -43, -55, 18, -28,
   4, -125, 34, -25, -16, 127, 47, -23,
   12, 10, -42, -21, -27, -42, 97, 30,
   14, 18, 8, 74, -8, -31, -58, -104,
   0, 0, -49, -20, -49, 32, 70, 57,
   -26, -43, -33, 31, -40, -26, -4, 13,
   -58, 115, 74, 22, -7, 28, 11, -76,
   19, -55, 1, 64, 5, -79, -23, -92,
   27, 34, 91, 51, -8, -128, 90, 23,
   3, 34, 60, -14, -7, -18, -36, -59,
   -81, 2, -88, 22, 60, -59, -91, -112,
   -126, 65, 29, -1, 21, -64, -42, 2,
   86, 96, -3, 58, -56, 53, -41, 106,
   127, 11, 64, -31, -12, -44, -51, 11,
   53, -48, 115, -49, 113, -84, 31, 3,
   70, -78, -41, 11, -19, 74, -112, 95,
   45, 17, 56, 10, -24, 25, 106, -6,
   -70, -15, 58, 123, 75, 46, 61, -63,
   122, -61, 32, -18, -88, -35, 40, -81,
   -69, 52, 3, -108, -17, -71, 107, -13,
   49, -76, 25, -85, 19, 82, 22, -55,
   -4, -14, -109, 3, -1, -32, 35, -21,
   -124, 4, 21, -46, -29, 43, 25, 62,
   -54, 18, 62, -16, 124, 76, -28, -69,
   -64, -59, 12, 27, 67, 44, -81, 33,
   58, 115, 81, -62, 29, 113, 42, 3,
   -104, -55, -9, -14, 116, -70, -44, 89,
   88, -63, -59, 51, -84, 91, -4, -2,
   70, -88, 22, -124, 65, -83, -67, 15,
   27, 122, -102, -47, 37, 30, 118, -45,
   -46, -78, -106, 36, -64, 59, 27, -49,
   -5, 39, -13, 57, 30, 1, 17, 28,
   81, -30, 66, -118, 85, 76, -63, -72,
   91, -61, -1, -127, 8, 22, 40, -45,
   66, 80, -6, 96, 33, 112, -5, -43,
   -15, -16, 21, -29, -46, -37, -14, -98,
   -46, -92, -38, -86, 26, -52, -20, -53,
   -28, -72, 34, -50, -118, -70, -54, 4,
   -104, -90, -22, -127, -37, -30, -26, -86,
   -67, -49, -71, -55, -41, -125, -24, -55,
   -66, -29, 54, -1, 6, -72, -14, -67,
   -82, -73, -96, -42, -125, -37, 21, -62,
   -3, -15, -38, 24, 66, -63, -26, -108,
   -3, -11, -34, -82, -52, -49, -39, -63,
   33, -9, -24, 2, -52, -76, -36, -75,
   -92, -65, -2, -63, 24, -27, -114, -53,
   -55, -126, -90, -22, -51, -30, -86, -49,
   38, -62, -37, 7, 25, -54, -30, 18,
   -63, -8, -38, -13, -11, 22, -10, -16,
   18, -16, -15, -10, 23, -28, 8, 11,
   27, 5, 25, -41, 20, 6, 1, -30,
   -57, -12, -30, 9, 18, -14, -29, -4,
   -39, -15, -6, 32, -18, 26, -41, -79,
   -49, -58, -19, -36, -50, -34, -25, 28,
   -9, 48, -7, 22, 11, -66, -8, 9,
   28, 59, 30, 13, -47, 48, -9, -21,
   -18, -50, -20, 55, -10, -10, -58, 42,
   1, -20, 3, 12, 30, 4, 6, 22,
   67, -1, 33, -52, -16, 25, -15, -29,
   -5, -3, -13, -42, 50, 41, 0, 71,
   23, 38, -25, 8, 97, -3, 3, -11,
   4, -30, -16, 46, 34, -67, -8, 39,
   -7, 10, 11, 6, -18, -43, 73, 6,
   -47, -7, -19, -71, -14, -42, 48, -51,
   25, -17, 5, -16, 17, -38, -10, -13,
   16, 7, 16, 12, 47, -32, 62, -82,
   16, 127, 82, -26, -40, 14, -36, -32,
   -13, 32, 69, 38, 24, -55, 76, 0,
   4, -7, 22, 24, 14, 24, -25, 10,
   4, -1, -57, 58, -19, -7, -7, -12,
   64, -14, 27, 32, 93, -80, -48, 64,
   10, -18, -14, 49, -83, -43, 21, 126,
   -26, -71, -125, -23, -74, -26, 62, -28,
   -10, -20, -64, 24, 21, 42, 5, -93,
   33, 3, 24, -19, 119, 49, 15, -50,
   77, -22, -41, -82, 2, 41, 55, -26,
   9, 122, -5, -28, 21, -50, 76, 33,
   19, 29, 60, 26, -65, 41, 47, 60,
   26, -60, -115, 7, -30, -13, -114, 32,
   59, 0, 38, 54, -17, 19, 57, 19,
   -35, 6, 82, -11, -18, 7, -69, -16,
   -83, -7, 50, 114, 73, 97, 51, -85,
   -1, 48, 46, 27, -65, -120, 41, 126,
   98, -15, 6, 70, 4, 5, -7, -72,
   9, -90, 33, 9, -105, 9, -58, -4,
   29, -34, 59, -13, -14, 27, 3, -40,
   -12, -74, -19, 0, 21, 33, -38, 27,
   -15, 40, -53, 71, -14, 48, -44, -29,
   -67, -8, 20, 10, -75, -53, -21, -19,
   -10, 1, 34, -32, -103, 88, 24, 46,
   -63, -11, -31, -37, -61, 89, 40, -48,
   2, 10, -12, 88, 28, -70, 90, -7,
   -35, -4, -20, 126, -40, -30, -63, -45,
   56, 21, 45, 30, -17, 23, -128, 80,
   24, -2, -65, -79, 64, -57, -24, 57,
   61, -51, 64, 23, -21, -13, -31, -48,
   21, -41, -33, -92, -10, -69, 2, 104,
   -4, 23, -1, -122, -16, -29, -17, 49,
   75, 127, 47, 15, -108, -70, 40, -24,
   -30, -48, 18, -46, 98, -46, 12, -7,
   79, 3, -59, 57, 4, 27, 27, -30,
   10, -48, 23, -5, -49, -79, 2, 62,
   4, 25, -80, -6, 95, 21, -8, -66,
   -24, -8, -69, -119, -66, 41, 36, 127,
   52, -20, -58, -10, -6, -48, -48, 52,
   25, 0, -55, 83, 33, -15, 74, 57,
   -123, -15, -32, 57, 35, -98, 11, 56,
   -52, -128, -17, -123, 47, -35, -49, 44,
   28, -4, 27, -15, 26, 103, -40, 67,
   -79, 68, -37, -119, -48, -88, 38, 29,
   -51, 112, 96, -17, 34, 32, 28, 76,
   -37, -50, 60, -44, 17, 48, 21, 42,
   99, -46, 4, 28, -99, -125, 0, 0,
   31, 65, 49, -9, 49, -46, -35, 107,
   118, 0, 13, 79, -61, -19, 60, -53,
   9, -25, 59, 126, 29, -60, 50, 93,
   -27, -53, 11, -5, 90, 30, -83, -13,
   -61, -42, 11, 53, -7, -67, -31, 69,
   -29, 54, 76, 122, -23, -6, -70, -110,
   -72, -11, 76, -70, 10, 90, -7, 9,
   -15, -15, 37, -52, -44, 53, 7, -11,
   52, 23, -15, 22, -12, 54, -4, -18,
   -40, -7, 56, 20, -57, 63, -30, 1,
   15, 98, -33, -43, 35, -71, 67, -22,
   63, -49, -37, -21, 25, -121, 39, 12,
   -85, 56, 30, 29, -2, -73, 56, 35,
   -10, -77, 127, 20, -1, 1, 76, -31,
   -45, 0, 47, -17, 74, 6, 17, 61,
   -2, 77, -71, 82, 103, 23, 31, -68,
   44, 66, 60, -29, -18, -68, 52, 7,
   24, 0, -19, 70, 25, 4, 45, 2,
   -58, 45, 73, 10, 96, 8, -46, 45,
   -54, -71, 31, 126, 69, 0, -49, 5,
   -97, 22, -84, -55, 103, 19, 15, -33,
   -3, -40, -33, 72, -11, 23, 26, -21,
   -24, 63, -76, 59, 47, -3, -17, 55,
   111, 27, -87, -45, 33, -51, 9, -15,
   7, 37, -62, -33, 29, -56, 22, -33,
   -36, -55, -70, -106, -67, 28, 18, -118,
   25, -38, 5, -51, 73, -38, 28, 68,
   -18, -13, 22, 56, 58, -3, 8, 20,
   2, -19, -28, -18, -29, 42, 50, 6,
   123, -16, 10, 22, 79, -65, 14, 0,
   51, 95, 51, -6, 36, 17, 76, -59,
   92, 11, 127, 90, 40, -68, 24, 82,
   34, 78, 46, 17, 72, 10, 55, 31,
   0, 40, 115, 71, 16, 21, -74, 73,
   56, 58, 52, 93, 21, 37, -9, 16,
   -6, 1, 42, 17, 31, 58, 10, 64,
   109, 101, 30, -19, -25, 62, 23, -39,
   25, 5, 42, -53, 30, 68, 27, 88,
   27, 23, -4, 51, 22, -2, -48, 1,
   24, 26, 98, 17, 41, -47, 44, 16,
   32, 29, 13, 56, 59, 64, -3, 57,
   26, 68, 31, 16, 13, -12, 73, 83,
   32, -30, 20, 17, -39, 22, -6, 12,
   7, 61, 51, -31, -22, 20, -58, 5,
   16, 17, -8, -6, -14, 52, 7, 1,
   -6, -26, -2, 15, -23, 32, -34, -27,
   7, -6, 24, 33, 58, 48, 11, 13,
   6, -50, 17, 12, -9, -15, -4, 37,
   6, 38, 9, 45, 41, -31, -27, 30,
   -30, 1, 9, 32, 16, -43, -17, -13,
   -19, 0, 29, -14, 16, 36, 25, 54,
   9, 26, 36, 3, -18, 28, -18, -9,
   14, -5, -13, 9, 25, -40, 11, 37,
   -9, 49, -29, 22, 40, -27, -9, 36,
   -10, -62, 52, -82, 45, 91, -13, 14,
   28, 15, -20, 10, -44, 37, -43, -18,
   -60, 11, -69, -22, 12, 58, 15, -40,
   -3, -37, -21, 47, 39, -20, 27, 28,
   -32, 10, -71, 37, -34, -7, 28, -75,
   -17, 17, 3, 40, -57, 55, 26, -7,
   18, -32, 21, -90, 75, -10, -28, 3,
   15, -91, -76, -56, -26, -37, -12, -29,
   52, -62, 61, 59, -19, 127, -1, -7,
   -4, -47, -6, -34, 22, 38, -14, -24,
   3, 53, 50, -29, 47, -1, 50, -37,
   111, -2, -67, -23, -59, 23, 67, -42,
   -16, 122, -51, 11, -46, -55, -62, -56,
   119, -14, 67, 20, -38, 33, -23, 62,
   80, 54, -95, 110, -123, 27, 80, -67,
   105, 45, -11, -31, 95, 9, -22, -24,
   70, -41, -127, -50, -36, 33, 98, -5,
   15, -40, 8, 9, -62, -31, -46, -6,
   -128, 46, -27, 17, 40, -14, -106, 47,
   64, 83, -29, 37, -14, -69, 68, 7,
   -24, -7, -59, -103, -91, 66, -98, 54,
   53, -78, 63, -14, -85, 115, 23, -20,
   -79, 22, -92, -22, 18, -34, -30, 63,
   -40, 72, 19, -95, -1, -17, -34, 125,
   -23, -45, 90, 19, 5, 68, 14, 45,
   60, 48, -74, 124, -49, 39, 29, 18,
   23, -18, -18, 62, -48, -116, -17, 43,
   43, 57, 18, -30, -29, -24, -45, -2,
   110, 27, -3, -24, 74, -3, 1, -27,
   99, 70, -128, 40, -51, -54, 65, -53,
   32, -30, 52, 25, -2, -53, -19, 7,
   51, 3, 40, -27, 30, 37, -3, -50,
   48, -26, 54, 17, 7, 127, -54, -22,
   -41, 38, -17, 23, -2, -14, 12, -21,
   -20, 78, 9, 32, 74, 31, -67, -13,
   5, -73, -93, 25, 55, -3, 20, 36,
   -27, 45, 59, -54, 51, 81, 66, -6,
   -1, 18, -29, -14, 49, 90, -3, 30,
   2, 36, -12, -57, 44, -27, 66, -13,
   -30, 54, 24, 3, 54, 21, 36, 25,
   89, -22, -23, 59, 41, 51, 37, 108,
   122, -19, -19, -14, 4, 23, -27, -44,
   16, 46, 5, -12, 4, -38, -1, -16,
   16, -78, -27, -21, -33, 44, -58, 10,
   23, -44, -35, -12, 54, 36, -52, -21,
   34, -22, -5, -34, 77, 37, 4, -8,
   21, -70, 36, 15, 6, -88, -27, -40,
   -19, 22, -60, -39, -18, 49, -22, -15,
   38, 71, 43, 9, 14, 75, -66, 79,
   15, 66, 45, -33, -63, 50, 35, -32,
   123, -15, 10, 31, 0, 7, -39, -31,
   19, -14, 62, 31, -27, 25, 82, 7,
   104, 28, 14, -65, -27, 21, 2, -15,
   -57, -11, -16, -4, 76, 32, 98, 24,
   -20, 64, 118, 66, 64, 32, 38, -12,
   108, 62, -53, -5, 87, -49, -45, 8,
   -109, 48, 35, 22, -1, 51, 10, 44,
   52, -13, 53, 44, -80, -54, -33, 125,
   -100, 23, -47, 34, -21, -21, 70, 53,
   -52, 50, 73, 23, 22, -26, 28, 75,
   44, -107, 68, -91, -44, -28, -17, -56,
   47, 38, 19, 43, -22, -15, -68, 3,
   36, 28, 76, -68, -27, 7, 37, 10,
   -51, -7, 46, -22, -62, 21, -51, 50,
   -49, -30, -40, -76, 12, 19, 2, 54,
   -5, 53, -63, 19, 91, 13, -7, -5,
   -1, 3, 32, -4, 31, 28, 29, 44,
   -35, -9, -52, -30, -29, 20, -37, -62,
   -56, -61, -2, -58, 63, -49, 33, -40,
   -28, 11, -14, 68, -113, -23, 20, 23,
   6, -105, 54, 21, -18, 69, -77, -39,
   -97, -29, -37, -53, -102, -59, 17, -43,
   -20, -123, 34, 22, 45, 71, 17, -45,
   -17, 0, 35, 2, -43, 36, -34, 19,
   -36, 2, -89, -78, 74, -54, 3, 7,
   28, 11, 18, -73, 37, -11, 16, -65,
   69, 15, 88, 5, 14, -4, 36, 33,
   11, -58, -42, 14, 7, -22, -30, 12,
   28, -63, -32, -12, -31, -6, -9, 14,
   61, 25, -60, 56, 17, -84, -12, -53,
   -57, 106, -42, 14, -10, 38, -1, 22,
   -13, 26, 45, 3, -6, -18, 11, 66,
   53, 8, -52, 46, -57, 20, 115, -111,
   -35, 32, 82, -25, -28, 40, -31, -9,
   18, -43, 4, 121, 83, -63, -24, 3,
   -78, -53, -15, -58, 35, 127, 27, -17,
   -21, 4, 48, -38, -37, -21, 28, 85,
   14, 0, 5, 44, 34, -11, 15, -126,
   24, 81, 14, 19, -39, -30, 67, 29,
   -13, 53, 40, -9, 14, -43, 124, 72,
   28, 116, -16, 73, -33, -11, 63, 120,
   -4, -11, -24, -67, 59, 24, -17, 0,
   29, 22, 68, 2, 58, -76, -16, -3,
   35, -126, 79, 12, -25, -40, -17, 7,
   -9, -38, -18, 24, 5, -21, -122, -64,
   32, -9, -18, 37, -10, -104, -61, 41,
   116, -50, 11, 31, -46, 2, 27, -17,
   -26, -64, 42, 32, 6, -24, 58, -19,
   -83, -43, 103, 27, -17, 80, -15, -41,
   2, 69, -69, -7, 45, 81, -22, 76,
   -52, 42, -39, -74, -25, 11, 30, 57,
   -15, 9, 27, -73, -8, -78, -13, -28,
   56, 14, 40, 86, 58, 12, -3, 59,
   33, 45, -69, 5, -88, 2, -48, -78,
   -23, -2, 5, -28, 76, -6, -19, -88,
   64, -116, 17, 38, -35, -5, 92, 28,
   23, 102, -50, -51, -90, -46, 51, -29,
   -51, -10, -37, 23, -28, -25, -8, 0,
   -23, -53, -45, 10, -126, -18, -26, 0,
   -28, -31, -21, -29, -42, -27, 40, -1,
   -65, 3, 1, 47, -23, 6, -11, 20,
   92, 98, -75, 59, 55, -96, -35, -35,
   -61, -31, 35, -57, -1, 2, 127, -51,
   -66, 39, -43, 64, -54, -113, 7, 7,
   -54, -42, 83, 8, 57, -46, 5, -11,
   -15, -24, -39, 24, 13, -84, 3, -20,
   -34, -78, 25, -84, -14, 41, 15, 19,
   -6, -59, 43, 69, -71, -39, 96, 18,
   -43, -32, -44, 76, 16, 35, 96, 0,
   -14, -3, -65, -17, -45, -58, 10, 92,
   62, -68, 58, 35, 31, 3, 1, 10,
   -36, -2, -4, -36, 27, 64, -69, -40,
   21, -4, -27, 35, -81, 38, -17, 35,
   -27, -63, -72, -9, -58, 45, -29, 117,
   36, 44, 100, 88, 114, -41, -37, -22,
   -13, 27, -29, 8, -20, -19, 5, 29,
   -50, 51, 22, -34, 23, 6, 20, -66,
   -38, -83, -5, 38, 40, 36, 24, 51,
   -83, 21, -49, 40, 45, 9, 42, -3,
   48, -4, 125, -1, 0, -3, 15, -1,
   59, -34, -16, 59, 23, 47, 11, 34,
   40, 33, 2, -3, 55, 97, 54, 1,
   13, 16, -6, 81, -37, 44, 45, 9,
   2, -96, 53, -22, -37, -36, 36, -24,
   -14, 2, -7, -44, 17, -4, 8, 7,
   33, 3, 16, -5, -43, -56, 10, 51,
   -11, 21, -100, 23, -9, 72, 4, 29,
   -22, 2, -7, -63, 4, 10, -10, 12,
   17, 34, 1, 28, 7, 15, 71, 62,
   37, -4, -41, -9, 6, -21, 9, 28,
   11, -30, 87, 12, 61, 20, -52, 29,
   20, 32, 17, 55, -8, -32, -30, -6,
   -27, 41, 1, 18, 29, 57, -29, 59,
   6, -1, 16, 19, -48, 87, 7, 1,
   18, -96, -109, -17, 29, -37, 16, 37,
   -43, 24, 5, -25, -47, -19, 20, -29,
   2, 54, 14, 94, -106, -78, -17, 120,
   53, 36, -15, 55, -22, 81, 18, -53,
   12, -105, -39, 10, 51, -102, -27, 63,
   -34, 106, -95, 45, 42, -20, 10, -3,
   38, -17, -44, -17, -44, 88, 5, 60,
   -21, 12, 28, 101, 85, 30, -23, 2,
   -37, 72, 57, 2, -27, 72, 52, 109,
   16, -36, 27, 34, -83, -68, -30, -80,
   -20, 82, 23, 62, -24, 122, 114, -8,
   -112, 38, 106, -28, -13, -28, 22, 26,
   -20, 12, 89, 41, 62, -59, 14, 13,
   47, 103, -43, 54, -10, 83, -111, -18,
   41, -25, -29, -26, 4, 106, 14, -44,
   89, 102, 110, 48, 106, 30, -16, 36,
   1, 31, 94, 12, 84, -42, -93, 30,
   10, -37, 41, -2, 92, 24, -51, 15,
   10, 73, -16, 57, 67, 75, -46, -1,
   117, 4, 39, 4, 53, -86, 51, 67,
   -57, 64, -84, 49, -77, -1, -22, 21,
   29, 3, 9, -22, 45, -1, -31, 9,
   -12, 64, -5, 0, 14, 7, -8, 106,
   55, 25, 81, 14, -29, 16, 67, 36,
   47, -44, 126, 21, -29, 49, 78, 54,
   -12, 59, -19, 21, 1, 15, 32, -1,
   0, 64, -40, 13, 14, 58, 60, 60,
   22, 32, -21, 26, -84, -10, -10, -53,
   46, -11, -48, 41, -10, -56, 55, 83,
   80, -46, -80, 18, -38, 0, -112, 99,
   -8, -22, 26, -21, -49, 13, -99, 62,
   42, -47, 56, 32, -19, -41, 61, -4,
   -48, -6, -16, 39, 12, -128, -34, 75,
   -72, 48, 46, -10, 3, 13, -23, -66,
   -11, -6, 49, 43, 65, 47, 14, 6,
   -90, 41, -39, 126, -12, -46, -39, 24,
   -36, -2, 34, -21, 35, 68, 28, 23,
   29, -84, -31, 95, 57, 33, -52, 4,
   12, -16, -14, -58, 18, 61, 40, 41,
   -21, -63, 64, -2, 4, 9, -19, 58,
   45, 37, -16, 44, -31, 21, -32, 125,
   80, 42, 6, -50, 42, 7, 41, -19,
   36, 23, -66, -24, -1, 31, -22, 0,
   93, -26, -91, -23, 26, 6, 60, -57,
   9, -44, 7, 46, 78, 108, 26, -26,
   42, 11, -41, -35, 3, 59, -17, 69,
   57, 86, 22, 20, 49, -44, 55, -62,
   34, 29, -32, 2, -49, 67, -33, -126,
   26, 15, -90, -6, -19, 21, 50, 22,
   3, 72, -105, 26, -12, 16, 16, -15,
   43, 45, -5, 106, 8, -68, 50, -64,
   -21, 74, 98, -78, 15, 30, -42, 63,
   102, 54, 39, 44, 37, -82, -49, -12,
   -2, -25, -8, 111, -15, -54, 36, 11,
   -39, -112, -16, -35, 6, -70, 83, -18,
   27, -101, 51, -19, 48, -4, 35, 111,
   2, 62, 127, 31, 91, -43, -11, 99,
   -66, 5, 38, 48, 81, 11, -24, 30,
   -3, 8, 0, 1, 33, 41, 42, -9,
   -2, -92, -38, -13, 3, -11, -91, -27,
   -34, -10, 43, -106, -10, -40, 109, 9,
   -20, -69, 121, -28, 15, 17, 26, -16,
   -42, -35, 29, -14, 1, 26, -24, 5,
   -49, 17, -35, -9, 8, 5, -18, -21,
   29, 5, -34, 44, -67, 49, 4, 72,
   -42, 37, 47, 11, 43, 6, 43, 13,
   24, -36, -34, 51, -12, -23, 11, 9,
   -3, 31, 46, -46, 17, 6, -48, 28,
   -9, 23, -29, -44, 71, 12, 15, -68,
   22, -28, -47, -51, -43, 8, 93, 7,
   -22, 39, -30, -18, -16, -58, 124, -109,
   -19, -45, -37, -7, 104, -34, -54, -62,
   -30, -22, 14, 58, 8, -14, -20, 5,
   -55, -31, -24, 35, -35, -46, -10, 43,
   15, 21, -1, 24, 4, -45, 20, 41,
   48, -20, -1, 40, -20, -44, -37, 25,
   26, -24, -72, -73, 23, -44, 55, -76,
   5, -8, -56, 55, -48, -44, 40, 49,
   9, -21, 7, 46, -17, 113, 35, 41,
   -49, 20, -49, -27, -8, 5, -16, 80,
   38, -53, 34, -22, 15, -29, 10, 19,
   24, -72, 50, 24, -36, 16, 81, 23,
   -7, 22, -8, 8, -27, 52, -26, 57,
   36, -35, 15, -12, 58, 27, -2, -3,
   43, -111, -26, -50, 49, 40, -63, -29,
   -43, -24, -12, -6, -18, -110, -27, 40,
   -39, -14, 12, 74, 56, 55, -106, -2,
   36, 8, 11, 43, 86, -8, -6, -22,
   -58, 84, 9, 125, 28, 65, -1, -40,
   11, -53, -42, -31, -104, -13, -128, 22,
   -82, -29, -64, 62, 71, -5, 14, -71,
   62, -32, 68, 2, -80, -43, -24, 41,
   -16, -118, -88, -55, -72, -12, -103, 10,
   -20, 52, -17, -42, 45, 62, 48, -25,
   58, -25, -17, -34, -73, -48, 60, 26,
   -79, 0, -3, 22, 45, -43, 6, 63,
   -74, 39, 53, 88, 58, 24, -44, 3,
   68, 37, 63, -2, 24, 28, 17, 24,
   43, 2, -106, -59, 64, -29, 76, -41,
   -31, -24, 36, 2, -40, 36, 43, -61,
   -62, 0, 1, -19, 33, -51, 31, -24,
   69, 21, 56, -6, -35, -20, -53, 29,
   -24, -31, -66, 69, -43, -11, -40, -23,
   61, 37, 62, 13, -16, -9, 34, 44,
   71, -75, -80, 28, -31, -10, -6, 17,
   9, 16, -16, 6, 28, 17, 7, 32,
   -13, -15, -19, 32, -33, -10, 52, -33,
   66, -21, 2, 26, 2, 19, 42, 39,
   94, -47, -77, -90, 3, 44, -39, -23,
   19, 0, 100, -36, 3, 62, -78, 65,
   -23, -17, 59, -71, -7, 26, 36, -83,
   -2, -19, 18, 18, -3, -60, -1, 28,
   53, 43, 14, 94, -70, -39, -19, 47,
   -17, -37, 25, 2, -23, 4, 72, -104,
   -121, 64, 21, 29, 119, 19, 21, -34,
   33, -92, -26, -52, 53, 28, -24, -106,
   -9, -40, -33, 106, -34, 21, -26, 11,
   -30, -44, -74, -68, -4, 3, -29, 37,
   -1, 127, 58, 97, 57, -89, -86, 34,
   -50, 100, 60, 13, -125, 57, 1, 8,
   -125, 34, -23, 81, 68, -48, -26, -10,
   33, 10, 85, -79, -17, -128, -33, 68,
   -33, 59, -9, 13, -72, -11, -59, 50,
   -77, -94, 37, 31, -47, -14, -7, -24,
   36, -1, -81, 1, -27, -41, 38, 29,
   50, -66, 3, -50, -48, -31, -114, 2,
   -54, -108, 38, -52, -36, -47, -33, 57,
   -73, 82, 29, 5, -113, -43, 39, -126,
   26, -33, 32, -52, 26, -91, -72, 4,
   -98, -48, 30, -111, 19, 26, 80, -79,
   16, -31, 57, -93, 15, 27, 52, 21,
   -43, 15, -30, -59, 11, -67, -59, -27,
   17, 4, 42, -49, -18, 26, -47, -26,
   48, 0, -40, -33, 20, 71, 44, 42,
   67, 62, -76, -2, -51, 9, 9, -2,
   23, 21, -7, 21, 12, 11, -80, 64,
   -2, 31, -39, -64, 98, -78, 27, 75,
   98, -19, -44, 8, -38, -26, 31, 42,
   -48, -47, 65, 19, 66, 27, -30, -37,
   21, -127, -18, 35, 127, -1, 123, -44,
   3, -2, -75, -3, 18, 34, 45, 8,
   11, 22, 65, -91, 75, 19, -19, 2,
   -47, 56, 57, -54, -87, -37, -29, -34,
   -33, -69, 36, 30, 88, -37, -11, 64,
   9, 60, 93, -26, -38, 51, -95, -96,
   54, 25, -28, 33, 17, 3, -98, -12,
   -20, -6, 39, -76, 14, 26, 50, 48,
   58, -107, 10, -24, 86, 70, -27, 118,
   35, 49, -63, 65, -85, 127, 79, 101,
   102, -41, 16, 65, 21, -38, 5, -25,
   106, 39, -96, 34, 41, -116, -12, 9,
   24, -26, -26, -6, -126, -4, 60, 102,
   -5, -76, -8, -20, -11, -73, -59, -91,
   13, -42, 58, 35, 36, 90, 68, -92,
   -21, -66, 16, -67, -53, -2, 45, 2,
   40, -10, -115, 29, -128, -1, 48, -60,
   -3, -44, 16, -18, -86, 0, 39, 29,
   -12, 15, 8, -29, -1, 32, -23, -96,
   -23, 26, 0, -82, -26, 13, -39, -77,
   20, 7, -18, -102, 13, 69, 127, -84,
   19, -13, -56, 61, -57, 8, -2, -8,
   -23, 50, 34, -75, 61, 8, 40, -38,
   47, 21, 17, -33, -14, -25, 51, -22,
   -27, -117, 1, 0, -17, -2, -21, 49,
   -31, 8, 29, -21, 3, -26, -51, -1,
   83, -56, -5, 5, -113, -25, -62, 85,
   -24, -28, -97, 46, -40, 30, 2, -91,
   39, -23, -35, 44, -64, -56, -26, 5,
   8, -33, 29, 48, 13, -11, -5, 13,
   -41, -69, -8, 32, 10, -6, 9, -33,
   -45, -42, 23, 5, 7, 39, -25, 6,
   -47, -27, 4, -38, -98, -16, 16, 86,
   18, 9, -6, -4, -71, 38, -30, 0,
   -12, -16, 14, 15, -63, -65, -49, -52,
   -14, -62, -26, -26, -8, 6, 11, -28,
   -68, -63, 66, -5, 13, 43, 20, -4,
   -24, 27, 126, -20, -25, -15, -3, -22,
   10, 86, 34, 2, 16, -94, -51, 47,
   -14, 21, 28, 19, -72, 107, -2, -2,
   -30, 21, 25, -113, -29, -6, 6, 24,
   -21, -87, 4, 61, 82, -12, 22, -24,
   -71, -17, 55, -48, -9, -62, -3, 65,
   49, -19, 53, 24, -43, -10, -7, 78,
   40, -44, -34, -35, 12, -24, -24, -50,
   6, 58, 97, 34, 36, -21, 33, 47,
   -33, 39, -73, -55, 36, -69, 22, 21,
   -8, -117, 5, -1, 65, 3, 45, 5,
   13, 51, -49, 78, -10, 9, -20, -20,
   -5, 5, -27, 13, -23, -122, 69, 55,
   -16, 60, 67, 121, 8, -60, 18, 41,
   -14, 21, -81, 85, -33, 37, 19, -35,
   30, 72, 32, -16, 95, -4, 6, -30,
   -1, -49, -104, -84, 83, 38, -26, 58,
   -57, -65, 56, -77, -28, -32, -86, 126,
   -113, -41, -117, -37, 36, 122, -87, 74,
   -36, 33, 49, 45, 3, 40, 93, -48,
   -128, 43, -54, 34, 75, 127, -107, 5,
   8, -124, -2, 98, -85, -45, -124, 86,
   -115, -67, -64, 125, 66, -88, 56, -7,
   123, 90, -15, 64, -127, -121, 35, 18,
   -62, -124, -52, -39, -100, -58, -42, 73,
   -99, 61, 34, -128, 57, -14, 127, -49,
   119, -128, -114, -102, -98, -6, -102, 48,
   -23, 93, 127, -127, 92, 37, 64, -72,
   -4, 112, 36, 7, 40, 1, 108, -9,
   81, -2, 34, -43, -31, -28, -16, 69,
   -88, 55, -68, -11, -19, 63, 15, -52,
   -12, 5, -30, 49, 21, 108, 13, -22,
   56, -51, -39, -17, 86, -13, -17, -11,
   39, 120, 19, 29, -21, 114, 43, 0,
   32, 75, -23, 115, 12, -9, -38, 20,
   61, 33, 82, 49, -46, -45, 9, 12,
   23, 23, -53, 89, 9, -10, -59, 54,
   41, -35, -1, -31, -57, 61, 25, 31,
   -86, 8, -116, -58, -8, -3, 77, -4,
   -51, -33, -32, 20, 86, -6, -1, -13,
   -7, 56, 29, 13, 62, 45, 28, 32,
   42, 17, 52, -56, 40, 2, -66, 13,
   119, -7, 57, -16, 44, 108, -47, 3,
   24, -70, -2, 76, -3, 18, -46, 80,
   46, -18, 14, 36, -51, 35, -23, -67,
   34, -16, 93, 107, 71, 50, -48, -35,
   4, 100, -28, -26, 3, 68, 23, -15,
   1, 30, -28, 4, -24, 55, 46, 127,
   61, -5, 1, 52, -65, -36, 120, -67,
   -8, -38, -59, -72, -22, 55, 18, -47,
   -13, -67, 2, -91, 92, 3, -48, -6,
   69, 10, -14, 96, -50, -60, 26, -33,
   -11, 41, 20, -124, -61, -105, 15, 49,
   -77, 14, 86, 21, 7, 54, 31, -65,
   -69, -13, -94, 68, 14, 72, 35, 8,
   47, -42, 37, -28, 6, 50, 36, -3,
   11, 42, 14, -24, 29, 9, -100, 21,
   60, -51, 12, -19, -81, 89, -86, -3,
   -88, -102, 70, -3, -61, -98, 13, 16,
   4, -23, 127, 73, -14, 55, 4, -12,
   -68, 9, 27, -22, -125, 52, 53, 54,
   -31, 13, 127, -42, 99, 91, 95, 97,
   25, 3, -69, -72, 29, -32, 52, 31,
   23, 6, -11, -78, 84, -10, 16, 23,
   -65, 112, -34, -49, -37, 23, -10, 14,
   -63, 98, -15, -35, -9, -59, 100, 80,
   23, 68, -113, 43, 32, 0, 54, -43,
   43, 30, -15, -117, 76, 3, 29, -44,
   -18, 67, -17, -32, 41, -38, -18, -13,
   1, 0, 103, 91, -55, 67, -48, 11,
   -64, 19, -14, -36, 10, -44, 10, 45,
   88, -3, 55, 59, -51, 13, 76, -6,
   36, 11, -16, -19, 22, -43, -54, 55,
   23, -60, -1, -123, 91, 38, -17, -36,
   9, -57, -51, -120, 46, -40, 85, -116,
   40, -36, 74, 90, -24, -22, 46, 51,
   -5, 6, -79, -35, 48, -20, 54, 31,
   22, 49, 22, 34, -15, 70, 21, 89,
   123, 31, -6, -117, -9, 124, 13, -39,
   -36, 2, -26, -15, 65, 41, -81, 46,
   59, -39, 15, 2, -27, 37, -19, 63,
   -25, -65, 0, 33, 81, 53, -81, -16,
   -3, 13, -29, -58, -87, -6, -62, -42,
   -64, -17, -95, 30, -51, 56, 30, 110,
   20, 2, -12, 8, -25, -26, -95, -51,
   -30, -10, -30, -124, 66, 53, -1, -9,
   93, 11, -13, -45, 45, -58, -49, -101,
   -10, 95, 7, 4, -87, -10, -48, 29,
   -25, 41, 28, 98, 66, -34, -12, -7,
   86, 24, -23, 127, 25, 89, -47, -106,
   -105, 126, 45, 32, 108, -61, -41, -58,
   30, 68, 1, 3, 119, -70, -67, -54,
   -17, 101, 70, 7, -33, 89, 57, 32,
   117, 70, 60, 113, 68, -99, 111, -128,
   52, -32, 68, 53, 92, 61, 9, -29,
   14, 26, -14, 101, 105, 2, 0, 61,
   6, 57, 8, -61, -4, -37, 66, 71,
   14, 70, -31, 51, -80, 60, -125, 42,
   108, 35, -115, 120, 4, -41, 120, 76,
   114, 86, 22, 111, 16, -8, 73, 50,
   -11, 90, -53, -11, 41, 27, 60, -9,
   -19, -69, 63, 69, 53, 32, 34, -64,
   -18, -105, 26, 102, -46, -60, 40, 52,
   77, -56, 20, -48, -91, -22, 27, -38,
   -122, 12, -37, 77, -15, 20, 26, 2,
   -70, 22, 17, 14, 9, -113, -40, 19,
   15, 11, 42, 32, -110, 0, 29, -56,
   -123, 41, 3, -120, -39, -19, 20, 30,
   21, 14, 4, 8, 16, 119, 36, -111,
   -5, -128, -104, 57, -19, -48, -34, 44,
   31, 46, 82, 4, 127, 36, 69, -1,
   99, 117, 48, -35, 76, -42, -41, -83,
   53, 8, 7, 14, -23, -38, 39, 38,
   35, -36, -14, -18, -54, -113, 20, -41,
   -47, -49, -77, -49, -76, 75, 25, -53,
   17, 61, -91, 24, -9, -86, 11, -54,
   -30, 45, 52, -9, 88, -42, -51, -10,
   -8, 100, -77, 34, -61, -10, 22, -31,
   19, -39, 69, 120, -36, 7, -25, 76,
   -17, 45, 65, 23, 74, 16, -69, -43,
   54, 24, -38, 52, -25, 50, 75, 38,
   -50, 32, -83, 52, 17, -18, 26, 69,
   -18, 103, 68, 47, -42, 24, -4, 126,
   -59, -49, 43, -39, 8, -65, 66, 40,
   42, 92, 74, 53, -55, -18, 77, -41,
   -104, 12, 44, -101, -92, 13, -68, -48,
   20, -38, -39, 73, -28, 12, -41, 123,
   127, -26, -126, -12, 28, -24, 59, 55,
   -41, -125, 6, 85, 82, 5, -58, 32,
   -39, -3, 21, 25, 47, -86, 51, 1,
   31, 52, -30, -104, 55, 55, 0, -22,
   -36, 40, 62, -99, -2, -98, -77, 14,
   -78, 25, -115, 7, -4, 4, 46, 11,
   -19, -4, -5, -11, 54, 26, 5, -32,
   66, 72, -118, 126, 9, 47, 6, -43,
   37, -126, -28, 127, 63, 36, 51, -52,
   43, 127, -122, 106, 83, 1, -20, 30,
   -29, -42, 26, -37, 80, 82, -32, -71,
   -34, 6, -61, -33, 15, -33, 15, -36,
   -18, -19, -24, 16, 19, 2, 12, -20,
   10, -37, 40, -47, 22, 42, -48, -26,
   -59, 43, -8, -55, -29, -21, 2, -48,
   72, 40, -72, -84, -78, 52, 1, -47,
   -36, 27, -41, 41, 74, -13, 42, 25,
   -9, -1, -24, 102, -4, -18, 33, 55,
   19, -31, -42, 6, -35, -67, -45, -5,
   -13, -13, -77, 66, 3, -55, 41, 72,
   -52, 67, -16, -13, -67, 21, 31, -123,
   39, 28, -103, -38, 12, 43, 126, -38,
   38, -56, -15, -30, -19, 0, 25, -76,
   -50, 5, -62, 0, -118, 69, 48, -67,
   4, 69, 23, -25, 49, -72, -1, 3,
   60, 87, 96, 6, -27, 112, -1, -6,
   -25, 16, 126, 75, 85, -30, 15, 52,
   -21, 126, 118, 74, 25, 17, 44, -64,
   7, -21, -36, 1, 15, -57, -126, 13,
   58, 60, -16, 65, -7, 51, 15, 80,
   119, -11, 32, 0, -96, -75, 0, 51,
   27, 70, 95, -58, 58, -42, -31, 38,
   -58, 19, 1, 4, -109, 89, -30, -40,
   -59, -71, 26, -128, 70, 11, 45, 41,
   4, -22, 53, 61, 3, 96, -16, 66,
   28, -5, -74, 62, 74, 127, 14, 114,
   -16, -5, 92, 108, 65, -53, 73, 6,
   -8, 48, 47, -20, 58, 120, -29, 71,
   91, 85, -124, -54, -39, -6, -108, -5,
   -55, -75, 30, -52, -5, -35, -50, -7,
   115, -8, 88, 29, -11, -104, 9, 15,
   -73, -53, -16, -33, 15, 95, -6, 94,
   -16, -6, 61, -87, 83, 71, 93, 28,
   61, 10, -85, -59, -127, 32, 32, 127,
   124, 123, 53, -85, 35, 110, 67, -86,
   -51, 69, -75, -84, -38, 0, 8, -33,
   42, -44, 35, 32, -34, -17, 7, 21,
   -42, 94, 2, -50, 15, -21, 33, -9,
   -79, 20, -9, -41, 60, 16, 50, 26,
   -5, -28, 37, -52, 33, -42, 65, 41,
   54, 6, 43, 78, 91, 43, 29, -31,
   9, -44, 7, 56, 64, -4, -93, 31,
   90, -110, 31, 1, 44, -70, 7, -24,
   58, 5, 39, 20, 15, -39, -31, 28,
   -46, 76, -27, -40, 72, 11, -15, -20,
   -69, 7, 85, 38, -89, 46, 25, -66,
   43, -41, -48, 24, -12, 3, -37, 20,
   -19, -12, -3, 49, 28, 47, 94, 71,
   55, 20, 94, -8, 2, 119, -47, 24,
   62, -92, 90, -9, 97, 27, -75, 3,
   37, -74, -29, 90, -38, -16, 1, 127,
   69, 12, 7, -16, -33, -38, -23, -5,
   35, -7, 42, -12, 49, 70, -11, -45,
   41, 0, -25, -4, 24, -16, -61, -45,
   -46, -5, -9, 77, -28, 15, 44, -32,
   96, -13, -21, -38, -24, 59, -52, -47,
   13, 46, 0, -101, -37, 58, -6, -46,
   -90, 20, 38, -44, -1, -23, -17, 32,
   81, -45, -10, 89, -85, 47, 44, 26,
   -53, -114, 2, -1, -55, -31, -80, -64,
   15, 34, -42, 55, 1, -114, 67, 85,
   -2, -3, -23, -53, -127, 46, -36, -46,
   -121, 28, -35, 7, -35, -36, -108, -72,
   15, 62, 2, 13, 102, -73, 20, 43,
   -90, 40, 63, -52, 47, -46, 32, -51,
   111, 119, -128, -23, -39, -21, -70, -47,
   -72, -64, -30, -101, -94, 30, -2, -36,
   -27, 25, 1, -63, -78, -76, 29, -50,
   70, -91, -35, 71, -42, -7, 0, 74,
   -25, -53, -125, -51, 14, -79, -126, 69,
   8, 21, 96, 34, 14, -124, 63, -8,
   -47, 123, 48, -126, -15, 41, 72, -58,
   -62, -17, -39, -107, 17, 22, 35, -86,
   25, -24, -11, -4, -79, -45, 3, 0,
   12, 34, 42, -63, 15, 48, 13, 54,
   -95, 93, -126, 50, 16, -104, -66, 24,
   30, 16, -9, -46, -8, -72, -34, -35,
   47, -8, 34, 38, -59, 30, 82, 7,
   33, 11, -54, -58, 14, 86, -126, -3,
   -70, -28, 110, -9, -15, 74, -31, -97,
   3, 77, -40, 64, -53, -16, -48, 53,
   60, -18, 9, 57, -32, -10, -60, 68,
   -27, -26, 5, 27, -128, 18, -31, -64,
   -28, 75, 30, -5, -65, 22, 20, 26,
   -21, 57, -3, -83, 69, -55, -54, -30,
   29, 17, 16, 19, 77, 37, 5, 10,
   -83, -28, 28, -82, 107, 13, 44, 17,
   40, 31, -26, 85, -4, 69, -37, 11,
   36, 100, -4, 25, -10, 3, -33, -40,
   125, -18, 42, -64, -46, -56, -96, -87,
   48, -66, -55, -32, -37, 23, -44, 48,
   7, 9, -83, 44, 52, 55, 27, 66,
   54, -53, -21, -21, 16, 17, 10, 13,
   -15, 84, 127, -90, 75, -24, 105, 34,
   5, -4, -90, -48, -63, 127, -14, -36,
   -27, -69, 50, -34, 82, -19, -106, -13,
   -15, -15, -67, -74, 18, -56, -18, -10,
   -48, 11, -53, 50, -28, -45, -57, -50,
   -52, -76, 33, -9, -5, 43, -49, -11,
   -127, 0, 23, 28, 90, 48, -4, 15,
   -22, -47, -126, -42, -106, -5, -29, 126,
   -46, -70, 61, 6, -2, 67, -28, -93,
   -75, -91, 47, -38, 38, -106, -70, -82,
   -45, -93, -40, -127, -43, 73, -57, -8,
   19, -127, 1, -106, -3, 0, 73, 30,
   102, -24, -1, -90, -74, -120, -100, 127,
   -56, 65, 33, -7, -79, 0, 79, -19,
   -35, 48, -40, 34, -11, 30, 36, 59,
   87, 62, 30, -51, 43, -25, 25, 90,
   -25, 45, -40, -42, 34, 75, -9, -7,
   -15, -61, 35, -3, -40, 75, 55, 9,
   57, 2, -47, 40, -20, -39, 40, -11,
   78, 0, -62, 68, -8, -7, 5, -60,
   -6, -6, 6, 32, 105, -42, 105, 35,
   25, -63, -25, -26, -38, -5, 40, 94,
   58, -66, 7, 66, 12, -120, -2, 10,
   -19, 58, -24, 57, 87, -9, 9, 3,
   -11, 25, -20, 78, -22, 49, -12, -11,
   58, -102, -36, 27, -34, 13, 2, 21,
   -42, 73, -57, -71, -11, -60, 105, 6,
   65, 4, -29, 7, 72, 17, 32, 25,
   -11, -128, 120, 36, -38, -15, -48, -10,
   -14, 32, 1, 2, 60, -95, 11, 68,
   -26, 31, 86, 52, -80, 127, 12, -43,
   -38, -52, 114, 40, 38, -36, -33, -38,
   -54, 68, 79, -31, -4, -36, -18, -126,
   25, -9, 18, 39, -53, -63, 55, -62,
   -95, -113, -5, 28, -32, -37, -100, -46,
   6, 7, -25, -33, 61, 85, 32, 74,
   9, -16, 4, 43, -13, -18, 1, 6,
   52, 4, -57, 9, -69, -57, 6, -13,
   122, -29, 119, 71, -89, -33, -64, -30,
   13, 22, 55, 57, -95, -109, 9, -121,
   -18, -14, -5, -42, -89, -36, 60, -50,
   -40, -107, 15, 20, -41, 7, 27, 44,
   49, 36, -33, -78, -118, 13, 53, 32,
   -128, 127, 32, -13, -10, 48, 4, -7,
   50, 58, 30, 32, -25, -96, 36, 99,
   -123, 34, -11, -61, -42, 80, -95, 53,
   53, 39, 121, -127, 125, 80, 2, -115,
   -4, -64, -70, 5, 25, -128, -1, -48,
   -126, 118, 63, 31, 94, 49, -51, -116,
   -70, -95, -124, 127, -43, 6, -126, 87,
   -8, 0, -30, -39, -28, 37, -45, -40,
   -62, 17, -40, 7, -8, 32, 28, -25,
   -106, -12, 5, 55, 36, -14, -27, -12,
   -75, 62, -6, -105, -4, 2, -25, -20,
   -31, 3, -22, 94, -72, 30, -14, -10,
   48, -72, 76, 82, -26, -4, 46, -128,
   22, 40, 5, 23, 27, -14, 7, -15,
   -21, -48, -78, -17, -17, 47, 9, -41,
   55, 26, 7, -102, -18, 32, 12, -121,
   54, -17, 18, 89, -14, 14, -44, 14,
   66, 115, 38, -5, 14, -43, -32, 9,
   -24, 35, -84, -60, -16, -19, 85, 9,
   86, -14, -60, -23, -30, 66, -48, -57,
   6, -29, 3, 1, -32, 7, 43, -51,
   -38, 60, 27, -48, -87, -50, 25, 9,
   -19, 9, -29, -97, 81, -1, 31, 43,
   40, -28, 39, 31, 112, 71, -69, 68,
   -38, -57, 83, -37, 18, -12, 16, 56,
   9, 41, -2, -117, 101, -17, -15, -41,
   41, -27, -51, 76, -20, -85, -57, 17,
   -36, 20, 37, 34, 48, 88, -7, -70,
   7, -74, 63, -29, 82, -49, -34, -37,
   35, 12, 63, -37, -58, 18, -34, 4,
   -34, 26, 13, 56, -61, 62, -74, -85,
   -79, -18, 68, -86, 127, 47, 51, -51,
   32, 35, 49, -63, 82, 123, 63, -76,
   -127, 15, -121, 7, 22, -27, 64, 35,
   -81, -112, -77, 60, 125, 24, -29, -3,
   -33, -20, 25, -117, -75, -113, -35, 127,
   97, 105, 20, 99, 40, 14, -65, -34,
   70, 21, -37, -35, 91, 64, 90, 33,
   110, -53, -18, -13, -2, -54, 71, -10,
   -6, -67, 40, 39, 76, 88, -100, 123,
   -75, -128, -6, 13, 17, -69, -100, -17,
   20, 63, -28, -60, -59, -40, -23, 30,
   78, -39, 30, 0, -11, 66, 43, -40,
   -51, 11, 7, -16, -19, -19, -8, 11,
   -68, 101, -40, 36, 54, -57, 57, 39,
   26, -71, -2, -11, -48, -53, 21, -26,
   -21, -9, -45, -16, -83, 18, -15, -21,
   -78, -45, 40, 54, 86, -41, 7, 69,
   50, -37, -109, 11, -46, 60, -83, 46,
   -6, -22, -86, -98, -42, 48, 16, -9,
   -25, -2, -23, -60, -34, 24, 68, -56,
   -10, -9, -30, -19, -10, -70, -53, -78,
   -126, -23, -31, 48, -6, -104, -10, -128,
   -72, -64, 28, 78, 15, 49, 25, -16,
   125, -58, -3, -17, -34, 26, -60, 49,
   -64, 27, 46, -10, 32, -27, -40, -1,
   -21, 42, 23, -70, 14, 16, -40, 29,
   0, -128, -14, 33, 127, 0, 52, -37,
   28, -54, 29, -10, -56, 75, 14, -20,
   -2, 35, -105, 121, -7, 42, -105, 72,
   -3, 70, -33, 44, -32, 127, 75, -10,
   -36, -124, -34, -12, -24, -27, -107, -66,
   78, -84, -51, 56, 17, -22, -10, 54,
   39, -56, -19, 9, 68, 34, -35, -77,
   -20, -36, -2, -68, 66, 3, -27, -14,
   -19, -102, -42, 38, 33, -48, -86, -41,
   42, -27, -66, -28, -34, 61, -12, -19,
   -35, -8, 14, -15, -109, 7, 29, -100,
   18, -58, -1, -74, 23, -81, -82, -77,
   -44, -83, -52, -112, -46, 18, -68, -1,
   -67, -33, 0, -121, -22, -6, 99, 61,
   -66, -73, -30, 12, -64, 22, -47, -55,
   -33, -5, 22, -19, 32, -96, -68, -47,
   -73, -9, 0, -107, 74, -35, -79, 18,
   40, 30, -63, 13, -2, -53, -109, -6,
   -18, 30, 8, 84, 59, -3, 37, 34,
   -26, -4, -61, -78, 15, -46, -69, -21,
   -29, -65, -19, 16, -19, -81, -112, -36,
   -63, -68, -26, 68, -16, -62, -60, -7,
   -13, 12, -16, 40, 5, -15, -41, -13,
   76, 42, 11, -43, -27, 45, -44, -42,
   29, -44, -60, -30, -41, -15, -39, 43,
   32, 26, 25, -40, -7, -9, 6, 56,
   -14, -6, -60, -93, -40, -34, 38, 15,
   -17, -20, -4, 0, 60, -127, 25, -47,
   3, 10, 36, 32, 30, 28, 42, -2,
   37, -49, 18, 43, 15, 25, -20, -25,
   12, -28, 19, -26, 19, 43, 66, -23,
   -33, 64, -1, 17, 2, 9, -30, -1,
   4, 14, 30, 37, -17, 27, -6, 37,
   -13, -23, -24, -24, -21, 35, -2, 24,
   60, -37, -6, 104, 10, 16, 38, -73,
   -60, -26, 49, 36, 41, -7, -28, 107,
   -89, 58, -16, -64, 28, 7, 63, 16,
   55, -14, 28, -63, 31, 116, 8, -45,
   -21, 57, -5, 24, 12, 8, -52, 75,
   125, 8, -21, -112, -14, -87, -61, 21,
   17, 47, 31, -3, 7, -45, -86, -67,
   -83, -23, -48, 0, -27, -12, -53, 7,
   -44, 45, 36, 61, 17, 27, 4, 23,
   20, -7, 77, -10, 82, 56, -4, 1,
   45, 19, 29, -38, -6, 75, 12, 50,
   -13, 31, -94, -22, -76, 33, -62, -46,
   63, 0, -8, -48, -23, 42, 2, 44,
   17, -27, -62, -22, 58, 106, 76, -51,
   -83, -11, 17, 79, 8, 71, 101, -6,
   14, -18, -46, -21, 28, 9, 25, 22,
   105, -14, -128, -8, -22, 89, 6, 63,
   -38, 40, 101, -34, 42, -44, 124, -84,
   30, 93, -24, 80, 18, 27, -117, 55,
   34, -33, 27, -15, -29, -9, 20, -89,
   -2, -42, 5, -18, 21, 3, 56, -46,
   14, 73, -57, -21, 0, -64, -87, -45,
   -76, -2, -3, 60, 117, -3, 11, 31,
   50, -123, 45, 114, -60, 80, -23, -30,
   70, 34, 27, 58, 13, 9, 5, 3,
   -9, -20, 25, -44, -47, 95, -17, -64,
   -56, -54, -31, 41, -32, 14, 41, 5,
   -5, -9, 111, -26, -122, 48, 53, -74,
   36, 35, 0, -1, -50, -87, -49, 7,
   -9, -16, -46, -63, 80, -62, 17, -44,
   25, -16, 27, 9, -85, -12, -50, -35,
   0, 50, -31, -71, -1, 38, -49, 60,
   -56, 28, 73, -50, 15, -36, 8, 8,
   30, 31, -43, 13, -10, 37, -13, 29,
   -31, -93, -2, 47, 73, 83, 9, 16,
   43, -19, -62, -25, -77, 0, -43, -83,
   7, -3, -35, 72, -9, -74, 15, -57,
   -116, -67, -23, 20, -55, -48, 10, 31,
   -46, -45, -45, 55, 29, -22, 21, 43,
   13, -27, -56, 10, -75, -10, -10, -23,
   -34, 16, -2, -66, -7, -40, -5, 14,
   -30, -51, -30, 13, -25, -14, -16, -14,
   31, -41, 20, 54, -50, 16, -54, 13,
   -12, 111, 16, -9, 0, -10, -28, 16,
   13, 58, -50, 18, 11, -23, 43, 68,
   -59, 58, -102, 34, 7, -43, 88, 57,
   18, -50, -3, -7, -34, 19, 39, -7,
   -126, 22, -18, -33, 8, -16, 40, 7,
   -83, -11, 116, -103, 126, -71, 29, 27,
   -88, 57, 42, 127, -110, -36, 21, -38,
   -1, 2, 7, 28, -35, -42, 57, -10,
   70, 51, 71, 67, 117, -55, -5, 74,
   -16, 48, -17, -18, 30, 127, 49, -55,
   -10, -10, -120, 62, -7, 106, 45, -68,
   -92, 110, 19, 89, 122, 87, -121, -2,
   -87, -55, 27, -51, 42, 40, 33, 96,
   11, -63, -2, 25, -22, 124, -3, 126,
   -14, 57, -16, -49, 118, 89, 39, 66,
   64, -2, 43, -27, -42, -87, 18, 11,
   -5, -4, 96, 90, 99, 109, 99, -10,
   -75, -54, -37, -42, -72, -114, 18, 5,
   4, 94, -26, 68, -40, -86, 37, 95,
   37, -15, -117, -5, 13, 8, -58, -121,
   -124, 65, 9, 7, 10, 43, -1, -61,
   -31, 4, -13, 5, 6, 7, 67, -3,
   68, 24, -33, -55, 34, 116, 14, -37,
   -46, -22, -46, 37, -4, -32, 78, 23,
   -51, -39, -9, 25, -49, 10, 27, -25,
   24, -69, -41, 127, -72, -11, -33, 79,
   -32, 84, -26, 27, 34, -23, -10, -29,
   -81, -31, 18, 9, 5, -69, 53, -43,
   -1, -107, 0, 58, 25, -21, 66, -6,
   -1, -23, -29, -81, 127, 34, -36, 127,
   72, 101, 73, 5, 69, 70, -33, 1,
   32, -7, 14, 34, 49, 48, -2, -39,
   45, -65, -69, 38, -47, -40, 56, 84,
   84, 40, -73, 77, -15, 40, -36, 75,
   -65, -78, 46, 57, 45, 104, -11, -56,
   -38, 17, 8, -65, 77, -30, -102, -8,
   -31, -37, 34, -13, -25, 30, -11, 52,
   21, -19, 25, 64, 0, 70, -15, -69,
   3, -25, -16, -115, 43, -67, -39, -25,
   1, 39, 83, -21, 26, -64, -10, -66,
   64, -61, -33, 33, -60, -7, 21, -2,
   33, -80, -7, -16, 22, -127, -7, 125,
   -44, -12, 101, -8, -88, 3, 94, -44,
   48, 89, -40, 127, 2, 56, 38, 13,
   -3, 19, 65, -16, -127, -32, -85, -124,
   -21, 36, 13, 39, 34, -52, -70, 101,
   29, -66, -128, -94, -13, -87, 10, 32,
   73, -77, 96, -1, -29, 33, 2, 7,
   -16, -104, 32, 2, 55, 22, -20, 122,
   34, 64, 77, -67, 19, 31, 6, 101,
   1, 119, 113, 5, -59, 50, 23, -37,
   -39, 16, 82, 39, -40, -33, 31, -6,
   68, 113, 8, -18, 17, 7, 79, -122,
   -18, 25, -18, 27, -106, 13, 67, -52,
   -52, -25, -65, 16, -37, 41, 18, 3,
   -86, 14, 68, 25, 49, 20, 8, -67,
   -26, 33, -65, -34, 38, -4, -72, -35,
   29, 5, -45, 37, -21, 25, -5, -76,
   -10, -35, 58, -49, 23, 10, -31, -83,
   66, -35, 38, -50, 0, 28, -117, -20,
   4, -66, 1, 20, -37, 43, -32, -25,
   -11, -40, -7, -81, 24, -32, -23, -102,
   10, -42, 77, 31, -6, 25, -77, -9,
   27, 32, -59, -91, 51, -50, -63, -7,
   37, -55, 21, 78, -40, -17, 83, -13,
   -36, -47, -56, 66, -93, -4, 123, 31,
   51, 14, -3, -29, -66, 17, -94, 80,
   -81, -24, -18, 93, -77, -46, -12, 90,
   45, 108, -18, 10, 16, 74, -40, -24,
   -1, 46, -38, -3, -51, 34, -10, -20,
   -57, 22, 34, 112, 37, -65, 8, 55,
   -83, -37, 34, -36, -56, -28, -63, -9,
   -13, -34, -59, -10, 8, 1, 26, 11,
   -44, -51, -5, -56, -22, 55, -9, 1,
   4, 115, -48, 9, -6, -39, 56, 46,
   26, 79, -34, 38, -15, -36, 53, -11,
   -45, -13, -15, -35, -43, 55, -2, 9,
   -4, -106, -13, -38, 64, -125, 6, 51,
   -108, 20, 6, 49, -20, 18, 17, 37,
   -126, -27, 3, 53, -6, -10, 58, 11,
   35, -22, -26, -50, 80, -36, -39, -2,
   -110, 22, -67, 73, -23, 102, 39, -46,
   -94, -53, -110, -23, -77, -92, 2, -21,
   -69, -40, -28, 20, -42, 22, -11, 38,
   -125, -78, -9, 35, 55, 40, -59, -110,
   40, -12, -57, -29, 32, 96, -114, 122,
   -16, 91, 41, -72, -37, 25, -12, 31,
   36, -11, -43, 9, -75, 15, 61, 56,
   -30, -13, -17, 13, 79, 36, -29, -60,
   -7, 46, -25, 59, -28, -80, 77, 40,
   -127, 39, -14, 30, -20, -18, 61, 105,
   -62, 12, 15, 30, 111, 46, 30, -1,
   -7, 29, -30, 0, 38, -43, -6, -110,
   -10, -24, -52, -15, 2, -4, -8, -18,
   -31, 18, -6, 10, 12, 34, -4, -15,
   -22, 33, -118, -27, -8, 70, 39, 0,
   -92, 7, 52, 38, -1, 14, 57, 23,
   47, -19, 9, -76, 8, 39, -39, -3,
   -2, -35, -87, 52, 44, 20, -8, -29,
   10, -26, -81, 4, 15, -37, -44, 85,
   52, 3, 51, 44, 21, -23, 24, 15,
   -33, 124, -7, 49, 85, 5, -42, 8,
   75, 80, 43, 28, 67, 39, 1, -35,
   18, -10, 71, 23, -6, 19, 6, -25,
   32, -29, 2, 29, 62, 20, -11, 47,
   33, -46, -63, 70, 11, 17, -29, 24,
   -11, -65, 34, 37, 71, 17, 43, 41,
   -6, 34, -62, 38, 63, -41, 59, 35,
   70, 29, -70, 41, 6, 55, -19, 20,
   -1, 92, -4, 72, 58, -48, -14, -111,
   25, -87, 37, -10, 18, -31, -29, -24,
   35, -39, 46, -27, 36, 45, 59, 24,
   80, 96, -20, 125, 22, 108, -53, 8,
   -29, 87, 0, -74, 39, 28, 75, 32,
   -7, 83, -35, 127, 23, 37, -31, -63,
   -37, 8, 11, 106, 118, 47, 56, 106,
   60, -126, -8, 48, 88, 74, 47, 78,
   53, 4, -50, -9, 117, 94, 124, 115,
   125, 12, 36, 44, 16, 37, 37, 28,
   -103, -51, 34, 124, 127, 14, 62, 84,
   34, 40, -27, -36, 90, 20, 71, 32,
   -47, -56, -43, 33, -17, 25, -44, 52,
   1, 127, 78, -3, 44, 111, 126, 61,
   74, -29, 48, -111, 7, -63, -8, 90,
   -1, -29, 41, 69, 98, 109, 58, 72,
   -87, -106, -57, 51, -41, -43, -3, 82,
   -25, -6, 23, 62, 38, -85, -21, 34,
   118, -64, -58, -11, 8, 45, 72, -73,
   -14, -52, -36, 106, 36, -61, -42, -113,
   65, -23, 79, 123, 75, -1, 32, 101,
   58, -17, -23, -65, 12, 12, 41, 127,
   -50, -17, -47, -66, 58, -11, -20, 13,
   43, 97, 106, -50, 4, -72, 31, 63,
   77, -52, -90, 42, 47, -62, -54, 90,
   -56, -3, 75, -72, 23, -39, -12, -55,
   -41, -56, -81, 2, -25, 27, -17, -90,
   56, 18, 54, 42, 59, 9, -15, 98,
   -7, 5, -37, -90, 20, -89, 3, 50,
   -37, 35, -33, -72, -41, -66, 42, -25,
   74, 1, -10, -29, -124, 35, -28, 105,
   43, -81, -39, 107, -118, -63, -7, 18,
   4, 55, -26, -69, -53, -67, 124, -29,
   -16, -85, -36, 72, -67, 92, 13, 29,
   -46, -52, 6, 100, -32, 42, 93, -21,
   -88, 26, -5, 3, -35, -4, 32, -23,
   -47, -17, 3, -113, -18, -39, -5, -47,
   -62, 69, -113, 24, 60, -16, 20, 50,
   34, 31, -5, 87, 26, -7, -57, 0,
   10, 29, 58, 38, -75, -61, 111, 81,
   -50, 114, -2, 67, -125, 24, 20, 24,
   46, 43, -64, -44, 50, 9, -28, -97,
   79, -66, 44, 15, 42, -88, -1, 33,
   68, 69, -55, 7, -11, 19, -52, 91,
   -70, -80, 51, 16, 29, 14, 28, -22,
   53, 6, 125, 15, 29, -16, 3, -27,
   31, -32, 12, -16, 5, -11, 65, 3,
   77, -10, -39, 41, 28, -29, 11, 12,
   -23, 20, -47, 20, -43, -78, 27, 5,
   51, -20, -127, 85, 9, -40, 34, 24,
   -125, 53, 12, 106, 60, 86, -5, -82,
   15, -117, -62, 24, 21, -63, -43, -6,
   74, -18, -18, 4, 122, -57, -49, -45,
   35, -76, 47, -88, -4, 13, -54, -124,
   -37, 19, -51, 37, -55, -2, -22, -5,
   -5, -58, 65, -20, -51, -30, -20, -1,
   24, -30, 5, -22, 38, 2, -69, 26,
   -13, 83, 12, 98, 24, 36, -8, 20,
   33, -9, 23, 60, -43, 50, -4, -39,
   -13, 43, 19, -52, 24, 81, -64, 40,
   -126, 45, 94, 21, -11, -89, -5, -7,
   25, 76, 39, -81, -112, 4, -16, -69,
   -4, -8, -1, -66, -27, 53, 26, 85,
   -32, -8, 8, 56, -72, -64, 19, -125,
   1, -3, -30, -47, -60, -30, 13, -8,
   40, -46, 11, 26, -57, -55, 11, -32,
   24, -32, 21, -14, -65, 9, -74, 0,
   9, -29, -48, -26, -26, -45, 46, 6,
   0, 57, -18, 50, -19, -18, 32, 46,
   -99, -89, 37, 19, -1, 12, 45, 16,
   -9, -62, 17, 4, -37, -52, 3, 15,
   -13, -33, -47, -63, 14, -69, 58, -8,
   5, -41, 127, -4, 3, -39, -18, -8,
   4, 32, -64, 72, -30, -117, 38, 92,
   -42, -7, 24, -28, 8, 16, 9, 120,
   21, -83, 84, -11, 18, -39, 13, -38,
   -23, -76, 46, 22, 41, 16, 74, -97,
   -64, 52, -22, -76, 4, -36, 42, 41,
   0, 56, 71, 0, 20, 25, 9, -29,
   -32, -33, -8, 61, 76, 62, -37, 80,
   -4, -18, -26, 34, 12, 15, 0, 42,
   -53, 23, -78, 18, -59, 13, 13, 22,
   -17, -85, 20, 48, -59, 97, 51, -53,
   10, -12, 99, -44, 30, -7, 38, -14,
   -9, -58, -51, -31, 68, 18, -3, 15,
   -14, 53, -18, -59, 3, -9, 83, -9,
   30, -7, 63, -26, -41, 68, -14, 74,
   4, 80, 69, -8, 2, -14, 114, -11,
   -28, -18, -4, -42, 40, -16, -47, 0,
   34, 37, -6, -4, 4, -16, 14, 46,
   11, 6, -17, 0, 6, 11, -1, -93,
   -15, 20, -14, -7, 59, 66, -12, 51,
   13, 19, -66, 42, -27, 62, 22, 54,
   31, -4, -3, 10, 6, 44, 28, 19,
   22, 22, -15, 1, 62, -11, 24, -3,
   0, -18, -11, 2, -36, -35, 36, -20,
   66, -26, 14, 47, 44, -17, 10, 69,
   19, 17, 18, 6, 7, 31, -34, 33,
   -34, 33, -7, -54, 35, -2, -2, -43,
   -52, -11, -10, 12, -31, -1, 21, 47,
   -20, 35, -20, -25, 9, 26, 15, 35,
   8, 65, -27, 5, -18, 99, 1, -8,
   3, -26, 29, 43, 106, 34, 72, 21,
   -3, -25, 45, 43, 19, 63, 50, 58,
   -2, 36, -35, 9, -127, 71, -121, -59,
   13, -43, 90, 26, -9, 76, -53, -16,
   36, 14, 1, -38, -39, 57, -19, -38,
   37, -39, 7, 20, -2, 6, 34, 44,
   0, 7, -28, 40, 5, -2, -1, -31,
   6, -50, -8, -49, -53, -33, -26, -19,
   -57, -55, -17, -102, 36, -42, -26, -22,
   35, -21, 29, 35, -29, 13, 42, -15,
   49, 25, -60, -74, 34, 39, 45, -3,
   7, 24, 2, 76, 26, 93, -21, 60,
   -114, -31, -20, 80, 123, 108, 47, 37,
   -91, -73, 114, 28, 38, 97, -44, -92,
   -83, 124, -8, -66, -27, 53, 41, 14,
   26, 106, -33, 13, -34, -16, 8, 15,
   -55, 12, 23, 90, -25, 72, 62, 2,
   67, -26, 90, 58, 127, 52, 24, 97,
   15, 5, -10, -42, -82, -35, -15, 73,
   51, -111, 75, -124, -80, 65, -11, 116,
   33, -69, -112, -73, -127, -4, 6, 127,
   -61, 126, 121, -98, 127, 25, 75, 2,
   -29, -113, -30, 13, 0, -2, -81, 127,
   14, 51, 37, 56, -21, -28, -11, 79,
   45, -23, 46, -68, 82, -110, 2, -18,
   -42, -34, 87, 77, -22, -66, 78, 29,
   5, 14, 24, -59, 6, 11, 11, -29,
   -26, 12, -28, -20, -24, -26, -24, 34,
   -12, -34, -38, 3, 9, 25, 46, -21,
   -33, 13, 4, -45, -104, -86, 50, -14,
   6, 33, -53, -12, 78, 61, -10, 15,
   -39, 2, -37, -69, 55, -55, -28, -38,
   -50, -113, -41, -19, 32, -64, 36, -23,
   -31, 64, 55, -21, 59, -41, -85, 97,
   -95, 38, -18, 51, 23, -16, 21, -39,
   0, 38, 4, -55, 51, 33, -8, 107,
   42, 80, 49, -19, 57, -5, 13, 46,
   6, -16, 27, 1, -15, -10, 3, 54,
   -11, -93, 28, -19, -22, 21, -25, 7,
   15, -50, -31, -45, 7, 94, 11, 55,
   -65, -10, -67, -5, 40, 15, -14, 2,
   20, -28, 29, 51, -11, 59, 23, 72,
   17, -38, -1, 60, 80, -17, 28, 14,
   21, -22, 59, -18, -1, 42, -7, 2,
   73, 4, -51, 19, -10, -30, 15, -32,
   -35, 81, -73, 20, 37, 34, -33, 74,
   -3, 2, -99, -98, 42, 87, 23, -65,
   45, -74, 7, -19, -54, 22, -21, 53,
   5, -91, 28, -65, 102, -8, -4, -73,
   11, -15, -62, -69, 69, -46, 63, 16,
   -56, -31, -1, -8, 25, 97, 74, -83,
   3, -37, -113, -72, -120, -29, -35, -102,
   -68, -28, 25, -14, 18, -9, -52, -108,
   75, 86, 20, -15, -64, -20, -8, -30,
   -27, -58, -3, 14, -22, 77, 35, 92,
   -9, 45, 45, -56, 51, 22, 27, 48,
   33, -6, -14, -31, -52, -126, -25, -7,
   -83, 40, 22, 23, 39, 21, 31, 4,
   -37, 10, 18, 43, 6, -50, -10, 14,
   6, 18, -13, 85, -16, -2, 18, 41,
   10, 26, -56, 85, 32, -57, -23, 19,
   8, 26, -59, -17, 13, 30, 75, -71,
   11, -29, -59, 1, 16, -42, -14, 9,
   21, -3, 23, -11, -19, -21, 16, -27,
   -9, -21, -46, -34, -14, -19, -6, -4,
   5, -41, 25, 39, 49, -33, 25, -17,
   -22, -23, -47, 23, -14, 22, 26, 32,
   70, -17, 30, -3, 92, 28, -43, 11,
   63, 8, -31, -53, -8, -53, 6, 68,
   13, 61, 49, 4, 69, 3, 21, 15,
   34, 44, -121, -37, -2, 36, 87, 56,
   48, 58, -44, 39, 91, 73, 15, 46,
   86, 52, 26, -10, 37, 39, -36, -128,
   -103, 49, 49, -18, 14, 49, -4, 21,
   76, -96, 94, -25, -68, 34, -77, -125,
   104, -79, 14, 4, 41, 35, -127, 21,
   32, 92, 4, -28, -4, -26, -33, 20,
   -21, -65, 15, -93, -50, 78, 17, 46,
   46, 6, 24, 4, -66, -4, -15, -101,
   65, -61, -73, -108, 16, 114, 14, -39,
   65, -13, 9, -25, 50, -28, -104, 13,
   -24, 66, 10, 106, -43, 18, -57, -5,
   -12, 77, 60, 92, 31, 44, 31, -8,
   -26, 8, -127, 22, 50, -23, -20, 89,
   99, 53, -1, 46, -70, -6, 56, -24,
   55, 79, 69, 84, 11, -6, 24, 93,
   76, 22, 23, 33, -17, -13, -25, 30,
   -113, 95, 121, -29, 65, -68, -4, 88,
   69, 55, 55, -20, 122, 33, -54, 47,
   -1, -7, -127, -30, 56, 27, -69, -18,
   102, 120, 34, -30, 34, 20, 125, 20,
   -75, 21, 77, 60, -27, -41, -16, 25,
   26, 27, 10, 124, 68, -7, 52, -53,
   -3, 85, 25, 12, 70, -99, -117, -7,
   -9, 127, -64, 14, 4, 84, 120, -17,
   -26, -6, -25, -95, -34, 45, -54, -116,
   -88, 1, -10, 3, 8, -28, -30, -21,
   -12, -45, 18, -45, -43, -6, 4, 41,
   -10, 109, 32, 7, -20, -117, -49, 7,
   -47, 13, 46, -96, 53, -69, 0, -76,
   45, 73, 44, -36, 18, -50, -9, 47,
   -20, 16, -18, -28, -5, -10, -15, -97,
   42, -47, 47, 27, -17, 30, 36, -64,
   47, 76, -13, 9, -126, -9, 85, 11,
   70, 1, 104, 9, 67, -15, 34, 64,
   -12, 32, -50, 30, -23, 70, -36, -29,
   50, -128, -49, 29, -70, -31, 28, 0,
   38, 9, 28, -33, -123, -68, -8, -43,
   -124, -49, -94, -35, -2, 43, -98, -8,
   28, 37, -57, 15, -76, -114, 48, -94,
   -19, 64, 77, 23, 117, -95, 75, -59,
   -44, 21, -54, 98, 13, -59, -22, 51,
   -91, -8, 48, -6, -46, 31, -3, -12,
   -52, 105, 38, -88, 24, -55, 45, -72,
   -37, 5, 61, -70, -95, -31, 85, 39,
   -20, 1, -45, 75, -14, -50, -26, 51,
   -46, 110, 16, 71, -41, 4, -4, -11,
   -42, -31, 17, -43, -24, -24, 24, 6,
   95, 89, 28, 53, -127, 49, -8, -2,
   125, 26, -13, 8, -105, 44, 59, 38,
   -35, -7, 98, -13, 17, 79, 38, -59,
   42, 38, 16, -33, 59, 66, -15, -65,
   38, -24, -123, -36, 30, 65, -57, 81,
   29, 123, 124, 44, 7, 0, 96, -70,
   51, 49, 91, 92, -34, -42, -1, 70,
   82, 69, -22, 45, 58, 73, 44, -114,
   29, 85, 73, 108, 16, 66, -44, 70,
   -54, 3, -42, 45, -50, 66, 60, -7,
   27, 57, -102, 10, 13, 88, 100, -56,
   -1, -106, -67, 23, 49, 53, -59, 20,
   69, 110, -4, -20, 106, -29, 21, -23,
   1, -13, 1, -22, -5, -31, -55, -60,
   -128, -63, 49, -49, -108, -28, -11, 61,
   50, -24, 2, -32, -105, -14, 5, 23,
   45, 1, -43, -22, -57, 43, -7, -43,
   -118, 29, 22, 35, 11, -19, -14, -76,
   8, -45, 47, 15, -66, 51, -56, -21,
   -44, 79, -10, -118, -14, 16, -92, 70,
   -6, 5, 17, 89, 63, 26, 79, -84,
   0, -93, 19, 7, -102, -76, 2, 27,
   -21, 61, 24, 45, 72, 100, 42, 8,
   -61, -40, -35, -113, -32, 46, -20, -34,
   57, -71, 57, -1, 0, -51, -121, -64,
   -21, -74, 26, 8, 25, -84, -32, -50,
   -16, 3, 18, 31, -110, 2, 57, 25,
   16, 25, 31, 14, -67, -91, 9, -9,
   -6, 3, 64, -81, 69, -69, 79, 34,
   -42, -2, -111, -56, 8, -14, 77, 17,
   -8, -87, -2, 31, 2, -51, 98, 112,
   -11, 48, -15, 13, -7, -5, 2, -72,
   -73, -78, 1, -29, 22, 1, -89, 0,
   -39, 49, 68, 62, -25, -24, 30, 60,
   45, 45, 36, 53, -89, 54, -18, 38,
   -11, -26, 11, 12, 62, -127, -106, 6,
   -35, -81, 13, 12, 57, -49, 24, -2,
   12, 12, -31, -45, 54, -15, -41, 33,
   -127, 98, 58, 49, 35, -63, -124, 36,
   -47, -63, -25, -127, -22, -14, 22, 15,
   -116, -22, 37, -37, 58, 45, -42, 34,
   124, -62, 2, 3, 20, -27, -26, -8,
   13, -44, -114, 58, -24, -43, 56, -125,
   -128, 55, 34, -25, -34, 14, -21, 33,
   -126, -15, 6, 42, 5, 9, -69, -10,
   -85, 15, 77, -38, -24, 58, -108, -46,
   5, 5, 17, -73, 5, -39, 45, 0,
   36, -72, -22, -68, -33, -50, 11, -107,
   -99, 62, 9, 21, -5, -36, 15, 21,
   -6, 99, -49, -15, 15, 2, 20, 127,
   -44, -55, -47, 33, -73, 4, 11, -6,
   -28, 27, -26, 58, -50, 44, -24, -42,
   -64, -5, -10, 90, 73, -94, 7, -37,
   26, -36, 54, -26, -3, 32, -13, -16,
   -55, -13, -39, -23, 37, -40, 15, -25,
   -8, -66, 10, 38, 67, -3, 24, 38,
   81, 1, -57, 33, -44, 83, -16, 65,
   40, 47, 29, 110, 69, 51, 4, 45,
   12, -26, -24, 24, -57, 34, 22, -54,
   10, 4, -11, 10, 76, -26, 53, 45,
   10, 123, 0, -31, 114, 25, -4, 77,
   56, -22, 14, -38, -10, -12, -37, 92,
   125, -118, 94, -39, 79, -11, -32, -56,
   -9, -37, -2, 18, 31, 41, -30, 49,
   89, 36, 1, 74, -51, 6, 24, 18,
   30, -57, 58, -10, -13, 35, -60, -45,
   43, 60, 20, -12, 37, -14, -83, 123,
   59, -57, -26, 101, -43, 69, 12, -37,
   10, -15, 7, 127, 27, 110, 2, -23,
   -41, -63, -30, -128, -38, -34, -38, 3,
   -25, -39, 96, -127, 83, -72, 97, -91,
   78, -49, -19, 45, -128, 51, 70, -22,
   50, -10, 33, 73, -29, -18, -38, -14,
   -57, 28, -10, 19, 65, 43, 64, -8,
   -37, 1, -92, 96, -19, 69, -38, 126,
   93, -2, 47, -99, 63, 71, 25, -29,
   6, -22, -28, 61, -12, 13, -47, 9,
   -4, -8, -71, -10, 2, -17, 65, 32,
   -48, -28, 37, 47, -8, -81, 96, -125,
   18, 44, 64, -10, 24, -20, 2, -12,
   32, 26, 38, -12, 83, 64, -26, 42,
   21, 7, -61, 106, 15, -45, 51, -35,
   80, -3, 19, 15, -9, -40, -10, 24,
   19, 23, -39, 9, -7, 53, -56, -12,
   -56, 47, -8, -47, -59, -79, 30, -10,
   -22, -61, 25, 8, -3, -9, -24, 18,
   27, -8, 9, -9, 24, 38, 25, 5,
   -12, 2, 26, 12, 27, -45, 36, 33,
   57, 25, -72, -16, -40, 6, 28, 44,
   -56, 10, 59, -60, 19, -30, 81, -8,
   -37, 1, -3, -58, -1, -55, 4, -23,
   65, 28, 0, -22, -44, 76, 27, 54,
   68, -125, 10, -22, 2, 10, -16, -1,
   7, -34, 1, -10, -60, -18, 79, 67,
   -43, -18, -12, -51, 1, 20, 25, -91,
   -48, -9, -26, -44, -77, 64, -28, -17,
   -19, -63, -29, 40, -35, -6, -29, 79,
   -4, -16, -22, 61, -37, -57, 24, -29,
   -59, -3, 56, 56, -121, -7, -34, 127,
   28, 11, -23, 18, -46, -66, 127, -79,
   -44, -10, 77, -37, 73, -39, 51, -16,
   -64, -38, -77, 46, 16, -69, -23, 48,
   26, -49, 50, -2, 21, 50, 127, 24,
   -3, 127, 36, 18, 3, -47, 22, -47,
   2, -70, 1, -103, 28, -73, 57, 7,
   -22, 28, 26, 4, 0, -17, 61, -69,
   -14, 39, -121, 29, -52, -1, -124, -41,
   -43, -2, -9, -25, 62, -56, -17, 7,
   127, -21, 35, 28, -47, 75, -30, 107,
   -66, 11, -1, -25, 91, -89, 119, -25,
   100, 47, -69, 6, 23, 7, 13, -71,
   -30, -68, -101, -57, 74, -55, 32, -100,
   29, 40, 59, 28, -120, -13, -45, -23,
   -69, 49, 77, -45, -76, -19, 126, 86,
   91, 56, -20, 5, 72, -63, 30, 10,
   44, 109, -12, -35, 41, -17, -47, -101,
   -10, 124, -24, 18, -21, -99, -31, -43,
   10, 125, 91, 44, 7, -83, -47, 16,
   -10, -42, -20, 33, 50, -60, -42, -126,
   121, -53, -83, -56, -9, -85, -3, 16,
   -4, 25, 61, -88, 80, 58, -17, 27,
   -3, -99, -37, -25, -70, -11, 59, 3,
   -90, 87, 42, 36, 2, -50, 2, 55,
   -4, 59, -43, -15, 120, -4, -32, 46,
   8, 21, -31, -12, -2, 82, 2, -65,
   -55, -46, 127, 32, -28, 27, 92, -123,
   53, 70, 70, -54, -81, -121, 19, -14,
   36, 44, -67, -35, 15, 53, 24, 42,
   10, -9, -41, -63, 52, -22, 23, -88,
   7, 2, 40, 111, -38, 68, -22, 55,
   72, 49, -83, -78, 111, -20, 40, -69,
   -101, -14, -6, -53, -43, -89, -16, -16,
   98, -55, 43, -37, 2, 13, -29, -24,
   -28, -8, -63, -20, -60, 30, -41, 20,
   -28, 30, -47, -19, -128, 12, -106, -29,
   1, -8, 11, -40, -23, -10, -3, 42,
   -5, -46, -7, 69, -10, 107, -75, 13,
   58, 110, -78, -34, 21, 33, -75, -47,
   16, 53, 0, 23, 106, -55, -17, -77,
   -7, -63, -65, 28, -11, -59, 4, 7,
   67, -34, 36, 97, 14, 52, -58, -3,
   55, -16, -39, -125, 3, -21, -26, 32,
   47, 0, 50, -128, 28, -14, 75, -96,
   -10, 2, -53, 54, -38, 51, -109, -62,
   72, 20, -17, 23, -37, 58, 12, -60,
   15, -2, 72, 40, 52, 69, 96, -41,
   68, -41, -114, -37, 42, 29, 64, -37,
   32, -18, 37, 68, -49, 58, 38, -87,
   91, 44, 34, -55, 27, -59, 11, -20,
   42, 51, 65, -12, 112, 54, 83, 32,
   60, 53, -25, 36, -47, 59, -12, 50,
   52, -26, 11, 52, 89, 42, 66, 9,
   14, 98, -17, 20, -17, -2, 5, 12,
   122, 50, -32, 67, -30, -5, -15, 67,
   50, 9, 13, 33, 96, 127, 122, -6,
   19, -40, 19, 84, 62, 42, 81, -29,
   63, -34, -96, 53, 59, -4, -13, 42,
   -24, -4, 47, -27, -21, 32, 11, -11,
   -28, -24, -7, 0, -23, -67, 17, 41,
   -7, -6, -25, 52, -14, -7, 4, -7,
   -31, -56, 9, -40, 63, -27, 44, 17,
   -39, 16, 25, -19, -46, -14, 5, 44,
   62, 58, -12, -37, 18, -2, 26, 4,
   6, 52, 31, -27, 24, -31, 11, 8,
   0, 99, 46, 0, -22, -4, 22, 26,
   -11, 6, 49, 59, 17, 0, 62, -44,
   -10, 5, -14, 50, 9, 47, -25, 40,
   0, -23, 64, 2, -9, 17, 10, -31,
   -47, -36, -63, 32, -11, -19, 5, 8,
   0, -72, 45, 65, -52, -45, -43, -33,
   -60, -83, 41, -17, 9, 99, 7, -30,
   -27, 74, 111, -39, 25, 44, -35, 2,
   10, -2, -18, 22, 97, 17, -25, 19,
   -53, 60, 9, 79, 58, 18, 47, 58,
   -47, -23, -29, 8, 5, -29, 55, 38,
   63, 3, -62, 5, 27, -49, 4, 35,
   -34, 18, -14, 2, 11, -127, 21, 99,
   52, -44, -103, 2, -85, -67, 16, 0,
   -37, -49, -21, 54, -61, -53, 92, -10,
   -38, 22, 19, 4, 72, 64, -43, 50,
   -106, -62, -74, 35, 105, -11, 23, 8,
   -87, -32, -114, -85, -45, -46, 12, 116,
   -122, 38, -72, 22, -60, -37, 7, 25,
   -70, -128, -26, 47, -128, 14, -3, -102,
   -121, -1, -113, -26, 27, -97, -67, -36,
   -25, -76, -9, 40, -25, 9, -57, -65,
   -127, -65, -123, 59, -115, 16, 18, -44,
   90, 21, 25, 4, -85, -128, 17, -30,
   -68, -118, -16, -71, -105, 127, -43, 18,
   93, 52, -72, -61, 35, -4, 74, -24,
   35, -54, 3, -123, 44, -11, -53, 105,
   1, 6, -26, -78, -17, -95, 91, -56,
   -13, -65, -54, -70, -9, 56, 37, 89,
   -41, -57, 1, 39, -10, 36, 28, 46,
   57, 17, -128, 4, -87, -11, 45, 39,
   -52, 57, -8, 8, 119, 15, 47, 11,
   20, 29, -49, -81, 30, -88, 58, 3,
   38, -29, -8, -55, -24, 4, 20, -27,
   -2, 0, 37, -35, 25, -23, -47, 26,
   -14, 32, 24, 23, 56, 29, 37, -2,
   80, -11, 44, 32, -104, -52, -20, 64,
   -34, 123, -98, 69, 6, 2, 4, 16,
   -16, -3, -33, 42, 92, 18, -63, 14,
   36, -75, 34, 31, 21, 42, -67, -5,
   -32, 80, 39, -15, 16, 22, 127, -13,
   77, 125, -64, 83, -6, 42, -30, 34,
   -17, -72, 93, -15, 87, 10, -10, -3,
   14, 21, 47, -1, 33, 2, -11, 91,
   -44, 30, 58, 32, 20, 76, -29, -47,
   21, 10, 21, 54, 79, 40, -31, -58,
   -66, 35, 4, -11, 125, -30, -45, -114,
   124, -30, -16, 35, -7, 24, -19, 73,
   1, -57, 72, 31, -53, 62, 59, -32,
   -56, -110, -43, -27, 36, 68, 3, -36,
   27, -8, -53, 55, 33, -25, -83, 50,
   51, -32, -66, 2, -25, 65, 14, 35,
   -29, 20, -19, -36, -124, 2, -37, -28,
   44, 38, -127, 37, 79, 126, 50, -2,
   92, 70, 17, -93, -17, -24, 70, 15,
   44, 41, -70, -119, -13, 83, -128, 97,
   126, 1, -24, -116, -122, -92, -24, 46,
   27, 50, 88, 39, 127, 36, 124, -24,
   122, 42, 105, 68, 108, -33, 69, 23,
   -11, -89, -124, 55, 6, 48, -47, 64,
   -15, 28, 26, -3, 19, -43, 105, -74,
   19, -28, -66, 123, -93, -65, -119, 15,
   -60, 13, -27, -1, -43, 121, 41, -127,
   39, -110, -124, 105, -101, -76, -24, 8,
   -10, 43, 3, -126, 12, 20, 42, -72,
   -23, -6, -29, -38, 21, 57, -22, -98,
   -114, 1, 66, 32, -45, 38, 45, 63,
   73, 8, -36, -24, 31, -73, -4, 110,
   -22, -10, -77, 36, -30, -19, 13, -82,
   -67, 55, 90, 55, -18, -73, 24, -47,
   2, -6, -34, 15, -2, -59, -13, -7,
   -125, 30, -76, 3, 29, 124, -30, 6,
   91, -49, 24, -65, 59, 57, 30, -115,
   19, -90, -3, 116, -50, -37, 125, 81,
   26, -67, 92, -15, 2, 76, 6, -10,
   -17, 19, -55, -66, 32, -72, -31, -28,
   -76, 61, 28, 90, -86, -12, 32, -60,
   -11, -100, -30, -56, -72, -50, 28, 26,
   -9, -13, -128, 14, -72, 52, -41, 7,
   22, -28, 42, -112, 55, 69, 33, -41,
   18, 56, 34, 120, 91, 6, -39, 124,
   -29, -42, 7, 46, 43, -17, 11, 66,
   36, -22, 22, -48, 17, -61, -5, -25,
   56, 6, -68, -40, 48, -27, -120, 54,
   30, -47, -126, 62, 109, -15, -36, 87,
   -4, 31, -49, 70, -27, -41, -80, 54,
   65, 11, 21, -88, -22, 123, 44, -63,
   -127, 28, 37, -30, 22, 41, -80, 11,
   -25, -66, 2, 25, -45, -12, -85, -12,
   -70, 62, -54, -28, -31, 2, 37, -67,
   -58, -77, -39, -74, -49, -30, 8, -58,
   -40, 6, -79, -54, -77, -19, 51, -26,
   -25, -40, -126, -25, -81, -68, 31, 5,
   15, -23, -72, -29, -15, -112, -38, 4,
   -76, -87, -70, -4, -127, -95, 9, -57,
   25, -16, -74, 78, -22, -31, 17, 4,
   8, 95, -68, -60, 14, 25, 17, -61,
   17, -44, 43, -3, -109, -57, -28, 29,
   -1, -10, 45, 0, -80, -44, -24, -126,
   -17, -26, -101, -8, 10, 31, -18, -50,
   -7, -10, 55, -2, 1, -20, 23, 5,
   -32, -45, -34, -2, 6, -22, 43, 65,
   -4, -27, 33, 15, -3, 23, -37, 31,
   0, 11, 2, -1, -15, -37, 17, 17,
   -19, -3, -60, -40, -19, 1, 16, -7,
   2, -50, 64, -23, 2, 5, -8, -86,
   -38, -22, -12, -5, 19, -58, 2, -7,
   -7, 70, 18, -41, -18, -6, -27, 49,
   26, -39, -87, -15, -23, -7, -10, -46,
   -23, -40, -16, -4, 3, -7, 16, -11,
   -16, 43, 70, 26, 25, -4, -28, -23,
   39, -51, 47, -10, -11, -25, -35, -49,
   2, 10, -44, 51, -35, -52, 5, -8,
   33, -86, -42, 36, -31, 48, 50, -4,
   20, -52, -22, -24, -52, -126, 15, -2,
   -38, -27, 28, -32, -39, 22, 1, -31,
   -64, -73, -3, 13, 48, 28, -10, -21,
   -16, -1, -27, -14, -47, -79, -13, -45,
   32, -61, 80, 25, 14, 10, 21, 46,
   9, 37, 125, 0, 44, 15, -40, 22,
   4, -58, -1, 18, 25, -22, -22, 18,
   15, 1, 10, 35, 5, -17, -20, -43,
   21, 7, 4, 10, -92, 51, -31, 62,
   -47, 1, -26, -20, 32, -6, -19, -3,
   -64, 74, 29, -126, 53, -20, -64, 64,
   -10, 1, 95, 28, -5, 115, 13, -13,
   -39, -28, -45, 87, -30, 33, -24, 75,
   102, -11, -14, -19, -12, 49, 126, -15,
   60, -116, -28, 62, 19, 40, -40, -3,
   49, -19, -55, -4, 79, -46, -36, 55,
   -53, -92, 34, 16, 55, 23, -83, 33,
   17, 79, 29, -70, -13, -62, -52, 20,
   -67, -4, 2, -2, 40, 64, -18, 106,
   -76, -61, -80, -114, 22, 25, 83, -84,
   -74, 10, -89, -61, -94, 126, 76, 66,
   78, 28, -12, -33, 120, 102, -120, -48,
   38, 57, -71, 66, -26, -60, 47, 9,
   1, -5, -28, 52, 5, -70, 42, -9,
   -9, -17, -50, -7, -10, 32, 15, -97,
   39, 7, 12, 49, 68, -14, -38, -36,
   -19, 53, 31, -63, 22, -1, -7, -64,
   -6, 20, -33, -16, 42, 45, 62, -25,
   10, 47, -21, 25, -36, -68, 44, -38,
   19, 75, 41, 38, -23, 24, -11, 86,
   81, 36, -73, 22, -2, -60, -55, -6,
   9, -34, -7, -9, -57, 35, -11, 63,
   27, 89, -61, 67, 56, 87, 1, -18,
   107, 38, 102, 45, 0, 45, 8, 27,
   -19, -50, 58, 47, -17, 36, 46, -45,
   -18, -42, 74, -46, -74, 60, -52, -33,
   -57, -21, 26, 50, -46, 8, -30, 10,
   23, -13, -42, -114, 8, 51, -6, 3,
   50, 3, 15, -44, -113, 46, 25, 9,
   26, -32, 31, 47, 2, 3, -41, 81,
   -9, 26, 25, -39, 35, -8, -15, 4,
   -18, -11, -16, -13, -43, -3, 55, 7,
   28, -44, -56, 2, -14, 26, -60, -5,
   -31, -34, 86, -81, 86, 9, -27, 35,
   24, -40, 19, -2, 34, -10, -58, -54,
   25, 30, -80, 12, -74, 11, 32, -40,
   91, 32, -63, 88, 9, 117, 11, 22,
   45, -9, -81, 68, -26, 1, 15, -11,
   127, 10, 61, 65, -39, 31, -2, -71,
   28, 68, -6, -10, -45, -24, -47, 127,
   117, -94, 10, -39, 67, 52, 23, 79,
   -12, 126, 72, 50, 35, 33, 39, 33,
   122, 127, -7, -125, 59, 4, -125, 35,
   49, 21, 30, -44, -37, 70, -87, -35,
   -84, 18, 33, 71, 115, -64, 122, -11,
   17, 60, -19, 94, -6, -88, -21, -53,
   -52, 61, -40, -36, 79, 97, 33, 30,
   31, -111, -10, 48, -128, -126, -2, -26,
   41, 68, 29, -12, 9, 68, -5, -63,
   86, 28, -22, -35, 127, -27, -17, -28,
   5, 15, 92, -50, 52, 48, -39, 12,
   -52, -63, -7, 16, -52, -15, 54, 100,
   -68, -59, 59, 18, 98, -5, -81, -26,
   -16, -14, 47, -71, 45, 86, 34, -52,
   53, -34, -23, 58, -23, 112, -38, 5,
   1, -68, -78, -56, -17, 41, -26, -16,
   -50, -21, -50, 72, 33, 47, -32, -61,
   80, -8, 30, 19, -67, -41, -86, -78,
   -65, -118, 39, 69, -36, 63, -83, 31,
   38, -54, -14, -72, -118, -46, -31, -10,
   85, 28, -75, 23, 12, -9, 113, -45,
   -37, -66, -10, 23, -3, -64, 52, -32,
   -23, 56, -77, 51, -38, -24, 27, -26,
   -58, 40, -56, -54, 16, 3, 17, -110,
   -106, -28, 50, -66, 89, 2, 127, -41,
   -10, 65, 15, -8, -87, -106, 54, 13,
   -35, -19, 0, -18, -15, -21, 25, 5,
   -56, 59, -15, -50, 16, -24, 24, 7,
   -59, 115, 59, -61, -64, -72, 18, 16,
   -1, 98, -4, 122, -38, -63, 30, -71,
   15, 68, -83, 122, -27, 21, 93, -28,
   -128, -8, 16, -16, 14, 30, -24, -77,
   -45, -122, -40, -40, 35, -70, 9, 80,
   -52, 14, 120, 97, -23, 78, -61, 8,
   -42, -13, 1, 20, 38, -56, -8, 36,
   23, -94, -16, 43, -104, 95, 14, 2,
   7, 55, 69, -15, 84, -5, 53, 45,
   47, -14, -57, 50, -63, -70, -51, 59,
   -12, -28, 124, 42, 8, -66, 60, -28,
   -91, 25, -5, 45, -50, -28, 6, -98,
   -48, -30, -114, 43, -20, 17, -124, -75,
   48, 16, 44, -74, -59, 28, 89, 16,
   -5, -100, 83, -18, 0, 106, 6, 20,
   32, 87, 6, -47, 78, 42, -98, -50,
   2, -12, 9, -27, 64, -96, 82, 68,
   -35, 58, 30, 99, -50, -80, 23, 42,
   -47, 20, 28, -41, 76, -6, 25, 53,
   -56, 67, -36, 44, 13, -38, -38, -11,
   19, -30, -64, 4, 97, -37, 79, -16,
   0, -45, 0, -11, -104, 126, -14, 26,
   -127, 25, -88, -32, 39, 21, 9, 16,
   -42, 71, 69, 65, 34, -10, 44, 1,
   63, -26, -7, 4, -75, 37, -36, 86,
   -3, -1, 31, -32, -12, -33, -93, -45,
   23, 10, -5, 1, -22, -126, -19, -22,
   15, 16, -20, -25, -54, -20, -1, 84,
   -16, 127, -18, 39, -10, 24, 45, 25,
   2, 52, 72, 53, -23, 10, -20, 1,
   113, 46, 26, -8, 8, -21, 40, -75,
   -34, -56, 34, -22, 84, 22, -50, 63,
   30, -58, -67, 11, -44, 14, -29, 58,
   -30, -68, 6, 8, 76, 49, -29, 0,
   11, 19, -22, -22, 31, -22, -15, -46,
   83, -13, -6, 70, -3, 103, 19, 48,
   36, -69, 37, 124, -4, 2, 56, -61,
   27, -71, -11, -18, -1, 57, -23, -82,
   -14, -40, -36, 26, 11, -118, -66, 63,
   12, 55, -9, 28, 23, 28, -46, 83,
   26, -36, 72, -67, -17, 114, -37, 53,
   -53, -2, -27, 42, 62, -31, -20, 3,
   4, 44, 59, 84, 67, 23, -4, 77,
   -58, 13, 93, 90, 60, 40, 2, -24,
   -13, 47, 119, 20, -51, 2, -38, 13,
   -27, 96, 22, -15, 19, 22, 90, -8,
   67, -14, 64, -13, 107, 97, 95, 38,
   65, -13, 45, 64, 71, 31, -128, 21,
   -26, -36, 12, 22, -26, -19, 22, -6,
   36, 54, 13, -52, 55, 10, 12, -7,
   100, -57, -8, 102, 25, 37, -47, 119,
   97, 54, 29, 62, 74, -9, 103, 30,
   38, 42, -125, -60, 39, -27, 21, -28,
   -31, -45, 73, 123, 4, -57, -52, 9,
   0, -59, 29, -85, 48, 66, 2, 17,
   -5, 59, -29, 51, 29, -35, 50, -18,
   -11, 40, 9, -41, 49, -8, 12, -56,
   -13, 11, 75, -28, 8, -51, -75, -43,
   -14, -48, -9, -1, -39, 40, -28, 22,
   -9, 118, 37, -68, -82, -77, 48, -9,
   20, 127, 29, -27, 12, 76, -79, -48,
   -8, -24, -36, 54, -20, -4, -11, 58,
   12, -46, 20, 22, -25, 59, -8, 5,
   77, 18, -90, -8, 3, 42, -51, 20,
   15, -39, 57, -79, -86, -46, -82, -29,
   13, 3, -4, -23, -90, -69, -15, -54,
   -70, 73, 117, 55, -9, 29, -55, -26,
   82, 30, 3, 56, -61, -124, -61, -3,
   -116, -6, 49, -51, -21, -16, -35, 13,
   -37, 0, 36, -39, -61, -57, 24, -48,
   -35, 4, 47, -15, -115, 116, 14, -2,
   -54, -25, -35, -2, 40, 3, 19, -51,
   -36, -63, 20, -124, -47, -71, 116, 76,
   31, 7, 10, 23, -55, -22, -48, 67,
   -13, 52, -45, 104, 9, 11, 35, 18,
   8, 75, 95, 2, -10, 14, 17, 33,
   -64, -42, 93, -67, 39, -54, -15, 101,
   -14, -118, 44, 91, -15, 9, 54, 6,
   -128, 81, -104, 74, -3, -47, -19, -2,
   -27, -17, 40, -26, -27, 9, 16, 50,
   -17, 33, -20, -1, 86, -113, -63, -15,
   -123, -109, -51, 46, 62, 121, -36, -56,
   11, -26, 25, -1, -23, -109, 57, 61,
   28, -76, -16, -15, 17, 65, -2, -15,
   57, 15, -5, 61, -39, 74, -67, -3,
   64, -24, 12, -48, 17, 39, 127, 74,
   83, -23, 120, 12, 21, 61, 31, 124,
   -15, 126, -105, 25, 115, 32, 0, 14,
   -28, 36, -30, 71, -39, 4, 11, 51,
   -42, 8, 24, 16, -24, -62, 95, 117,
   23, 2, -13, 70, -23, -46, -11, -68,
   -9, 8, -40, -24, -55, -54, 25, -87,
   -9, -44, -55, 55, 33, -44, 54, -49,
   39, -3, -45, -18, 0, 32, -47, -4,
   -28, 16, -85, -43, 31, 16, -38, 50,
   -60, 110, -13, 48, 6, -62, 15, -45,
   60, -50, -102, -46, -90, -61, -59, -1,
   56, 28, 58, -32, 76, -7, 40, -7,
   101, -13, -62, -44, 63, -109, 69, -2,
   -7, -41, 102, 76, 23, -22, 24, 31,
   7, 97, 113, -30, -28, -3, 54, 61,
   74, 94, -50, -18, -1, -6, 105, -119,
   -55, -14, -47, -17, 19, -96, -65, -85,
   -56, -8, 15, -32, -21, -19, -63, 84,
   -28, 3, 1, 97, -124, 114, -13, -23,
   -46, 6, 63, 8, 55, 99, -48, 61,
   39, 9, -45, 105, 3, -8, -18, 26,
   16, -86, -12, 9, -59, 123, 1, 122,
   22, -4, -54, 13, 4, -59, -88, 15,
   11, 1, 83, -12, -24, -46, 7, 9,
   55, 83, -12, -82, 90, 25, 32, 37,
   44, -24, 17, 8, -60, 55, 11, -6,
   -7, 43, -30, -84, 8, 74, 100, 33,
   -13, 65, 46, 102, 126, -40, -65, 47,
   -21, 68, -38, 113, 12, -1, -13, 15,
   3, 17, 23, 96, 98, -35, 44, -13,
   -62, -2, 84, -127, -13, 57, -26, 38,
   57, -2, 78, 0, 1, 39, -79, -39,
   -57, -59, -6, -15, 127, 6, 32, -12,
   35, -63, -21, 46, 5, 20, 3, 121,
   -116, -34, -115, 41, -10, 125, 38, 65,
   -1, 42, -26, -13, 38, 43, -6, -48,
   125, 16, -19, 13, 4, 23, -2, 49,
   16, 85, 64, -46, 41, 127, -3, -23,
   -56, -127, 14, 6, -30, 38, 94, 40,
   66, 40, 38, 73, 4, -6, -23, 30,
   19, 44, 9, 4, 96, 66, -30, 73,
   -3, -5, 11, 44, 49, 17, 74, 74,
   -11, 59, -11, 31, 23, 24, -73, 21,
   -55, 50, 22, -4, 14, 85, 6, 126,
   66, 5, -37, -67, -65, 24, 35, -46,
   -26, 16, 95, -18, -75, -64, 5, -19,
   8, -65, -87, 27, 48, 57, -24, 87,
   14, 37, -3, 18, 22, 48, -42, -10,
   -38, -49, 71, -67, 53, 60, 5, -49,
   -93, 90, -21, -1, -6, -13, -29, -37,
   -2, -105, -6, -66, 70, 4, -35, 112,
   60, 67, 31, -30, 47, 3, -98, 40,
   21, 27, 64, -30, 47, 21, -127, -60,
   18, 127, 51, 13, -6, 10, 49, -19,
   -3, -53, -91, -22, -35, -39, -84, -17,
   60, -127, 1, 44, -91, 72, -52, -13,
   -126, 1, 5, -52, 102, 39, -37, 23,
   -12, -2, -35, 4, 26, 39, 32, -5,
   -2, -1, -2, 3, -88, 38, 12, -74,
   -8, 12, -62, -125, 41, 35, 68, 20,
   -8, -50, 49, -1, 16, 5, -20, -89,
   46, -18, -58, 41, -56, -15, 45, 62,
   29, 29, -105, 24, 36, -23, 25, -111,
   48, 92, -32, -10, 0, 7, -8, -56,
   119, 21, 40, -124, -23, 81, -9, -126,
   -58, 40, -22, 28, 27, 22, -127, 19,
   -13, -14, 32, 90, -65, -107, 66, -73,
   18, -50, 35, -76, -41, -40, 26, -79,
   -38, 49, -30, -12, 38, -43, -98, 15,
   91, -109, 85, -11, 67, -43, -20, -54,
   36, 114, 125, 45, -92, -72, 32, 66,
   -58, 2, -61, -40, 15, 12, -60, 76,
   -66, -32, -65, -70, -29, 31, -60, 60,
   -15, -66, -45, 64, -126, -45, -3, 52,
   55, -19, 67, -126, -115, -25, -115, 5,
   25, 12, 33, 127, 4, -3, -14, 25,
   16, 5, -43, 59, -36, -88, 66, -41,
   -35, -4, -20, -58, -37, 65, 55, 124,
   10, 127, 46, -58, -48, -8, 29, 60,
   41, -46, -3, 9, 32, -26, -46, -70,
   -53, -57, 126, -32, -47, 111, 70, 76,
   -22, -84, -15, 76, -2, 29, 36, -69,
   -78, -44, -3, 30, 33, 0, 68, 6,
   -37, 27, 5, -4, 127, 0, -40, 5,
   -18, 81, 4, 19, 29, -76, 65, -23,
   -31, -19, -27, -68, 61, -29, -39, 9,
   19, 50, 0, 11, -24, 68, -53, -3,
   89, 58, 62, -33, 17, 37, -126, -6,
   72, -35, -34, -73, -59, 124, 18, -83,
   -37, 9, 38, -104, 127, 25, -58, 52,
   5, -54, 17, 80, -10, -5, -42, 19,
   66, 61, 27, -5, 10, 25, -12, 57,
   21, 87, 5, -14, 92, -97, -30, 15,
   -16, -128, 0, -27, -18, 0, -38, 55,
   127, -75, -9, 15, 9, 127, -118, -48,
   -15, -56, -10, -76, 58, -56, 42, -18,
   -29, -35, 45, -117, 8, -37, -23, -128,
   -54, 7, -127, 63, -100, 108, -49, 5,
   -73, -68, -35, 64, 16, 91, 72, 52,
   -12, 40, -66, -56, -34, -70, -55, 33,
   -11, -1, 127, -6, -80, 91, -35, 11,
   20, 72, 58, 15, 26, -70, 30, -10,
   -116, -128, -113, 14, 33, -4, 91, -59,
   -67, -123, -39, -48, -125, -108, -127, 10,
   -74, -98, -126, 17, -8, -15, -104, -85,
   20, 39, 91, 17, 71, -93, -25, -97,
   59, 74, 81, -57, 74, 101, -114, 40,
   -98, -49, 73, 21, 24, -107, -76, -33,
   -12, 55, -75, 86, -56, -43, -65, -50,
   36, -63, -43, -20, 16, -71, -125, 68,
   -15, -11, 41, -41, -91, 55, -47, -56,
   63, -21, -106, -31, -31, 25, -54, -53,
   -100, 39, 76, 10, -82, -31, -34, 31,
   21, -14, 26, -32, -40, 1, -9, 28,
   62, 41, 40, 3, -95, -11, -57, -33,
   35, -90, -3, 19, 58, -128, 69, -32,
   38, -30, -52, 46, 13, 37, 56, -12,
   50, -59, 28, 26, -55, 9, -67, -66,
   -69, -52, -66, -68, 32, -50, -89, -64,
   2, -13, -45, 124, -9, -35, 34, -9,
   40, 91, -8, -4, -1, 59, 35, -33,
   -10, 37, -97, 24, 47, -41, 66, 47,
   -14, -59, 13, 59, -18, -19, -52, 8,
   -5, -17, 4, -39, -40, -26, -46, -13,
   -79, 31, 41, 30, 41, -32, -6, 26,
   71, -8, -40, -27, -47, 54, -55, 11,
   -26, 16, 33, -49, -7, -33, -1, -46,
   30, -40, -109, -21, -70, 15, -59, -31,
   60, 14, 127, 21, 108, -35, 18, -5,
   0, -11, 23, -41, -49, 2, 12, 4,
   9, 43, 103, -28, -41, -12, 79, -10,
   -55, -21, -61, 35, 7, -5, 53, 11,
   -3, -127, 33, 21, 31, -17, -10, 58,
   54, 12, -6, 19, 46, 0, -1, -48,
   28, -89, -24, 23, 105, 14, -12, -14,
   -18, -69, -31, -80, 19, -114, -50, 67,
   -53, 53, 33, -49, 70, -92, -42, 44,
   22, 50, 48, 32, 36, -32, 40, 47,
   -69, -43, -29, 18, -5, -2, -46, -3,
   -17, -86, -25, 9, 68, -80, -44, -5,
   33, -2, -96, -33, 2, 13, -71, -46,
   -15, -39, 47, 35, -99, 70, 15, 18,
   -37, -16, -76, -14, -86, 16, -48, 51,
   1, -14, -14, -79, -78, 30, -15, 2,
   -5, 52, -63, -93, 12, 22, -105, -32,
   -88, -25, 72, -45, -85, -119, -19, -119,
   1, 1, 61, 26, 20, -50, 50, -11,
   52, 61, -11, -92, 43, 30, 54, 19,
   33, -17, -94, 1, 55, 40, -9, 6,
   -63, -44, 37, 29, -47, 24, 10, -75,
   66, -29, -15, 101, 42, -82, -18, 7,
   42, 4, -66, -55, 53, -13, -59, 69,
   -34, -49, 1, -46, -46, 83, 39, 17,
   7, -7, 61, 65, 38, 88, 19, 120,
   43, -72, 16, -40, -5, -32, 19, 123,
   33, 13, -21, -16, -36, 35, -17, -1,
   -1, 41, -58, -39, 58, -61, 32, 13,
   -32, 12, -13, 26, 21, 47, 41, -30,
   8, 18, 22, 18, 37, -40, 56, -9,
   -128, 127, -6, -8, -6, -12, -51, 37,
   35, -5, 47, 23, 83, -72, -62, 49,
   5, 8, -40, -20, -75, 35, 21, -100,
   -102, -2, 46, -93, -54, -94, -38, -128,
   1, -21, -126, 77, -57, 18, -28, -24,
   -23, -2, 43, 106, -28, -25, -6, 19,
   11, -19, 48, 20, -9, 23, -44, 16,
   -110, -18, 44, 32, -6, 27, 60, 8,
   -38, 41, 33, -24, 127, -47, 2, -4,
   68, -52, 3, 27, 79, 21, 7, 12,
   -27, 41, 19, -6, -1, -12, -87, -4,
   -37, 63, -30, -125, 12, -8, -26, -97,
   98, -5, 61, 4, -31, 23, -3, 4,
   -57, 30, 5, 127, 45, -68, -21, 42,
   -3, -84, 76, 24, 33, 67, 73, 82,
   58, 23, -76, -63, 52, 42, 89, 64,
   117, 18, 23, -48, 47, 61, -5, 19,
   28, 88, 35, 30, 23, 50, 10, 42,
   81, 58, -27, 30, -14, 41, 121, 80,
   4, 26, -86, 47, -68, -71, -19, 6,
   56, -19, -46, -4, 95, 9, 8, 23,
   -11, 19, 1, 42, 86, 102, -50, 1,
   49, -22, 29, 26, 42, -2, 82, 45,
   11, -8, 39, -14, 7, -53, -77, 0,
   -53, 127, -72, 14, -66, -30, 28, 60,
   -8, -31, -75, -19, -38, 30, -46, -11,
   11, -56, 35, -14, -36, 9, -99, -45,
   21, 14, -49, -47, -117, 11, 3, 101,
   41, 29, -55, 80, -11, -15, 18, 25,
   11, 48, 9, -96, 35, 46, -57, -28,
   -35, 99, 18, 61, 67, -38, 53, 127,
   2, -22, 52, 100, 10, -10, 25, 77,
   41, 50, 52, -52, 43, 8, -95, -15,
   -64, 57, -84, -35, 24, -6, -14, -34,
   -22, -22, 7, 12, -49, -17, 61, 8,
   -16, 19, -15, -19, 14, 80, 7, -47,
   14, 49, -33, 9, 38, 43, -19, 23,
   23, 2, 64, -64, -5, -54, 127, 35,
   -90, 13, -15, -21, 1, -18, -45, 24,
   44, 56, -5, 16, -89, -14, -4, 90,
   -27, 35, 24, -2, 75, 92, 41, -45,
   115, -74, -28, 18, 7, -97, -48, 28,
   9, -32, -7, 38, 30, 5, -6, 4,
   -48, 41, 23, 14, -5, -49, -14, -6,
   13, -13, 22, 12, 34, -50, -61, 33,
   33, -5, 8, 6, 42, -35, 2, -10,
   68, 24, 82, 3, 12, -55, -59, -44,
   73, 56, -17, 10, 106, -38, -20, -11,
   -45, -62, -22, 13, -8, 40, -83, 114,
   1, 3, 13, -37, -43, 59, 37, 79,
   10, -11, -9, -21, 104, 49, 117, -37,
   -72, -12, -53, -8, 45, 25, -17, -25,
   47, -72, -22, -21, -45, 26, -128, 6,
   -49, -72, -49, 47, 56, 62, 6, -26,
   62, 113, -6, 44, -53, 15, -69, -82,
   -34, -99, -23, -68, -41, -128, 68, 106,
   -116, -19, -22, -94, 35, 6, -24, -50,
   82, -14, 31, -66, 5, -76, -75, 115,
   21, 75, 98, -47, 31, 13, 30, -16,
   -13, -13, 9, 41, -90, 73, 13, -4,
   35, 4, 14, 76, 17, 27, 3, 64,
   17, 61, -58, -34, 18, -18, 62, 38,
   61, 95, -31, 13, 66, 1, -14, -49,
   6, -33, 14, -103, 46, -3, -68, -57,
   43, 27, 18, 4, -37, 2, 8, 33,
   -5, 38, 11, 51, 10, 21, -102, 30,
   53, 8, 38, 2, 45, -94, 88, 4,
   8, -24, 13, 121, -2, 9, -30, 120,
   -36, 89, 22, -41, 27, 18, -83, -26,
   -70, 55, 62, -4, -12, 46, 28, -35,
   48, -29, 34, 99, -13, 78, -67, 126,
   23, 79, -31, -76, -60, 99, 85, 54,
   31, 117, -26, -10, 38, 123, -55, 5,
   65, -10, 69, 21, 126, -11, -32, -31,
   -65, -19, -66, 48, 89, -22, -31, 66,
   4, 33, 8, -1, -91, 55, -59, -53,
   -14, 68, 54, 51, -94, 44, -51, 10,
   19, 65, 48, -26, -42, 48, -116, -55,
   41, -72, -90, -12, 19, -26, -23, -74,
   20, -51, 97, 88, 51, -2, -23, -111,
   4, -55, 47, -53, 36, -35, -37, 115,
   2, -20, 40, -67, 4, -26, 92, -22,
   85, 42, 15, -28, -91, 56, -7, 0,
   -8, -21, 44, 45, -4, -35, -28, 52,
   86, -31, -40, -4, 53, -109, 25, 5,
   27, -30, 21, -38, 34, 38, -36, -69,
   -80, 13, 75, -70, -11, 31, -27, 35,
   -30, -25, -20, -93, -40, 64, 37, 81,
   -2, 63, 121, -8, 127, -74, -15, -17,
   25, -28, -24, -44, 50, 8, 3, 72,
   106, 18, -6, -43, -24, -71, 30, -29,
   -42, 25, -61, -6, -36, 60, 123, 29,
   70, 7, 70, -81, 20, -24, -38, -92,
   -22, 9, -59, 26, 94, -32, -3, -44,
   3, -81, -40, -99, -30, -73, -84, -35,
   50, 47, 52, -28, 60, -33, 0, -24,
   -27, -23, 48, -52, 5, 25, -25, -59,
   -83, -21, 17, -42, -11, -16, 32, -1,
   -24, 32, 71, -38, 125, -9, -5, -44,
   -34, 84, -24, -20, -32, -51, -16, -30,
   6, -13, -22, -105, 100, -82, 127, -43,
   54, -30, 32, 13, -75, -23, 33, -55,
   14, -16, 15, 11, 41, 72, -97, 124,
   9, 18, -40, 21, -95, -14, 48, -17,
   21, -43, -39, 11, -47, 50, -35, 9,
   -13, -31, -45, 19, 57, 60, -67, 31,
   122, 2, -69, -18, 59, 49, -5, 0,
   -2, -35, 13, -12, -24, -40, 64, 47,
   30, 17, -47, 72, -5, -34, 33, 10,
   -36, 48, 72, 56, 12, -59, -54, -19,
   7, -87, -114, -9, -35, -18, -46, 50,
   -82, -18, 99, -17, 8, -66, 1, -84,
   37, 6, -39, 87, -36, -41, -18, -18,
   18, -9, -20, -16, -33, 62, -28, -23,
   -4, 39, 19, -4, 10, -32, 5, 8,
   -46, -4, 29, -7, 0, -88, 55, 111,
   -18, -50, 20, 36, -11, -7, 65, -5,
   3, -73, -87, 37, -41, 65, 87, 35,
   7, -29, 64, -16, 63, -25, -8, -16,
   59, -73, -40, 13, -26, 57, -73, -68,
   85, 24, 83, 9, 110, 75, -66, 37,
   -34, 17, -25, 16, 121, 6, 66, 53,
   -82, -60, 24, -22, -56, 44, -75, -44,
   103, 8, 41, -19, -14, 107, 31, -59,
   21, 116, 60, 8, 106, 4, 89, -50,
   -8, 104, -19, 26, -44, 25, 85, 55,
   -88, 61, -121, -93, 70, 73, 102, 10,
   -19, 80, 43, -2, 120, -23, -54, 127,
   62, -28, 11, 79, -34, -56, 101, 22,
   10, -24, -120, 11, 102, 71, 9, 36,
   -43, -24, 16, 27, 8, 13, 20, 46,
   70, -77, -34, -86, 15, 11, -56, 55,
   13, 45, 4, 55, -55, -8, -21, -26,
   51, -16, 95, -36, -13, -91, 29, -10,
   50, -27, 21, 45, -82, 23, -38, 76,
   17, 5, 47, 86, 18, 53, 31, 21,
   -51, 63, -50, 14, 6, 57, 11, 11,
   7, 17, -72, 7, -59, -2, 47, -61,
   -71, 52, -64, -85, 44, -11, 27, 51,
   -108, -40, 43, 16, 42, 50, 48, 85,
   39, -20, -1, 53, 17, -23, -40, 87,
   -3, -50, 66, 43, -6, 11, 37, -12,
   68, -74, -113, -35, -57, -8, -25, 17,
   -77, 44, -35, 72, 19, 127, 9, 29,
   60, 2, -24, -20, 59, -31, 29, -82,
   50, -22, -19, 59, 105, 73, 40, 121,
   -6, 76, 11, -29, 19, 18, -21, 46,
   -3, 70, -10, -17, -47, -14, -54, 46,
   25, -3, 88, -121, 7, 35, 30, -8,
   59, 39, -73, -2, 23, 22, -2, 63,
   27, 15, -22, -85, -17, 117, -31, -9,
   31, -22, 3, 22, -26, 35, 26, 12,
   59, 71, -58, 79, -125, -15, 70, 60,
   -45, -44, -53, 68, 33, 46, 43, 41,
   19, -55, 40, 58, 111, -48, 26, 9,
   -72, -91, 78, -123, 105, -125, 16, -12,
   -41, -48, 20, 61, 15, 115, -6, 6,
   -41, -81, -81, 64, 44, 9, 86, 38,
   27, -13, 7, -18, 72, -48, -53, -123,
   -65, 20, 76, 23, -55, -1, 83, 39,
   43, -14, -6, -35, -57, 40, 18, -39,
   -85, 55, -82, 50, 11, 74, 10, -113,
   -103, 122, -43, -49, -25, -27, 11, 30,
   -65, 5, -54, -16, 38, 86, 107, -27,
   127, 29, -57, 65, 17, 34, 51, 50,
   -19, 29, 54, -29, -36, -16, 65, -28,
   -101, 97, 73, -29, 78, 100, -37, 75,
   29, -43, 26, -16, -20, 49, -76, 1,
   9, -9, -47, 127, -54, 28, 15, 53,
   -35, 18, -121, -11, 2, -79, 43, -55,
   -9, 7, -43, 44, 39, 56, 12, -25,
   63, -25, 74, 37, -32, -7, 35, 122,
   -25, -42, -35, -14, -15, -15, 14, -54,
   -27, 75, -108, 11, 49, -1, 42, -7,
   0, -28, -33, 35, 71, -37, 76, 27,
   -61, -9, -47, -22, 48, 71, -29, 82,
   -2, -9, 1, -78, 55, 42, -34, -10,
   26, -44, -18, 24, 7, -55, 15, 11,
   3, 45, 55, 76, 26, 49, -17, -44,
   -37, 58, 4, -72, 82, 40, 42, -29,
   -3, -74, 43, 0, 92, 54, -43, 25,
   52, -4, -56, -21, 52, -8, -13, -73,
   -53, -40, -11, 19, 35, 74, -13, 46,
   45, 21, -70, -8, -13, 21, -28, -13,
   4, -34, 18, -64, -13, -40, -93, -29,
   73, 111, -6, 39, -62, 17, -55, 43,
   -48, -20, 32, 8, -69, 7, -43, 52,
   13, -16, -63, -45, 1, 92, -23, -11,
   27, -76, -36, -51, 37, 42, -23, 41,
   -19, -26, 101, -127, 15, -53, -47, 1,
   29, 8, -20, 29, -2, 38, -32, -30,
   81, -22, -15, -13, -67, 72, -13, -61,
   -11, 53, -93, 30, -59, 124, -12, -28,
   106, 29, -24, 12, 115, 5, 17, -126,
   8, 116, 7, 12, -31, 16, -30, -26,
   98, 70, -11, 16, -66, 12, 118, -11,
   40, 44, 49, -40, 66, 55, 127, -99,
   104, 118, 31, 11, 67, -22, 22, 101,
   9, -2, -23, 97, -14, 119, -9, 3,
   75, 63, 94, 93, 5, -24, 42, -67,
   12, 0, 52, 76, -17, 63, 19, 93,
   -123, 4, -70, 103, 37, 21, 29, -76,
   75, 69, 49, 51, -126, -37, 40, -17,
   40, 0, 34, 37, 30, -17, 30, -24,
   -6, -38, 57, 8, -49, -77, 49, -123,
   -16, -6, 96, 5, 5, -24, -27, 45,
   6, -4, -40, 86, 18, -47, -4, -5,
   -77, 14, 49, -56, 22, 43, 70, -15,
   -74, 62, 43, 52, 78, -74, 1, 29,
   -2, -40, 55, -74, -20, 86, -35, -5,
   7, 66, -10, -16, -63, -47, -57, 17,
   -5, 33, 84, 33, 31, 37, -53, 1,
   -41, 24, -4, 9, -70, -50, 9, -64,
   -53, 86, -34, 48, -8, 121, 25, -17,
   81, -43, -14, -45, -44, -12, -21, 20,
   6, -35, -98, -56, -35, -48, 12, 18,
   -71, -52, -23, -45, -30, 16, 2, -51,
   5, -49, -85, -11, -30, 82, -53, -55,
   20, 30, -14, -31, -36, -5, -40, -65,
   18, 126, 125, -44, 15, -9, 29, -42,
   -127, 62, 0, -105, -1, -39, 54, 48,
   -5, -27, -25, 127, -26, 9, 20, 72,
   -76, 62, -91, 62, 34, 29, 4, -41,
   -7, 42, 50, 16, 98, -25, -50, 43,
   0, 111, -54, -37, -91, -42, 26, 25,
   -36, -5, -52, 56, -71, 51, 66, -127,
   -60, 9, 16, -47, 35, -26, -40, -47,
   37, -24, 5, 1, 7, 41, -50, -93,
   -36, 36, 95, 40, -70, -1, 13, 55,
   -122, -33, -58, 30, -11, -98, -10, -7,
   -65, -9, -34, 83, -8, 67, -8, 49,
   -34, 11, -89, -25, 11, 15, 12, -71,
   57, -56, 25, -30, 32, -6, -58, 60,
   18, 7, -99, 78, 25, 58, -3, -31,
   -12, -52, 25, -29, 72, -64, 68, 3,
   25, -13, -30, 5, -45, -10, -104, 79,
   -10, 52, -70, 18, 57, 20, 22, 37,
   0, -38, -127, -50, -15, 42, -75, 90,
   35, 123, -25, -56, 114, -14, -8, 11,
   26, -18, -3, 12, 31, -38, -21, 43,
   28, -37, 75, 22, -1, -20, 6, -12,
   -27, 44, -56, -62, 51, 54, -65, 58,
   44, 66, 19, 1, -103, -18, -1, -48,
   10, -2, -97, 10, 18, 61, 26, 19,
   7, 78, -66, 82, -58, 23, -44, 71,
   7, 52, -58, -18, 19, 47, -23, -118,
   -25, 0, 106, -25, 7, -42, 12, -33,
   12, 27, 50, 38, -25, -90, -11, -28,
   -20, 32, -1, -12, -30, 40, 77, -30,
   42, 68, 3, 10, -6, 21, -1, 13,
   -65, 22, 98, 44, -15, -13, 17, -59,
   5, 38, 20, 58, -10, -29, -9, -24,
   39, -64, 36, -7, -32, 90, 29, -37,
   3, -50, 54, -3, -28, -5, 46, -31,
   -92, -6, 19, -39, 12, -26, -31, 23,
   48, 32, -74, -23, -69, -2, 27, 38,
   82, 41, 123, -22, 42, 28, -5, -7,
   -36, -11, 12, -69, 89, -43, 4, 24,
   8, -27, 26, 14, 31, -61, -3, 41,
   25, 10, -4, 124, 2, 62, -43, -102,
   58, 52, -8, 14, 14, 40, -41, 22,
   -1, -6, 8, -97, 75, -2, -47, -106,
   -27, 56, 37, 40, -17, -12, 21, -38,
   120, 86, 95, 127, -70, 73, 14, -30,
   110, 55, -40, 69, 101, 14, -102, -67,
   68, 122, 69, -36, -9, -116, 16, 23,
   52, -13, 12, 23, 127, 51, 14, 59,
   33, -22, -16, 80, 54, 43, -32, -102,
   -25, 122, 126, 25, 49, -27, 95, 52,
   79, 39, -7, -17, 5, -89, 68, 6,
   9, -48, -32, -37, 94, 57, 40, 112,
   119, 34, 82, 30, 80, -65, 27, -49,
   -26, 8, -105, 12, -39, -116, -68, -43,
   -123, 91, 31, 63, 127, 39, 85, -127,
   -3, -85, -4, -12, -25, 65, -108, 46,
   47, -126, 20, 108, 75, 41, 41, 36,
   9, -63, 51, 90, 9, 67, -94, -127,
   -26, -25, 89, 7, -17, -75, -4, 42,
   -50, -47, 85, -35, -58, -2, -18, 69,
   72, -30, 49, -27, -18, 19, -68, 12,
   -128, -49, -85, -127, 30, -128, -2, 28,
   64, -58, 6, 18, -127, -31, 92, -115,
   -128, -19, 35, -48, 84, 127, -38, 36,
   -47, 31, 6, -64, 17, 47, 64, -47,
   35, 9, -86, 19, -103, -13, 54, 70,
   -73, 92, 42, 46, -68, 59, -1, -13,
   19, -41, -91, -99, -9, -11, 8, -82,
   43, 83, 26, -6, -98, 27, -96, -62,
   54, -124, -2, -25, -57, -24, 123, -30,
   44, 47, -41, 36, -37, -50, 15, -37,
   37, 7, -83, -39, -55, -26, -11, -54,
   -14, 40, 121, -2, 38, -30, 31, 31,
   -113, -44, -55, 26, 59, -17, -65, 46,
   -5, -43, -26, 69, -48, 45, 59, 38,
   -36, -35, 44, -29, -76, 17, 68, 21,
   -52, 22, -70, -5, -23, -6, 1, 33,
   4, 67, -2, -2, -2, -88, 111, 68,
   -58, 44, 11, 17, 45, 34, 74, 18,
   -83, -35, 77, -18, 24, 31, 44, 24,
   42, 15, -80, 20, -81, 54, -4, -49,
   -3, -35, 50, -23, -19, -27, -22, -54,
   -16, -98, 43, -45, -18, 2, -3, -24,
   33, -30, -105, -126, -19, 24, 101, 16,
   -3, -16, 11, 70, -43, -32, -13, -91,
   -19, -64, 49, -44, 13, 71, -107, 42,
   44, -17, -15, 56, -106, -49, -59, -44,
   -31, 76, 28, 38, -49, -63, 14, 28,
   37, -97, -4, 75, 12, -114, 127, -73,
   -73, -53, -44, -122, -128, -83, 33, -22,
   -63, 72, 25, -26, 16, 52, -6, -128,
   14, -120, -126, -76, -126, -22, -73, 4,
   14, 21, 56, 22, -14, 18, -82, 2,
   -4, 32, -35, 0, -25, 52, 26, -8,
   -66, 66, -69, 33, 40, -77, -31, -22,
   62, -73, 1, 39, -1, -14, 27, -24,
   99, -21, -11, 28, -67, -15, -10, 12,
   39, 16, -14, 31, -17, 21, 45, 4,
   46, 12, 51, 6, -6, -62, -31, -13,
   55, -28, 79, 4, 72, 27, 41, 53,
   47, -28, 26, 83, 43, 51, 10, 35,
   35, 0, 19, -24, -35, 35, 52, -14,
   -24, 15, -19, -4, 41, -3, 31, -7,
   -42, 100, 8, 38, 28, 71, 32, 9,
   9, 67, 14, 49, -58, 72, 27, -76,
   -47, -32, 60, 26, 25, 31, -24, -5,
   80, 38, -90, -88, 53, 62, 55, -122,
   -51, -87, -35, -48, 126, 95, -7, 105,
   78, 39, -40, 64, 56, 125, 29, -9,
   39, -1, -18, 29, 77, 4, -51, 54,
   97, 16, -40, -4, 82, 0, -70, -128,
   81, -99, -38, 86, 25, -45, -11, 43,
   84, 34, 3, 127, 99, -1, 12, -81,
   36, -122, -23, -76, 127, 31, 31, -30,
   51, -62, 98, -128, -30, -54, -14, -26,
   -14, -5, 8, 39, -49, 89, -8, -6,
   -16, 85, 127, -16, 24, 21, 47, -62,
   -23, -46, -45, 31, 18, 25, -75, -10,
   -26, -34, 52, -76, -12, 2, 8, 41,
   -17, -38, -31, -8, -92, 114, -77, 96,
   3, -79, -9, 31, -28, -101, 32, 56,
   -75, -8, -26, 81, 39, 44, -107, 48,
   -16, 25, 103, -65, 7, -111, -34, -78,
   22, -11, 59, -22, 45, -11, 39, 89,
   -21, 31, -39, -38, 38, -17, -62, 66,
   91, -21, -54, -38, 113, -87, -65, 7,
   16, -52, 50, 23, 5, -92, -3, 31,
   28, -3, -71, 69, 60, 41, -40, 56,
   -36, 32, 19, 75, -30, 39, -97, 11,
   -3, 72, 66, 24, -14, 68, -58, 80,
   -57, 17, -38, 19, 80, -51, -49, -3,
   1, 90, 17, 4, -17, 66, 81, -24,
   31, 30, 12, 58, 11, -67, -48, 86,
   9, 69, -43, 67, 12, -75, 92, -7,
   -16, 26, 33, 78, 51, -11, -6, 49,
   51, -34, 21, 53, 31, 4, 19, 32,
   50, -20, -104, -9, -4, 49, 27, 18,
   15, 80, 103, -9, 47, 7, 14, -15,
   -1, -41, 27, -67, 69, 22, 15, -58,
   -11, 102, 17, -11, 44, 17, 1, -29,
   -46, 32, 103, -23, 65, 23, -79, -14,
   -28, -3, -3, 59, -3, 7, -88, 45,
   -58, 25, 82, -91, -60, -15, 19, -4,
   2, -37, 20, -36, -5, 67, -59, 31,
   81, -68, -14, -9, -45, 24, 15, 23,
   127, -44, -65, -50, 26, -1, -38, 6,
   22, 33, -42, -6, 41, 32, 44, -22,
   -34, -20, 67, 125, -47, 10, -1, -45,
   13, 42, 40, 15, 46, -6, -19, -69,
   16, -43, 40, -26, 47, 78, -37, -49,
   16, 19, 66, -20, -7, 2, 2, -11,
   9, 67, 10, 15, -16, 13, -68, -23,
   27, -34, 70, -53, -127, -74, 55, 13,
   -51, -78, 61, -5, -11, 56, 19, -77,
   6, 16, -32, 45, -42, 127, 22, -64,
   38, -33, 6, 12, 20, 61, -43, -111,
   42, 60, 25, -44, -14, 17, 66, -106,
   -1, 76, 25, -29, 23, 2, 77, -9,
   -79, 55, -4, -79, -83, -8, -14, 31,
   -17, -33, -11, -28, 86, 66, -118, 107,
   18, -49, 36, -70, 69, -35, -25, -14,
   65, -33, 31, 44, -127, -25, -69, 61,
   35, 40, -34, 65, 19, 21, -38, -6,
   -24, 68, -128, 55, -29, 11, -7, -6,
   -6, 19, -4, 85, 78, 15, -11, -3,
   29, -81, -15, -90, -22, 45, 21, 33,
   -12, -5, 55, -45, -16, -29, -48, -20,
   -27, -16, 6, -4, -63, 7, -3, -31,
   -44, 74, 56, -33, -14, 13, 7, 24,
   -16, -80, -24, 21, -7, -11, 2, -67,
   -31, -43, -5, 9, -43, -4, 18, 6,
   14, -56, -12, 32, -96, -18, -36, -80,
   -96, 32, 4, 2, -3, 18, -7, -90,
   43, -34, -126, 25, 22, -40, -77, -47,
   -23, -25, 7, 99, 11, 83, 36, 69,
   13, -52, 27, -64, 36, -67, 91, -40,
   54, -28, 17, 26, 9, -52, -74, -17,
   -20, -25, -67, 1, -2, -12, -41, 78,
   -32, 14, -9, -5, -73, 0, 9, 6,
   -13, 56, -60, -32, -10, -46, 88, -70,
   6, -9, -60, -23, 23, -15, 39, 24,
   -20, -83, -71, -19, 13, -60, -26, -28,
   -19, -45, 4, -14, -8, -73, 64, 117,
   -3, 92, -27, -61, -32, -48, -64, -59,
   -84, -58, -26, -107, 29, -71, -35, 73,
   -7, -10, -39, -3, 16, -34, -23, -11,
   23, 44, -2, 58, -73, 17, 45, 40,
   -10, -2, -4, -83, 34, -24, -7, 35,
   89, -21, -42, 125, -122, 33, 70, -55,
   63, 57, -42, 88, -19, -21, 8, -64,
   85, -90, -31, -127, -32, -60, -62, -30,
   -82, 44, -7, -114, 70, -112, 26, 74,
   35, -17, 29, -104, 29, 33, 39, -30,
   62, 77, -43, -128, 3, 44, 85, -116,
   22, -26, 29, 46, 28, 46, -1, 46,
   -31, -76, -113, -96, 50, -101, -21, 10,
   121, -34, 26, 76, 27, -59, 96, 37,
   -19, -76, -21, 114, -70, 32, -66, -26,
   -77, 37, -86, 17, -30, -96, -8, -57,
   -54, -66, 0, 26, 32, -121, -8, 68,
   45, -13, 27, 12, -71, 10, -41, -20,
   -33, 90, -70, -57, -122, -13, 33, -128,
   -48, -18, 14, 54, 102, -42, 48, -18,
   2, -18, -4, 53, -93, -34, -88, -45,
   62, -13, 71, 44, -56, 9, -58, 22,
   6, 1, 125, 17, -11, -70, -72, -109,
   62, -60, 58, -106, 65, 57, 11, -51,
   15, 27, 1, 4, 2, -10, 70, 37,
   -128, 25, 115, -70, -22, -100, 0, -52,
   36, -52, -72, 8, -17, -38, -9, 1,
   42, 33, 61, 99, -61, 16, 38, 31,
   126, -59, 10, -59, -61, -11, -5, 11,
   -53, -55, 54, 55, -81, -84, 30, 52,
   -74, -57, -55, -32, 78, -91, 12, -16,
   -16, -52, -124, -31, 68, 9, -47, 68,
   51, 97, 11, 26, -59, -67, 51, -71,
   -24, 40, 52, -52, 50, 20, 12, -16,
   -22, 103, -68, 17, -16, -34, 58, -9,
   -103, -87, 34, 77, -66, 15, -5, -115,
   14, 31, 49, -37, 13, -25, 41, -42,
   -68, 8, 126, -52, -28, 15, 121, 79,
   -94, 69, -69, 36, 24, -41, 24, 115,
   -7, -4, -42, 48, -64, 66, 42, 111,
   -103, 32, 34, -77, -11, -24, -83, -4,
   16, 77, 43, 85, 65, -83, -78, -45,
   -71, -60, 53, -53, -21, 35, 5, 17,
   120, -10, -46, 34, -55, -29, 83, 66,
   92, 37, -1, -25, -25, -6, 47, -70,
   44, -37, -28, -39, -68, -45, -11, 8,
   -60, 15, -16, 59, -28, -9, -75, 16,
   41, -38, 7, 81, 15, 32, 9, -53,
   57, 87, 9, 95, -96, -91, 93, 33,
   -24, -39, -39, 28, -42, -16, 14, 36,
   -76, -29, -13, -127, 2, -98, -25, -73,
   -8, 22, 47, -78, -16, 6, -22, 13,
   98, -96, -71, -3, -49, 42, -45, 47,
   29, 22, 36, 29, -84, 91, -26, 48,
   -8, 36, -6, 18, 5, 80, 19, 51,
   -34, 78, -93, 64, 75, -7, 30, -13,
   42, -76, 9, -27, 14, -71, 48, 1,
   72, 12, -80, -3, 18, -69, -58, 32,
   77, 26, -16, -47, 15, -51, 66, 28,
   -62, 14, 25, 10, -50, 41, -7, 23,
   8, 12, 56, 15, 45, 65, 63, 81,
   27, -89, -16, 97, -38, 77, 45, 79,
   -44, 4, 65, -23, -20, 39, 127, 56,
   -7, 6, 62, -32, 89, -23, 3, -85,
   -17, 33, 46, 14, 59, 60, 30, -33,
   4, 54, 23, 11, 66, 44, 14, -14,
   67, 33, -9, 107, 111, -27, -13, 5,
   -13, 25, -20, -39, -5, -12, 13, -47,
   -22, 12, -20, 10, -17, 34, -55, 87,
   92, -26, 26, -19, -42, 52, 15, 5,
   46, -21, 56, -17, 28, 10, -38, -26,
   41, 79, -31, 6, 7, 33, 19, -63,
   22, 14, 43, 33, -45, 2, -21, -3,
   52, -9, -2, 51, -9, 26, 48, -63,
   52, -25, -12, 12, 118, -9, 33, 9,
   -6, -20, -21, 2, 53, -5, -68, -26,
   -13, -33, -35, 54, 69, -88, -3, -53,
   3, 98, -16, 10, -87, -25, -76, 113,
   47, 75, 24, 87, -76, 113, -42, -3,
   80, 87, 121, 127, 43, 38, -27, 74,
   127, -73, -45, 116, 12, 92, 26, 91,
   105, 122, 87, 62, 63, 93, -26, 7,
   -59, 50, 41, -32, -40, 95, 46, -66,
   82, 103, 41, -30, 69, 46, 2, 61,
   -76, -27, 40, 1, -101, 41, 116, 99,
   -97, 112, 27, 3, 52, -85, -1, -19,
   33, 40, -73, 30, 80, 8, 45, 63,
   127, 127, 68, -4, 0, -2, 127, 19,
   81, 13, -21, 101, -23, -60, 112, 93,
   59, -83, -15, -12, 94, 46, 41, 41,
   67, 49, 36, -62, -56, 68, -51, -50,
   26, -12, 9, 4, -5, -2, -36, 3,
   -10, -59, 78, -16, -58, -124, 34, 80,
   -92, -13, -109, 30, 19, 10, -47, -2,
   -69, 86, 50, 16, -24, 13, -27, -14,
   -13, -54, -25, -9, 4, 55, 1, -38,
   -56, 50, -18, -127, -59, -34, -25, 84,
   -23, 18, 82, -27, -19, 5, 23, -62,
   39, -68, 48, 23, -113, -1, -42, 48,
   -29, -27, 3, -67, -57, -3, -51, -17,
   30, 11, -85, -88, -20, -20, -6, -18,
   68, 2, 67, -22, -35, -42, -14, 7,
   -63, 7, 12, -11, 50, 3, 15, -41,
   -116, -33, -44, -127, -128, 25, 50, 5,
   -106, 79, 14, 119, -26, 64, -6, -69,
   42, -38, -72, -14, -21, -52, 20, -17,
   -60, 83, -49, 11, -47, 22, 24, -43,
   47, -3, -12, 39, -19, 11, 44, 55,
   2, 20, -42, -26, 87, 75, 88, -126,
   23, 29, -128, -5, -50, -17, 40, 25,
   -2, 99, -65, 55, -64, -79, -54, -32,
   -30, 93, -2, 52, 26, 55, 68, 20,
   2, 66, 49, -121, 37, -42, 37, -5,
   60, -45, -28, 62, -58, 8, 109, -76,
   36, -18, 102, 56, -46, -62, -48, 25,
   -82, 4, -34, -52, -88, 61, -75, 77,
   -48, -63, -45, -25, -97, -25, -5, 13,
   -88, -40, 34, 126, 14, 40, -78, 73,
   -6, -28, -109, -22, -66, 84, -127, -18,
   -1, -25, -116, 73, 60, -1, -85, -69,
   -128, -69, -82, -7, 71, -49, -54, 1,
   -44, 0, -119, 104, 18, 38, 5, 38,
   -47, 47, 22, -126, 44, -69, 62, -65,
   28, 0, -1, -45, -88, -42, 43, 81,
   42, 42, -39, -89, 122, 55, -33, 4,
   -2, 56, -26, 0, -35, 116, -38, 35,
   73, 59, 85, 37, -2, 42, 23, 67,
   -11, -8, -45, 105, -20, -11, -3, 23,
   -20, 71, 51, -22, 97, 39, 15, -82,
   -26, 14, 43, 59, 40, 24, 22, 34,
   89, -70, 99, 81, -7, -21, 43, -49,
   5, 31, 39, 55, 15, 27, -96, -14,
   62, -126, -2, 21, -6, -68, 127, -16,
   57, 69, 26, 11, -20, 72, -15, 123,
   -13, 1, 44, -17, 126, 71, -6, 4,
   34, 6, 30, 2, -28, -27, 32, -16,
   -45, 101, 10, 40, 112, 34, 47, 99,
   -33, 14, 77, -20, 61, 21, -60, 74,
   23, 92, 42, -35, 119, 99, -77, -52,
   127, -1, 76, 80, 31, 86, 5, -24,
   21, -128, -2, 54, 1, -33, -3, 111,
   100, 13, -113, 4, -89, 0, -36, -74,
   -9, -72, 18, -25, -30, 67, 26, 8,
   50, 68, -3, 33, 78, -23, 11, -33,
   -53, -13, 14, 42, -74, -23, 86, -19,
   81, -34, -3, 44, -28, 46, 35, -61,
   -40, 26, -6, -122, 28, 103, -25, 37,
   -83, -30, -47, -107, 81, 5, 3, 25,
   121, -96, -40, 127, -57, -9, 77, 17,
   94, 24, 35, 65, -92, 48, -76, 43,
   -63, -36, -82, -93, 17, -126, -121, -61,
   32, -6, -36, 11, 10, -2, 11, -31,
   19, -6, -52, 99, 9, 15, 48, -33,
   -88, -2, 5, 117, -44, -103, 0, -25,
   -57, -39, 30, 33, -61, 31, -27, -9,
   3, -126, 72, -59, -61, -36, 56, 6,
   -78, 14, 7, -28, -19, -7, -13, 2,
   -4, 63, 27, -95, 6, -77, -38, -23,
   -16, -127, -1, -24, -27, -80, -106, -8,
   -108, -68, 126, 47, -69, -34, -60, -67,
   15, -84, -24, -7, 25, -6, -3, 116,
   -68, -36, -46, 20, 62, 36, -2, 0,
   -52, 6, -92, -5, 126, -25, 51, -52,
   70, -20, 83, -77, -2, -75, 25, 18,
   57, 9, -34, 22, -33, -46, -70, -37,
   -71, -25, 87, 16, -17, 56, 9, -68,
   64, -55, -17, -13, -40, 5, -3, -22,
   -35, -3, -3, 31, 15, -58, -86, 42,
   8, -6, -59, -2, -23, -19, 35, -46,
   46, 25, -42, -16, 33, -45, -20, -111,
   31, 20, -12, 58, -24, -41, -38, -33,
   -33, 44, 32, 37, -45, 8, -33, 7,
   108, -1, -108, -25, -58, 33, 52, -30,
   52, 49, 21, -19, -121, 21, -14, -35,
   9, -50, -23, -73, -22, -57, -76, -53,
   52, 12, -112, -33, -73, -39, -15, -37,
   -9, -19, -56, -112, -3, -37, 36, -1,
   29, -29, 71, -2, 71, -7, -61, -27,
   30, -33, 104, 25, 21, 68, -27, 17,
   77, 49, -34, -57, 29, 83, 75, -12,
   38, -77, -35, 81, -40, 55, -7, 15,
   31, 48, -39, 59, 48, -21, 95, -40,
   28, 57, 43, -84, -102, -6, -10, -95,
   -4, 18, 40, -38, 33, -42, -39, 25,
   -14, 25, -6, 64, 3, 127, 66, -80,
   -126, -12, -64, -119, 60, 13, 69, 82,
   -47, -42, -62, 49, 5, -7, -11, 112,
   27, 30, 23, 7, 37, 1, -55, -52,
   -48, 45, 61, 33, 64, -24, -52, -33,
   -105, 41, -57, 82, 127, 79, -48, 32,
   -3, -117, -50, -57, -17, -15, -117, -14,
   -124, -11, -47, 29, -2, -12, -16, -16,
   23, -60, -17, 19, 31, -18, -14, 34,
   42, -4, -101, 35, -7, 43, -68, 92,
   1, 87, 0, -30, 38, 63, -13, -3,
   -89, -56, -109, -118, -31, -83, 61, 127,
   -14, -6, 127, 14, -13, 12, -43, -88,
   -49, -128, 4, 67, -64, -78, -1, 37,
   -59, -10, -80, 17, 2, -25, 18, 29,
   120, 5, -75, 0, -55, 55, 126, -1,
   32, -14, -17, 39, -7, -102, -6, -92,
   -21, 12, -23, 48, 11, 17, 31, 82,
   47, -66, -51, -66, 21, -3, -53, 20,
   -13, 10, 3, -55, 8, 15, 101, -56,
   -8, -30, 50, -6, -51, -84, 9, -67,
   5, 53, -53, 15, 15, 58, -83, 46,
   -70, -20, 61, -11, 34, 36, -38, 40,
   -31, -37, -35, -56, 17, -76, 65, -39,
   -23, -31, 32, 48, -27, -12, 45, 89,
   -28, -18, -20, -5, 44, -22, -39, -69,
   91, 75, 54, -46, -24, 36, -126, 80,
   -9, 24, 12, -46, 28, -8, -25, 54,
   -30, -29, 23, 42, 24, -63, -46, 59,
   -22, 1, 22, -12, -72, 60, -38, -119,
   125, -22, 29, 17, -2, 37, -14, -9,
   -79, 35, -11, -79, -4, 56, -42, 9,
   34, -79, 29, -48, 16, -12, 58, 41,
   18, 5, 25, 16, -54, 45, -11, -17,
   -77, 18, 26, -4, -21, 19, -32, 50,
   63, -44, -80, 80, 63, -22, -27, -98,
   -38, 22, -56, -8, -47, 82, -60, 41,
   -35, -42, -56, 45, 36, 63, -12, -101,
   65, -37, -64, -128, -50, 2, 123, -28,
   4, 40, -21, -128, -52, -23, 16, -28,
   -119, -90, -89, -65, 7, -105, -87, -43,
   -17, -73, -94, -35, -112, -22, 29, 71,
   -24, -53, 28, 52, 16, 62, 37, -33,
   -10, 104, 13, -24, 48, 1, 21, 13,
   55, 16, 18, -26, -66, 43, -65, -19,
   -31, -120, 10, -36, -112, 40, -67, 5,
   44, -32, -106, 4, -2, -73, -43, -38,
   -37, -50, -22, 15, 88, -34, -107, -65,
   -21, -118, -55, -66, -96, -6, -6, -41,
   34, 63, -57, -37, 65, -11, 50, -16,
   -7, 48, 22, -37, 53, 40, 64, -40,
   57, -7, -18, 41, 4, -69, -29, 32,
   -58, -26, -35, -33, -59, 38, 10, -18,
   22, -43, -48, 23, 28, -8, -20, -26,
   -27, 113, -13, -17, 43, -47, 22, 24,
   38, -73, -11, 70, -116, 14, 7, -8,
   -41, -81, -51, 7, 38, 87, -50, 37,
   -53, -27, 116, 15, -55, -12, 29, -24,
   50, -10, -16, 74, -63, -33, 11, 45,
   -32, 67, 58, 25, -13, -14, 18, -75,
   3, -7, 11, -48, -33, 1, -71, -67,
   42, -2, 5, -6, 7, -62, -5, -6,
   -62, -78, -52, -64, 4, -95, 55, 66,
   -41, 63, -72, -95, -37, -49, 28, 3,
   40, 30, -34, 64, -40, -48, 2, 16,
   -45, 5, 28, -60, 118, -18, 100, -52,
   60, 65, -16, 25, -13, -50, -6, 20,
   10, 17, 26, 50, -8, -4, 19, 15,
   -19, 42, 34, 50, -28, -85, -31, -18,
   -128, 24, -45, 26, 6, -96, 72, 67,
   18, -38, -35, 95, 25, 17, 89, 59,
   -11, 23, -15, 30, 1, 31, 51, 63,
   -43, 37, 28, -35, 48, -15, 8, -74,
   23, -17, 7, 41, 23, 115, 23, -36,
   77, -90, 7, 127, -18, 58, 79, 65,
   16, -12, -70, 8, 62, -36, 54, -46,
   -52, 47, 61, 98, -51, 5, -126, -4,
   113, 51, 48, -57, 57, 40, -30, 31,
   106, 93, -83, 62, 99, 31, 124, -120,
   79, -6, 80, 121, 45, 127, -29, 35,
   39, -30, 54, 34, 4, 113, 45, 49,
   -7, 22, 54, -20, 1, -44, -66, -35,
   86, -6, 37, -54, 88, 123, 14, 123,
   43, -22, 4, 43, 43, 28, 86, 93,
   103, -128, 119, -17, -48, 51, 127, -22,
   -1, -29, 44, -43, 10, -61, -85, -16,
   2, 105, -47, 15, -26, 36, -37, -20,
   35, 8, 124, -12, 31, -35, 14, 60,
   47, -78, 39, 47, -44, -11, -15, 10,
   -93, 79, -46, 63, -7, 30, 12, 19,
   -27, 27, -36, 74, 10, -25, 2, 30,
   -15, -53, 59, -50, -125, 127, 50, -93,
   55, 61, 66, -28, -47, 4, -75, 69,
   -74, -44, 109, 40, 125, -125, 22, 32,
   8, 32, 51, 71, 30, -78, 22, -23,
   -25, 26, -46, -1, -102, 37, 52, 59,
   -34, -26, -44, -33, -52, 14, 12, 16,
   -77, 26, 44, 114, 54, -8, 54, -12,
   4, -128, 55, -18, 127, -76, 46, -68,
   96, 39, 96, 71, 6, 27, -20, 127,
   18, 55, -26, -54, -83, -16, 112, -61,
   -34, 5, -88, 61, 36, -52, -9, -44,
   19, 14, -127, 10, 9, 12, 18, -84,
   -11, -97, -62, 25, 43, -76, 42, -77,
   58, 127, -33, 0, 53, -30, -12, -51,
   -15, 33, 53, -34, 84, -43, 86, 110,
   -24, 98, -2, 127, -51, 19, -25, 20,
   14, -28, -81, 113, -59, 37, 124, -49,
   100, -20, -29, 37, 0, -42, -42, -37,
   39, -19, 10, -30, -32, -25, -17, 32,
   -22, 3, -49, 120, 31, 35, -22, -66,
   14, -83, 34, 84, -30, -62, -17, 93,
   -3, 30, -87, -38, -35, -25, 19, 31,
   -17, 14, -57, -6, -16, 51, 66, -15,
   -10, -47, -116, -37, 27, -23, -47, 76,
   -53, -38, -1, -3, 2, -38, 73, 8,
   0, 51, -92, 40, 44, -27, -6, 6,
   -47, -16, -36, 29, -45, -15, -29, -127,
   34, -39, -30, 41, 28, 18, -15, -40,
   44, -44, -90, -60, -32, -71, -23, -54,
   -53, 14, -79, 19, -21, 17, -31, 30,
   13, 37, 32, 1, 18, 4, -33, 46,
   -3, 13, -56, -4, 17, 41, -64, 52,
   -95, -10, 20, 71, 14, 80, -1, -41,
   -3, -61, 60, 38, 2, 46, 56, 0,
   28, 79, 7, -82, -39, -40, -4, 19,
   32, 4, 38, -14, 42, -43, 29, -21,
   19, 16, -21, 11, 24, -2, 3, -42,
   -49, -49, 36, -19, 0, 80, 6, 17,
   5, -5, 22, 1, -73, -62, 17, -31,
   12, -52, -16, -9, -20, -6, 91, 9,
   5, -48, -28, -51, 14, -53, -25, -124,
   -12, -15, -11, -71, -28, -25, 4, -64,
   54, -80, 40, -78, -1, 57, -33, -34,
   -15, -47, -91, 127, -100, -44, 73, 6,
   15, 67, 85, -41, 12, -117, -42, 85,
   99, -71, -18, 126, -15, 24, 104, 25,
   -21, -37, -27, -54, 0, -98, 69, -28,
   41, 36, -127, 23, -13, -107, 13, 9,
   -16, -15, 12, 43, -46, -4, 127, 20,
   6, 127, 30, 11, 37, 34, 70, -19,
   3, -60, -36, -114, 14, -128, 25, 23,
   -26, 11, -43, 71, 47, -10, -47, -21,
   -16, 23, -128, -16, -21, -8, -96, 94,
   -81, -21, 77, -31, 124, -86, -50, -20,
   -64, -51, 14, 11, 99, -20, -4, -25,
   108, 119, 41, -36, 35, -43, -13, 51,
   -125, -33, 5, -125, 4, 24, 51, 39,
   -79, -28, 80, -45, -128, 12, 22, 42,
   -15, 35, -43, -26, -53, -62, 1, 30,
   -38, -15, -4, 36, -27, 9, -19, 21,
   -29, -64, 109, 27, -68, -119, -15, -96,
   28, -108, 71, 18, 20, -43, 75, 32,
   -29, -3, 124, -38, 30, 15, -18, 24,
   49, -28, 29, 45, 4, -15, -16, -36,
   8, 59, 47, -77, -52, -76, -36, 41,
   6, -44, -64, -4, 33, -16, -68, -25,
   51, 12, 111, -126, -24, 23, 52, -5,
   9, 2, -3, -27, 8, -15, 6, 8,
   55, 40, 53, 66, 30, 23, 36, -35,
   -17, -24, 38, -69, -99, -8, -3, 66,
   -1, 59, -73, 9, 2, 67, 16, -95,
   -20, 4, -3, -72, 99, 0, 69, -59,
   3, -12, 31, 53, -56, 68, 32, 15,
   88, -125, 127, 13, 57, -43, 56, -74,
   -39, -18, -23, -99, -79, 37, 56, -23,
   -15, 102, -9, 25, 37, 63, 56, 31,
   77, 127, 28, -10, 40, -53, 20, 41,
   10, -19, -60, 79, 1, -16, 60, 21,
   11, -29, 37, 66, -76, 79, 24, 14,
   -118, -4, -5, -74, 72, 27, 1, 14,
   -86, 97, 15, 32, 100, 3, -5, 75,
   58, 28, 8, -20, -16, 44, 127, -30,
   -37, 21, 65, -56, 32, -22, 53, 3,
   87, -14, -101, -46, -45, -83, 43, -52,
   -15, -88, -39, -46, 25, 8, -88, -82,
   -50, 45, 17, -51, -32, -11, -1, -18,
   -84, -21, 75, -27, -58, -21, 77, -31,
   -68, 30, 71, 87, -33, 32, 97, 18,
   7, -1, -63, 79, -58, 27, 38, -51,
   8, -14, 35, -9, -11, -99, 30, 61,
   36, -1, 121, 54, 127, -52, -11, 22,
   8, -14, -40, 73, 19, -85, -17, 105,
   -38, 9, -58, -49, 40, -37, 67, 71,
   10, 46, -33, 20, 17, 76, -24, 22,
   85, 3, -32, 53, 37, 31, 90, 65,
   35, -19, 8, 22, 14, 46, 35, -22,
   39, 73, -1, 2, -62, 8, 26, -66,
   5, 49, 63, 74, -5, -7, 84, 10,
   -64, -53, 45, -25, -51, -25, -60, 5,
   127, -5, -14, 10, 102, -3, 72, -7,
   45, 4, -72, 5, 41, 69, 15, 28,
   47, 86, 115, 15, -28, 20, 21, 16,
   2, -74, -81, -63, 46, 37, -59, 24,
   65, 73, 48, 17, 58, -11, 4, -70,
   -33, 87, 19, -16, 27, 48, 47, -40,
   -23, -43, -63, 61, 4, 97, 50, 54,
   27, -8, -97, 39, -100, -20, 25, -19,
   32, 46, 72, 42, -20, -64, 66, 54,
   33, 18, 3, 86, -27, -17, -35, 42,
   -51, -55, 6, -26, -19, 13, -18, 57,
   64, -28, 88, 17, -27, -46, 3, 41,
   29, 22, 79, 17, -46, 23, 70, 68,
   -21, -93, 13, -61, 16, 123, -100, 18,
   -14, 39, 31, 32, -75, 3, -33, 25,
   -77, 82, -53, 2, 16, 5, -13, -16,
   -11, 19, -23, -41, 10, 18, -76, -84,
   -20, -26, -40, 60, 44, -48, 18, -79,
   19, 39, 29, -26, 51, -52, 51, 6,
   65, -72, 63, 33, 49, 14, -5, 15,
   78, 22, 79, 81, -9, -34, -9, 72,
   70, 55, -71, 27, -38, -57, -31, -4,
   -1, -4, 0, 99, 67, 38, 53, -37,
   -47, 115, -100, 6, 93, -1, 55, 7,
   40, -39, -71, -37, -62, -14, 78, 7,
   -20, -25, 25, -40, 20, -68, 6, 40,
   -31, -3, 44, 30, -39, -12, 73, -19,
   120, -6, 2, 98, -15, 27, -39, 48,
   -3, 122, 33, 41, 81, -121, 41, 53,
   -3, 19, -42, 97, 62, 18, 61, 52,
   27, 7, -58, 86, -24, 55, 54, -43,
   120, -14, 54, -1, -49, -40, -37, -114,
   95, 95, -27, 52, -54, 63, 92, 53,
   21, 61, -28, 127, 19, 59, 121, -128,
   -73, 63, 125, -82, 40, -24, 70, 49,
   -42, 42, 16, -60, 127, 38, 42, -57,
   11, -5, 6, 19, -25, -28, 83, -24,
   125, -60, 51, -15, -11, 90, -90, 12,
   127, 96, 55, 61, -113, 9, -29, 11,
   -16, 108, 7, -42, 12, 74, 20, -7,
   23, -66, 110, -25, -40, 24, 42, -57,
   2, 31, -57, -69, 40, 52, 11, 27,
   -6, -12, 107, 30, 16, 39, 67, 88,
   45, -34, -52, 19, 70, -64, 24, -7,
   -88, 94, 116, -38, 15, 87, 101, -13,
   39, -59, -1, -45, 101, -102, -47, 3,
   -7, -21, -28, -117, 28, 37, -54, 18,
   24, 79, 109, 42, 82, 93, -16, -38,
   53, -12, 36, -1, -124, 124, 71, 127,
   -5, 5, 43, -42, -11, -23, -97, -123,
   38, -11, -3, -15, 16, 56, -29, 9,
   2, -77, -55, -23, -20, -16, -4, -21,
   45, -109, 1, 23, -124, 2, 125, -70,
   -4, 37, -12, -94, -38, -6, -44, -85,
   -49, -81, -23, 23, -39, -77, -58, 23,
   28, -14, 74, 6, 6, -38, -33, -58,
   -101, -29, -15, -7, -30, -26, -25, 39,
   -17, 76, 43, -38, 37, 70, 87, 54,
   -6, 57, -9, 75, -17, -5, 6, -13,
   16, -126, 13, 5, -18, -102, 75, -33,
   48, -10, 11, -23, 26, -32, -121, -23,
   26, 38, 17, -76, -81, 46, -64, -5,
   -114, 42, 127, 65, 29, 102, 15, 49,
   -63, -84, -29, -72, 108, -28, -19, 13,
   -39, -108, 24, -39, -50, 19, 11, 29,
   -38, 41, -10, 7, -9, 61, 16, 7,
   19, -49, 33, -33, 68, -93, -33, 58,
   -124, 15, 49, -11, 44, 29, 2, -1,
   19, -11, -13, -68, -25, 15, 13, -1,
   -123, -10, -66, 109, -24, -41, -13, 92,
   53, -8, -36, -98, 17, -45, -57, -125,
   -71, -62, -8, 54, -37, 68, -92, 4,
   -19, 127, -80, 2, 21, 6, 120, -31,
   21, 8, -27, -128, -34, -4, 23, -3,
   -72, -73, 77, -128, 57, -43, 40, -128,
   -76, -15, 15, -35, 21, -50, 74, 40,
   -124, 8, 57, 14, 6, -42, -10, 63,
   13, 10, 21, 99, 59, 54, 60, -9,
   -33, 14, 5, 24, 11, 67, 15, 87,
   -69, 16, 43, -39, 22, 0, 100, 43,
   -26, 26, 23, -3, 44, 8, -33, 6,
   40, 0, -49, -115, -37, -4, -5, 9,
   -3, 29, 30, 80, -31, 22, 22, 37,
   44, -9, -42, 21, 27, -34, 79, 48,
   -40, 11, 1, 33, 93, -10, 15, 37,
   39, -31, -123, -12, 5, -2, 49, 36,
   42, 48, 35, 23, 40, 51, -69, 21,
   68, -40, 34, -4, 33, 2, -1, 8,
   32, -29, 73, -47, 63, -15, -74, 90,
   -11, 70, 73, -82, 10, 19, -126, -18,
   -33, 24, 52, -30, -3, -15, 5, 25,
   -12, -13, 44, -39, -41, 32, 67, -82,
   49, 26, -6, 24, 68, -38, -68, -2,
   -68, -25, 27, -31, -15, -18, 4, 55,
   -15, -51, -66, -20, 5, 31, -44, 29,
   2, -46, 14, 24, -112, 108, -28, -78,
   -35, -45, 63, 33, 40, 42, -30, 67,
   103, -38, 13, -7, 95, 2, -36, -58,
   -3, 24, 18, 46, -15, 27, -87, -4,
   36, -51, 3, 89, -88, 49, 7, 15,
   49, -34, -58, 25, 96, 64, -46, -50,
   -45, -5, 8, 43, 28, -3, 45, -97,
   29, -106, -24, 16, 11, -42, 83, -20,
   63, 24, -60, -23, -18, -121, -52, -34,
   -65, 89, 126, -26, 101, 70, 70, -25,
   14, 45, -20, -36, -52, -12, 78, 48,
   37, -1, 0, -31, 53, 75, -14, -14,
   -48, 45, 127, -26, 112, 30, 38, -82,
   89, 51, -33, 125, -128, -46, -47, 24,
   -36, -5, 55, 97, 127, -19, -88, -127,
   -93, -64, -51, 40, 62, 40, 55, 11,
   67, -46, 93, 31, 22, -8, -4, 13,
   -15, -19, 24, 39, -65, 48, -43, -23,
   -19, -14, 74, -25, 42, -1, 48, 57,
   -40, -16, 23, 72, 18, -48, 23, 41,
   25, 6, -20, -55, 22, -5, -16, 16,
   -125, 2, -39, 66, 14, -1, 31, -30,
   -22, -45, -36, -44, -66, -17, 38, -43,
   -27, 21, -48, -1, 63, 26, -59, 42,
   -37, 43, 21, -75, 55, -41, 108, -124,
   -11, -97, -21, 51, -37, -9, 57, 2,
   48, -62, -39, 87, 55, -53, 34, 15,
   -30, 17, 1, -126, -15, 52, -22, -65,
   -57, -125, -25, -70, -36, -29, 62, -54,
   -1, -80, -66, 4, -74, -52, 24, -18,
   -63, 21, 75, -31, 8, 53, -9, -30,
   -4, 79, 53, 49, -61, -87, -51, -38,
   -111, 11, 16, -56, 62, -65, 12, -17,
   56, 8, -103, -114, 77, 9, 21, -2,
   -34, 27, 45, 102, 7, 44, 30, 127,
   95, 45, 126, -55, 11, 46, 24, 14,
   -30, -40, 59, -53, -30, -125, -20, 127,
   92, 13, -16, 34, -123, 2, 12, -41,
   -2, -20, -116, 59, 52, 78, -15, 7,
   -64, -49, 127, 4, 69, -17, -46, 26,
   28, -59, -45, -1, 118, 47, -12, -107,
   -53, 76, -17, -24, -58, -10, 54, 57,
   -58, 89, -83, 69, -53, 79, 37, 69,
   9, -46, 69, 124, -31, -21, -14, -100,
   -16, -6, 41, 21, 124, -84, 12, -75,
   5, -126, -128, -29, -47, 50, -119, 50,
   29, -52, -21, 45, -75, 97, -25, -128,
   10, 41, 80, 106, 54, -54, 54, 48,
   -7, 19, -23, 32, 23, 124, 38, 75,
   -29, 5, 116, -44, 32, 39, 90, 87,
   93, -46, -50, -49, -128, -14, 66, 127,
   78, 78, 107, -27, 124, 71, 127, -76,
   1, 4, 2, -60, -15, -34, -20, 11,
   -34, 64, -44, 19, -42, -25, 50, 63,
   43, -1, -35, 3, -3, -2, 26, -7,
   -11, 12, 0, 18, -33, -23, -75, -42,
   24, 37, 5, -8, 0, -39, 54, -5,
   71, -37, 39, 14, -4, 67, 3, 25,
   2, 41, 11, -34, -35, 35, -10, 7,
   49, -19, 26, -27, -23, -14, 64, -10,
   -75, -24, 80, 63, -49, -63, -69, 77,
   -5, 56, 35, -40, 42, 32, -3, 23,
   -2, -49, -20, 15, -18, -43, 3, 50,
   18, -62, 73, 120, -110, 42, 18, 35,
   12, 34, -27, 8, 9, 73, 53, 42,
   -19, 57, 17, -49, 40, 37, -36, -51,
   -19, -15, 7, 57, 74, -38, -73, 31,
   -7, -54, 13, 51, -28, -42, -15, 68,
   27, 68, 58, 39, -55, 115, -34, 23,
   9, 21, 2, 70, 95, 43, 7, 34,
   86, -23, -22, 71, 60, 29, 4, 68,
   -32, -62, -7, 95, -17, 6, 64, -46,
   -18, 61, -30, 17, 16, -51, -83, -31,
   31, -34, 70, -87, -50, 16, -38, 6,
   -9, 55, 2, -54, -38, 0, 39, 26,
   99, 39, -18, 1, 2, 4, 51, -47,
   -42, -35, -62, 67, -58, 0, -49, 40,
   26, 124, 27, 17, 71, 85, 127, -32,
   71, -61, -22, -25, -54, 34, -28, 25,
   -73, -2, -27, -120, -18, -2, 65, -51,
   71, -76, 37, 36, 42, 37, 57, 55,
   82, -3, -45, 2, -19, -27, 71, 22,
   -83, -112, 39, 104, 107, -5, 111, -38,
   85, -20, 118, -124, 92, -32, -38, 57,
   103, -25, 69, 34, 41, 28, 44, -22,
   -5, 16, -15, 100, -46, 6, 126, 13,
   -39, -25, -96, -64, -29, -84, -18, 31,
   -35, 16, 63, 45, -59, -32, -67, 3,
   -40, 39, 48, -125, 8, -23, 107, -72,
   -54, -69, 43, 7, -6, 51, -28, 28,
   23, -66, 12, 19, 18, 22, 27, -17,
   15, 121, -82, -21, -39, 18, 37, 27,
   9, 61, -43, -9, -91, 24, -15, 38,
   -57, -26, -2, -19, 27, -10, 92, -44,
   22, -8, -36, -45, -68, -90, -16, 0,
   44, -21, -72, -86, 10, 54, -59, -2,
   -5, -77, -75, -26, 55, 36, -81, -126,
   -28, 48, 18, 31, -37, 12, 35, 39,
   16, 0, 60, -80, -124, 25, -79, -81,
   5, 36, -62, 44, -14, -39, -43, 58,
   -37, -17, -5, 34, -79, -13, -103, 51,
   -69, -98, -23, 48, -52, -36, 96, 45,
   19, -33, 11, 37, 12, -84, 0, 34,
   54, -13, -31, 58, -14, 25, 30, -50,
   35, 36, 15, -33, 18, -50, -36, -59,
   -16, 31, -127, 19, -18, -3, 11, -31,
   50, -17, 15, -3, 16, 11, 32, 106,
   27, 88, 47, -38, 10, -53, 3, -19,
   -18, -126, -43, -125, -65, -55, 43, -19,
   -42, -11, -64, 63, -1, -40, 49, 31,
   -10, 13, -9, 18, -75, 48, -13, 24,
   -35, -21, 12, -62, 67, -6, 14, 9,
   -42, -2, 66, -28, -127, -104, -37, -9,
   92, 48, -79, 44, -15, -64, 5, -85,
   -50, -16, 95, -38, 1, 32, -34, 62,
   -10, -34, -47, 6, -58, 18, -30, 25,
   -72, 44, 123, -103, -32, -115, -115, -70,
   -59, -88, 89, -22, 69, 111, 51, 2,
   28, -11, -34, -17, 62, -7, 36, 56,
   -123, -28, -47, -42, 25, 3, 77, 18,
   -40, 97, 41, 89, 7, 41, 29, 5,
   35, 36, -48, 1, 36, -42, 49, -13,
   -46, -46, 110, -26, 99, 22, -31, -35,
   58, -40, -18, -44, -22, 13, -31, 4,
   58, 2, 4, 65, 72, -9, 67, -27,
   -39, -71, 34, -79, 20, -29, -2, -22,
   36, -65, 53, 21, 56, 33, 4, 17,
   -39, 23, -58, 7, 56, -123, 17, 9,
   -23, -36, 14, 69, -35, 6, 35, 21,
   -21, -21, 43, -103, 38, 49, -55, 17,
   -48, -19, -5, -127, 17, -8, 25, -39,
   -29, -8, -49, -38, -20, 32, 15, -1,
   85, -36, 67, -11, -7, -75, 20, -91,
   -38, -123, -16, -19, -82, -18, 32, -3,
   1, 14, -63, 18, -15, -2, 28, -18,
   -116, 2, 45, -5, -30, 9, -19, -21,
   61, -32, -41, 1, -88, -67, 5, -40,
   -71, 30, -44, -4, -94, -60, 32, -48,
   10, 49, -2, 72, -1, -9, -16, 10,
   1, 53, -38, -9, -24, -42, 38, -80,
   -82, -3, 1, -55, 26, -79, 127, -93,
   -26, -32, -17, -32, 42, -39, 80, -2,
   39, 46, -33, 36, -95, 6, 64, 24,
   -91, 55, -10, 6, -48, 43, 30, -11,
   -25, -8, 101, -52, 56, -79, -10, 22,
   -22, 103, 8, 34, -14, 23, 22, 17,
   -45, 32, 29, 20, -62, 7, -1, -51,
   13, -7, 12, -21, 73, -48, 18, 69
};

static const rnn_weight denoise_gru_bias[288] = {
   31, 7, 30, -1, 44, 30, 37, 16,
   46, 69, 40, 33, -6, -6, 7, 63,
   16, 31, 19, 3, 115, 79, 62, -20,
   -19, 34, 40, 49, -30, 12, -52, 46,
   64, 52, 90, 23, 47, -58, -87, 63,
   33, 12, 1, 21, 29, 67, -17, 13,
   14, 15, 37, 10, 52, 42, 16, 42,
   19, -11, 59, 27, 32, 8, 75, 39,
   -35, 20, -10, 78, 21, 12, -1, -6,
   22, 53, 34, -7, 67, 44, 52, 34,
   52, -1, 15, -39, 41, 35, 61, 53,
   71, 31, 47, -13, 67, 20, 47, -7,
   12, 27, -20, -1, 3, 1, 18, -1,
   19, 27, 15, -11, 0, -18, -8, -23,
   -21, -1, 24, 13, -15, 2, -2, -3,
   -10, 12, -3, 0, -26, -26, 7, -41,
   -12, 7, -41, 29, 29, 22, 11, 20,
   4, 2, -12, -13, 8, 6, 6, 35,
   15, 14, -18, 4, 40, 24, 18, 17,
   0, 4, 9, -18, -52, -20, -8, -2,
   -4, 6, 14, -21, 11, -5, 1, 7,
   8, -15, -12, -25, -36, 14, 8, -66,
   -19, 23, 0, 14, 2, -18, -22, 0,
   -4, 1, -26, 24, -27, -1, -4, 30,
   -27, 7, 18, 28, 16, -1, 33, -15,
   -5, 6, 18, -21, -16, -8, -19, -26,
   -18, 5, -59, 11, 11, 48, -2, 19,
   -1, 4, 20, 0, -35, 4, -26, 14,
   -3, -1, -17, 32, -2, -49, -29, 23,
   -5, 6, -6, 1, 10, 17, 0, 39,
   1, 6, -5, 12, -34, 7, -10, -3,
   -19, 14, -44, 9, 10, 7, 11, 19,
   25, 1, -35, -36, 22, 5, -25, 21,
   6, 1, 18, -13, -16, 12, 7, -6,
   -11, 21, 14, -22, -1, -11, 28, -30,
   -6, 14, -35, -11, -9, 33, 8, -2
};

static const GRULayer denoise_gru = {
   denoise_gru_bias,
   denoise_gru_weights,
   denoise_gru_recurrent_weights,
   114, 96, ACTIVATION_TANH
};

static const rnn_weight denoise_output_weights[2112] = {
   -53, -69, -38, 4, 25, 28, 34, 31,
   31, 17, 19, 26, 32, 43, 41, 48,
   41, 19, -11, 8, 41, 9, 19, 16,
   40, 46, 21, 19, 21, 26, 24, 26,
   42, 39, 36, 30, 25, 25, 27, 22,
   12, 8, 24, 6, 59, 92, 80, 63,
   34, 9, 17, 34, 55, 62, 76, 78,
   61, 49, 23, 14, 17, 29, 21, 15,
   27, -1, 75, 73, 70, 102, 63, 12,
   -21, -26, 2, -15, -14, 12, 26, 21,
   14, 23, 32, 45, 82, 110, 124, 91,
   41, 36, 30, 22, 37, 40, 32, 25,
   25, 24, 4, -20, -28, -21, -12, -11,
   -18, -14, -15, -11, -4, 23, 12, 23,
   10, -3, 7, 4, 13, 17, 16, 13,
   23, 25, 30, 30, 22, 13, 2, -6,
   7, 12, 15, 14, 11, 8, -9, -28,
   -30, -24, -27, -40, -38, -20, -22, 1,
   9, 24, 39, 46, 42, 39, 49, 50,
   51, 45, 18, -7, -20, -13, 13, 22,
   34, 28, 7, -9, -32, -41, -33, -33,
   -35, -38, -31, -44, -30, -7, 34, 73,
   9, 23, 47, 58, 53, 43, 44, 46,
   54, 61, 75, 55, 46, 40, 40, 40,
   38, 31, 16, 10, 1, -18, 33, 40,
   2, -45, -89, -91, -73, -53, -30, 4,
   14, 20, 29, 53, 47, 42, 37, 53,
   31, 18, -15, -16, 34, 8, 16, 30,
   33, 41, 47, 49, 42, 33, 35, 43,
   40, 16, -11, -23, -26, -32, -48, -35,
   -6, 31, 60, 49, 52, 29, 10, 7,
   18, 32, 22, 19, 35, 27, 25, 10,
   4, 14, 7, -22, -41, -54, -93, -92,
   38, 50, 30, 23, 15, 8, 12, 7,
   -2, -13, -16, -35, -42, -45, -40, -35,
   -18, 65, 118, 77, 55, 58, -12, 14,
   57, 56, 38, 43, 35, 37, 46, 62,
   53, 70, 63, 67, 62, 47, 46, 40,
   26, 33, 17, -5, -20, 12, 26, 0,
   -22, -31, -40, -46, -49, -57, -55, -51,
   -44, -32, -31, -44, -49, -48, -31, -48,
   -77, -78, 49, 58, 23, 16, 18, 31,
   37, 46, 64, 73, 71, 54, 38, 21,
   24, 33, 34, 37, 36, 2, -2, -5,
   50, 72, 89, 77, 52, 50, 46, 39,
   31, 17, 14, 2, -7, -27, -47, -54,
   -48, -40, -25, -14, -3, -19, 0, 37,
   57, 35, 14, 10, 29, 41, 41, 43,
   38, 21, 6, 0, 8, 9, 6, 19,
   -6, -20, -55, -24, -24, 18, 13, 27,
   30, 1, -8, -45, -74, -97, -107, -106,
   -90, -104, -125, -111, -90, -70, -46, -58,
   -58, -48, -44, -26, -37, -57, -66, -74,
   -69, -58, -74, -92, -91, -95, -79, -49,
   -21, -5, 13, 17, 41, 59, 39, -39,
   127, 72, 6, 1, 1, 12, 17, 27,
   26, 34, 32, 42, 48, 51, 46, 44,
   33, 22, 20, 15, 6, -70, 73, 61,
   49, 45, 46, 57, 59, 58, 51, 43,
   44, 35, 42, 43, 53, 51, 40, 24,
   20, 31, 88, 74, 36, 37, 6, 2,
   12, 20, 6, -10, -4, -1, -11, 5,
   9, 10, 13, 11, 4, 0, 10, 10,
   28, 57, -58, -40, -53, -61, -32, -22,
   -60, -94, -105, -90, -66, -52, -53, -51,
   -46, -38, -32, -17, 22, 24, 64, 96,
   25, 16, 1, -32, -45, -22, -15, -1,
   -13, -25, -18, -29, -29, -29, -29, -26,
   -20, -16, -22, -39, -43, -21, -58, -86,
   -89, -81, -57, -42, -27, -27, -39, -49,
   -48, -37, -29, -14, -5, 9, 7, 19,
   20, 28, 22, -1, 63, 32, 16, 13,
   17, 14, 12, 11, 0, -3, 3, 10,
   7, 11, 19, 30, 22, 14, 22, 34,
   27, 20, 1, 4, -6, -34, -23, -6,
   -3, -14, -33, -46, -43, -49, -46, -31,
   -18, -17, -14, -39, -87, -68, -65, -116,
   24, 12, 14, 32, 40, 41, 28, 31,
   56, 62, 55, 54, 46, 39, 32, 28,
   26, 24, 16, 13, 18, 56, 96, 85,
   27, 21, 17, 25, 22, 29, 24, 35,
   20, 13, 15, 31, 27, 19, -1, -3,
   21, 48, 65, 44, -11, -23, -49, -68,
   -55, -46, -35, -47, -46, -53, -64, -65,
   -92, -110, -89, -61, -35, 0, 2, -9,
   -14, -24, 11, 30, 41, 58, 52, 31,
   35, 37, 50, 50, 48, 49, 44, 46,
   47, 52, 51, 39, 9, -8, -27, -28,
   3, 21, 48, 58, 68, 70, 69, 72,
   72, 62, 56, 42, 45, 39, 25, 28,
   29, 36, 13, 12, 21, 36, -26, -20,
   -22, -35, -36, -27, -29, -33, -30, -19,
   -7, -8, -12, -18, -5, -9, -15, -35,
   -23, -17, -13, -6, -79, -63, -55, -59,
   -53, -51, -30, -14, -16, -16, -12, -37,
   -40, -34, -35, -33, -28, -16, 16, 16,
   -10, -70, 26, 39, 26, 35, 77, 116,
   89, 81, 76, 64, 57, 54, 41, 37,
   24, 20, 15, 31, 70, 74, 70, 39,
   -2, -17, -10, -35, -45, -45, -34, -27,
   -21, -29, -39, -66, -78, -92, -116, -126,
   -119, -91, -9, 2, 16, -43, 23, 24,
   38, 50, 41, 39, 40, 53, 69, 84,
   89, 93, 111, 122, 127, 127, 127, 126,
   114, 101, 61, 38, -128, -128, -35, -33,
   -52, -67, -66, -45, -15, -3, -12, -20,
   -26, -29, -31, -34, -38, -34, -16, -6,
   -23, -30, 60, 66, 57, 40, 20, 4,
   -3, -8, -3, 15, 23, 23, 27, 25,
   15, 8, 10, 37, 58, 32, -1, -10,
   107, 64, 21, 7, 21, 32, 36, 22,
   15, 17, -1, 27, 25, 28, 33, 22,
   24, 13, 34, 37, 62, 88, -27, -18,
   -28, -37, -33, -34, -36, -42, -44, -34,
   -33, -31, -33, -35, -44, -48, -40, -25,
   -28, -23, -12, 0, -23, -49, -34, -17,
   -15, -1, 3, 12, 32, 48, 60, 74,
   97, 112, 126, 127, 127, 117, 100, 104,
   90, 28, -65, -56, -21, 5, 4, -4,
   6, 19, 23, 17, 28, 1, -5, -16,
   -34, -40, -14, 55, 95, 27, -59, -61,
   -40, -37, -19, 15, 39, 28, 17, 17,
   40, 56, 57, 62, 55, 52, 42, 22,
   5, 25, 3, -1, 0, 7, 97, 127,
   109, 87, 75, 65, 62, 63, 78, 72,
   59, 50, 57, 51, 41, 48, 45, 25,
   9, 9, 20, 59, -39, -55, -66, -67,
   -61, -55, -50, -44, -41, -49, -55, -63,
   -67, -72, -80, -82, -76, -51, -21, -37,
   -34, -29, 12, 20, 33, 25, 11, 0,
   5, 3, 10, 21, 25, 30, 35, 32,
   35, 41, 43, 48, 28, 13, 4, 12,
   30, 47, 49, 41, 43, 50, 51, 51,
   43, 45, 48, 38, 42, 45, 37, 32,
   29, 27, 9, 31, 28, 34, -16, 3,
   5, 16, 24, 39, 68, 94, 87, 77,
   87, 53, 48, 55, 54, 59, 59, 22,
   15, 31, 23, 5, -12, -14, -41, -44,
   -29, -20, -36, -40, -17, -6, -6, 9,
   -1, -12, -20, -30, -39, -46, -47, -53,
   -61, -38, -54, -87, -74, -76, -82, -70,
   -48, -22, -6, -19, -35, -36, -32, -31,
   -19, -7, -8, -15, -31, -27, -43, -9,
   36, 35, 47, 56, 66, 75, 91, 70,
   37, 22, 10, 8, 13, 15, 8, 5,
   4, 4, 5, 15, 45, 28, -14, -18,
   -37, -33, -33, -29, -23, -16, -5, 2,
   -14, -13, -12, 3, -8, -16, -39, -58,
   -65, -105, -83, -38, -50, -42, 10, 44,
   50, 32, 16, -6, -24, -29, -44, -52,
   -71, -95, -114, -128, -128, -115, -60, -49,
   -57, -23, -37, -36, -56, -44, -47, -49,
   -45, -48, -53, -47, -45, -45, -46, -40,
   -46, -56, -60, -84, -124, -115, -69, -14,
   11, 56, 66, 45, 24, 17, 11, 20,
   13, 13, 11, -6, -12, -10, -6, -14,
   -16, -14, -2, -5, -11, -29, -15, -2,
   -36, -53, -104, -110, -98, -71, -99, -124,
   -128, -128, -128, -114, -98, -98, -112, -87,
   -29, -48, -66, -33, 15, 1, -8, -26,
   -22, -25, -22, -17, -19, -20, -20, -32,
   -37, -38, -30, -26, -32, -55, -113, -106,
   -81, -50, -11, 3, 0, -9, -2, 3,
   7, 10, 8, 7, 8, 10, 8, 2,
   -1, -3, -4, -2, 25, 28, 26, 13,
   -53, -13, -33, -42, -38, -36, -40, -54,
   -65, -60, -58, -26, -36, -39, -34, -42,
   -64, -70, -40, -47, -33, 23, 27, 17,
   9, 7, 16, 30, 34, 40, 40, 46,
   42, 32, 25, 26, 27, 26, 21, 13,
   21, 28, 48, 55, 7, -8, -41, -44,
   -44, -46, -37, -36, -12, -3, -1, -13,
   -10, -5, -5, -26, -40, -80, -64, -19,
   28, -81, 14, 32, 40, 21, 6, 7,
   -2, 3, 2, 13, 18, 22, 25, 33,
   54, 66, 52, 28, 5, 1, 13, -18,
   3, 25, 80, 92, 76, 43, 24, 28,
   48, 76, 72, 63, 60, 51, 33, 21,
   15, 17, 8, 10, 15, 27, -13, -8,
   -15, -26, -21, -18, -17, -15, -18, -29,
   -37, -35, -32, -26, -9, 21, 47, 79,
   127, 107, 84, 68, -25, -40, -48, -35,
   -28, -28, -26, -11, -12, -10, 10, -1,
   4, 2, 9, 0, -2, -5, -20, -16,
   -8, 7, 50, 60, 80, 89, 97, 104,
   98, 98, 94, 81, 68, 74, 69, 51,
   23, 26, 29, 42, 60, 38, 21, 46,
   28, 32, 39, 42, 33, 27, 25, 20,
   21, 29, 23, 23, 17, 15, 12, 12,
   21, 24, 41, 30, 10, -23, 33, 35,
   35, 55, 69, 57, 36, 28, 33, 32,
   30, 35, 41, 54, 55, 59, 62, 83,
   69, 51, 33, 22, 3, 27, 34, 25,
   15, 9, 1, -5, -6, -4, -8, -27,
   -36, -36, -48, -55, -53, -39, -32, -44,
   -64, -60, 29, 17, 2, -28, -51, -54,
   -40, -33, -50, -49, -52, -59, -58, -49,
   -39, -27, -20, -12, -12, -46, -76, -64,
   14, -2, 18, 28, 27, 23, 29, 27,
   31, 31, 28, 29, 27, 23, 23, 28,
   34, 38, 39, 18, -12, 3, -79, -84,
   -80, -71, -47, -29, -29, -33, -31, -28,
   -36, -41, -52, -47, -29, -37, -44, -37,
   -6, -3, 9, 2, -4, 14, 28, 25,
   32, 26, 8, 1, 11, 22, 19, 16,
   18, 15, 9, 8, 10, 2, 9, 19,
   42, 17, -61, -60, -78, -76, -71, -67,
   -71, -92, -104, -96, -96, -98, -96, -83,
   -67, -57, -63, -60, -39, -39, -38, -23,
   9, 7, 20, 27, 33, 35, 37, 33,
   29, 39, 38, 42, 41, 44, 30, 25,
   17, 34, 63, 89, 58, 32, 47, 63,
   40, 9, -7, -2, 15, 13, 30, 38,
   56, 35, 17, 20, 46, 43, 22, -25,
   -17, 2, 50, 66, -31, -72, -92, -105,
   -90, -75, -64, -60, -51, -42, -19, -9,
   7, 14, 24, 29, 28, -1, -58, -65,
   -38, -6, -53, -42, -42, -24, -24, -47,
   -64, -59, -53, -43, -34, -57, -61, -51,
   -40, -34, -24, -30, -51, -47, -56, -96,
   -1, 17, 42, 55, 55, 48, 37, 28,
   18, 18, 57, 66, 74, 85, 101, 98,
   89, 35, -7, -16, 20, 47, -110, -110,
   -85, -45, -12, -7, -3, 5, 1, -2,
   -8, -4, -3, -8, -11, -14, -13, 4,
   7, 3, -3, 10, -2, 43, 87, 92,
   67, 65, 70, 79, 48, 42, 43, 32,
   38, 64, 88, 93, 88, 72, 47, 27,
   37, 44, -19, -74, -128, -128, -128, -128,
   -128, -123, -104, -87, -88, -91, -104, -102,
   -87, -69, -65, -34, -30, -34, -25, -9,
   20, 51, 26, 42, 26, 32, 43, 59,
   67, 74, 62, 73, 77, 78, 65, 50,
   34, 35, 60, 49, 14, -9, -28, -3,
   -1, -5, -20, -27, -52, -63, -67, -62,
   -47, -52, -48, -36, -21, -21, -19, -27,
   -30, -44, -63, -85, 25, 11, 26, 19,
   14, 15, 23, 10, -4, -19, -24, -16,
   -15, -27, -40, -34, -23, 17, 31, 32,
   25, 41, 27, 18, 5, 13, 21, 21,
   24, 21, 18, 8, 5, 2, 13, 7,
   -1, -6, -14, -26, -91, -128, -128, -128,
   33, 56, 51, 65, 66, 52, 45, 34,
   7, -15, -28, -35, -35, -36, -35, -28,
   -12, 18, 68, 41, 14, 30, -2, 16,
   25, 31, 40, 39, 34, 31, 40, 44,
   39, 36, 40, 42, 38, 42, 35, 61,
   69, 41, 1, -14, -101, -67, -49, -50,
   -46, -34, -29, -36, -14, 2, -4, -4,
   -18, -45, -64, -62, -48, -60, -112, -127,
   -126, -128, -13, 18, 68, 107, 127, 120,
   77, 39, 1, -33, -36, -25, -16, -14,
   -9, -9, -5, -1, 1, 0, -9, -43,
   -7, -5, -37, -54, -58, -68, -90, -99,
   -84, -92, -100, -95, -85, -78, -68, -72,
   -70, -91, -112, -117, -119, -95, 11, 26,
   28, 38, 35, 48, 60, 66, 57, 66,
   82, 87, 98, 103, 102, 98, 89, 79,
   90, 79, 35, 20, -4, 0, 16, 22,
   12, -13, -16, -18, -14, -20, -21, -25,
   -40, -49, -45, -44, -57, -115, -127, -79,
   6, 71, -32, -28, -9, -10, -5, -7,
   -8, -17, -26, -31, -17, -15, -10, -4,
   4, 7, 12, 2, -15, -22, -33, -37
};

static const rnn_weight denoise_output_bias[22] = {
   14, 35, 37, 27, 16, 26, 33, 19,
   22, 34, 19, 6, 8, 10, 5, 7,
   43, 58, 29, 1, 14, 12
};

static const DenseLayer denoise_output = {
   denoise_output_bias,
   denoise_output_weights,
   96, 22, ACTIVATION_SIGMOID
};

static const rnn_weight vad_output_weights[24] = {
   127, -128, 127, 127, 127, -128, 127, 100,
   -128, 127, -128, -128, 127, 127, 127, -128,
   -128, 127, -127, -128, 81, -128, 127, 127
};

static const rnn_weight vad_output_bias[1] = {
   80
};

static const DenseLayer vad_output = {
   vad_output_bias,
   vad_output_weights,
   24, 1, ACTIVATION_SIGMOID
};

const struct RNNModel model_mp = {
    24,
    &input_dense,
    24,
    &vad_gru,
    48,
    &noise_gru,
    96,
    &denoise_gru,
    22,
    &denoise_output,
    1,
    &vad_output,
};
